package com.jiankangyouyi.cloud.assessment.constant;

import java.math.BigDecimal;

/**
 * 常量
 *
 * @author yangsongbo
 */
public interface Constants {


    /**
     * 标识无数据缓存
     */
    String CACHE_NO_DATA = "no_data";

    /**
     * 未配置
     */
    String UNCONFIGURED = "unconfigured";


    /**
     * Mongo id 属性值
     */
    String MONGO_FIELD_ID = "_id";

    /**
     * 复合人群方案-健康指导-运动健康运动原则话术 最大心率 替换字符
     */
    String replaceHeartRateString = "${maxHeartRate}";

    /**
     * 复合人群方案-健康指导-生活方式 话术 体重 替换字符
     */
    String replaceBodyWeightString = "${bodyWeight}";


    /**
     * BMI小于18.5为偏瘦
     */
    BigDecimal BMI_THIN_LT_VALUE = BigDecimal.valueOf(18.5);

    /**
     * BMI大于等于28为肥胖
     */
    BigDecimal BMI_OBESITY_VALUE = BigDecimal.valueOf(28);

    /**
     * BMI大于等于24小于28为超重
     */
    BigDecimal BMI_OVERWEIGHT_GTE_VALUE = BigDecimal.valueOf(24);

    /**
     * BMI大于等于24小于28为超重
     */
    BigDecimal BMI_OVERWEIGHT_LT_VALUE = BigDecimal.valueOf(28);

    /**
     * 腰围大于等于90的男性，为中心型肥胖
     */
    BigDecimal OBESITY_CENTER_MALE_WAISTLINE = BigDecimal.valueOf(90);

    /**
     * 腰围大于等于85的女性，为中心型肥胖
     */
    BigDecimal OBESITY_CENTER_FEMALE_WAISTLINE = BigDecimal.valueOf(85);


    /**
     * 腰围大于等于85的男性，为中心型肥胖前期
     */
    BigDecimal OBESITY_CENTER_BEFORE_MALE_WAISTLINE = BigDecimal.valueOf(85);

    /**
     * 腰围大于等于80的女性，为中心型肥胖前期
     */
    BigDecimal OBESITY_CENTER_BEFORE_FEMALE_WAISTLINE = BigDecimal.valueOf(80);
    /**
     * 100
     */
    int HUNDRED = 100;

}
