package com.jiankangyouyi.cloud.assessment.constant.assessmentCentre;


import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;

/**
 * 测评报告常量
 *
 * @author fengxuanjun
 */
public interface AssessmentConstants {

    /**
     * 2型糖尿病高险级别得分，大于等于该值为高风险
     */
    int DIABETES_TYPE_2_RISK_LEVEL_HIGH_SCORE = 25;

    /**
     * 高血压低风险级别得分，小于等于该值为低风险
     */
    int HIGH_BLOOD_PRESSURE_RISK_LEVEL_LOW_SCORE = 2;
    /**
     * 高血压低高险级别得分，大于等于该值为高风险
     */
    int HIGH_BLOOD_PRESSURE_RISK_LEVEL_HIGH_SCORE = 3;

    /**
     * 肥胖低高险级别得分，大于等于该值为高风险
     */
    int OBESITY_RISK_LEVEL_HIGH_SCORE = 10;

    /**
     * 慢阻肺低高险级别得分，大于等于该值为高风险
     */
    int CORP_RISK_LEVEL_HIGH_SCORE = 16;

    /**
     * 骨质疏松高险级别得分，大于等于该值为高风险
     */
    int OSTEOPOROSIS_RISK_LEVEL_HIGH_SCORE = 1;

    /**
     * 血脂异常低风险级别得分，小于该值为低风险
     */
    int HIGH_BLOOD_FAT_RISK_LEVEL_LOW_SCORE = 10;

    /**
     * 血脂异常高险级别得分，大于该值为高风险
     */
    int HIGH_BLOOD_FAT_RISK_LEVEL_HIGH_SCORE = 30;

    /**
     * 甲亢低风险级别得分，小于该值为低风险
     */
    int HYPERTHYROIDISM_RISK_LEVEL_LOW_SCORE = 5;

    /**
     * 甲亢高险级别得分，大于该值为高风险
     */
    int HYPERTHYROIDISM_RISK_LEVEL_HIGH_SCORE = 15;

    /**
     * 甲减低风险级别得分，小于该值为低风险
     */
    int HYPOTHYROIDISM_RISK_LEVEL_LOW_SCORE = 8;

    /**
     * 甲减高险级别得分，大于该值为高风险
     */
    int HYPOTHYROIDISM_RISK_LEVEL_HIGH_SCORE = 20;

    /**
     * 高尿酸血症低风险级别得分，小于该值为低风险
     */
    int HYPERURICEMIA_RISK_LEVEL_LOW_SCORE = 10;

    /**
     * 高尿酸血症高险级别得分，大于该值为高风险
     */
    int HYPERURICEMIA_RISK_LEVEL_HIGH_SCORE = 20;

    /**
     * 脂肪肝低风险级别得分，小于该值为低风险
     */
    int FATTY_LIVER_RISK_LEVEL_LOW_SCORE = 10;
    /**
     * 脂肪肝高险级别得分，大于该值为高风险
     */
    int FATTY_LIVER_RISK_LEVEL_HIGH_SCORE = 15;

    /**
     * 痛风低风险级别得分，小于该值为低风险
     */
    int GOUT_RISK_LEVEL_LOW_SCORE = 9;
    /**
     * 痛风高险级别得分，大于该值为高风险
     */
    int GOUT_RISK_LEVEL_HIGH_SCORE = 30;

    /**
     * 痛风低风险级别得分，小于该值为低风险
     */
    int HYPERURICEMIA_GOUT_RISK_LEVEL_LOW_SCORE = 9;
    /**
     * 痛风高险级别得分，大于该值为高风险
     */
    int HYPERURICEMIA_GOUT_RISK_LEVEL_HIGH_SCORE = 18;

    /**
     * 慢病高发年龄
     */
    int CHRONIC_DISEASE_HIGH_INCIDENCE_AGE = 40;

    /**
     * BMI小于18.5为偏瘦
     */
    BigDecimal BMI_THIN_LT_VALUE = BigDecimal.valueOf(18.5);

    /**
     * BMI大于等于24小于28为超重
     */
    BigDecimal BMI_OVERWEIGHT_GTE_VALUE = BigDecimal.valueOf(24);

    /**
     * BMI大于等于24小于28为超重
     */
    BigDecimal BMI_OVERWEIGHT_LT_VALUE = BigDecimal.valueOf(28);

    /**
     * BMI大于等于28为肥胖
     */
    BigDecimal BMI_OBESITY_VALUE = BigDecimal.valueOf(28);

    /**
     * 腰围大于等于90的男性，为中心型肥胖
     */
    BigDecimal OBESITY_CENTER_MALE_WAISTLINE = BigDecimal.valueOf(90);

    /**
     * 腰围大于等于85的女性，为中心型肥胖
     */
    BigDecimal OBESITY_CENTER_FEMALE_WAISTLINE = BigDecimal.valueOf(85);

    /**
     * 健康报告——健康综述——默认健康
     */
    String HEALTH_REVIEW="未发现您有所评估健康问题的风险，请继续保持或完善健康的生活方式。";

    /**
     * 健康报告——健康综述——已病
     */
    String HEALTH_CONFIRM_REVIEW="通过对您测评结果的综合分析，您已患有慢性疾病，请您务必关注自己的健康状态，必要时请及时就医，并保持健康的生活方式，控制疾病的发展。";
    /**
     * 健康报告——健康综述——风险
     */
    String HEALTH_RISK_REVIEW="通过对您测评结果的综合分析，您有患病的风险，请养成良好的生活习惯，改变行为方式，避免疾病的发生。";

    /**
     * 健康指导——运动健康综合话术——健康
     */
    String HEALTH_GUIDE_EXERCISE="定期运动可以帮助您改善生活质量和身体功能，保证精力充沛；改善焦虑和促进骨骼健康，改善认知能力，降低痴呆风险，减少慢病及心血管疾病的发病风险。本方案适合健康人群使用，患有疾病人群建议通过其它正规途径获取个性化方案。";
    /**
     * 健康指导——运动健康综合话术——风险疾病（已病、风险）
     */
    String HEALTH_GUIDE_EXERCISE_DISEASE="合理运动可以帮助您有效控制体重，提高自身免疫力，增强心肺功能，增强机体适应能力，改善生理和心理状态，预防和控制***的发生及发展。";
    /**
     * 健康指导——生活起居——健康
     */
    String HEALTH_GUIDE_DAILY_LIFE="生活方式管理是健康管理的重要策略，建议您合理膳食，适当运动、保持心态平和、戒烟限酒，规律生活，建立健康的生活方式，维持身体健康。";
    /**
     * 健康指导——生活起居——风险疾病（已病、风险）,需结合业务代码完善
     */
    String HEALTH_GUIDE_DAILY_LIFE_DISEASE="生活方式管理是健康管理的重要策略，养成良好的生活习惯，改变行为方式，可以帮助您提高机体免疫力，保持身心平衡，控制风险因素，";

    /**
     * 健康指导——医学指导——健康
     */
    String HEALTH_GUIDE_MEDICAL="医学指导提醒您关注疾病风险的关键指标，在疾病发生前期及时发现，及时控制和治疗，预防疾病的发生和发展。";
    /**
     * 健康指导——医学指导——风险疾病（已病、风险）
     */
    String HEALTH_GUIDE_MEDICAL_DISEASE="医学指导帮助您日常生活管理和病情监测，在发生临床危象或者风险时为您提供应对建议，提供病情健康方案，提醒您关注病情的发展，及时就医，降低疾病风险。";

    /**
     * 餐描述类型 ： 正餐
     */
    String MEAL_TYPE_MEAL = "MEAL";
    /**
     * 餐描述类型 ： 加餐
     */
    String MEAL_TYPE_MEAL_EXTRA = "MEAL_EXTRA";

    /**
     * 餐类型 ： 早餐
     */
    String MEAL_TYPE_BREAKFAST = "BREAKFAST";
    /**
     * 餐类型 ： 早餐+
     */
    String MEAL_TYPE_BREAKFAST_EXTRA = "BREAKFAST_EXTRA";
    /**
     * 餐类型 ： 午餐
     */
    String MEAL_TYPE_LUNCH = "LUNCH";
    /**
     * 餐类型 ： 午餐+
     */
    String MEAL_TYPE_LUNCH_EXTRA = "LUNCH_EXTRA";
    /**
     * 餐类型 ： 晚餐
     */
    String MEAL_TYPE_SUPPER = "SUPPER";
    /**
     * 餐类型 ： 晚餐+
     */
    String MEAL_TYPE_SUPPER_EXTRA = "SUPPER_EXTRA";

    /**
     * 平衡膳食方案-增肌
     */
    String BALANCED_DIET_PROJECT_GAIN_MUSCLE="GAIN_MUSCLE";
    /**
     * 平衡膳食方案-甘油三脂升高
     */
    String BALANCED_DIET_PROJECT_TG="TG_HIGH";

    /**
     * 平衡膳食热量计算计算值
     */
    int ENERGY=90;

    //健康人群平衡膳食计算
    /**
     * 谷类
     */
    double HEALTH_CEREALS=0.4*25;
    /**
     * 薯类
     */
    double HEALTH_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double HEALTH_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double HEALTH_FRUITS=0.08*200;
    /**
     * 肉蛋类
     */
    double HEALTH_MEAT=0.11*50;
    /**
     * 水产类
     */
    double HEALTH_SEAFOOD=0.02*100;
    /**
     * 奶类
     */
    double HEALTH_MILK=0.11*160;
    /**
     * 大豆类
     */
    double HEALTH_SOYBEAN=0.03*25;
    /**
     * 坚果类
     */
    double HEALTH_NUT=0.03*15;
    /**
     * 烹调油
     */
    double HEALTH_OIL=0.1*10;
    /**
     * 饮水量
     */
    String HEALTH_WATER="1500-2000";
    //健康人群_增肌_平衡膳食计算
    /**
     * 谷类
     */
    double HEALTH_GAIN_MUSCLE_CEREALS=0.51*25;
    /**
     * 薯类
     */
    double HEALTH_GAIN_MUSCLE_POTATOS=0.03*100;
    /**
     * 蔬菜类
     */
    double HEALTH_GAIN_MUSCLE_VEGETABLES=0.04*500;
    /**
     * 水果类
     */
    double HEALTH_GAIN_MUSCLE_FRUITS=0.06*200;
    /**
     * 肉蛋类
     */
    double HEALTH_GAIN_MUSCLE_MEAT=0.01*50;
    /**
     * 水产类
     */
    double HEALTH_GAIN_MUSCLE_SEAFOOD=0.02*100;
    /**
     * 奶类
     */
    double HEALTH_GAIN_MUSCLE_MILK=0.09*160;
    /**
     * 大豆类
     */
    double HEALTH_GAIN_MUSCLE_SOYBEAN=0.03*25;
    /**
     * 坚果类
     */
    double HEALTH_GAIN_MUSCLE_NUT=0.02*15;
    /**
     * 烹调油
     */
    double HEALTH_GAIN_MUSCLE_OIL=0.1*10;
    /**
     * 饮水量
     */
    String HEALTH_GAIN_MUSCLE_WATER="1500-2000";

    //骨质疏松平衡膳食计算
    /**
     * 谷类
     */
    double OSTEOPOROSIS_CEREALS=0.43*25;
    /**
     * 薯类
     */
    double OSTEOPOROSIS_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double OSTEOPOROSIS_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double OSTEOPOROSIS_FRUITS=0.06*200;
    /**
     * 肉蛋类
     */
    double OSTEOPOROSIS_MEAT=0.1*50;
    /**
     * 水产类
     */
    double OSTEOPOROSIS_SEAFOOD=0.02*100;
    /**
     * 奶类
     */
    double OSTEOPOROSIS_MILK=0.12*160;
    /**
     * 大豆类
     */
    double OSTEOPOROSIS_SOYBEAN=0.03*25;
    /**
     * 坚果类
     */
    double OSTEOPOROSIS_NUT=0.04*15;
    /**
     * 烹调油
     */
    double OSTEOPOROSIS_OIL=0.1*10;
    /**
     * 饮水量
     */
    String OSTEOPOROSIS_WATER="1500-2000";

    //脂肪肝平衡膳食计算
    /**
     * 谷类
     */
    double FATTY_LIVER_CEREALS=0.39*25;
    /**
     * 薯类
     */
    double FATTY_LIVER_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double FATTY_LIVER_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double FATTY_LIVER_FRUITS=0.07*200;
    /**
     * 肉蛋类
     */
    double FATTY_LIVER_MEAT=0.1*50;
    /**
     * 水产类
     */
    double FATTY_LIVER_SEAFOOD=0.05*100;
    /**
     * 奶类
     */
    double FATTY_LIVER_MILK=0.11*160;
    /**
     * 大豆类
     */
    double FATTY_LIVER_SOYBEAN=0.05*25;
    /**
     * 坚果类
     */
    double FATTY_LIVER_NUT=0.02*15;
    /**
     * 烹调油
     */
    double FATTY_LIVER_OIL=0.09*10;
    /**
     * 饮水量
     */
    String FATTY_LIVER_WATER="1500-2000";

    //脑卒中平衡膳食计算
    /**
     * 谷类
     */
    double APOPLEXY_CEREALS=0.38*25;
    /**
     * 薯类
     */
    double APOPLEXY_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double APOPLEXY_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double APOPLEXY_FRUITS=0.08*200;
    /**
     * 肉蛋类
     */
    double APOPLEXY_MEAT=0.1*50;
    /**
     * 水产类
     */
    double APOPLEXY_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double APOPLEXY_MILK=0.11*160;
    /**
     * 大豆类
     */
    double APOPLEXY_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double APOPLEXY_NUT=0.03*15;
    /**
     * 烹调油
     */
    double APOPLEXY_OIL=0.1*10;
    /**
     * 饮水量
     */
    String APOPLEXY_WATER="1500-2000";
    //缺血性心血管病
    /**
     * 谷类
     */
    double ICVD_CEREALS=0.43*25;
    /**
     * 薯类
     */
    double ICVD_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double ICVD_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double ICVD_FRUITS=0.05*200;
    /**
     * 肉蛋类
     */
    double ICVD_MEAT=0.1*50;
    /**
     * 水产类
     */
    double ICVD_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double ICVD_MILK=0.1*160;
    /**
     * 大豆类
     */
    double ICVD_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double ICVD_NUT=0.03*15;
    /**
     * 烹调油
     */
    double ICVD_OIL=0.1*10;
    /**
     * 饮水量
     */
    String ICVD_WATER="1500-2000";

    //高血脂平衡膳食计算
    /**
     * 谷类
     */
    double HIGH_BLOOD_FAT_CEREALS=0.41*25;
    /**
     * 薯类
     */
    double HIGH_BLOOD_FAT_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double HIGH_BLOOD_FAT_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double HIGH_BLOOD_FAT_FRUITS=0.06*200;
    /**
     * 肉蛋类
     */
    double HIGH_BLOOD_FAT_MEAT=0.11*50;
    /**
     * 水产类
     */
    double HIGH_BLOOD_FAT_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double HIGH_BLOOD_FAT_MILK=0.11*160;
    /**
     * 大豆类
     */
    double HIGH_BLOOD_FAT_SOYBEAN=0.05*25;
    /**
     * 坚果类
     */
    double HIGH_BLOOD_FAT_NUT=0.02*15;
    /**
     * 烹调油
     */
    double HIGH_BLOOD_FAT_OIL=0.08*10;
    /**
     * 饮水量
     */
    String HIGH_BLOOD_FAT_WATER="1500-2000";

    //高血脂_高甘油三酯平衡膳食计算
    /**
     * 谷类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_CEREALS=0.41*25;
    /**
     * 薯类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_FRUITS=0.06*200;
    /**
     * 肉蛋类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_MEAT=0.11*50;
    /**
     * 水产类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_MILK=0.11*160;
    /**
     * 大豆类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_SOYBEAN=0.05*25;
    /**
     * 坚果类
     */
    double HIGH_BLOOD_FAT_TG_HIGH_NUT=0.02*15;
    /**
     * 烹调油
     */
    double HIGH_BLOOD_FAT_TG_HIGH_OIL=0.08*10;

    //动脉粥样硬化性心血管病平衡膳食计算
    /**
     * 谷类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_CEREALS=0.39*25;
    /**
     * 薯类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_POTATOS=0.05*100;
    /**
     * 蔬菜类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_FRUITS=0.08*200;
    /**
     * 肉蛋类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_MEAT=0.11*50;
    /**
     * 水产类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_MILK=0.11*160;
    /**
     * 大豆类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_SOYBEAN=0.05*25;
    /**
     * 坚果类
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_NUT=0.02*15;
    /**
     * 烹调油
     */
    double ATHEROSCLEROTIC_CARDIOVASCULAR_OIL=0.1*10;
    /**
     * 饮水量
     */
    String ATHEROSCLEROTIC_CARDIOVASCULAR_WATER="1500-2000";

    //2型糖尿病平衡膳食计算
    /**
     * 谷类
     */
    double DIABETES_TYPE_2_CEREALS=0.35*25;
    /**
     * 薯类
     */
    double DIABETES_TYPE_2_POTATOS=0.07*100;
    /**
     * 蔬菜类
     */
    double DIABETES_TYPE_2_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double DIABETES_TYPE_2_FRUITS=0.05*200;
    /**
     * 肉蛋类
     */
    double DIABETES_TYPE_2_MEAT=0.13*50;
    /**
     * 水产类
     */
    double DIABETES_TYPE_2_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double DIABETES_TYPE_2_MILK=0.12*160;
    /**
     * 大豆类
     */
    double DIABETES_TYPE_2_SOYBEAN=0.05*25;
    /**
     * 坚果类
     */
    double DIABETES_TYPE_2_NUT=0.03*15;
    /**
     * 烹调油
     */
    double DIABETES_TYPE_2_OIL=0.1*10;
    /**
     * 饮水量
     */
    String DIABETES_TYPE_2_WATER="1500-2000";

    //肥胖平衡膳食计算
    /**
     * 谷类
     */
    double OBESITY_CEREALS=0.34*25;
    /**
     * 薯类
     */
    double OBESITY_POTATOS=0.07*100;
    /**
     * 蔬菜类
     */
    double OBESITY_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double OBESITY_FRUITS=0.07*200;
    /**
     * 肉蛋类
     */
    double OBESITY_MEAT=0.13*50;
    /**
     * 水产类
     */
    double OBESITY_SEAFOOD=0.05*100;
    /**
     * 奶类
     */
    double OBESITY_MILK=0.11*160;
    /**
     * 大豆类
     */
    double OBESITY_SOYBEAN=0.05*25;
    /**
     * 坚果类
     */
    double OBESITY_NUT=0.02*15;
    /**
     * 烹调油
     */
    double OBESITY_OIL=0.1*10;
    /**
     * 饮水量
     */
    String OBESITY_WATER="1500-2000";
    //高血压平衡膳食计算
    /**
     * 谷类
     */
    double HIGH_BLOOD_PRESSURE_CEREALS=0.38*25;
    /**
     * 薯类
     */
    double HIGH_BLOOD_PRESSURE_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double HIGH_BLOOD_PRESSURE_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double HIGH_BLOOD_PRESSURE_FRUITS=0.08*200;
    /**
     * 肉蛋类
     */
    double HIGH_BLOOD_PRESSURE_MEAT=0.1*50;
    /**
     * 水产类
     */
    double HIGH_BLOOD_PRESSURE_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double HIGH_BLOOD_PRESSURE_MILK=0.11*160;
    /**
     * 大豆类
     */
    double HIGH_BLOOD_PRESSURE_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double HIGH_BLOOD_PRESSURE_NUT=0.03*15;
    /**
     * 烹调油
     */
    double HIGH_BLOOD_PRESSURE_OIL=0.1*10;
    /**
     * 饮水量
     */
    String HIGH_BLOOD_PRESSURE_WATER="1500-2000";

    //痛风平衡膳食计算
    /**
     * 谷类
     */
    double GOUT_CEREALS=0.37*25;
    /**
     * 薯类
     */
    double GOUT_POTATOS=0.09*100;
    /**
     * 蔬菜类
     */
    double GOUT_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double GOUT_FRUITS=0.07*200;
    /**
     * 肉蛋类
     */
    double GOUT_MEAT=0.1*50;
    /**
     * 水产类
     */
    double GOUT_SEAFOOD=0.01*100;
    /**
     * 奶类
     */
    double GOUT_MILK=0.17*160;
    /**
     * 大豆类
     */
    double GOUT_SOYBEAN=0.02*25;
    /**
     * 坚果类
     */
    double GOUT_NUT=0.02*15;
    /**
     * 烹调油
     */
    double GOUT_OIL=0.09*10;
    /**
     * 饮水量
     */
    String GOUT_WATER="1800-3000";

    //高尿酸血症平衡膳食计算
    /**
     * 谷类
     */
    double HYPERURICEMIA_CEREALS=0.37*25;
    /**
     * 薯类
     */
    double HYPERURICEMIA_POTATOS=0.09*100;
    /**
     * 蔬菜类
     */
    double HYPERURICEMIA_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double HYPERURICEMIA_FRUITS=0.07*200;
    /**
     * 肉蛋类
     */
    double HYPERURICEMIA_MEAT=0.1*50;
    /**
     * 水产类
     */
    double HYPERURICEMIA_SEAFOOD=0.01*100;
    /**
     * 奶类
     */
    double HYPERURICEMIA_MILK=0.17*160;

    /**
     * 大豆类
     */
    double HYPERURICEMIA_SOYBEAN=0.02*25;
    /**
     * 坚果类
     */
    double HYPERURICEMIA_NUT=0.02*15;
    /**
     * 烹调油
     */
    double HYPERURICEMIA_OIL=0.09*10;
    /**
     * 饮水量
     */
    String HYPERURICEMIA_WATER="1800-3000";

    //阿尔兹海默症平衡膳食计算
    /**
     * 谷类
     */
    double AD_CEREALS=0.42*25;
    /**
     * 薯类
     */
    double AD_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double AD_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double AD_FRUITS=0.05*200;
    /**
     * 肉蛋类
     */
    double AD_MEAT=0.11*50;
    /**
     * 水产类
     */
    double AD_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double AD_MILK=0.1*160;
    /**
     * 大豆类
     */
    double AD_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double AD_NUT=0.03*15;
    /**
     * 烹调油
     */
    double AD_OIL=0.1*10;
    /**
     * 饮水量
     */
    String AD_WATER="1500-2000";
    //慢阻肺
    /**
     * 谷类
     */
    double COPD_CEREALS=0.39*25;
    /**
     * 薯类
     */
    double COPD_POTATOS=0.05*100;
    /**
     * 蔬菜类
     */
    double COPD_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double COPD_FRUITS=0.07*200;
    /**
     * 肉蛋类
     */
    double COPD_MEAT=0.11*50;
    /**
     * 水产类
     */
    double COPD_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double COPD_MILK=0.11*160;
    /**
     * 大豆类
     */
    double COPD_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double COPD_NUT=0.03*15;
    /**
     * 烹调油
     */
    double COPD_OIL=0.1*10;
    /**
     * 饮水量
     */
    String COPD_WATER="1500-2000";
    //甲亢平衡膳食计算
    /**
     * 谷类
     */
    double HYPERTHYROIDISM_CEREALS=0.41*25;
    /**
     * 薯类
     */
    double HYPERTHYROIDISM_POTATOS=0.05*100;
    /**
     * 蔬菜类
     */
    double HYPERTHYROIDISM_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double HYPERTHYROIDISM_FRUITS=0.07*200;
    /**
     * 肉蛋类
     */
    double HYPERTHYROIDISM_MEAT=0.12*50;
    /**
     * 水产类
     */
    double HYPERTHYROIDISM_SEAFOOD=0.03*100;
    /**
     * 奶类
     */
    double HYPERTHYROIDISM_MILK=0.11*160;
    /**
     * 大豆类
     */
    double HYPERTHYROIDISM_SOYBEAN=0.03*25;
    /**
     * 坚果类
     */
    double HYPERTHYROIDISM_NUT=0.03*15;
    /**
     * 烹调油
     */
    double HYPERTHYROIDISM_OIL=0.1*10;
    /**
     * 饮水量
     */
    String HYPERTHYROIDISM_WATER="1500-2000";
    //甲减平衡膳食计算
    /**
     * 谷类
     */
    double HYPOTHYROIDISM_CEREALS=0.41*25;
    /**
     * 薯类
     */
    double HYPOTHYROIDISM_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double HYPOTHYROIDISM_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double HYPOTHYROIDISM_FRUITS=0.06*200;
    /**
     * 肉蛋类
     */
    double HYPOTHYROIDISM_MEAT=0.11*50;
    /**
     * 水产类
     */
    double HYPOTHYROIDISM_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double HYPOTHYROIDISM_MILK=0.1*160;
    /**
     * 大豆类
     */
    double HYPOTHYROIDISM_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double HYPOTHYROIDISM_NUT=0.03*15;
    /**
     * 烹调油
     */
    double HYPOTHYROIDISM_OIL=0.1*10;
    /**
     * 饮水量
     */
    String HYPOTHYROIDISM_WATER="1500-2000";

    //失眠平衡膳食计算
    /**
     * 谷类
     */
    double INSOMNIA_CEREALS=0.38*25;
    /**
     * 薯类
     */
    double INSOMNIA_POTATOS=0.06*100;
    /**
     * 蔬菜类
     */
    double INSOMNIA_VEGETABLES=0.06*500;
    /**
     * 水果类
     */
    double INSOMNIA_FRUITS=0.08*200;
    /**
     * 肉蛋类
     */
    double INSOMNIA_MEAT=0.11*50;
    /**
     * 水产类
     */
    double INSOMNIA_SEAFOOD=0.03*100;
    /**
     * 奶类
     */
    double INSOMNIA_MILK=0.11*160;
    /**
     * 大豆类
     */
    double INSOMNIA_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double INSOMNIA_NUT=0.03*15;
    /**
     * 烹调油
     */
    double INSOMNIA_OIL=0.1*10;
    /**
     * 饮水量
     */
    String INSOMNIA_WATER="1500-2000";

    //慢性疲劳综合征平衡膳食计算
    /**
     * 谷类
     */
    double CFS_CEREALS=0.385*25;
    /**
     * 薯类
     */
    double CFS_POTATOS=0.01*100;
    /**
     * 蔬菜类
     */
    double CFS_VEGETABLES=0.065*500;
    /**
     * 水果类
     */
    double CFS_FRUITS=0.05*200;
    /**
     * 肉蛋类
     */
    double CFS_MEAT=0.13*50;
    /**
     * 水产类
     */
    double CFS_SEAFOOD=0.03*100;
    /**
     * 奶类
     */
    double CFS_MILK=0.1*160;
    /**
     * 大豆类
     */
    double CFS_SOYBEAN=0.02*25;
    /**
     * 坚果类
     */
    double CFS_NUT=0.23*15;
    /**
     * 烹调油
     */
    double CFS_OIL=0.1*10;
    /**
     * 饮水量
     */
    String CFS_WATER="1500-2000";

    //v1.2
    //功能性胃肠病 平衡膳食计算
    /**
     * 谷类
     */
    double FGID_CEREALS=0.48*25;
    /**
     * 薯类
     */
    double FGID_POTATOS=0.02*100;
    /**
     * 蔬菜类
     */
    double FGID_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double FGID_FRUITS=0.05*200;
    /**
     * 肉蛋类
     */
    double FGID_MEAT=0.12*50;
    /**
     * 水产类
     */
    double FGID_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double FGID_MILK=0.09*160;
    /**
     * 大豆类
     */
    double FGID_SOYBEAN=0.03*25;
    /**
     * 坚果类
     */
    double FGID_NUT=0.02*15;
    /**
     * 烹调油
     */
    double FGID_OIL=0.1*10;
    /**
     * 饮水量
     */
    String FGID_WATER="1500-2000";

    //产后体重管理 平衡膳食计算
    /**
     * 谷类
     */
    double POSTPARTUM_WEIGHT_CEREALS=0.36*25;
    /**
     * 薯类
     */
    double POSTPARTUM_WEIGHT_POTATOS=0.05*100;
    /**
     * 蔬菜类
     */
    double POSTPARTUM_WEIGHT_VEGETABLES=0.05*500;
    /**
     * 水果类
     */
    double POSTPARTUM_WEIGHT_FRUITS=0.08*200;
    /**
     * 肉蛋类
     */
    double POSTPARTUM_WEIGHT_MEAT=0.12*50;
    /**
     * 水产类
     */
    double POSTPARTUM_WEIGHT_SEAFOOD=0.04*100;
    /**
     * 奶类
     */
    double POSTPARTUM_WEIGHT_MILK=0.13*160;
    /**
     * 大豆类
     */
    double POSTPARTUM_WEIGHT_SOYBEAN=0.04*25;
    /**
     * 坚果类
     */
    double POSTPARTUM_WEIGHT_NUT=0.03*15;
    /**
     * 烹调油
     */
    double POSTPARTUM_WEIGHT_OIL=0.1*10;
    /**
     * 饮水量
     */
    String POSTPARTUM_WEIGHT_WATER="1500-2000";


    //测评参数校验值 ===== S =====
    /**
     * 年龄最小值
     */
    int AGE_MIN_VALUE = 18;

    /**
     * 年龄最大值
     */
    int AGE_MAX_VALUE = 100;

    /**
     * 身高最小值
     */
    BigDecimal HEIGHT_MIN_VALUE = BigDecimal.valueOf(100);
    /**
     * 身高最大值
     */
    BigDecimal HEIGHT_MAX_VALUE = BigDecimal.valueOf(230);

    /**
     * 体重最小值
     */
    BigDecimal WEIGHT_MIN_VALUE = BigDecimal.valueOf(25);
    /**
     * 体重最大值
     */
    BigDecimal WEIGHT_MAX_VALUE = BigDecimal.valueOf(200);

    /**
     * 腰围最小值
     */
    BigDecimal WAISTLINE_MIN_VALUE = BigDecimal.valueOf(50);
    /**
     * 腰围最大值
     */
    BigDecimal WAISTLINE_MAX_VALUE = BigDecimal.valueOf(200);

    /**
     * 体脂率最小值
     */
    BigDecimal BFR_MIN_VALUE = BigDecimal.valueOf(0);
    /**
     * 体脂率最大值
     */
    BigDecimal BFR_MAX_VALUE = BigDecimal.valueOf(50);

    /**
     * 常居住地，1：城市 2：农村
     */
    String RESIDENCE_1 = "1";
    String RESIDENCE_2 = "2";

    /**
     * 代谢性疾病
     * 1 2型糖尿病
     * 2 高血脂
     * 3 高尿酸血症
     * 4 痛风
     * 5 脂肪肝
     * 6 多囊卵巢综合征
     * 7 甲减
     * 8 甲亢
     * 9 甲状腺功能异常
     * 10 无
     */
    List<String> METABOLIC_DISEASE = Arrays.asList("1","2","3","4","5","6","7","8","9","10");

    /**
     * 自身免疫系统疾病
     * 1 红斑狼疮
     * 2 硬皮症
     * 3 干燥综合征
     * 4 类风湿关节炎
     * 5 1型糖尿病
     * 6 自身免疫性甲状腺疾病
     * 7 无
     */
    List<String> IMMUNE_SYSTEM = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 心脑血管疾病
     * 1 高血压
     * 2 冠心病
     * 3 脑卒中
     * 4 缺血性心肌病
     * 5 外周动脉粥样硬化
     * 6 无
     */
    List<String> ANGIOCARPY_DISEASE = Arrays.asList("1","2","3","4","5","6");
    /**
     * 慢性疾病
     * 1 慢性肾病
     * 2 慢性乙肝
     * 3 慢性丙肝
     * 4 骨质疏松
     * 5 慢性疲劳综合征
     * 6 无
     */
    List<String> CHRONIC_DISEASE = Arrays.asList("1","2","3","4","5","6");

    /**
     * 	呼吸系统疾病
     * 1 支气管哮喘
     * 2 过敏性鼻炎
     * 3 慢性支气管炎
     * 4 肺气肿
     * 5 慢阻肺
     * 6 睡眠呼吸暂停综合征
     * 7 无
     */
    List<String> BREATHE_DISEASE = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 	成年前健康问题
     * 1 婴幼儿期反复患下呼吸道感染。
     * 2 胎儿时期肺发育不良
     * 3 无
     */
    List<String> HEALTH_PROBLEM = Arrays.asList("1","2","3");

    /**
     * 胃肠道问题
     * 1 克罗恩病
     * 2 乳糜泻
     * 3 营养不良
     * 4 胃肠疾病
     * 5 无
     */
    List<String> GI_PROBLEM = Arrays.asList("1","2","3","4","5");

    /**
     * 	曾出现健康问题
     * 1 有过妊娠糖尿病
     * 2 生产过8斤以上巨大儿
     * 3 成年后曾因轻摔后骨折
     * 4 在50 岁前切除卵巢且未补充激素
     * 5 45岁前停经
     * 6 除怀孕、绝经、子宫切除外曾停经超 12 个月
     * 7 40岁后身高减少超过3cm
     * 8 无
     */
    List<String> HISTORY_PROBLEM = Arrays.asList("1","2","3","4","5","6","7","8");

    /**
     * 	有健康问题
     * 1 维生素A缺乏
     * 2 近一年摔倒次数超过一次
     * 3 身体虚弱而担心摔倒
     * 4 心房颤动
     * 5 左心室肥厚
     * 6 皮肤或肌腱黄色瘤
     * 7 跟腱增厚
     * 8 甲状腺结节
     * 9 甲状腺肿
     * 10 无
     */
    List<String> HAVE_PROBLEM = Arrays.asList("1","2","3","4","5","6","7","8","9","10");

    /**
     * 	直系亲属代谢性疾病
     * 1 肥胖
     * 2 2型糖尿病
     * 3 痛风
     * 4 高血脂
     * 5 脂肪肝
     * 6 甲亢
     * 7 无
     */
    List<String> FAMILY_METABOLISM_DISEASE = Arrays.asList("1","2","3","4","5","6","7");

    /**
     * 	直系亲属呼吸系统疾病
     * 1 支气管哮喘
     * 2 慢性支气管炎
     * 3 肺气肿
     * 4 慢阻肺
     * 5 无
     */
    List<String> FAMILY_BREATHE_DIASESE = Arrays.asList("1","2","3","4","5");

    /**
     * 	直系亲属心脑血管疾病
     * 1 高血压
     * 2 冠心病
     * 3 脑卒中
     * 4 无
     */
    List<String> FAMILY_ANGIOCARPY_DISEASE = Arrays.asList("1","2","3","4");

    /**
     * 	父母存在健康问题
     * 1 骨质疏松
     * 2 因摔倒骨折
     * 3 驼背
     * 4 无
     */
    List<String> PARENTS_PROBLEM = Arrays.asList("1","2","3","4");

    /**
     *接受过以下治疗
     * 1 甲状腺手术
     * 2 头颈部恶性肿瘤外放射治疗
     * 3 甲亢的放射性碘治疗
     * 4 胃大部分切除术
     * 5 无
     */
    List<String> RECEIVE_TREATMENT = Arrays.asList("1","2","3","4","5");

    /**
     *连续服用以下药物超过3个月
     * 1 类固醇激素
     * 2 利尿剂
     * 3 降压药
     * 4 含碘药物如：西地碘片、乙胺碘呋酮等
     * 5 服用胺碘酮、锂制剂、酪氨酸激酶抑制剂等
     * 6 无
     */
    List<String> PHARMACY_3_MONTH = Arrays.asList("1","2","3","4","5","6");

    /**
     * 空腹血糖最小值
     */
    BigDecimal FBG_MIN_VALUE = BigDecimal.valueOf(1);
    /**
     * 空腹血糖最大值
     */
    BigDecimal FBG_MAX_VALUE = BigDecimal.valueOf(33);
    /**
     * 餐后血糖最小值
     */
    BigDecimal PBG_MIN_VALUE = BigDecimal.valueOf(1);
    /**
     * 餐后血糖最大值
     */
    BigDecimal PBG_MAX_VALUE = BigDecimal.valueOf(33);
    /**
     * 随机血糖最小值
     */
    BigDecimal RBG_MIN_VALUE = BigDecimal.valueOf(1);
    /**
     * 随机血糖最大值
     */
    BigDecimal RBG_MAX_VALUE = BigDecimal.valueOf(33);
    /**
     * 糖化血红蛋白最小值
     */
    BigDecimal GHB_MIN_VALUE = BigDecimal.valueOf(1);
    /**
     * 糖化血红蛋白最大值
     */
    BigDecimal GHB_MAX_VALUE = BigDecimal.valueOf(20);

    /**
     * 收缩压（高压）最小值
     */
    BigDecimal SYSTOLIC_PRESSURE_MIN_VALUE = BigDecimal.valueOf(50);
    /**
     * 收缩压（高压）最大值
     */
    BigDecimal SYSTOLIC_PRESSURE_MAX_VALUE = BigDecimal.valueOf(230);

    /**
     * 舒张压（低压）最小值
     */
    BigDecimal DIASTOLIC_PRESSURE_MIN_VALUE = BigDecimal.valueOf(30);
    /**
     * 舒张压（低压）最大值
     */
    BigDecimal DIASTOLIC_PRESSURE_MAX_VALUE = BigDecimal.valueOf(150);
    /**
     * 骨密度T值最小值
     */
    BigDecimal BMD_T_SCORE_MIN_VALUE = BigDecimal.valueOf(-6);
    /**
     * 骨密度T值最大值
     */
    BigDecimal BMD_T_SCORE_MAX_VALUE = BigDecimal.valueOf(3);

    /**
     * 尿酸值 最小值
     */
    BigDecimal UA_MIN_VALUE = BigDecimal.valueOf(150);
    /**
     * 尿酸值 最大值
     */
    BigDecimal UA_MAX_VALUE = BigDecimal.valueOf(1000);

    /**
     * 总胆固醇最小值
     */
    BigDecimal TC_MIN_VALUE = BigDecimal.valueOf(0.01);
    /**
     * 总胆固醇最大值
     */
    BigDecimal TC_MAX_VALUE = BigDecimal.valueOf(50);


    /**
     * 甘油三酯最小值
     */
    BigDecimal TG_MIN_VALUE = BigDecimal.valueOf(0.01);
    /**
     * 甘油三酯最大值
     */
    BigDecimal TG_MAX_VALUE = BigDecimal.valueOf(50);


    /**
     * 高密度脂蛋白胆固醇最小值
     */
    BigDecimal HDLC_MIN_VALUE = BigDecimal.valueOf(0.01);
    /**
     * 高密度脂蛋白胆固醇最大值
     */
    BigDecimal HDLC_MAX_VALUE = BigDecimal.valueOf(10);

    /**
     * 低密度脂蛋白胆固醇最小值
     */
    BigDecimal LDLC_MIN_VALUE = BigDecimal.valueOf(0.01);
    /**
     * 低密度脂蛋白胆固醇最大值
     */
    BigDecimal LDLC_MAX_VALUE = BigDecimal.valueOf(20);
    /**
     * 非高密度脂蛋白胆固醇最小值
     */
    BigDecimal MDLC_MIN_VALUE = BigDecimal.valueOf(0);
    /**
     * 非高密度脂蛋白胆固醇最大值
     */
    BigDecimal MDLC_MAX_VALUE = BigDecimal.valueOf(20);

    /**
     * γ-谷氨酰转移酶值
     */
    BigDecimal YGGT_MIN_VALUE = BigDecimal.valueOf(5);
    /**
     * γ-谷氨酰转移酶值
     */
    BigDecimal YGGT_MAX_VALUE = BigDecimal.valueOf(300);

    /**
     * 肝内脂肪含量最小值
     */
    BigDecimal LIVER_FAT_CONTENT_MIN_VALUE = BigDecimal.valueOf(1);
    /**
     * 肝内脂肪含量最大值
     */
    BigDecimal LIVER_FAT_CONTENT_MAX_VALUE = BigDecimal.valueOf(50);

    /**
     *心血管系统异常症状
     * 1 心率增快
     * 2 心房颤动
     * 3 心率减慢
     * 4 脉压减少
     * 5 无
     */
    List<String> CARDDIOVASCULAR_DISEASE = Arrays.asList("1","2","3","4","5");

    /**
     * 消化系统异常症状
     * 1 食欲亢进
     * 2 大便次数增多
     * 3 腹泻
     * 4 食欲减退
     * 5 腹胀
     * 6 便秘
     * 7 无
     */
    List<String> DIGESTIVE_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7");

    /**
     * 内分泌异常症状
     * 1 经量减少
     * 2 周期延长
     * 3 闭经
     * 4 月经周期紊乱
     * 5 月经量增多
     * 6 不孕
     * 7 高催乳素血症
     * 8 溢乳
     * 9 性欲减退
     * 10 乳房发育
     * 11 阳痿
     * 12 无
     */
    List<String> CRYPTORRBEA_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8","9","10","11","12");

    /**
     * 高代谢常见症状
     * 1 不明原因的体重下降
     * 2 乏力
     * 3 怕热
     * 4 低热
     * 5 多汗
     * 6 皮肤温暖、潮湿
     * 7 无
     */
    List<String> HYPERMETABOLISM_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 低代谢常见症状
     * 1 畏寒
     * 2 少汗
     * 3 低温低于正常
     * 4 音调低哑
     * 5 行动迟缓
     * 6 言语缓慢
     * 7 体重增加
     * 8 乏力
     * 9 无
     */
    List<String> LOW_METABOLISM_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8","9");
    /**
     * 异常症状
     * 1 气短
     * 2 气促
     * 3 咳痰
     * 4 皮肤干燥粗糙
     * 5 毛发干燥稀疏
     * 6 手脚掌皮肤呈姜黄色
     * 7 无
     */
    List<String> ABNORMAL_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 面部是否有以下体征
     * 1 面部浮肿
     * 2 表情呆板、淡漠
     * 3 面色苍白
     * 4 眼睑水肿
     * 5 舌体边缘有齿痕
     * 6 眉毛外1/3稀疏脱落
     * 7 胡须稀疏
     * 8 无
     */
    List<String> FACE_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8");

    /**
     * 过去1个月出现气短的频率
     * 1 很少
     * 2 有时
     * 3 经常
     * 4 总是
     */
    String PANT_FREQUENCY_1="1";
    String PANT_FREQUENCY_2="2";
    String PANT_FREQUENCY_3="3";
    String PANT_FREQUENCY_4="4";
    /**
     * 咳痰的频率
     * 1 偶尔只在感冒或者胸部感染时
     * 2 每月都咳几天
     * 3 大多日子都咳
     * 4 每天都咳
     */
    String EXPECTORATION_FREQUENCY_1="1";
    String EXPECTORATION_FREQUENCY_2="2";
    String EXPECTORATION_FREQUENCY_3="3";
    String EXPECTORATION_FREQUENCY_4="4";
    /**
     * 过去1年因呼吸问题活动量减少情况
     * 1 从未减少
     * 2 减少
     * 3 大量减少
     */
    String EXERCISE_REDUCE_1="1";
    String EXERCISE_REDUCE_2="2";
    String EXERCISE_REDUCE_3="3";

    /**
     * 	食物摄入超量问题
     * 1 喜好咸菜、火腿、各类炒货和腌制品
     * 2 每日摄入酱油、味精过量
     * 3 每日盐摄入多于一啤酒瓶盖
     * 4 每日至少吃一次甜品或饮料
     * 5 长期大量食用海带、紫菜
     * 6 长期大量食用卷心菜、芜菁、甘蓝、木薯
     * 7 无
     */
    List<String> FOOD_EXCESS = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 食物摄入过量问题
     * 1 每日食用肉类或内脏至少100g
     * 2 每周至少吃一次食油炸食品
     * 3 每周至少吃一次海鲜、贝类
     * 4 每周至少喝一次浓的肉汤
     * 5 每周至少吃一次烧烤
     * 6 无
     */
    List<String> OVEREATING = Arrays.asList("1","2","3","4","5","6");
    /**
     *食物摄入不足问题
     * 1 蔬菜摄入少，每日低于300g
     * 2 水果摄入少，每日低于200g
     * 3 不食用乳制品、贝类
     * 4 精米白面，少粗粮
     * 5 每周豆类及制品少于50g
     * 6 无
     */
    List<String> FOOD_INSUFFICIENT = Arrays.asList("1","2","3","4","5","6");
    /**
     *	日常生活习惯
     * 1 饮食不规律
     * 2 作息不规律
     * 3 进食过快
     * 4 常吃夜宵
     * 5 常在外就餐
     * 6 经常不吃早餐
     * 7 无
     */
    List<String> LIVING_HABIT = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 正在服用以下膳食补充剂
     * 1 维生素D
     * 2 钙
     * 3 B族维生素
     * 4 多种维生素、矿物质
     * 5 蛋白补充剂
     * 6 膳食纤维
     * 7 全营养补充剂
     * 8 益生菌
     * 9 无
     */
    List<String> DIETARY_SUPPLEMENT = Arrays.asList("1","2","3","4","5","6","7","8","9");

    /**
     * 运动情况
     * 1 除了工作/家务之外几乎不动
     * 2 每周运动1-2次
     * 3 每周运动3-4次
     * 4 每周运动5次以上
     */
    String EXERCISE_STATE_1="1";
    String EXERCISE_STATE_2="2";
    String EXERCISE_STATE_3="3";
    String EXERCISE_STATE_4="4";

    /**
     * 从事户外活动或运动时间
     * 1 ＜10分钟
     * 2 10-30分钟
     * 3 30-45分钟
     * 4 45-60分钟
     * 5 60分钟以上
     */
    String OUTDOOR_TIME_1="1";
    String OUTDOOR_TIME_2="2";
    String OUTDOOR_TIME_3="3";
    String OUTDOOR_TIME_4="4";
    String OUTDOOR_TIME_5="5";
    /**
     * 平均每天静坐时长
     * 1 小于3小时
     * 2 3-6个小时
     * 3 至少6小时
     */
    String SIT_TIME_1="1";
    String SIT_TIME_2="2";
    String SIT_TIME_3="3";

    /**
     *饮酒情况
     * 1 平均每天&gt 1两酒精
     * 2 平均每天0.5-1两酒精
     * 3 平均每天&lt 0.5两酒精
     * 4 不喝酒
     */
    String DRINK_STATE_1="1";
    String DRINK_STATE_2="2";
    String DRINK_STATE_3="3";
    String DRINK_STATE_4="4";
    /**
     *每天的饮水量
     * 1 少于1000ml
     * 2 1000-1500ml
     * 3 1500-1700ml
     * 4 1700-2500ml
     * 5 2500ml以上
     */
    String WATER_INTAKE_1="1";
    String WATER_INTAKE_2="2";
    String WATER_INTAKE_3="3";
    String WATER_INTAKE_4="4";
    String WATER_INTAKE_5="5";
    /**
     * 吸烟情况
     *1 每周小于5支
     * 2 每周5-10支
     * 3 每周大于10支
     * 4 不抽烟但会接触二手烟
     * 5 每天不少于30支
     * 6 戒烟超过5年以上
     * 7 不抽烟也不接触二手烟
     */
    String SMOKE_STATE_1="1";
    String SMOKE_STATE_2="2";
    String SMOKE_STATE_3="3";
    String SMOKE_STATE_4="4";
    String SMOKE_STATE_5="5";
    String SMOKE_STATE_6="6";
    String SMOKE_STATE_7="7";

    /**
     * 睡眠问题
     * 1 入睡潜伏期超过30分钟
     * 2 夜间觉醒次数超过2次
     * 3 比期望的起床时间醒来早
     * 4 适宜时间不肯上床
     * 5 没有照顾者干预难以入睡
     * 6 经常23点以后睡觉
     * 7 睡眠时间不足6小时
     * 8 无
     */
    List<String> SLEEP_STATE = Arrays.asList("1","2","3","4","5","6","7","8");

    /**
     *	当睡眠时间充足且睡眠环境适宜时仍存在睡眠问题
     * 1 是
     * 2 否
     */
    String ENOUGH_SLEEP_PROBLEM_1="1";
    String ENOUGH_SLEEP_PROBLEM_2="2";

    /**
     *日间症状
     * 1 疲倦或精神萎靡
     * 2 情绪不稳、易怒
     * 3 注意力、专注力或记忆力下降
     * 4 日间瞌睡
     * 5 肢体乏力
     * 6 易犯错或者易出事故
     * 7 工作、学习、社交能力下降等
     * 8 无
     */
    List<String> DAYTIME_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8");

    /**
     *	***的症状至少每周出现三次
     * 1 是
     * 2 否
     */
    String DAYTIME_SYMPTOMS_THREE_TIMES_1="1";
    String DAYTIME_SYMPTOMS_THREE_TIMES_2="2";
    /**
     *	***的症状至少每周出现三个月
     * 1 是
     * 2 否
     */
    String DAYTIME_SYMPTOMS_THREE_MONTHS_1="1";
    String DAYTIME_SYMPTOMS_THREE_MONTHS_2="2";


    /**
     *精神状态
     * 1 心理压力大紧张
     * 2 焦虑、担忧
     * 3 愤怒
     * 4 恐慌
     * 5 抑郁
     * 6 无
     */
    List<String> MENTAL_STATE = Arrays.asList("1","2","3","4","5","6");

    /**
     *长期居住或工作在以下环境
     * 1 接触粉尘、有毒有害化学气体、重金属颗粒等
     * 2 气候寒冷、潮湿地区以及使用燃煤、木柴取暖
     * 3 空气污染严重地区
     * 4 无
     */
    List<String> LIVE_ENVIRONMENTAL = Arrays.asList("1","2","3","4");

    /**
     *	受教育的年限
     * 1 ≥10年
     * 2 7-9年
     * 3 0-6年
     */
    String EDUCATION_1="1";
    String EDUCATION_2="2";
    String EDUCATION_3="3";

    /**
     * 民族
     */
    List<String> NATION = Arrays.asList(
            "1","2","3","4","5","6","7","8","9","10",
            "11","12","13","14","15","16","17","18","19","20",
            "21","22","23","24","25","26","27","28","29","30",
            "31","32","33","34","35","36","37","38","39","40",
            "41","42","43","44","45","46","47","48","49","50",
            "51","52","53","54","55","56");

    /**
     * 地域
     */
    List<String> AREA = Arrays.asList(
            "1","2","3","4","5","6","7","8","9","10",
            "11","12","13","14","15","16","17","18","19","20",
            "21","22","23","24","25","26","27","28","29","30",
            "31","32","33","34");

    /**
     *你的口味
     *  1 酸
     *  2 甜
     *  3 苦
     *  4 辣
     *  5 蒜香
     *  6 咖喱
     *  7 麻
     *  8 清淡
     *  9 重口味
     *  10 不挑食,都可以
     */
    List<String> TASTE = Arrays.asList("1","2","3","4","5","6","7","8","9","10");

    /**
     * 运动能力
     * 1 高
     * 2 中
     * 3 低
     * 4 不清楚，立即评估
     */
    List<String> EXERCISE_ABLLILITY = Arrays.asList("1","2","3","4");
    /**
     * 	上楼梯时（约五层楼高），呼吸状态自我评价感觉为
     * 1 一般
     * 2 急促
     * 3 非常急促
     */
    List<String> BREATHE_STATE_EVALUATE = Arrays.asList("1","2","3");
    /**
     * 1分钟可以做多少个俯卧撑
     * 1 大于27个
     * 2 13-26个
     * 3 小于12个
     */
    List<String> PUSH_UP_NUM = Arrays.asList("1","2","3");
    /**
     * 1分钟可以做多少个标准卷腹?(肩胛骨要离开地面)
     * 1 45个或更多
     * 2 40个或更多
     * 3 19-44个
     * 4 15-39个
     * 5 18个或更少
     * 6 14个或更少
     */
    List<String> CRUNCH_NUM = Arrays.asList("1","2","3","4","5","6");
    /**
     * 	坐姿体前屈时,手指是否可以触碰到脚尖
     * 1 至少超过半个手掌
     * 2 可以碰到或刚刚超过脚尖
     * 3 碰不到脚尖
     */
    List<String> FINGERS_TOUCH_TOES = Arrays.asList("1","2","3");
    /**
     * 静蹲可以保持多长时间
     * 1 大于121秒
     * 2 大于111秒
     * 3 31-120秒
     * 4 26-110秒
     * 5 小于30秒
     * 6 小于25秒
     */
    List<String> QUIET_SQUAT_DOWN_TIME = Arrays.asList("1","2","3","4","5","6");
    /**
     * 单脚站立可以保持多长时间？（平衡）
     * 1 大于1分钟
     * 2 30秒-1分钟
     * 3 小于30秒
     */
    List<String> STAND_ON_ONE_LEG_TIME = Arrays.asList("1","2","3");

    /**
     * 乏力、疲倦或精神萎靡持续或反复发作的时间？
     * 1 小于1个月
     * 2 大于等于1个月
     * 3 大于等于6个月
     */
    List<String> WEAK_REPETITION_TIME = Arrays.asList("1","2","3");

    /**
     *是否现在或曾经患有以下精神心理方面的疾病？
     * 1 重度抑郁症（医生诊断后的）
     * 2 双相情感障碍
     * 3 精神分裂症
     * 4 妄想症
     * 5 痴呆症
     * 6 神经性厌食症
     * 7 神经性贪食症
     * 8 无
     */
    List<String> HEART_DISEASE = Arrays.asList("1","2","3","4","5","6","7","8");
    /**
     *您近期是否常有以下不适症状？
     * 1 咽痛
     * 2 颈部或腋下淋巴结触痛
     * 3 肌肉痛
     * 4 多关节疼痛，但不伴红肿
     * 5 头痛
     * 6 运动后的疲劳持续超过24小时
     * 7 睡眠后不能恢复精力
     * 8 无
     */
    List<String> UNCOMFORTABLE_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8");
    /**
     *请勾选出持续或反复发作6个月及以上的症状？
     * 1 咽痛
     * 2 颈部或腋下淋巴结触痛
     * 3 肌肉痛
     * 4 多关节疼痛，但不伴红肿
     * 5 头痛
     * 6 运动后的疲劳持续超过24小时
     * 7 睡眠后不能恢复精力
     * 8 注意力、专注力或记忆力下降
     * 9 无
     */
    List<String> MORE_SIX_MONTH_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8","9");
    /**
     *您有以下吃肉蛋类的情况吗？
     * 1 平均每月吃肥肉（含五花肉）大于2次
     * 2 平均每周吃畜肉小于2次
     * 3 平均每周吃禽肉小于2次
     * 4 平均每周吃水产类小于1次
     * 5 平均每周吃蛋类（以鸡蛋计）大于7个
     * 6 平均每周吃蛋类（以鸡蛋计）少于3个
     * 7 无
     */
    List<String> EAT_MEAT_EGG_TIMES = Arrays.asList("1","2","3","4","5","6","7");
    /**
     *	您有下列饮食习惯吗？
     * 1 常吃加工食品
     * 2 进食深色蔬菜占总蔬菜比例小于1/2
     * 3 进食深色水果占总水果比例小于1/2
     * 4 平均每周吃坚果少于2次
     * 5 有吃亚麻籽油、紫苏子油
     * 6 食用无碘盐
     * 7 无
     */
    List<String> DIETARY_HABIT = Arrays.asList("1","2","3","4","5","6","7");
    /**
     *	您是否有以下味觉、口、齿、舌相关症状？
     * 1 舌深红
     * 2 牙龈出血/2
     * 3 味觉减退/2
     * 4 口角裂/嘴唇干裂
     * 5 无
     */
    List<String> MOUTH_SYMPTOMS = Arrays.asList("1","2","3","4","5");
    /**
     *	您是否有以下眼、甲、皮肤相关症状？
     * 1 舟状甲/指甲脆薄
     * 2 皮肤有瘀斑/2
     * 3 眼干/2
     * 4 暗适应能力下降/夜盲症
     * 5 眼痒
     * 6 无
     */
    List<String> EYE_NAIL_SKIN_SYMPTOMS = Arrays.asList("1","2","3","4","5","6");
    /**
     *	您是否有以下饮用习惯？
     * 1 常喝咖啡（平均每天超过3杯）
     * 2 常喝浓茶/2
     * 3 常喝碳酸饮料/2
     * 4 常喝纯净水
     * 5 无
     */
    List<String> DRINK_HABIT = Arrays.asList("1","2","3","4","5");
    /**
     *	您家是否有以下烹饪习惯？
     * 1 做饭淘米超过2次
     * 2 烹调中(如：做粥时）加碱/2
     * 3 菠菜、冬笋等不焯水直接炒
     * 4 无
     */
    List<String> COOKING_HABIT = Arrays.asList("1","2","3","4");

    /**
     * 你是否曾听医务人员说你只能在医务监督（有专业人士监督或仪器检测）下进行体力活动？
     * 1 是
     * 2 否
     */
    List<String> PHYSICAL_ACTIVITY = Arrays.asList("1","2");
    /**
     * 生活中或运动时是否出现过胸痛？
     * 1 是
     * 2 否
     */
    List<String> CHEST_PAIN = Arrays.asList("1","2");

    /**
     * 在过去1年中，有无出现过因头晕而失去平衡或失去知觉？
     * 1 是
     * 2 否
     * 3 因为高强度运动或过度通气导致的
     */
    List<String> LOSS_OF_BALANCE = Arrays.asList("1","2","3");

    /**
     * 目前或过去1年内，是否出现过运动中使骨骼、关节或软组织（肌肉、韧带或肌腱）恶化的问题？
     * 1 是
     * 2 否
     * 3 过去有，但不影响进行运动
     */
    List<String> BODY_WORSEN = Arrays.asList("1","2","3");

    /**
     * 您的疼痛程度为？
     * 1 无痛
     * 2 轻度疼痛（能忍受，能正常生活睡眠）
     * 3 中度疼痛（适当影响睡眠，需止痛药）
     * 4 重度疼痛（影响睡眠，需用麻醉止痛药）
     * 5 剧烈疼痛（影响睡眠较重，伴有其他症状）
     * 6 无法忍受（严重影响睡眠，伴有其他症状）
     */
    List<String> PAIN_DEGREE = Arrays.asList("1","2","3","4","5","6");

    /**
     * 在过去1年内，您是否存在以下由疼痛引起的关节问题？
     * 1 颈部关节及周围存在疼痛
     * 2 腰部关节及周围存在疼痛
     * 3 臀部关节及周围存在疼痛
     * 4 膝关节及周围存在疼痛
     * 5 踝关节及周围存在疼痛
     * 6 肩部关节及周围存在疼痛
     * 7 肘部关节及周围存在疼痛
     * 8 胸部关节及周围存在疼痛
     * 9 其他部位
     */
    List<String> PAIN_IN_THE_JOINTS = Arrays.asList("1","2","3","4","5","6","7","8","9");

    /**
     * 您是否目前未患有任何疾病？（有未确诊的不适症状，在此不算病）
     * 1 是
     * 2 否
     */
    List<String> NO_DISEASE = Arrays.asList("1","2");

    /**
     * 	您是否有以下消化系统问题？
     * 1 功能性胃肠病
     * 2 嗳气疾病
     * 3 功能性消化不良
     * 4 肠易激综合征
     * 5 功能性便秘
     * 6 功能性腹泻
     * 7 幽门螺杆菌感染
     * 8 无
     */
    List<String> DIGESTIVE_SYSTEM = Arrays.asList("1","2","3","4","5","6","7","8");
    /**
     * 您是否患有以下妇科疾病？
     * 1 卵巢癌
     * 2 子宫内膜异位症
     * 3 无
     */
    List<String> GYNAE_DISEASE = Arrays.asList("1","2","3");
    /**
     * 您是否近期常有以下异常症状？
     * 1 嗳气
     * 2 上腹烧灼感
     * 3 腹痛
     * 4 无
     */
    List<String> FGID_ABNORMAL_SYMPTOMS = Arrays.asList("1","2","3","4");
    /**
     * 	请勾选出以下持续至少6个月的症状？
     * 1 腹泻
     * 2 腹胀
     * 3 便秘
     * 4 嗳气
     * 5 上腹烧灼感
     * 6 腹痛
     * 7 无
     */
    List<String> FGID_MORE_SIX_MONTH_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 	您是否有以下健康问题？
     * 1 反复感冒
     * 2 伤口容易感染
     * 3 伤口愈合时间较正常长
     * 4 身体不同部位易长细小疖肿
     * 5 易感染传染病（如：感冒）
     * 6 有过敏的问题
     * 7 无
     */
    List<String> IMMUNITY_HEALTH_PROBLEM = Arrays.asList("1","2","3","4","5","6","7");
    /**
     * 您是否处于产后1年内？
     * 1 是
     * 2 否
     */
    List<String> POSTNATAL_ONE_YEAR = Arrays.asList("1","2");
    /**
     * 请您选择处于产后的具体时间段？
     * 1 42天以内
     * 2 未满2个月
     * 3 已满2个月
     * 4 已满3个月
     * 5 已满4个月
     * 6 已满5个月
     * 7 满6个月及以上
     */
    List<String> LACTATION = Arrays.asList("1","2");

    /**
     * 您当前或之前存在以下哪种症状？
     * 1 气短、气促
     * 2 疲倦或精神萎靡
     * 3 胸闷
     * 4 胃纳亢进
     * 5 便秘
     * 6 关节痛
     * 7 肌肉酸痛
     * 8 焦虑、抑郁
     * 9 无症状
     */
    List<String> HAVE_SYMPTOMS = Arrays.asList("1","2","3","4","5","6","7","8","9");

    /**
     * 您的改善情况为？
     * 1 从无到有
     * 2 症状加重
     * 3 症状减轻
     * 4 症状消失
     * 5 一直存在，程度未改变
     */
    List<String> SYMPTOMS = Arrays.asList("1","2","3","4","5");

    /**
     * 你入睡潜伏期在哪个时间段？
     * 1 入睡时间30-60分钟
     * 2 入睡时间61-90分钟
     * 3 入睡时间大于90分钟
     */
    List<String> SLEEP_LATENCY = Arrays.asList("1","2","3");

    /**
     * 你夜间觉醒次数大约在多少次？
     * 1 夜间觉醒2-5次
     * 2 夜间觉醒6-10次
     * 3 夜间觉醒大于10次
     */
    List<String> AWAKEN_TIMES = Arrays.asList("1","2","3");

    /**
     * 	你经常在哪个时间段入睡？
     * 1 入睡时间23：00-24：00
     * 2 入睡时间24：00-01：00
     * 3 入睡时间晚于凌晨1点
     */
    List<String> SLEEP_TIME = Arrays.asList("1","2","3");

    /**
     * 你每天睡眠时间不足在哪个范围？
     * 1 睡眠时间5-6小时
     * 2 睡眠时间4-5小时
     * 3 睡眠时间不足4小时
     */
    List<String> LACK_SLEEP_TIME = Arrays.asList("1","2","3");


    /**
     * 	年龄段
     * 0（未检测出）
     * 1（青少年）
     * 2（青年）
     * 3（中青年）
     * 4（中年）
     * 5（老年）
     */
    List<String> AGE_GROUP = Arrays.asList("0","1","2","3","4","5");

    /**
     * 生理状态（精神状态）
     * 0 - 正常，
     * 1 - 焦虑，
     * 2生理疲劳（运动性），
     * 3 - 昏昏欲睡。
     */
    List<String> INSTANT_STATUS = Arrays.asList("0","1","2","3");

    /**
     * 表情
     * 0生气
     * 1厌恶
     * 2恐惧
     * 3高兴
     * 4伤心
     * 5惊讶
     * 6平静
     */
    List<String> EMOTION = Arrays.asList("0","1","2","3","4","5","6");



}
