package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 测评标签
 * @author ：fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum AssessmentLabelEnum {
    /**
     * 健康
     */
    LABEL_0("0", "健康"),
    /**
     * 非久坐
     */
    LABEL_1("1", "非久坐"),
    /**
     * 久坐
     */
    LABEL_2("2", "久坐"),
    /**
     * 体力活动为主
     */
    LABEL_3("3", "体力活动为主"),
    /**
     * 高盐饮食
     */
    LABEL_4("4", "高盐饮食"),
    /**
     * 高糖饮食
     */
    LABEL_5("5", "高糖饮食"),
    /**
     * 高脂肪高胆固醇饮食
     */
    LABEL_6("6", "高脂肪高胆固醇饮食"),
    /**
     * 高嘌呤饮食
     */
    LABEL_7("7", "高嘌呤饮食"),
    /**
     * 烟熏饮食
     */
    LABEL_8("8", "烟熏饮食"),
    /**
     * 蔬菜少
     */
    LABEL_9("9", "蔬菜少"),
    /**
     * 水果少
     */
    LABEL_10("10", "水果少"),

    /**
     * 粗粮少
     */
    LABEL_11("11", "粗粮少"),

    /**
     * 饮食不规律
     */
    LABEL_12("12", "饮食不规律"),
    /**
     * 进食过快
     */
    LABEL_13("13", "进食过快"),
    /**
     * 夜晚进食
     */
    LABEL_14("14", "夜晚进食"),
    /**
     * 常在外就餐
     */
    LABEL_15("15", "常在外就餐"),
    /**
     * 不吃早餐
     */
    LABEL_16("16", "不吃早餐"),
    /**
     * 严重过量饮酒
     */
    LABEL_17("17", "严重过量饮酒"),
    /**
     * 过量饮酒
     */
    LABEL_18("18", "过量饮酒"),
    /**
     * 饮酒
     */
    LABEL_19("19", "饮酒"),
    /**
     * 饮水不足
     */
    LABEL_20("20", "饮水不足"),
    /**
     * 饮水量少
     */
    LABEL_21("21", "饮水量少"),
    /**
     * 低量吸烟
     */
    LABEL_22("22", "低量吸烟"),
    /**
     * 中量吸烟
     */
    LABEL_23("23", "中量吸烟"),
    /**
     * 大量吸烟
     */
    LABEL_24("24", "大量吸烟"),
    /**
     * 接触二手烟
     */
    LABEL_25("25", "接触二手烟"),
    /**
     * 吸烟量极高
     */
    LABEL_26("26", "吸烟量极高"),
    /**
     * 已戒烟
     */
    LABEL_27("27", "已戒烟"),
    /**
     * 情绪状态不良
     */
    LABEL_28("28", "情绪状态不良"),
    /**
     * 遇到突发事件
     */
    LABEL_29("29", "遇到突发事件"),
    /**
     * 轻度入睡困难
     */
    LABEL_30("30", "轻度入睡困难"),

    /**
     * 中度入睡困难
     */
    LABEL_31("31", "中度入睡困难"),

    /**
     * 严重入睡困难
     */
    LABEL_32("32", "严重入睡困难"),
    /**
     * 轻度易醒
     */
    LABEL_33("33", "轻度易醒"),
    /**
     * 中度易醒
     */
    LABEL_34("34", "中度易醒"),
    /**
     * 严重易醒
     */
    LABEL_35("35", "严重易醒"),
    /**
     * 轻度早醒
     */
    LABEL_36("36", "轻度早醒"),
    /**
     * 中度早醒
     */
    LABEL_37("37", "中度早醒"),
    /**
     * 严重早醒
     */
    LABEL_38("38", "严重早醒"),
    /**
     * 轻度熬夜
     */
    LABEL_39("39", "轻度熬夜"),
    /**
     * 中度熬夜
     */
    LABEL_40("40", "中度熬夜"),
    /**
     * 严重熬夜
     */
    LABEL_41("41", "严重熬夜"),
    /**
     * 轻度睡眠不足
     */
    LABEL_42("42", "轻度睡眠不足"),
    /**
     * 中度睡眠不足
     */
    LABEL_43("43", "中度睡眠不足"),
    /**
     * 严重睡眠不足
     */
    LABEL_44("44", "严重睡眠不足"),
    /**
     * 高碘饮食
     */
    LABEL_45("45", "高碘饮食"),
    /**
     * 致甲肿物质
     */
    LABEL_46("46", "致甲肿物质"),
    /**
     * 无特食过量
     */
    LABEL_47("47", "无特食过量"),
    /**
     * 无Ⅱ类特食过量
     */
    LABEL_48("48", "无Ⅱ类特食过量"),
    /**
     * 作息不规律
     */
    LABEL_49("49", "作息不规律"),
    /**
     * 无列举习惯
     */
    LABEL_50("50", "无列举习惯"),
    /**
     * 不喝酒
     */
    LABEL_51("51", "不喝酒"),
    /**
     * 无吸烟困扰
     */
    LABEL_52("52", "无吸烟困扰"),
    /**
     * 入睡困难
     */
    LABEL_53("53", "入睡困难"),
    /**
     * 易醒
     */
    LABEL_54("54", "易醒"),
    /**
     * 早醒
     */
    LABEL_55("55", "早醒"),
    /**
     * 睡眠习惯差
     */
    LABEL_56("56", "睡眠习惯差"),
    /**
     * 晚睡
     */
    LABEL_57("57", "晚睡"),
    /**
     * 睡眠不足
     */
    LABEL_58("58", "睡眠不足"),
    /**
     * 无情绪问题
     */
    LABEL_59("59", "无情绪问题"),
    /**
     * 无睡眠问题
     */
    LABEL_60("60", "无睡眠问题"),


    ;
    /**
     * 标签code
     */
    private String code;
    /**
     * 标签描述
     */
    private String description;


    public static AssessmentLabelEnum getEnum(String code) {
        AssessmentLabelEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (AssessmentLabelEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
