package com.jiankangyouyi.cloud.assessment.enums;

import com.jiankangyouyi.cloud.core.util.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务类型Enum
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum BizTypeEnum {
    


    /**
     * 健康评估中心测评
     */
    BIZ_012502("012502", "健康评估中心", null),


    /**
     * 生活方式中心
     */
    BIZ_190101("190101", "生活方式中心", null),
    /**
     * 效果评估中心
     */
    BIZ_200101("200101", "效果评估中心", null),

    /**
     * 运动干预中心
     */
    BIZ_032501("032501", "运动干预中心", null),

    /**
     * 饮食干预中心
     */
    BIZ_020501("020501", "饮食干预中心", null),

    /**
     * 体检报告
     */
    BIZ_012505("012505", "体检报告", null),

    /**
     * 健康评估中心+体检报告
     */
    BIZ_012506("012506", "健康评估中心+体检报告", null),

    ;
    private String bizType;

    private String bizName;

    private String oldEvaluationCode;


    public static BizTypeEnum getEnum(String bizType) {
        BizTypeEnum[] values = values();
        if (bizType == null) {
            return null;
        }
        for (BizTypeEnum value : values) {
            if (bizType.equals(value.bizType)) {
                return value;
            }
        }
        return null;
    }

    public static BizTypeEnum getEnumByEvaluationCode(String oldEvaluationCode) {
        BizTypeEnum[] values = values();
        if (oldEvaluationCode == null) {
            return null;
        }
        for (BizTypeEnum value : values) {
            if (StringUtils.isNotBlank(value.oldEvaluationCode) && oldEvaluationCode.equals(value.oldEvaluationCode)) {
                return value;
            }
        }
        return null;
    }
}
