package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 回调类型
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum CallbackTypeEnum {

    /**
     * 测评访问权限回调
     */
    PERMISSION("1", "测评访问权限回调"),

    /**
     * 测评报告数据回调
     */
    REPORT_DATA("2", "测评报告数据回调"),


    ;
    private String callbackType;

    private String describe;


    public static CallbackTypeEnum getEnum(String callbackType) {
        CallbackTypeEnum[] values = values();
        if (callbackType == null) {
            return null;
        }
        for (CallbackTypeEnum value : values) {
            if (callbackType.equals(value.callbackType)) {
                return value;
            }
        }
        return null;
    }


}
