package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 测评配置状态
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum ConfigStatusEnum {

    /**
     * 启用
     */
    ENABLE("1", "启用"),

    /**
     * 不启用
     */
    DISABLE("2", "不启用"),


    /**
     * 删除
     */
    DELETE("3", "删除");

    private String status;

    private String describe;


    public static ConfigStatusEnum getEnum(String status) {
        ConfigStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (ConfigStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

    public static List<String> getConfigStatusList() {
        ConfigStatusEnum[] values = values();

        List<String> result = new ArrayList<>();

        for (ConfigStatusEnum value : values) {
            result.add(value.getStatus());
        }

        return result;
    }


}
