package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 疾病症状Enum
 *
 * @author yangsongbo
 */
@Getter
@AllArgsConstructor
public enum DiseaseSymptomEnum {


    /**
     * 视力模糊
     */
    BLURRED_VISION("1", "视力模糊"),

    /**
     * 疲劳
     */
    TIRED("2", "疲劳"),

    /**
     * 夜尿
     */
    NOCTURIA("3", "夜尿"),

    /**
     * 尿路感染
     */
    URINARY_TRACT_INFECTION("4", "尿路感染"),

    /**
     * 四肢麻木
     */
    NUMBNESS_OF_LIMBS("5", "四肢麻木"),

    /**
     * 下肢浮肿
     */
    EDEMA_OF_LOWER_LIMBS("6", "下肢浮肿"),

    /**
     * 体重明显下降
     */
    WEIGHT_LOSS("7", "体重明显下降"),

    /**
     * 低血糖
     */
    HYPOGLYCEMIA("8", "低血糖"),

    /**
     * 伤口愈合缓慢
     */
    THE_WOUND_HEALED_SLOWLY("9", "伤口愈合缓慢"),

    /**
     * 手、胳膊、腿、脚麻木刺痛
     */
    NUMBNESS_AND_TINGLING_OF_LIMBS("10", "手、胳膊、腿、脚麻木刺痛"),

    /**
     * 牙龈发炎
     */
    GINGIVITIS("11", "牙龈发炎"),

    /**
     * 多饮
     */
    DRINK_MORE("12", "多饮"),

    /**
     * 多食
     */
    EAT_MORE("13", "多食"),

    /**
     * 多尿
     */
    POLYURIA("14", "多尿"),

    /**
     * 头痛
     */
    HEADACHE("15", "头痛"),

    /**
     * 头晕
     */
    DIZZY("16", "头晕"),

    /**
     * 恶心、呕吐
     */
    NAUSEA_AND_VOMITING("17", "恶心、呕吐"),

    /**
     * 耳鸣
     */
    TINNITUS("18", "耳鸣"),

    /**
     * 呼吸困难
     */
    DYSPNEA("19", "呼吸困难"),

    /**
     * 心悸胸闷
     */
    PALPITATION_AND_CHEST_TIGHTNESS("20", "心悸胸闷"),

    /**
     * 鼻衄出血不止
     */
    EPISTAXIS_BLEEDING("21", "鼻衄出血不止"),

    /**
     * 乏力
     */
    WEAKNESS("22", "乏力"),

    /**
     * 困倦
     */
    DROWSINESS("23", "困倦"),

    /**
     * 面部潮红
     */
    FACE_FLUSH("24", "面部潮红"),

    /**
     * 气短
     */
    SHORTNESS_OF_BREATH("25", "气短"),

    /**
     * 胸痛
     */
    CHEST_PAIN("26", "胸痛"),

    /**
     * 心慌
     */
    FLUSTERED("27", "心慌"),

    /**
     * 小腿发凉／麻木
     */
    COOL_OR_NUMB_LEGS("28", "小腿发凉／麻木"),

    /**
     * 肢体无力
     */
    LIMB_WEAKNESS("29", "肢体无力"),

    /**
     * 肌肉刺痛
     */
    MUSCLE_TINGLING("30", "肌肉刺痛"),

    /**
     * 畏热
     */
    INTOLERANCE_OF_HEAT("31", "畏热"),

    /**
     * 多汗
     */
    PROFUSE_SWEATING("32", "多汗"),

    /**
     * 气喘
     */
    BREATHLESS("33", "气喘"),

    /**
     * 腹胀
     */
    ABDOMINAL_DISTENTION("34", "腹胀"),

    /**
     * 肘关节痛
     */
    ELBOW_JOINT_PAIN("35", "肘关节痛"),

    /**
     * 腕关节痛
     */
    WRIST_JOINT_PAIN("36", "腕关节痛"),

    /**
     * 手指关节痛
     */
    FINGER_JOINT_PAIN("37", "手指关节痛"),

    /**
     * 膝关节痛
     */
    KNEE_JOINT_PAIN("38", "膝关节痛"),

    /**
     * 踝关节痛
     */
    ANKLE_JOINT_PAIN("39", "踝关节痛"),

    /**
     * 脚趾关节痛
     */
    TOES_JOINT_PAIN("40", "脚趾关节痛"),

    /**
     * 食欲不振
     */
    LOSS_OF_APPETITE("41", "食欲不振"),

    /**
     * 肝区或右上腹隐痛
     */
    DULL_PAIN_IN_LIVER("42", "肝区或右上腹隐痛"),

    /**
     * 舌炎、口角炎
     */
    GLOSSITIS_AND_ANGULAR_STOMATITIS("43", "舌炎、口角炎"),

    /**
     * 皮肤瘀斑
     */
    ECCHYMOSIS_OF_SKIN("44", "皮肤瘀斑"),

    /**
     * 口干／口苦
     */
    DRY_MOUTH_OR_BITTER_MOUTH("45", "口干／口苦"),

    /**
     * 便秘或便稀
     */
    CONSTIPATION_OR_CONSTIPATION("46", "便秘或便稀"),

    /**
     * 脉搏缓慢
     */
    THE_PULSE_IS_SLOW("47", "脉搏缓慢"),

    /**
     * 心绞痛（前胸压榨性疼痛）
     */
    ANGINA_PECTORIS("48", "心绞痛（前胸压榨性疼痛）"),

    /**
     * 喘憋
     */
    ASTHMATIC("49", "喘憋"),

    /**
     * 不能平卧
     */
    INABILITY_TO_LIE_FLAT("50", "不能平卧"),

    /**
     * 走路不稳
     */
    WALKING_UNSTEADILY("51", "走路不稳"),

    /**
     * 发音、吞咽困难
     */
    DYSPHONIA_AND_DYSPHAGIA("52", "发音、吞咽困难"),

    /**
     * 看东西成双影
     */
    SEEING_THINGS_IN_PAIRS("53", "看东西成双影"),

    /**
     * 说不出话／听不懂别人及自己说的话
     */
    UNABLE_TO_SPEAK_OR_UNDERSTAND("54", "说不出话／听不懂别人及自己说的话"),

    /**
     * 疼痛（全身骨痛／腰、背疼）
     */
    GENERAL_BONE_PAIN("55", "疼痛（全身骨痛／腰、背疼）"),

    /**
     * 身高缩短、驼背
     */
    SHORT_STATURE_AND_HUNCHBACK("56", "身高缩短、驼背"),

    /**
     * 骨折
     */
    FRACTURE("57", "骨折"),

    //效果评估添加
    /**
     * 气喘
     */
    BREATHE_HARD("58", "气喘"),
    /**
     * 疲乏
     */
    TIRED_ENERGIELOS("59", "疲乏"),
    /**
     * 胸闷
     */
    CHEST_DISTRESS("60", "胸闷"),
    /**
     * 食欲亢进
     */
    STOMACH_STHENIA("61", "食欲亢进"),
    /**
     * 便秘
     */
    CONSTIPATE("62", "便秘"),
    /**
     * 关节痛
     */
    JOINT_PAIN("63", "关节痛"),
    /**
     * 肌肉酸痛
     */
    MUSCLE_ACHE("64", "肌肉酸痛"),
    /**
     * 抑郁
     */
    ANXIETY("65", "抑郁"),




    ;

    private String symptom;

    private String description;


    public static DiseaseSymptomEnum getEnum(String symptom) {
        DiseaseSymptomEnum[] values = values();
        if (symptom == null) {
            return null;
        }
        for (DiseaseSymptomEnum value : values) {
            if (symptom.equals(value.symptom)) {
                return value;
            }
        }
        return null;
    }

    /**
     * 获取所有的疾病症状
     *
     * @return 疾病症状列表
     */
    public static List<String> getDiseaseSymptoms() {
        DiseaseSymptomEnum[] values = values();
        List<String> diseaseSymptoms = new ArrayList<>();
        for (DiseaseSymptomEnum value : values) {
            diseaseSymptoms.add(value.getSymptom());
        }
        return diseaseSymptoms;
    }


    public static void main(String[] args) {

        for (DiseaseSymptomEnum value : DiseaseSymptomEnum.values()) {
            System.out.println(value.getSymptom() + " " + value.getDescription());
        }

    }
}
