package com.jiankangyouyi.cloud.assessment.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum EffectImproveStatusEnum implements BaseEnum {


    /**
     * 效果 良好
     */
    GOOD("1","良好"),
    /**
     * 效果 一般
     */
    GENERAL("2","一般"),
    /**
     * 效果 较差
     */
    BAD("3","较差"),

    /**
     * 效果 好转
     */
    BETTER("4","好转"),
    /**
     * 效果 持平
     */
    FLAT("5","持平"),
    /**
     * 效果 下滑
     */
    DECLINE("6","下滑"),
    ;

    private String code;
    private String message;


    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }

    public static EffectImproveStatusEnum getEnumByCode(String code){
        for (EffectImproveStatusEnum statusEnum :values()){
            if (statusEnum.code.equals(code)){
                return statusEnum;
            }
        }
        return null;
    }
}
