package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指标描述类型
 *
 * @author ：wangyalei
 * @date ：Created in 2021/9/23 2:57 下午
 */
@Getter
@AllArgsConstructor
public enum IndicatorDescriptionEnum {
    /**
     * 正常
     */
    NORMAL("060501", "正常"),
    /**
     * 消瘦
     */
    THIN("060502", "消瘦"),
    /**
     * 超重
     */
    OVER_WEIGHT("060503", "超重"),
    /**
     * 轻度肥胖
     */
    MILD_OBESITY("060507", "轻度肥胖"),
    /**
     * 肥胖
     */
    OBESITY("060504", "肥胖"),
    /**
     * 中心型肥胖前期
     */
    PRECENTRAL_OBESITY("060505", "中心型肥胖前期"),
    /**
     * 中心型肥胖
     */
    CENTRAL_OBESITY("060506", "中心型肥胖"),
    /**
     * 空腹血糖受损
     */
    IFG("060508", "空腹血糖受损"),
    /**
     * 糖耐量异常
     */
    IGT("060509", "糖耐量异常"),
    /**
     * 糖尿病
     */
    DIABETES("060510", "糖尿病"),
    /**
     * 低血糖
     */
    GLYCOPENIA("060511", "低血糖"),
    /**
     * 偏低
     */
    LOW("060512", "偏低"),
    /**
     * 高血糖
     */
    HYPERGLYCEMIA("060513", "高血糖"),
    /**
     * 偏高
     */
    MORE_HIGH("060514", "偏高"),
    /**
     * 高
     */
    HIGH("060545", "高"),
    /**
     * 高
     */
    EXTREME_HIGH("060546", "极高"),
    /**
     * 血糖控制不佳
     */
    POOR_BLOOD_SUGAR_CONTROL("060515", "血糖控制不佳"),
    /**
     * 正常血压
     */
    NORMAL_BLOOD_PRESSURE("060516", "正常血压"),
    /**
     * 正常高值
     */
    NORMAL_HIGH_VALUE("正常高值", "正常高值"),
    /**
     * 低血压
     */
    LOW_BLOOD_PRESSURE("060517", "低血压"),
    /**
     * 高血压
     */
    HIGH_BLOOD_PRESSURE("060518", "高血压"),
    /**
     * 理想水平
     */
    IDEAL_LEVEL("060519", "理想水平"),
    /**
     * 合适水平
     */
    APPROPRIATE_LEVEL("060520", "合适水平"),
    /**
     * 边缘升高
     */
    EDGE_HIGHER("060521", "边缘升高"),
    /**
     * 升高
     */
    RISE("060522", "升高"),
    /**
     * 降低
     */
    LOWER("060523", "降低"),
    /**
     * 骨量正常
     */
    BONE_MASS_NORMAL("060524", "骨量正常"),
    /**
     * 骨量减少
     */
    BONE_MASS_REDUCE("060525", "骨量减少"),
    /**
     * 骨质疏松
     */
    OSTEOPOROSIS("060526", "骨质疏松"),
    /**
     * 高尿酸血症
     */
    HYPERURICEMIA("060527", "高尿酸血症"),
    /**
     * 轻度脂肪肝
     */
    LIGHT_FATTY_LIVER("060528", "轻度脂肪肝"),
    /**
     * 中度脂肪肝
     */
    MODERATE_FATTY_LIVER("060529", "中度脂肪肝"),
    /**
     * 重度脂肪肝
     */
    SEVERE_FATTY_LIVER("060530", "重度脂肪肝"),
    /**
     * 心动过缓
     */
    BRADYCARDIA("060531", "心动过缓"),
    /**
     * 心动过速
     */
    TACHYCARDIA("060532", "心动过速"),
    /**
     * 轻度偏低
     */
    LIGHT_LOW("060533", "轻度偏低"),
    /**
     * 重度偏低
     */
    SEVERE_LOW("060534", "重度偏低"),
    /**
     * 低温
     */
    LOW_TEMPERATURE("060535", "低温"),
    /**
     * 低热
     */
    LOW_HEAT("060536", "低热"),
    /**
     * 高热
     */
    HIGH_HEAT("060537", "高热"),
    /**
     * 良好
     */
    GOOD("060538", "良好"),
    /**
     * 优秀
     */
    EXCELLENT("060539", "优秀"),
    /**
     * 合理
     */
    REASONABLE("060540", "合理"),
    /**
     * 平静
     */
    CALMNESS("060541", "平静"),
    /**
     * 舒缓
     */
    RELIEVE("060542", "舒缓"),
    /**
     * 紧张
     */
    NERVOUS("060543", "紧张"),
    /**
     * 焦虑
     */
    ANXIETY("060544", "焦虑"),
    /**
     * 阴性
     */
    NEGATIVE("060547", "阴性"),
    /**
     * 弱阴性
     */
    WEAK_NEGATIVE("060548", "弱阴性"),
    /**
     * 阳性
     */
    POSITIVE("060549", "阳性"),
    /**
     * 强阳性
     */
    STRONGLY_POSITIVE("060550", "强阳性"),
    /**
     * 异常
     */
    ABNORMAL("060551", "异常"),
    /**
     * 微量
     */
    MICROSCALE("060552", "微量"),
    /**
     * 少量
     */
    FEW_AMOUNT("060553", "少量"),
    /**
     * 中量
     */
    MIDDLE_AMOUNT("060554", "中量"),
    /**
     * 大量
     */
    LARGE_AMOUNT("060555", "大量"),
    /**
     * 达标
     */
    REACHED("060556", "达标"),
    /**
     * 未达标
     */
    NO_REACHED("060557", "未达标"),
    /**
     * 标准
     */
    STANDARD("060558", "标准"),
    /**
     * 低
     */
    LOWEST("060578", "低");


    private String code;

    private String description;


    public static IndicatorDescriptionEnum getEnum(String code) {
        IndicatorDescriptionEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (IndicatorDescriptionEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
