package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式标签
 * @author ：wangyalei
 * @date ：2021/12/6 1:10 下午
 */
@Getter
@AllArgsConstructor
public enum LifeStyleLabel2Enum {


    /**
     * 高盐饮食
     */
    LABEL_1("1", "高盐饮食"),
    /**
     * 高糖饮食
     */
    LABEL_2("2", "高糖饮食"),
    /**
     * 高脂肪高胆固醇饮食
     */
    LABEL_3("3", "高脂肪高胆固醇饮食"),
    /**
     * 精细饮食
     */
    LABEL_4("4", "精细饮食"),
    /**
     * 喜爱吃高热量零食
     */
    LABEL_5("5", "喜爱吃高热量零食"),
    /**
     * 每餐过饱
     */
    LABEL_6("6", "每餐过饱"),
    /**
     * 进食过快
     */
    LABEL_7("7", "进食过快"),
    /**
     * 夜晚进食
     */
    LABEL_8("8", "夜晚进食"),
    /**
     * 常在外就餐
     */
    LABEL_9("9", "常在外就餐"),
    /**
     * 不吃早餐
     */
    LABEL_10("10", "不吃早餐"),

    /**
     * 节食不当
     */
    LABEL_11("11", "节食不当"),

    /**
     * 暴饮暴食
     */
    LABEL_12("12", "暴饮暴食"),
    /**
     * 情绪化进食
     */
    LABEL_13("13", "情绪化进食"),
    /**
     * 运动不足
     */
    LABEL_14("14", "运动不足"),
    /**
     * 久坐
     */
    LABEL_15("15", "久坐"),
    /**
     * 过量饮酒
     */
    LABEL_16("16", "过量饮酒"),

    /**
     * 睡眠不足
     */
    LABEL_17("17", "睡眠不足"),
    /**
     * 肥胖的危害意识欠佳
     */
    LABEL_18("18", "肥胖的危害意识欠佳"),


    ;
    /**
     * 标签code
     */
    private String code;
    /**
     * 标签描述
     */
    private String description;


    public static LifeStyleLabel2Enum getEnum(String code) {
        LifeStyleLabel2Enum[] values = values();
        if (code == null) {
            return null;
        }
        for (LifeStyleLabel2Enum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
