package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式标签 (此版本后续不再使用)
 * @author ：wangyalei
 * @date ：2021/12/6 1:10 下午
 */
@Getter
@AllArgsConstructor
@Deprecated
public enum LifeStyleLabelEnum {

    /**
     * 健康
     */
    LABEL_0("0", "健康"),

    /**
     * 长时间久坐
     */
    LABEL_1("1", "长时间久坐"),

    /**
     * 体力活动一般
     */
    LABEL_2("2", "体力活动一般"),
    /**
     * 体力活动为主
     */
    LABEL_3("3", "体力活动为主"),
    /**
     * 高盐饮食
     */
    LABEL_4("4", "高盐饮食"),
    /**
     * 高糖饮食
     */
    LABEL_5("5", "高糖饮食"),
    /**
     * 高脂肪高胆固醇饮食
     */
    LABEL_6("6", "高脂肪高胆固醇饮食"),
    /**
     * 高嘌呤饮食
     */
    LABEL_7("7", "高嘌呤饮食"),
    /**
     * 烟熏饮食
     */
    LABEL_8("8", "烟熏饮食"),
    /**
     * 蔬菜少
     */
    LABEL_9("9", "蔬菜少"),
    /**
     * 水果少
     */
    LABEL_10("10", "水果少"),

    /**
     * 粗粮少
     */
    LABEL_11("11", "粗粮少"),

    /**
     * 饮食不规律
     */
    LABEL_12("12", "饮食不规律"),
    /**
     * 进食过快
     */
    LABEL_13("13", "进食过快"),
    /**
     * 夜晚进食
     */
    LABEL_14("14", "夜晚进食"),
    /**
     * 常在外就餐
     */
    LABEL_15("15", "常在外就餐"),
    /**
     * 不吃早餐
     */
    LABEL_16("16", "不吃早餐"),
    /**
     * 严重过量饮酒
     */
    LABEL_17("17", "严重过量饮酒"),
    /**
     * 过量饮酒
     */
    LABEL_18("18", "过量饮酒"),
    /**
     * 饮酒
     */
    LABEL_19("19", "饮酒"),
    /**
     * 饮水不足
     */
    LABEL_20("20", "饮水不足"),

    /**
     * 饮水量少
     */
    LABEL_21("21", "饮水量少"),

    /**
     * 吸烟量低
     */
    LABEL_22("22", "吸烟量低"),
    /**
     * 吸烟量中
     */
    LABEL_23("23", "吸烟量中"),
    /**
     * 吸烟量高
     */
    LABEL_24("24", "吸烟量高"),
    /**
     * 接触二手烟
     */
    LABEL_25("25", "接触二手烟"),
    /**
     * 吸烟量极高
     */
    LABEL_26("26", "吸烟量极高"),


    /**
     * 情绪状态不良
     */
    LABEL_28("28", "情绪状态不良"),
    /**
     * 遇到突发事件
     */
    LABEL_29("29", "遇到突发事件"),
    /**
     * 轻度入睡困难
     */
    LABEL_30("30", "轻度入睡困难"),

    /**
     * 中度入睡困难
     */
    LABEL_31("31", "中度入睡困难"),

    /**
     * 严重入睡困难
     */
    LABEL_32("32", "严重入睡困难"),
    /**
     * 轻度易醒
     */
    LABEL_33("33", "轻度易醒"),
    /**
     * 中度易醒
     */
    LABEL_34("34", "中度易醒"),
    /**
     * 严重易醒
     */
    LABEL_35("35", "严重易醒"),
    /**
     * 轻度早醒
     */
    LABEL_36("36", "轻度早醒"),
    /**
     * 中度早醒
     */
    LABEL_37("37", "中度早醒"),
    /**
     * 严重早醒
     */
    LABEL_38("38", "严重早醒"),
    /**
     * 轻度熬夜
     */
    LABEL_39("39", "轻度熬夜"),
    /**
     * 中度熬夜
     */
    LABEL_40("40", "中度熬夜"),

    /**
     * 严重熬夜
     */
    LABEL_41("41", "严重熬夜"),
    /**
     * 轻度睡眠不足
     */
    LABEL_42("42", "轻度睡眠不足"),
    /**
     * 中度睡眠不足
     */
    LABEL_43("43", "中度睡眠不足"),
    /**
     * 严重睡眠不足
     */
    LABEL_44("44", "严重睡眠不足")
    ;
    /**
     * 标签code
     */
    private String code;
    /**
     * 标签描述
     */
    private String description;


    public static LifeStyleLabelEnum getEnum(String code) {
        LifeStyleLabelEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (LifeStyleLabelEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
