package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式方案阶段
 * @author ：wangyalei
 * @date ：2021/12/6 3:20 下午
 */
@Getter
@AllArgsConstructor
public enum LifeStyleSchemeStageEnum {
    /**
     * 第一阶段
     */
    FIRST("FIRST","第一阶段"),
    /**
     * 第二阶段
     */
    SECOND("SECOND","第二阶段"),
    /**
     * 第三阶段
     */
    THIRD("THIRD","第三阶段"),
    /**
     * 第四阶段
     */
    FOURTH("FOURTH","第四阶段");


    /**
     * 阶段code
     */
    private String code;
    /**
     * 阶段描述
     */
    private String description;


    public static LifeStyleSchemeStageEnum getEnum(String code) {
        LifeStyleSchemeStageEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (LifeStyleSchemeStageEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
