package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 生活方式方案状态
 *
 * @author wangyalei
 */
@AllArgsConstructor
@Getter
public enum LifeStyleSchemeStatusEnum {

    /**
     * 未开始
     */
    NOT_STARTED("NOT_STARTED", "未开始"),
    /**
     * 进行中
     */
    ON_GOING("ON_GOING", "进行中"),
    /**
     * 准备进入等待
     */
    READY_TO_WAIT("READY_TO_WAIT", "准备进入等待"),
    /**
     * 等待中
     */
    WAITING("WAITING", "等待中");

    private String status;

    private String describe;


    public static LifeStyleSchemeStatusEnum getEnum(String status) {
        LifeStyleSchemeStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (LifeStyleSchemeStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

    public static List<String> getConfigStatusList() {
        LifeStyleSchemeStatusEnum[] values = values();

        List<String> result = new ArrayList<>();

        for (LifeStyleSchemeStatusEnum value : values) {
            result.add(value.getStatus());
        }

        return result;
    }


}
