package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 方案类别
 *
 * @author ：wangyalei
 * @date ：2021/12/6 10:25 上午
 */
@AllArgsConstructor
@Getter
public enum LifeStyleSchemeTypeEnum {

    /**
     * 饮食
     */
    DIETARY("DIETARY", "饮食"),
    /**
     * 运动
     */
    EXERCISE("EXERCISE", "运动"),
    /**
     * 饮酒
     */
    DRINK("DRINK", "饮酒"),

    /**
     * 心理
     */
    MENTALITY("MENTALITY", "心理"),

    /**
     * 睡眠
     */
    SLEEP("SLEEP", "睡眠"),

    /**
     * 吸烟
     */
    SMOKE("SMOKE", "吸烟"),
    /**
     * 其他
     */
    OTHER("OTHER", "其他"),

    ;

    /**
     * 标题编码
     */
    private String typeCode;
    /**
     * 标题名称
     */
    private String typeName;


    public static LifeStyleSchemeTypeEnum getEnum(String typeCode) {
        LifeStyleSchemeTypeEnum[] values = values();
        if (typeCode == null) {
            return null;
        }
        for (LifeStyleSchemeTypeEnum value : values) {
            if (typeCode.equals(value.typeCode)) {
                return value;
            }
        }
        return null;
    }
}
