package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author ：wangyalei
 * @date ：2021/12/6 10:25 上午
 */
@AllArgsConstructor
@Getter
public enum LifeStyleTitleEnum {
    /**
     * 控糖
     */
    ACCUSED_OF_SUGAR("ACCUSED_OF_SUGAR", "控糖","8aa7bfd1b0f64a168cc5ffe4fed7950f.png?Fk5OxyDXti_zF4_lJnowiZRB9AZ6?jkyy"),
    /**
     * 低脂低胆固醇饮食
     */
    LOW_FAT_LOW_CHOLESTEROL_DIET("LOW_FAT_LOW_CHOLESTEROL_DIET", "低脂低胆固醇饮食","585b08851616433ea73e9b81c1b31109.png?FgZBxFJbJ-6RHh9VKP0NS6HJ30jU?jkyy"),
    /**
     * 合理选择零食
     */
    CHOOSE_SNACKS_WISELY("CHOOSE_SNACKS_WISELY", "合理选择零食","6be040d568c74ac191999ce529388bb7.png?FsCto0sImeCd5GrgvKMlZCOZi0-z?jkyy"),
    /**
     * 每餐只吃“七八分饱”
     */
    NOT_EATING_ENOUGH_WITH_EACH_MEAL("NOT_EATING_ENOUGH_WITH_EACH_MEAL", "每餐只吃“七八分饱”","82816b7cba604a159d917f5901aa094a.png?FoaZguKZgen4PbqA8VR1a-Js_e4_?jkyy"),
    /**
     * 低盐饮食
     */
    LOW_SALT_DIET("LOW_SALT_DIET", "低盐饮食","6eada77b9b574a1aa1b3118f7fcbd9ea.png?Fnu4tYm9dhEjDLqx_kLzTP1gybhA?jkyy"),
    /**
     * 吃早餐
     */
    TO_HAVE_BREAKFAST("TO_HAVE_BREAKFAST", "吃早餐","99b78aafc4294946af96220e44b6525f.png?FjW-yVveE5DiwXf3OIuos2FyMnSf?jkyy"),
    /**
     * 少吃或不吃夜宵
     */
    EAT_LESS_OR_SKIP_LATE_NIGHT_SNACKS("EAT_LESS_OR_SKIP_LATE_NIGHT_SNACKS", "少吃或不吃夜宵","fad187127f7e48ed8ca2c3efa5f60872.png?FkgfrDNsIkrodurJEm3Q-ADSH-ts?jkyy"),
    /**
     * 避免节食不当
     */
    AVOID_DIETING_INCORRECTLY("AVOID_DIETING_INCORRECTLY", "避免节食不当","a283b1c03e894c93b6297e5e3e3a6c2e.png?FhnTco_Wqp5P_XG1SUn_KICPhM3I?jkyy"),
    /**
     * 避免暴饮暴食
     */
    AVOID_OVEREATING("AVOID_OVEREATING", "避免暴饮暴食","112b1f3ee6b243a69776925b3fc886d1.png?FlRNuZt2afyYjwsXw3tOOeZbrxeU?jkyy"),
    /**
     * 粗细搭配
     */
    THE_THICKNESS_IS_TIE_IN("THE_THICKNESS_IS_TIE_IN", "粗细搭配","4c9741b6ca094c52b3b994461b77321a.png?FjmYfAylND4oPaAA-_l7oKcJjUD3?jkyy"),
    /**
     * 减少在外就餐
     */
    EAT_OUT_LESS("EAT_OUT_LESS", "减少在外就餐","6f6db27807db4074b3452291caca6734.png?FvVa55rGBkUsX3fjSmBtwqyl9oeT?jkyy"),
    /**
     * 细嚼慢咽
     */
    CHEW_CAREFULLY_SWALLOW_SLOWLY("CHEW_CAREFULLY_SWALLOW_SLOWLY", "细嚼慢咽","70ba54e7badb464e856e5542ec05d1b2.png?Fjq3t0ZzUqguwQO0onJvHJJ4rRam?jkyy"),
    /**
     * 避免久坐
     */
    AVOID_SEDENTARY("AVOID_SEDENTARY", "避免久坐","7c0f00fcb5dc4541919cf155ec270d81.png?Frska7-O576PdKo96ppXFxKSpTl6?jkyy"),
    /**
     * 体力活动充足
     */
    PHYSICAL_ACTIVITY("PHYSICAL_ACTIVITY", "体力活动充足","fcc6ca60f4014290bb21d203ff04de2c.png?FnexElmWlOpoUi-nMGEecum0RAPJ?jkyy"),
    /**
     * 不饮酒或少饮酒
     */
    NO_ALCOHOL_OR_LESS_ALCOHOL("NO_ALCOHOL_OR_LESS_ALCOHOL", "不饮酒或少饮酒","066a93e466df4f729cfd5d0ba0afd118.png?FmylgfDk2YUsLB1caUilPfa0-urA?jkyy"),
    /**
     * 知晓肥胖的危害
     */
    KNOW_THE_DANGERS_OF_OBESITY("KNOW_THE_DANGERS_OF_OBESITY", "知晓肥胖的危害","a40badf52ee248768e933489a9d86a35.png?FmxHz62alC_D1vapRiFJlBj7dJs5?jkyy"),
    /**
     * 避免情绪化进食
     */
    AVOID_EMOTIONAL_EATING("AVOID_EMOTIONAL_EATING", "避免情绪化进食","d9d44be435214b51aa3e8eda87665c7a.png?Fg4rZ48N7gXB42QGJAUbJi-VwGKH?jkyy"),
    /**
     * 每日睡眠6-8小时
     */
    SLEEP_SIX_TO_EIGHT_HOURS_A_DAY("SLEEP_SIX_TO_EIGHT_HOURS_A_DAY", "每日睡眠6-8小时","e21de5f397ad4ae884e7e4c1ac356139.png?FmqL2SKrqyrWYgKa0Rvs8faBiW_k?jkyy"),

    ;
    /**
     * 标题编码
     */
    private String titleCode;
    /**
     * 标题名称
     */
    private String titleName;
    /**
     * 标题LOGO
     */
    private String titleLogo;

    public static LifeStyleTitleEnum getEnum(String titleCode) {
        LifeStyleTitleEnum[] values = values();
        if (titleCode == null) {
            return null;
        }
        for (LifeStyleTitleEnum value : values) {
            if (titleCode.equals(value.titleCode)) {
                return value;
            }
        }
        return null;
    }
}
