package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 测评题类型Enum
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum QuestionTypeEnum {

    /**
     * 单选题
     */
    SINGLE_CHOICE("1", "单选题"),

    /**
     * 多选题
     */
    MULTIPLE_CHOICE("2", "多选题"),

    /**
     * 性别选择器
     */
    GENDER_CHOICE("3", "性别选择器"),

    /**
     * 出生日期选择器
     */
    BIRTHDAY_CHOICE("4", "出生日期选择器"),

    /**
     * 单项数字选择器
     */
    SINGLE_NUMBER_CHOICE("5", "单项数字选择器"),

    /**
     * 多项数字选择器
     */
    MULTIPLE_NUMBER_CHOICE("6", "多项数字选择器"),

    /**
     * BMI选择器
     */
    BMI_CHOICE("7","BMI选择器"),

    /**
     * 日期选择器
     */
    DATE_CHOICE("8","日期选择器"),


    ;
    /**
     * 测评题类型
     */
    private String questionType;

    /**
     * 描述
     */
    private String describe;


    public static QuestionTypeEnum getEnum(String questionType) {
        QuestionTypeEnum[] values = values();
        if (questionType == null) {
            return null;
        }
        for (QuestionTypeEnum value : values) {
            if (questionType.equals(value.questionType)) {
                return value;
            }
        }
        return null;
    }

    public static List<String> getQuetionTypes() {
        QuestionTypeEnum[] values = values();
        List<String> questionTypes = new ArrayList<>();

        for (QuestionTypeEnum value : values) {
            questionTypes.add(value.getQuestionType());
        }
        return questionTypes;
    }
}
