package com.jiankangyouyi.cloud.assessment.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 处理码定义
 *
 * @author wangshuang
 */
@Getter
@AllArgsConstructor
public enum ResultCodeEnum implements BaseEnum {

    /**
     * 成功
     */
    SUCCESS("0", "成功"),

    /**
     * 获取测评基本信息失败
     */
    ASS0003("ASS0003", "获取测评基本信息失败"),

    /**
     * 获取测评问卷失败
     */
    ASS0004("ASS0004", "获取测评问卷失败"),

    /**
     * 测评问卷基础数据配置有误
     */
    ASS0005("ASS0005", "测评问卷基础数据配置有误"),

    /**
     * 测评问卷解析器获取失败
     */
    ASS0006("ASS0006", "测评问卷解析器获取失败"),

    /**
     * 测评问卷解析失败
     */
    ASS0007("ASS0007", "测评问卷解析失败"),

    /**
     * 获取访问权限异常
     */
    ASS0008("ASS0008", "获取访问权限异常"),

    /**
     * 测评权限回调结果为空
     */
    ASS0009("ASS0009", "测评权限回调结果为空"),

    /**
     * 测评权限回调结果解析失败
     */
    ASS0010("ASS0010", "测评权限回调结果解析失败"),

    /**
     * 测评权限回调结果解析为空
     */
    ASS0011("ASS0011", "测评权限回调结果解析为空"),

    /**
     * 测评权限回调结果中resultCode为空
     */
    ASS0012("ASS0012", "测评权限回调结果中resultCode为空"),

    /**
     * 测评权限回调处理失败
     */
    ASS0013("ASS0013", "测评权限回调处理失败"),

    /**
     * accessToken解析失败
     */
    ASS0014("ASS0014", "accessToken解析失败"),

    /**
     * accessToken在数据库中不存在
     */
    ASS0015("ASS0015", "accessToken在数据库中不存在"),

    /**
     * accessToken已注销
     */
    ASS0016("ASS0016", "accessToken已注销"),

    /**
     * 生成测评报告失败
     */
    ASS0017("ASS0017", "生成测评报告失败"),

    /**
     * 测评报告不存在
     */
    ASS0018("ASS0018", "测评报告不存在"),

    /**
     * 获取的测评报告业务类型与请求的业务类型不一致
     */
    ASS0019("ASS0019", "获取的测评报告业务类型与请求的业务类型不一致"),

    /**
     * 营养状态测评替换食材失败
     */
    ASS0020("ASS0020", "营养状态测评替换食材失败"),


    /**
     * 生成下载文件失败
     */
    ASS0022("ASS0022", "生成下载文件失败"),

    /**
     * 生成下载文件链接失败
     */
    ASS0023("ASS0023", "生成下载文件链接失败"),

    /**
     * 健康指导 不存在
     */
    ASS0024("ASS0024", "健康指导不存在"),

    /**
     * 健康指导 获取的健康指导业务类型与请求的业务类型不一致
     */
    ASS0025("ASS0025", "获取的健康指导数据与请求的数据不一致"),

    /**
     * 效果评估 不存在
     */
    ASS0026("ASS0026", "效果评估不存在"),

    /**
     * 效果评估 获取的效果评估业务类型与请求的业务类型不一致
     */
    ASS0027("ASS0027", "获取的效果评估业务类型与请求的业务类型不一致"),

    /**
     * 生成效果评估失败
     */
    ASS0028("ASS0028", "生成效果评估失败"),
    /**
     * 权限不足
     */
    ASS0029("ASS0029", "权限不足"),
    /**
     * 暂无合适方案
     */
    ASS0030("ASS0030", "暂无合适方案"),
    /**
     * 获取方案失败
     */
    ASS0031("ASS0031", "获取方案失败"),
    /**
     * 待操作的数据不存在
     */
    ASS0032("ASS0032", "待操作的数据不存在"),
    /**
     * 健康问题与风险等级不匹配
     */
    ASS0033("ASS0033", "健康问题与风险等级不匹配"),
    /**
     * 打卡失败
     */
    ASS0034("ASS0034", "打卡失败"),





    /**
     * 测评配置信息不存在
     */
    ASM0003("ASM0003", "测评配置信息不存在"),

    /**
     * 测评配置信息已删除
     */
    ASM0004("ASM0004", "测评配置信息已删除"),

    /**
     * 获取Base URL失败
     */
    ASM0005("ASM0005", "获取Base URL失败"),

    /**
     * 获取Auth token 失败
     */
    ASM0006("ASM0006", "获取Auth token 失败"),

    /**
     * 获取吃动平衡失败
     */
    ASM0007("ASM0007", "获取吃动平衡失败"),

    /**
     * 效果评估报告不存在
     */
    ASS0035("ASS0035", "效果评估报告不存在"),

    /**
     * 获取的测评报告业务类型与请求的业务类型不一致
     */
    ASS0036("ASS0036", "获取的效果评估报告业务类型与请求的业务类型不一致"),

    /**
     * 效果评估配置信息不存在
     */
    ASM0037("ASM0037", "效果评估配置信息不存在"),

    /**
     * 参数异常
     */
    ASM0038("ASM0038", "参数异常"),


    /**
     * 生活方式报告不存在
     */
    LS0001("LS0001", "生活方式报告不存在"),

    /**
     * 方案不存在
     */
    LS0002("LS0002", "暂未匹配到有效方案"),

    /**
     * 打卡失败
     */
    LS0003("LS0003", "打卡失败"),

    /**
     * 生活方式报告创建失败
     */
    LS0004("LS0004", "生活方式报告创建失败"),


    ;

    private final String code;
    private final String message;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }

    public static ResultCodeEnum getEnum(String code) {
        ResultCodeEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (ResultCodeEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
