package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 风险等级enum
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum RiskLevelEnum {

    /**
     * 已确诊
     */
    CONFIRMED(-1),

    /**
     * 无风险
     */
    NONE(0),

    /**
     * 低风险
     */
    LOW(1),

    /**
     * 中风险
     */
    MIDDLE(2),

    /**
     * 高风险
     */
    HIGH(3);


    private int score;


    public static RiskLevelEnum getEnum(Integer value) {
        if(value == null){
            return null;
        }

        RiskLevelEnum[] ems = values();
        for (RiskLevelEnum em : ems) {
            if (em.getScore() == value) {
                return em;
            }
        }
        return null;
    }

}
