package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式标签
 *
 * @author ：fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum LifeStyleLabelEnum {

    //饮食 01
    /**
     * 饮食
     */
    DIETARY_HABIT_01("01", "饮食", 1, null, null),
    /**
     * 饮食过量
     */
    DIETARY_HABIT_0101("0101", "饮食过量", 2, "01", null),
    /**
     * 高糖饮食
     */
    DIETARY_HABIT_010101("010101", "高糖饮食", 3, "0101", LifeStyleSchemeEnum.ACCUSED_OF_SUGAR),
    /**
     * 高胆固醇饮食
     */
    DIETARY_HABIT_010102("010102", "高胆固醇饮食", 3, "0101", LifeStyleSchemeEnum.LOW_FAT_LOW_CHOLESTEROL_DIET),
    /**
     * 高脂肪饮食
     */
    DIETARY_HABIT_010103("010103", "高脂肪饮食", 3, "0101", LifeStyleSchemeEnum.LOW_FAT_LOW_CHOLESTEROL_DIET),
    /**
     * 吃肥肉多
     */
    DIETARY_HABIT_010104("010104", "吃肥肉多", 3, "0101", LifeStyleSchemeEnum.LOW_FAT_LOW_CHOLESTEROL_DIET),
    /**
     * 喜爱吃高热量零食
     */
    DIETARY_HABIT_010105("010105", "喜爱吃高热量零食", 3, "0101", LifeStyleSchemeEnum.CHOOSE_SNACKS_WISELY),
    /**
     * 每餐过饱
     */
    DIETARY_HABIT_010106("010106", "每餐过饱", 3, "0101", LifeStyleSchemeEnum.NOT_EATING_ENOUGH_WITH_EACH_MEAL),
    /**
     * 高盐饮食
     */
    DIETARY_HABIT_010107("010107", "高盐饮食", 3, "0101", LifeStyleSchemeEnum.LOW_SALT_DIET),
    /**
     * 高嘌呤饮食
     */
    DIETARY_HABIT_010108("010108", "高嘌呤饮食", 3, "0101", LifeStyleSchemeEnum.REDUCE_HIGH_PURINE_FOODS_INTAKE),
    /**
     * 水产摄入充足
     */
    DIETARY_HABIT_010109("010109", "水产摄入充足", 3, "0101", LifeStyleSchemeEnum.REDUCE_HIGH_PURINE_FOODS_INTAKE),
    /**
     * 高果糖饮食
     */
    DIETARY_HABIT_010110("010110", "高果糖饮食", 3, "0101", LifeStyleSchemeEnum.LOW_FRUCTOSE_DIET),

    /**
     * 咖啡过量 1.3
     */
    DIETARY_HABIT_0101111("010111", "咖啡过量", 3, "0101", LifeStyleSchemeEnum.AVOID_DRINKING_TOO_MUCH_COFFEE),
    /**
     * 碳酸饮料 1.3
     */
    DIETARY_HABIT_010112("010112", "碳酸饮料", 3, "0101", LifeStyleSchemeEnum.DRINK_LESS_CARBONATED_DRINKS),
    /**
     * 常吃加工食品 1.3
     */
    DIETARY_HABIT_010113("010113", "常吃加工食品", 3, "0101", LifeStyleSchemeEnum.EAT_LESS_PROCESSED_FOODS),
    /**
     * 致甲状腺肿食物食用过多 1.1
     */
    DIETARY_HABIT_010114("010114", "致甲状腺肿食物食用过多", 3, "0101", LifeStyleSchemeEnum.AVOID_EATING_GOITER_CAUSING_FOOD),
    /**
     * 高碘饮食 1.4
     */
    DIETARY_HABIT_010115("010115", "高碘饮食", 3, "0101", LifeStyleSchemeEnum.APPROPRIATE_AMOUNT_OF_IODINE),
    //饮食不规律
    /**
     * 饮食不规律
     */
    DIETARY_HABIT_0102("0102", "饮食不规律", 2, "01", null),
    /**
     * 不吃早餐
     */
    DIETARY_HABIT_010201("010201", "不吃早餐", 3, "0102", LifeStyleSchemeEnum.TO_HAVE_BREAKFAST),
    /**
     * 夜晚进食
     */
    DIETARY_HABIT_010202("010202", "夜晚进食", 3, "0102", LifeStyleSchemeEnum.EAT_LESS_OR_SKIP_LATE_NIGHT_SNACKS),
    /**
     * 节食不当
     */
    DIETARY_HABIT_010203("010203", "节食不当", 3, "0102", LifeStyleSchemeEnum.AVOID_DIETING_INCORRECTLY),
    /**
     * 暴饮暴食
     */
    DIETARY_HABIT_010204("010204", "暴饮暴食", 3, "0102", LifeStyleSchemeEnum.AVOID_OVEREATING),

    //膳食结构不合理
    /**
     * 膳食结构不合理
     */
    DIETARY_HABIT_0103("0103", "膳食结构不合理", 2, "01", null),
    /**
     * 精细饮食
     */
    DIETARY_HABIT_010301("010301", "精细饮食", 3, "0103", LifeStyleSchemeEnum.THE_THICKNESS_IS_TIE_IN),
    /**
     * 蔬菜摄入不足
     */
    DIETARY_HABIT_010302("010302", "蔬菜摄入不足", 3, "0103", LifeStyleSchemeEnum.EAT_VEGETABLES_PROPERLY),
    /**
     * 深色菜摄入不足
     */
    DIETARY_HABIT_010303("010303", "深色菜摄入不足", 3, "0103", LifeStyleSchemeEnum.EAT_VEGETABLES_PROPERLY),
    /**
     * 水果摄入不足
     */
    DIETARY_HABIT_010304("010304", "水果摄入不足", 3, "0103", LifeStyleSchemeEnum.EAT_FRUIT_PROPERLY),
    /**
     * 奶类摄入不足
     */
    DIETARY_HABIT_010305("010305", "奶类摄入不足", 3, "0103", LifeStyleSchemeEnum.EAT_MILK_PROPERLY),
    /**
     * 畜肉摄入过量
     */
    DIETARY_HABIT_010306("010306", "畜肉摄入过量", 3, "0103", LifeStyleSchemeEnum.EAT_LIVESTOCK_MEAT_PROPERLY),
    /**
     * 坚果摄入不足
     */
    DIETARY_HABIT_010307("010307", "坚果摄入不足", 3, "0103", LifeStyleSchemeEnum.EAT_NUTS_PROPERLY),
    /**
     * 水产摄入不足
     */
    DIETARY_HABIT_010308("010308", "水产摄入不足", 3, "0103", LifeStyleSchemeEnum.EAT_FISHERIES_PROPERLY),
    /**
     * 饮水不足
     */
    DIETARY_HABIT_010309("010309", "饮水不足", 3, "0103", LifeStyleSchemeEnum.DRINK_WATER_PROPERLY),
    /**
     * 饮水适宜
     */
    DIETARY_HABIT_010310("010310", "饮水适宜", 3, "0103", LifeStyleSchemeEnum.DRINK_WATER_PROPERLY),

    /**
     * 大豆类摄入不足 1.3
     */
    DIETARY_HABIT_010311("010311", "饮水适宜", 3, "0103", LifeStyleSchemeEnum.EAT_SOY_PRODUCTS_PROPERLY),
    /**
     * 蛋类摄入不足 1.3
     */
    DIETARY_HABIT_010312("010312", "饮水适宜", 3, "0103", LifeStyleSchemeEnum.EAT_EGGS_REASONABLY),
    /**
     * 蛋类摄入过量 1.3
     */
    DIETARY_HABIT_010313("010313", "饮水适宜", 3, "0103", LifeStyleSchemeEnum.EAT_EGGS_REASONABLY),

    //饮食习惯不合理
    /**
     * 饮食习惯不合理
     */
    DIETARY_HABIT_0104("0104", "饮食习惯不合理", 2, "01", null),
    /**
     * 常在外就餐
     */
    DIETARY_HABIT_010401("010401", "常在外就餐", 3, "0104", LifeStyleSchemeEnum.EAT_OUT_LESS),
    /**
     * 进食过快
     */
    DIETARY_HABIT_010402("010402", "进食过快", 3, "0104", LifeStyleSchemeEnum.CHEW_CAREFULLY_SWALLOW_SLOWLY),

    //运动
    /**
     * 运动
     */
    EXERCISE_02("02", "运动", 1, null, null),
    /**
     * 体育活动不足
     */
    EXERCISE_0201("0201", "体育活动不足", 2, "02", null),
    /**
     * 久坐
     */
    EXERCISE_020101("020101", "久坐", 3, "0201", LifeStyleSchemeEnum.AVOID_SEDENTARY),
    /**
     * 几乎不动
     */
    EXERCISE_020102("020102", "几乎不动", 3, "0201", LifeStyleSchemeEnum.PHYSICAL_ACTIVITY),
    /**
     * 运动不足
     */
    EXERCISE_020103("020103", "运动不足", 3, "0201", LifeStyleSchemeEnum.PHYSICAL_ACTIVITY),
    /**
     * 日光照射不足 1.3
     */
    EXERCISE_020104("020104", "日光照射不足", 3, "0201", LifeStyleSchemeEnum.PLENTY_OF_SUNSHINE),
    /**
     * 缺乏呼吸锻炼 1.4
     */
    EXERCISE_020105("020105", "缺乏呼吸锻炼", 3, "0201", LifeStyleSchemeEnum.BREATHING_EXERCISE),
    //饮酒
    /**
     * 饮酒
     */
    DRINK_03("03", "饮酒", 1, null, null),
    /**
     * 饮酒
     */
    DRINK_0301("0301", "饮酒", 2, "03", null),
    /**
     * 严重过量饮酒
     */
    DRINK_030101("030101", "严重过量饮酒", 3, "0301", LifeStyleSchemeEnum.NO_ALCOHOL_OR_LESS_ALCOHOL),
    /**
     * 过量饮酒
     */
    DRINK_030102("030102", "过量饮酒", 3, "0301", LifeStyleSchemeEnum.NO_ALCOHOL_OR_LESS_ALCOHOL),
    /**
     * 饮酒
     */
    DRINK_030103("030103", "饮酒", 3, "0301", LifeStyleSchemeEnum.NO_ALCOHOL_OR_LESS_ALCOHOL),

    //吸烟
    /**
     * 吸烟
     */
    SMOKE_04("04", "吸烟", 1, null, null),
    /**
     * 吸烟
     */
    SMOKE_0401("0401", "吸烟", 2, "04", null),
    /**
     * 低量吸烟
     */
    SMOKE_040101("040101", "低量吸烟", 3, "0401", LifeStyleSchemeEnum.NO_SMOKEKING),
    /**
     * 中量吸烟
     */
    SMOKE_040102("040102", "中量吸烟", 3, "0401", LifeStyleSchemeEnum.NO_SMOKEKING),
    /**
     * 大量吸烟
     */
    SMOKE_040103("040103", "大量吸烟", 3, "0401", LifeStyleSchemeEnum.NO_SMOKEKING),
    /**
     * 吸烟量极高
     */
    SMOKE_040104("040104", "吸烟量极高", 3, "0401", LifeStyleSchemeEnum.NO_SMOKEKING),
    /**
     * 接触二手烟
     */
    SMOKE_040105("040105", "接触二手烟", 3, "0401", LifeStyleSchemeEnum.AVOID_EXPOSURE_SECONDHAND_SMOKE),
    //心理
    /**
     * 心理
     */
    MENTAL_05("05", "心理", 1, null, null),
    /**
     * 健康意识不足
     */
    MENTAL_0501("0501", "健康意识不足", 2, "05", null),
    /**
     * 肥胖的危害意识欠佳
     */
    MENTAL_050101("050101", "肥胖的危害意识欠佳", 3, "0501", LifeStyleSchemeEnum.KNOW_THE_DANGERS_OF_OBESITY),
    /**
     * 缺乏糖尿病自我管理与教育
     */
    MENTAL_050102("050102", "缺乏糖尿病自我管理与教育", 3, "0501", LifeStyleSchemeEnum.DIABETES_SELF_MANAGEMENT_EDUCATION),
    /**
     * 缺乏对高尿酸水平的影响认知
     */
    MENTAL_050103("050103", "缺乏对高尿酸水平的影响认知", 3, "0501", LifeStyleSchemeEnum.KNOW_UA_AFFECTS),
    /**
     * 缺乏社会活动
     */
    MENTAL_050104("050104", "缺乏社会活动", 3, "0501", LifeStyleSchemeEnum.PARTICIPATE_SOCIAL_ACTIVITIES),
    //情绪不佳
    /**
     * 情绪不佳
     */
    MENTAL_0502("0502", "情绪不佳", 2, "05", null),
    /**
     * 情绪化进食
     */
    MENTAL_050201("050201", "情绪化进食", 3, "0502", LifeStyleSchemeEnum.AVOID_EMOTIONAL_EATING),
    /**
     * 紧张压力大
     */
    MENTAL_050202("050202", "紧张压力大", 3, "0502", LifeStyleSchemeEnum.REGULATE_EMOTION),
    /**
     * 焦虑
     */
    MENTAL_050203("050203", "焦虑", 3, "0502", LifeStyleSchemeEnum.REGULATE_EMOTION),
    /**
     * 愤怒
     */
    MENTAL_050204("050204", "愤怒", 3, "0502", LifeStyleSchemeEnum.REGULATE_EMOTION),
    /**
     * 恐慌
     */
    MENTAL_050205("050205", "恐慌", 3, "0502", LifeStyleSchemeEnum.REGULATE_EMOTION),
    /**
     * 抑郁
     */
    MENTAL_050206("050206", "抑郁", 3, "0502", LifeStyleSchemeEnum.REGULATE_EMOTION),
    //睡眠
    /**
     * 睡眠
     */
    SLEEP_06("06", "睡眠", 1, null, null),
    /**
     * 睡眠不足
     */
    SLEEP_0601("0601", "睡眠不足", 2, "06", null),
    /**
     * 睡眠不足
     */
    SLEEP_060101("060101", "睡眠不足", 3, "0601", LifeStyleSchemeEnum.SLEEP_SIX_TO_EIGHT_HOURS_A_DAY),
    /**
     * 睡眠环境不佳
     */
    SLEEP_060102("060102", "睡眠环境不佳", 3, "0601", LifeStyleSchemeEnum.CREATE_COMFORTABLE_SLEEPING_SPACE),
    /**
     * 睡眠姿势不好
     */
    SLEEP_060103("060103", "睡眠姿势不好", 3, "0601", LifeStyleSchemeEnum.CHOOSE_RIGHT_SLEEPING_POSITION),
    /**
     * 呆在床上的时间较多
     */
    SLEEP_060104("060104", "呆在床上的时间较多", 3, "0601", LifeStyleSchemeEnum.MAINTAIN_GOOD_SLEEP_HABITS),
    /**
     * 睡前习惯不佳
     */
    SLEEP_060105("060105", "睡前习惯不佳", 3, "0601", LifeStyleSchemeEnum.MAINTAIN_GOOD_SLEEP_HABITS),
    /**
     * 睡眠时间不规律
     */
    SLEEP_060106("060106", "睡眠时间不规律", 3, "0601", LifeStyleSchemeEnum.MAINTAIN_GOOD_SLEEP_HABITS),
    /**
     * 其他
     */
    SLEEP_07("07", "其他", 1, null, null),
    /**
     * 环境不佳
     */
    SLEEP_0701("0701", "环境不佳", 2, "07", null),
    /**
     * 处于污染环境
     */
    SLEEP_070101("070101", "处于污染环境", 3, "0701", LifeStyleSchemeEnum.STAY_AWAY_POLLUTED_ENVIRONMENT),
    //风险标签
    //没有方案，只做记录和条件
    //疾病相关风险
    //糖尿病并发症
    /**
     * 糖尿病肾病
     */
    RISK_DIABETES_COMPLICATION_01("RISK_DIABETES_COMPLICATION_01", "糖尿病肾病", 0, null, null),
    /**
     * 糖尿病视网膜病变
     */
    RISK_DIABETES_COMPLICATION_02("RISK_DIABETES_COMPLICATION_02", "糖尿病视网膜病变", 0, null, null),
    /**
     * 糖尿病神经病变
     */
    RISK_DIABETES_COMPLICATION_03("RISK_DIABETES_COMPLICATION_03", "糖尿病神经病变", 0, null, null),
    /**
     * 糖尿病下肢动脉病变
     */
    RISK_DIABETES_COMPLICATION_04("RISK_DIABETES_COMPLICATION_04", "糖尿病下肢动脉病变", 0, null, null),
    /**
     * 糖尿病足病
     */
    RISK_DIABETES_COMPLICATION_05("RISK_DIABETES_COMPLICATION_05", "糖尿病足病", 0, null, null),
    /**
     * 无糖尿病并发症
     */
    RISK_DIABETES_COMPLICATION_06("RISK_DIABETES_COMPLICATION_06", "无糖尿病并发症", 0, null, null),
    //低血糖风险
    /**
     * 有低血糖风险
     */
    RISK_HYPOGLYCEMIA_01("RISK_HYPOGLYCEMIA_01", "有低血糖风险", 0, null, null),
    /**
     * 无低血糖风险
     */
    RISK_HYPOGLYCEMIA_02("RISK_HYPOGLYCEMIA_02", "无低血糖风险", 0, null, null),
    //血糖控制
    /**
     * 血糖控制达标
     */
    BLOOD_GLUCOSE_CONTROL_01("BLOOD_GLUCOSE_CONTROL_01", "血糖控制达标", 0, null, null),
    /**
     * 血糖控制不达标
     */
    BLOOD_GLUCOSE_CONTROL_02("BLOOD_GLUCOSE_CONTROL_02", "血糖控制不达标", 0, null, null),


    //需在医疗监护下进行锻炼
    /**
     * 需在医疗监护下进行锻炼
     */
    RISK_EXERCISE_01("RISK_EXERCISE_01", "需在医疗监护下进行锻炼", 0, null, null),
    /**
     * 不需在医疗监护下进行锻炼
     */
    RISK_EXERCISE_02("RISK_EXERCISE_02", "不需在医疗监护下进行锻炼", 0, null, null),

    // 哺乳状态
    /**
     * 哺乳
     */
    LACTATION_01("LACTATION_01", "哺乳", 0, null, null),
    /**
     * 非哺乳
     */
    LACTATION_02("LACTATION_02", "非哺乳", 0, null, null),


    ;
    /**
     * 标签code
     */
    private String code;
    /**
     * 标签描述
     */
    private String description;

    /**
     * 等级 一级、二级。。。
     * 0级特殊含义：风险标签
     */
    private Integer level;

    /**
     * 父级code
     */
    private String pCode;

    /**
     * 关联标题枚举
     */
    private LifeStyleSchemeEnum relateSchemeEnum;


    public static LifeStyleLabelEnum getEnum(String code) {
        LifeStyleLabelEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (LifeStyleLabelEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
