package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 问卷全部测评题枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum LifeStyleQuestionaireEnum {

    /**
     * 出生日期
     */
    BIRTHDAY("BIRTHDAY", true, "出生日期"),
    /**
     * 性别
     */
    GENDER("GENDER", true, "性别"),
    /**
     * BMI
     */
    BMI("BMI", true, "BMI"),
    /**
     * 您的腰围是多少
     */
    WAISTLINE("WAISTLINE", true, "腰围"),

    /**
     * 你是否有以下食物摄入超量问题
     */
    FOOD_EXCESS("FOOD_EXCESS", true, "你是否有以下食物摄入超量问题"),

    /**
     * 你是否有以下饮食习惯
     */
    DIETARY_HABIT("DIETARY_HABIT", true, "你是否有以下饮食习惯"),

    /**
     * 你是否有以下食物摄入不足问题
     */
    FOOD_INSUFFICIENT("FOOD_INSUFFICIENT", true, "你是否有以下食物摄入不足问题"),
    /**
     * 你是否喜爱吃高热量零食，如薯片、含糖饮料、酥脆点心、辣条等
     */
    LIKE_EAT_SNACKS("LIKE_EAT_SNACKS", true, "你是否喜爱吃高热量零食，如薯片、含糖饮料、酥脆点心、辣条等"),
    /**
     * 你每餐是否习惯吃十分饱或吃撑
     */
    EAT_FULL_EVERY_MEAL("EAT_FULL_EVERY_MEAL", true, "你每餐是否习惯吃十分饱或吃撑"),

    /**
     * 你的日常生活习惯
     */
    LIVING_HABIT("LIVING_HABIT", true, "你的日常生活习惯"),
    /**
     * 减肥中遇到哪些问题
     */
    PROBLEMS_IN_LOSING_WEIGHT("PROBLEMS_IN_LOSING_WEIGHT", true, "减肥中遇到哪些问题"),
    /**
     * 过去半年中每周的运动情况是
     */
    EXERCISE_STATE("EXERCISE_STATE", true, "过去半年中每周的运动情况是"),

    /**
     * 你近期平均每天静坐时长
     */
    SIT_TIME("SIT_TIME", true, "你平均每天静坐时长"),

    /**
     * 你是否饮酒
     */
    DRINK("DRINK", true, "你是否饮酒"),
    /**
     * 你是否有以下睡眠问题需要解决
     */
    SLEEP_PROBLEM("SLEEP_PROBLEM", true, "你是否有以下睡眠问题需要解决"),
    /**
     * 你的睡眠环境或睡眠习惯是否存在以下情况
     */
    SLEEP_ENVIRONMENT_OR_HABITS("SLEEP_ENVIRONMENT_OR_HABITS", true, "你的睡眠环境或睡眠习惯是否存在以下情况"),
    /**
     * 是否了解肥胖的危害
     */
    UNDERSTAND_THE_DANGERS_OF_OBESITY("UNDERSTAND_THE_DANGERS_OF_OBESITY", true, "是否了解肥胖的危害"),

    /**
     * 你是否长期居住或工作在以下环境
     */
    LIVE_ENVIRONMENTAL("LIVE_ENVIRONMENTAL", true, "你是否长期居住或工作在以下环境"),
    /**
     * 你是否常有意识地进行呼吸锻炼，如缩唇呼吸、腹式呼吸等
     */
    BREATHING_EXERCISE("BREATHING_EXERCISE", true, "你是否常有意识地进行呼吸锻炼，如缩唇呼吸、腹式呼吸等"),
    /**
     * 你是否常参加社会活动，如参加生日聚会、集体旅游度假等
     */
    PARTICIPATE_SOCIAL_ACTIVITIES("PARTICIPATE_SOCIAL_ACTIVITIES", true, "你是否常参加社会活动，如参加生日聚会、集体旅游度假等"),
    ;


    /**
     * 题目编号
     */
    private String questionCode;

    /**
     * 必须出现题
     */
    private boolean required;

    /**
     * 题目名称
     */
    private String questionName;


    public static LifeStyleQuestionaireEnum getEnum(String questionCode) {
        LifeStyleQuestionaireEnum[] values = values();
        if (questionCode == null) {
            return null;
        }
        for (LifeStyleQuestionaireEnum value : values) {
            if (questionCode.equals(value.questionCode)) {
                return value;
            }
        }
        return null;
    }


}
