package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import com.jiankangyouyi.cloud.assessment.enums.LifeStyleSchemeTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashSet;
import java.util.Set;

/**
 * 生活方式标题（方案）
 *
 * @author ：fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum LifeStyleSchemeEnum {

    /**
     * 饮食
     */
    DIET("DIET", "饮食", LifeStyleSchemeTypeEnum.DIETARY, "", false),
    /**
     * 饮食-食不过量
     */
    DIET_NO_EXCESSIVE("DIET_NO_EXCESSIVE", "食不过量", LifeStyleSchemeTypeEnum.DIETARY, "", false),
    /**
     * 饮食-规律饮食
     */
    DIET_RULE("DIET_RULE", "规律饮食", LifeStyleSchemeTypeEnum.DIETARY, "", false),
    /**
     * 饮食-平衡膳食
     */
    DIET_BALANCED("DIET_BALANCED", "平衡膳食", LifeStyleSchemeTypeEnum.DIETARY, "", false),
    /**
     * 饮食-保持良好饮食习惯
     */
    DIET_KEEP("DIET_KEEP", "保持良好饮食习惯", LifeStyleSchemeTypeEnum.DIETARY, "", false),
    /**
     * 运动
     */
    EXERCISE("EXERCISE", "运动", LifeStyleSchemeTypeEnum.EXERCISE, "", false),
    /**
     * 运动-增加体育活动
     */
    EXERCISE_ADD_ACTIVITY("EXERCISE_ADD_ACTIVITY", "增加体育活动", LifeStyleSchemeTypeEnum.EXERCISE, "", false),
    /**
     * 饮酒
     */
    DRINK("DRINK", "饮酒", LifeStyleSchemeTypeEnum.DRINK, "", false),
    /**
     * 饮酒-限制饮酒
     */
    DRINK_LIMIT("DRINK_LIMIT", "限制饮酒", LifeStyleSchemeTypeEnum.DRINK, "", false),

    /**
     * 吸烟
     */
    SMOKE("SMOKE", "吸烟", LifeStyleSchemeTypeEnum.SMOKE, "", false),
    /**
     * 吸烟-不吸烟
     */
    SMOKE_NO("SMOKE_NO", "不吸烟", LifeStyleSchemeTypeEnum.SMOKE, "", false),

    /**
     * 心理
     */
    MENTAL("MENTAL", "心理", LifeStyleSchemeTypeEnum.MENTALITY, "", false),
    /**
     * 心理-健康意识
     */
    MENTAL_HEALTH_CONSCIOUSNESS("MENTAL_HEALTH_CONSCIOUSNESS", "健康意识", LifeStyleSchemeTypeEnum.MENTALITY, "", false),
    /**
     * 心理-保持好心情
     */
    MENTAL_KEEP_GOOD_MOOD("MENTAL_KEEP_GOOD_MOOD", "保持好心情", LifeStyleSchemeTypeEnum.MENTALITY, "", false),

    /**
     * 睡眠
     */
    SLEEP("SLEEP", "睡眠", LifeStyleSchemeTypeEnum.SLEEP, "", false),
    /**
     * 睡眠-充足睡眠
     */
    SLEEP_ENOUGH("SLEEP_ENOUGH", "充足睡眠", LifeStyleSchemeTypeEnum.SLEEP, "", false),

    // 以上是不可用方案标题，仅作业务处理使用

    /**
     * 控糖
     */
    ACCUSED_OF_SUGAR("ACCUSED_OF_SUGAR", "控糖", LifeStyleSchemeTypeEnum.DIETARY, "8aa7bfd1b0f64a168cc5ffe4fed7950f.png?Fk5OxyDXti_zF4_lJnowiZRB9AZ6?jkyy", true),
    /**
     * 低脂低胆固醇饮食
     */
    LOW_FAT_LOW_CHOLESTEROL_DIET("LOW_FAT_LOW_CHOLESTEROL_DIET", "低脂低胆固醇饮食", LifeStyleSchemeTypeEnum.DIETARY, "585b08851616433ea73e9b81c1b31109.png?FgZBxFJbJ-6RHh9VKP0NS6HJ30jU?jkyy", true),
    /**
     * 合理选择零食
     */
    CHOOSE_SNACKS_WISELY("CHOOSE_SNACKS_WISELY", "合理选择零食", LifeStyleSchemeTypeEnum.DIETARY, "6be040d568c74ac191999ce529388bb7.png?FsCto0sImeCd5GrgvKMlZCOZi0-z?jkyy", true),
    /**
     * 每餐只吃“七八分饱”
     */
    NOT_EATING_ENOUGH_WITH_EACH_MEAL("NOT_EATING_ENOUGH_WITH_EACH_MEAL", "每餐只吃“七八分饱”", LifeStyleSchemeTypeEnum.DIETARY, "82816b7cba604a159d917f5901aa094a.png?FoaZguKZgen4PbqA8VR1a-Js_e4_?jkyy", true),
    /**
     * 低盐饮食
     */
    LOW_SALT_DIET("LOW_SALT_DIET", "低盐饮食", LifeStyleSchemeTypeEnum.DIETARY, "6eada77b9b574a1aa1b3118f7fcbd9ea.png?Fnu4tYm9dhEjDLqx_kLzTP1gybhA?jkyy?jkyy", true),
    //1.2 =====S=========
    /**
     * 减少高嘌呤食物的摄入
     */
    REDUCE_HIGH_PURINE_FOODS_INTAKE("REDUCE_HIGH_PURINE_FOODS_INTAKE", "减少高嘌呤食物的摄入", LifeStyleSchemeTypeEnum.DIETARY, "74dac4eb41484bb6979bcdc7e1aefa30.png?hash=Fs_8Ph4TDB8TyYc1PtOBufOWCisx?jkyy", true),
    /**
     * 低果糖饮食
     */
    LOW_FRUCTOSE_DIET("LOW_FRUCTOSE_DIET", "低果糖饮食", LifeStyleSchemeTypeEnum.DIETARY, "148b4463e9d440cd8e0bdb1a339d636c.png?hash=FvCFqjcxPKk5yqeudR3NuRb5AH7R?jkyy", true),
    //1.2 =====E=========

    /**
     * 避免过量饮用咖啡 1.3
     */
    AVOID_DRINKING_TOO_MUCH_COFFEE("AVOID_DRINKING_TOO_MUCH_COFFEE", "避免过量饮用咖啡", LifeStyleSchemeTypeEnum.DIETARY, "6de00d2561a645f6bd9cc1d81fbc19d7.png?hash=Fi6xSWGhDiRaTJX6dOgaaAm1BAsT?jkyy", true),
    /**
     * 少喝碳酸饮料 1.3
     */
    DRINK_LESS_CARBONATED_DRINKS("DRINK_LESS_CARBONATED_DRINKS", "少喝碳酸饮料", LifeStyleSchemeTypeEnum.DIETARY, "148b4463e9d440cd8e0bdb1a339d636c.png?hash=FvCFqjcxPKk5yqeudR3NuRb5AH7R?jkyy", true),
    /**
     * 少吃加工食品 1.3
     */
    EAT_LESS_PROCESSED_FOODS("EAT_LESS_PROCESSED_FOODS", "少吃加工食品", LifeStyleSchemeTypeEnum.DIETARY, "5d5ef70180324d33b64e90bc5f76c82e.png?hash=FqSIcKST17eWsbeG8BOx3Czh1kIc?jkyy", true),
    /**
     * 避免致甲状腺肿食物食用过多 1.4
     */
    AVOID_EATING_GOITER_CAUSING_FOOD("AVOID_EATING_GOITER_CAUSING_FOOD", "避免致甲状腺肿食物食用过多", LifeStyleSchemeTypeEnum.DIETARY, "61c7286d27eb4051b2673b2b28ef6554.png?hash=Fsf8tKhx5bsMqV1DxmFxsDA922Zn", true),
    /**
     * 适量碘 1.4
     */
    APPROPRIATE_AMOUNT_OF_IODINE("APPROPRIATE_AMOUNT_OF_IODINE", "适量碘", LifeStyleSchemeTypeEnum.DIETARY, "7719ed57d9cf4e5a89ca12a782f2dae0.png?hash=FqJIBvVz5boGnCRm7uiqzrWFA_H9", true),

    /**
     * 吃早餐
     */
    TO_HAVE_BREAKFAST("TO_HAVE_BREAKFAST", "吃早餐", LifeStyleSchemeTypeEnum.DIETARY, "99b78aafc4294946af96220e44b6525f.png?FjW-yVveE5DiwXf3OIuos2FyMnSf?jkyy", true),
    /**
     * 少吃或不吃夜宵
     */
    EAT_LESS_OR_SKIP_LATE_NIGHT_SNACKS("EAT_LESS_OR_SKIP_LATE_NIGHT_SNACKS", "少吃或不吃夜宵", LifeStyleSchemeTypeEnum.DIETARY, "fad187127f7e48ed8ca2c3efa5f60872.png?FkgfrDNsIkrodurJEm3Q-ADSH-ts?jkyy", true),
    /**
     * 避免节食不当
     */
    AVOID_DIETING_INCORRECTLY("AVOID_DIETING_INCORRECTLY", "避免节食不当", LifeStyleSchemeTypeEnum.DIETARY, "a283b1c03e894c93b6297e5e3e3a6c2e.png?FhnTco_Wqp5P_XG1SUn_KICPhM3I?jkyy", true),
    /**
     * 避免暴饮暴食
     */
    AVOID_OVEREATING("AVOID_OVEREATING", "避免暴饮暴食", LifeStyleSchemeTypeEnum.DIETARY, "112b1f3ee6b243a69776925b3fc886d1.png?FlRNuZt2afyYjwsXw3tOOeZbrxeU?jkyy", true),
    /**
     * 粗细搭配
     */
    THE_THICKNESS_IS_TIE_IN("THE_THICKNESS_IS_TIE_IN", "粗细搭配", LifeStyleSchemeTypeEnum.DIETARY, "4c9741b6ca094c52b3b994461b77321a.png?FjmYfAylND4oPaAA-_l7oKcJjUD3?jkyy", true),

    //1.2 =====S=========
    /**
     * 合理摄入蔬菜
     */
    EAT_VEGETABLES_PROPERLY("EAT_VEGETABLES_PROPERLY", "合理摄入蔬菜", LifeStyleSchemeTypeEnum.DIETARY, "45900762fbee480399c38d78c5c4823d.png?hash=Fnf8DY3YN8_Xb4sUTYWmYl1Ll4-5?jkyy", true),
    /**
     * 合理摄入水果
     */
    EAT_FRUIT_PROPERLY("EAT_FRUIT_PROPERLY", "合理摄入水果", LifeStyleSchemeTypeEnum.DIETARY, "4b66ff53a8fe4360a7fb067eada437dc.png?hash=Fr6hPLlUzNtsBC5uQbt870Fi_b2l?jkyy", true),
    /**
     * 合理摄入奶类
     */
    EAT_MILK_PROPERLY("EAT_MILK_PROPERLY", "合理摄入奶类", LifeStyleSchemeTypeEnum.DIETARY, "8188a647c7e74c9ea0d632b479e852f7.png?hash=FnSoU7sbasMRFLzopOP-6SHE0Bhg?jkyy", true),
    /**
     * 合理摄入畜肉
     */
    EAT_LIVESTOCK_MEAT_PROPERLY("EAT_LIVESTOCK_MEAT_PROPERLY", "合理摄入畜肉", LifeStyleSchemeTypeEnum.DIETARY, "74d6477bfe5a412aa147f2fd28703d98.png?hash=Fh45WJq0ytYI5A-JVT4TSkKBODqX?jkyy", true),
    /**
     * 合理摄入坚果
     */
    EAT_NUTS_PROPERLY("EAT_NUTS_PROPERLY", "合理摄入坚果", LifeStyleSchemeTypeEnum.DIETARY, "0b7525c25cfa435f9c16c39f58d8f862.png?hash=Fnay9Joa2e6I2rDA91Vm3fQTA0RQ?jkyy", true),
    /**
     * 合理摄入水产
     */
    EAT_FISHERIES_PROPERLY("EAT_FISHERIES_PROPERLY", "合理摄入水产", LifeStyleSchemeTypeEnum.DIETARY, "bc650ee2779346e8b65b31fe4878774c.png?hash=Ft3rLv4GCMg95JC1glOqgu83XdDP?jkyy", true),
    /**
     * 合理饮水
     */
    DRINK_WATER_PROPERLY("DRINK_WATER_PROPERLY", "合理饮水", LifeStyleSchemeTypeEnum.DIETARY, "9638c0cb90ca4ef8acb1e6fc54b89ab8.png?hash=Fm0U_NsS7BW1h0k2r7WhMOP6o_Qd?jkyy", true),

    //1.2 =====E=========,
    /**
     * 合理摄入大豆及其制品 1.3
     */
    EAT_SOY_PRODUCTS_PROPERLY("EAT_SOY_PRODUCTS_PROPERLY", "合理摄入大豆及其制品", LifeStyleSchemeTypeEnum.DIETARY, "535905146e024bc8a49b6a47ae978a2a.png?hash=FijBSAnBvo4aK5o3d7oFUZbYTANj?jkyy", true),
    /**
     * 合理摄入蛋类 1.3
     */
    EAT_EGGS_REASONABLY("EAT_EGGS_REASONABLY", "合理摄入蛋类", LifeStyleSchemeTypeEnum.DIETARY, "2ef67567e7144e799bcd5d127264b056.png?hash=Fh-EYlR6ZjQXXU1M233oELRsuUQQ?jkyy", true),


    /**
     * 减少在外就餐
     */
    EAT_OUT_LESS("EAT_OUT_LESS", "减少在外就餐", LifeStyleSchemeTypeEnum.DIETARY, "6f6db27807db4074b3452291caca6734.png?FvVa55rGBkUsX3fjSmBtwqyl9oeT?jkyy", true),
    /**
     * 细嚼慢咽
     */
    CHEW_CAREFULLY_SWALLOW_SLOWLY("CHEW_CAREFULLY_SWALLOW_SLOWLY", "细嚼慢咽", LifeStyleSchemeTypeEnum.DIETARY, "70ba54e7badb464e856e5542ec05d1b2.png?Fjq3t0ZzUqguwQO0onJvHJJ4rRam?jkyy", true),
    /**
     * 避免久坐
     */
    AVOID_SEDENTARY("AVOID_SEDENTARY", "避免久坐", LifeStyleSchemeTypeEnum.EXERCISE, "7c0f00fcb5dc4541919cf155ec270d81.png?Frska7-O576PdKo96ppXFxKSpTl6?jkyy", true),
    /**
     * 体力活动充足
     */
    PHYSICAL_ACTIVITY("PHYSICAL_ACTIVITY", "体力活动充足", LifeStyleSchemeTypeEnum.EXERCISE, "fcc6ca60f4014290bb21d203ff04de2c.png?FnexElmWlOpoUi-nMGEecum0RAPJ?jkyy", true),
    /**
     * 充足日照
     */
    PLENTY_OF_SUNSHINE("PLENTY_OF_SUNSHINE", "充足日照", LifeStyleSchemeTypeEnum.EXERCISE, "34604010cabb40cb9a224ddd2bcd3988.png?hash=FrD_y7gBUnnO7sOdG-bAGe2y4amz?jkyy", true),
    /**
     * 呼吸锻炼
     */
    BREATHING_EXERCISE("BREATHING_EXERCISE", "呼吸锻炼", LifeStyleSchemeTypeEnum.EXERCISE, "344c3030b73a4689ac6b109f143858d3.png?hash=Fo-8M3bUzal-5v71iEGA5QLmB_P_", true),

    /**
     * 不饮酒或少饮酒
     */
    NO_ALCOHOL_OR_LESS_ALCOHOL("NO_ALCOHOL_OR_LESS_ALCOHOL", "不饮酒或少饮酒", LifeStyleSchemeTypeEnum.DRINK, "066a93e466df4f729cfd5d0ba0afd118.png?FmylgfDk2YUsLB1caUilPfa0-urA?jkyy", true),

    //1.2 =====S=========
    /**
     * 不吸烟
     */
    NO_SMOKEKING("NO_SMOKEKING", "不吸烟", LifeStyleSchemeTypeEnum.SMOKE, "3c01c421ad7247d7aec7b213a64ca1eb.png?hash=Fu--9gPsKLjCNzmsnSaleyTkRZfi?jkyy", true),

    /**
     * 避免接触二手烟
     */
    AVOID_EXPOSURE_SECONDHAND_SMOKE("AVOID_EXPOSURE_SECONDHAND_SMOKE", "避免接触二手烟", LifeStyleSchemeTypeEnum.SMOKE, "e79d14c4662b424a9a96fb0cf1f779a7.png?hash=FrdpEXq8UVLSsCUtindR7v4pwnxg", true),

    //1.2 =====E=========

    /**
     * 知晓肥胖的危害
     */
    KNOW_THE_DANGERS_OF_OBESITY("KNOW_THE_DANGERS_OF_OBESITY", "知晓肥胖的危害", LifeStyleSchemeTypeEnum.MENTALITY, "a40badf52ee248768e933489a9d86a35.png?FmxHz62alC_D1vapRiFJlBj7dJs5?jkyy", true),

    //1.2 =====S=========
    /**
     * 糖尿病自我管理教育
     */
    DIABETES_SELF_MANAGEMENT_EDUCATION("DIABETES_SELF_MANAGEMENT_EDUCATION", "糖尿病自我管理教育", LifeStyleSchemeTypeEnum.MENTALITY, "4164260f3dea451d9fadee3ad9caa1a7.png?hash=FrRHncuDwPEm5lurMoiId7z2eaMI?jkyy", true),
    /**
     * 知晓尿酸的影响
     */
    KNOW_UA_AFFECTS("KNOW_UA_AFFECTS", "知晓尿酸的影响", LifeStyleSchemeTypeEnum.MENTALITY, "36b6bb18b8a64feb8a086cc2409fe17c.png?hash=FilPkMl_Y-uVCeveftxWCY0eMGWN?jkyy", true),
    /**
     * 参加社会活动
     */
    PARTICIPATE_SOCIAL_ACTIVITIES("PARTICIPATE_SOCIAL_ACTIVITIES", "参加社会活动", LifeStyleSchemeTypeEnum.MENTALITY, "87c7f3d40af14b13a60962a72be28230.png", true),


    //1.2 =====E=========

    /**
     * 避免情绪化进食
     */
    AVOID_EMOTIONAL_EATING("AVOID_EMOTIONAL_EATING", "避免情绪化进食", LifeStyleSchemeTypeEnum.MENTALITY, "d9d44be435214b51aa3e8eda87665c7a.png?Fg4rZ48N7gXB42QGJAUbJi-VwGKH?jkyy", true),

    //1.2 =====S=========
    /**
     * 调节情绪
     */
    REGULATE_EMOTION("REGULATE_EMOTION", "调节情绪", LifeStyleSchemeTypeEnum.MENTALITY, "63b4038ec31148fe8374da45d29529e4.png?hash=Fj8zMTmKdWSj7IH9LKhpoglGeTFO?jkyy", true),

    //1.2 =====E=========

    /**
     * 每日睡眠6-8小时
     */
    SLEEP_SIX_TO_EIGHT_HOURS_A_DAY("SLEEP_SIX_TO_EIGHT_HOURS_A_DAY", "每日睡眠6-8小时", LifeStyleSchemeTypeEnum.SLEEP, "e21de5f397ad4ae884e7e4c1ac356139.png?FmqL2SKrqyrWYgKa0Rvs8faBiW_k?jkyy", true),
    /**
     * 创造舒适的睡眠空间
     */
    CREATE_COMFORTABLE_SLEEPING_SPACE("CREATE_COMFORTABLE_SLEEPING_SPACE", "创造舒适的睡眠空间", LifeStyleSchemeTypeEnum.SLEEP, "00d5262e3bd64e08845225f7f87aef5f.png", true),

    /**
     * 选择正确的睡眠姿势
     */
    CHOOSE_RIGHT_SLEEPING_POSITION("CHOOSE_RIGHT_SLEEPING_POSITION", "选择正确的睡眠姿势", LifeStyleSchemeTypeEnum.SLEEP, "bac970fd35ad48c7b93ca28b49788393.png", true),
    /**
     * 保持良好的睡眠习惯
     */
    MAINTAIN_GOOD_SLEEP_HABITS("MAINTAIN_GOOD_SLEEP_HABITS", "保持良好的睡眠习惯", LifeStyleSchemeTypeEnum.SLEEP, "8a3e6f8065754bba925fce6356f509cc.png", true),
    /**
     * 其他
     */
    OTHER("OTHER", "其他", LifeStyleSchemeTypeEnum.OTHER, "", false),
    /**
     * 保持环境舒适
     */
    KEEP_THE_ENVIRONMENT_COMFORTABLE("KEEP_THE_ENVIRONMENT_COMFORTABLE", "保持环境舒适", LifeStyleSchemeTypeEnum.OTHER, "40be33601fbd420f987432757334451a.png", false),
    /**
     * 远离污染环境
     */
    STAY_AWAY_POLLUTED_ENVIRONMENT("STAY_AWAY_POLLUTED_ENVIRONMENT", "远离污染环境", LifeStyleSchemeTypeEnum.OTHER, "f6f9150bd4f746ce913a3860b142889a.png", true),
    ;
    /**
     * 标题编码
     */
    private String code;
    /**
     * 标题名称
     */
    private String name;

    /**
     * 方案类型枚举
     */
    private LifeStyleSchemeTypeEnum schemeTypeEnum;
    /**
     * 标题LOGO
     */
    private String logo;

    /**
     * 是否有效标题/方案
     * true:有效，使用方案
     * false:无效，不使用方案，仅作逻辑处理使用
     */
    private Boolean validStatus;

    public static LifeStyleSchemeEnum getEnum(String titleCode) {
        LifeStyleSchemeEnum[] values = values();
        if (titleCode == null) {
            return null;
        }
        for (LifeStyleSchemeEnum value : values) {
            if (titleCode.equals(value.code)) {
                return value;
            }
        }
        return null;
    }

    public static Set<String> getLogos() {
        LifeStyleSchemeEnum[] values = values();
        Set<String> logos = new HashSet<>();
        for (LifeStyleSchemeEnum value : values) {
            logos.add(value.logo);
        }
        return logos;
    }
}
