package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 生活方式方案执行状态
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum LifeStyleSchemeExecuteStatusEnum {

    /**
     * 进行中
     */
    ON_GOING("ON_GOING", "进行中"),
    /**
     * 等待中
     */
    WAITING("WAITING", "等待中"),
    /**
     * 完成（第四阶段才会有完成）
     */
    FINISH("FINISH", "完成"),



    ;

    private String status;

    private String describe;


    public static LifeStyleSchemeExecuteStatusEnum getEnum(String status) {
        LifeStyleSchemeExecuteStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (LifeStyleSchemeExecuteStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

    public static List<String> getConfigStatusList() {
        LifeStyleSchemeExecuteStatusEnum[] values = values();

        List<String> result = new ArrayList<>();

        for (LifeStyleSchemeExecuteStatusEnum value : values) {
            result.add(value.getStatus());
        }

        return result;
    }


}
