package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式方案提示
 * @author ：fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum LifeStyleSchemeHintCodeEnum {

    /**
     * 正常
     */
    NORMAL("ls000", ""),
    /**
     * 超过7天
     */
    MORE_THAN_7_DAYS("ls001", "打卡周期滞留过长，打卡天数重新计算"),
    /**
     * 超过90天
     */
    MORE_THAN_90_DAYS("ls002", "打卡周期滞留过长，您的身体状况可能已发生变化，是否重新调整方案？"),

    ;
    /**
     * 提示code
     */
    private String code;
    /**
     * 提示信息
     */
    private String message;

    public static LifeStyleSchemeHintCodeEnum getEnum(String code) {
        LifeStyleSchemeHintCodeEnum[] values = values();
        if (code == null) {
            return null;
        }
        for(LifeStyleSchemeHintCodeEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
