package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 生活方式方案级别
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum LifeStyleSchemeLevelEnum {

    /**
     * 一级
     */
    ONE(1, "一级"),
    /**
     * 二级
     */
    TWO(2, "二级"),
    /**
     * 三级
     */
    THREE(3, "三级"),

    ;

    private Integer level;

    private String describe;


    public static LifeStyleSchemeLevelEnum getEnum(String status) {
        LifeStyleSchemeLevelEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (LifeStyleSchemeLevelEnum value : values) {
            if (status.equals(value.level)) {
                return value;
            }
        }
        return null;
    }

}
