package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式方案数量
 * @author ：fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum LifeStyleSchemeNumEnum {

    /**
     * 有不良标签正常情况 最大限制数量10
     */
    NORMAL_NUM(10, "有不良标签正常情况 最大限制数量10"),
    /**
     * 不良标签=0 最大限制数量5
     */
    DEFAULT_NUM(5, "不良标签=0 最大限制数量5"),

    ;
    /**
     * 方案阶段
     */
    private Integer num;
    /**
     * 阶段描述
     */
    private String description;

    public static LifeStyleSchemeNumEnum getEnum(Integer num) {
        LifeStyleSchemeNumEnum[] values = values();
        if (num == null) {
            return null;
        }
        for(LifeStyleSchemeNumEnum value : values) {
            if (num.equals(value.num)) {
                return value;
            }
        }
        return null;
    }
}
