package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式方案内容展示状态
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum LifeStyleSchemeShowStatusEnum {

    /**
     * 方案内容 温馨提示 都展示
     */
    SHOW_ALL("1", "方案内容 温馨提示 都展示"),
    /**
     * 仅展示方案内容
     */
    SHOW_CONTENT("2", "仅展示方案内容"),
    /**
     * 仅展示温馨提示
     */
    SHOW_WARM_PROMPT("3", "仅展示温馨提示"),


    ;

    private String status;

    private String message;


    public static LifeStyleSchemeShowStatusEnum getEnum(String status) {
        LifeStyleSchemeShowStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (LifeStyleSchemeShowStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

}
