package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式方案阶段
 * @author ：fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum LifeStyleSchemeStageEnum {

    /**
     * 第一阶段
     */
    FIRST(1, "第一阶段"),
    /**
     * 第二阶段
     */
    SECOND(2, "第二阶段"),
    /**
     * 第三阶段
     */
    THIRD(3, "第三阶段"),
    /**
     * 第四阶段
     */
    FOURTH(4, "第四阶段"),

    ;
    /**
     * 方案阶段
     */
    private Integer stageNum;
    /**
     * 阶段描述
     */
    private String description;

    public static LifeStyleSchemeStageEnum getEnum(String titleCode) {
        LifeStyleSchemeStageEnum[] values = values();
        if (titleCode == null) {
            return null;
        }
        for(LifeStyleSchemeStageEnum value : values) {
            if (titleCode.equals(value.stageNum)) {
                return value;
            }
        }
        return null;
    }
}
