package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 效果评估报告综合评级Enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum CompositeLevelEnum {

    /**
     * 差
     */
    BAD("4", "差"),
    /**
     * 较差
     */
    WORSE("3", "较差"),
    /**
     * 一般
     */
    POOR("2", "一般"),
    /**
     * 较好
     */
    BETTER("1", "较好"),
    /**
     * 优秀
     */
    GOOD("0", "优秀"),

    ;
    private String level;

    private String describe;


    public static CompositeLevelEnum getEnum(String level) {
        CompositeLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (CompositeLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
