package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 疾病评级变化 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum DiseaseChangeEnum {

    /**
     * 变差趋势
     */
    BAD("BAD", "变差趋势"),
    /**
     * 向好趋势
     */
    BETTER("BETTER", "向好趋势"),
    /**
     * 风险不变
     */
    UN_CHANGE("UN_CHANGE", "风险不变"),

    ;
    private String level;

    private String describe;


    public static DiseaseChangeEnum getEnum(String level) {
        DiseaseChangeEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (DiseaseChangeEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
