package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 疾病风险程度变化 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum DiseaseChangeLevelEnum {

    /**
     * 差
     */
    BAD("2", "差"),
    /**
     * 一般
     */
    POOR("1", "一般"),
    /**
     * 好
     */
    GOOD("0", "好"),

    ;
    private String level;

    private String describe;


    public static DiseaseChangeLevelEnum getEnum(String level) {
        DiseaseChangeLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (DiseaseChangeLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
