package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum DiseaseSymptomsEnum {

    /**
     * 差
     */
    BAD("2", "差"),
    /**
     * 一般
     */
    POOR("1", "一般"),

    /**
     * 好
     */
    GOOD("0", "好"),

    ;
    private String level;

    private String describe;


    public static DiseaseSymptomsEnum getEnum(String level) {
        DiseaseSymptomsEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (DiseaseSymptomsEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
