package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 效果评估周期 enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum EffectDeadlineEnum {

    /**
     * 启用
     */
    MAX_DAYS(365, "最大时间365天"),

    /**
     * 不启用
     */
    MIN_DAYS(7, "最小时间7天"),


    ;


    private int days;

    private String describe;


    public static EffectDeadlineEnum getEnum(Integer days) {
        EffectDeadlineEnum[] values = values();
        if (days == null) {
            return null;
        }
        for (EffectDeadlineEnum value : values) {
            if (days==value.days) {
                return value;
            }
        }
        return null;
    }

}
