package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import com.jiankangyouyi.cloud.data.center.api.enums.HealthProblemEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 效果评估饮食温馨提示枚举类
 */
@Getter
@AllArgsConstructor
public enum EffectDietKindTipsEnum {

    /**
     *
     */
    OBESITY(HealthProblemEnum.OBESITY.getCode(), "奶类可选脱脂或低脂奶", ""),
    /**
     *
     */
    HPYPERLIPIDEMIA(HealthProblemEnum.HPYPERLIPIDEMIA.getCode(), "奶类可选脱脂或低脂奶", ""),

    /**
     *
     */
    TYPE_2_DIABETES(HealthProblemEnum.TYPE_2_DIABETES.getCode(), "水果和主食优选低GI的", ""),
    /**
     *
     */
    HYPERTENSION(HealthProblemEnum.HYPERTENSION.getCode(), "", "咸菜、乳豆腐等高盐食物"),
    /**
     *
     */
    GOUT(HealthProblemEnum.GOUT.getCode(), "", "动物内脏、肉汤等高嘌呤食物，高果糖食物"),
    /**
     *
     */
    HYPERURICEMIA(HealthProblemEnum.HYPERURICEMIA.getCode(), "", "动物内脏、肉汤等高嘌呤食物，高果糖食物"),
    /**
     *
     */
    CVD(HealthProblemEnum.CVD.getCode(), "", "起酥油、人造奶油及其制品如酥皮糕点、各类油炸食品"),
    /**
     *
     */
    STROKE(HealthProblemEnum.STROKE.getCode(), "", "咸菜、乳豆腐等高盐食物"),
    /**
     *
     */
    AD(HealthProblemEnum.AD.getCode(), "注意维生素B12和叶酸的补充", ""),
    /**
     *
     */
    FATTY_LIVER(HealthProblemEnum.FATTY_LIVER.getCode(), "", "糕点、冰激凌等富含单糖和双糖的食物"),
    /**
     *
     */
    IIH(HealthProblemEnum.IIH.getCode(), "", "海带、紫菜、发菜等含碘丰富的食物"),
    /**
     *
     */
    TSH(HealthProblemEnum.TSH.getCode(), "", "肥肉、鱼卵、脑等高脂肪类食物"),
    /**
     *
     */
    COPD(HealthProblemEnum.COPD.getCode(), "合理补充维生素C、维生素E、钾、钙等营养素", ""),
    /**
     *
     */
    OSTEOPOROSIS(HealthProblemEnum.OSTEOPOROSIS.getCode(), "膳食中钙摄入不足时，可使用钙补充剂", "过量饮用咖啡、碳酸及含糖饮料"),
    /**
     *
     */
    FGID(HealthProblemEnum.FGID.getCode(), "定时定量进餐，少量多餐，忌暴饮暴食", ""),
    /**
     *
     */
    IMMUNITY(HealthProblemEnum.IMMUNITY.getCode(), "", "精加工食品和快餐食品"),
    /**
     *
     */
    POSTPARTUM_WEIGHT(HealthProblemEnum.POSTPARTUM_WEIGHT.getCode(), "保证富含叶酸和铁的食物摄入，如瘦肉、动物血等", ""),
    ;


    /**
     * 健康问题编码
     */
    private String code;

    /**
     * 适宜
     */
    private String suitable;

    /**
     * 避免
     */
    private String avoid;


    public static EffectDietKindTipsEnum getEnum(String code) {
        EffectDietKindTipsEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (EffectDietKindTipsEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }


}
