package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import com.jiankangyouyi.cloud.data.center.api.enums.HealthProblemEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 疾病类型枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum EffectHealthProblemEnum {

    /**
     * 健康人群
     */
    HEALTH("HEALTH",null,"健康人群"),
    /**
     * 肥胖
     */
    OBESITY( HealthProblemEnum.OBESITY.getCode(),"肥胖","https://files.jiankangyouyi.com/bcf0a2ab946d4803894be4d7248d74fb.png?hash=FvIRqqUtsfrQV-TCqWe7g2XoaQGK"),

    ;


    /**
     * 健康问题编码
     */
    private String code;

    /**
     * 健康问题名称
     */
    private String name;

    /**
     * 健康问题对应图片
     */
    private String imageUrl;


    public static EffectHealthProblemEnum getEnum(String code) {
        EffectHealthProblemEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (EffectHealthProblemEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }


}
