package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 问卷全部测评题枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum EffectQuestionaireEnum {

    /**
     * 出生日期
     */
    BIRTHDAY("BIRTHDAY", false, "出生日期"),

    /**
     * 性别
     */
    GENDER("GENDER", false, "性别"),

    /**
     * BMI
     */
    BMI("BMI", false, "BMI"),

    /**
     * BMI-1 男
     */
    BMI_1("BMI-1", false, "BMI-男"),
    /**
     * BMI-2 女
     */
    BMI_2("BMI-2", false, "BMI-女"),
    /**
     * 您的腰围是多少 男
     */
    WAISTLINE("WAISTLINE", false, "腰围"),

    /**
     * 您的腰围是多少 男
     */
    WAISTLINE_1("WAISTLINE-1", false, "腰围-男"),
    /**
     * 您的腰围是多少 女
     */
    WAISTLINE_2("WAISTLINE-2", false, "腰围-女"),
    /**
     * 体脂率
     */
    BFR("BFR", false, "体脂率"),
    /**
     * 体脂率-男
     */
    BFR_1("BFR-1", false, "体脂率-男"),
    /**
     * 体脂率-女
     */
    BFR_2("BFR-2", false, "体脂率-女"),
    /**
     * 此评价阶段你是否出现过以下症状？
     */
    HAVE_SYMPTOMS("HAVE_SYMPTOMS", false, "此评价阶段你是否出现过以下症状？"),
    /**
     * 此阶段你的“气喘”症状变化情况为？
     */
    BREATHE_HARD("BREATHE_HARD", false, "此阶段你的“气喘”症状变化情况为？"),
    /**
     * 此阶段你的“疲乏”症状变化情况为？
     */
    TIRED("TIRED", false, "此阶段你的“疲乏”症状变化情况为？"),
    /**
     * 对于‘胸闷’症状，您的改善情况为
     */
    CHEST_DISTRESS("CHEST_DISTRESS", false, "对于‘胸闷’症状，您的改善情况为"),
    /**
     * 此阶段你的“食欲亢进”症状变化情况为？
     */
    STOMACH_STHENIA("STOMACH_STHENIA", false, "此阶段你的“食欲亢进”症状变化情况为？"),
    /**
     * 此阶段你的“便秘”症状变化情况为？
     */
    CONSTIPATE("CONSTIPATE", false, "此阶段你的“便秘”症状变化情况为？"),
    /**
     * 此阶段你的“关节痛”症状变化情况为？
     */
    JOINT_PAIN("JOINT_PAIN", false, "此阶段你的“关节痛”症状变化情况为？"),
    /**
     * 对于‘肌肉酸痛’症状，您的改善情况为
     */
    MUSCLE_ACHE("MUSCLE_ACHE", false, "对于‘肌肉酸痛’症状，您的改善情况为"),
    /**
     * 此阶段你的“抑郁”症状变化情况为？
     */
    ANXIETY("ANXIETY", false, "此阶段你的“抑郁”症状变化情况为？"),
    /**
     * 你平均每天静坐时长
     */
    SIT_TIME("SIT_TIME", false, "你平均每天静坐时长"),
    /**
     * 你是否有以下食物摄入超量问题
     */
    FOOD_EXCESS("FOOD_EXCESS", false, "你是否有以下食物摄入超量问题"),
    /**
     * 你是否有以下食物摄入过量问题
     */
    OVEREATING("OVEREATING", false, "你是否有以下食物摄入过量问题"),
    /**
     * 你的日常生活习惯
     */
    LIVING_HABIT("LIVING_HABIT", false, "你的日常生活习惯"),
    /**
     * 你是否饮酒
     */
    DRINK("DRINK", false, "你是否饮酒"),
    /**
     * 你的吸烟情况
     */
    SMOKE("SMOKE", false, "你的吸烟情况"),
    /**
     * 你是否有以下睡眠问题需要解决
     */
    SLEEP_PROBLEM("SLEEP_PROBLEM", false, "你是否有以下睡眠问题需要解决"),
    /**
     * 你入睡潜伏期在哪个时间段？
     */
    SLEEP_LATENCY("SLEEP_LATENCY", false, "你入睡潜伏期在哪个时间段？"),
    /**
     * 你夜间觉醒次数大约在多少次？
     */
    AWAKEN_TIMES("AWAKEN_TIMES", false, "你夜间觉醒次数大约在多少次？"),
    /**
     * 你经常在哪个时间段入睡？
     */
    SLEEP_TIME("SLEEP_TIME", false, "你经常在哪个时间段入睡？"),
    /**
     * 你每天睡眠时间不足在哪个范围？
     */
    LACK_SLEEP_TIME("LACK_SLEEP_TIME", false, "你每天睡眠时间不足在哪个范围？"),
    /**
     * 你是否长期存在以下精神状态
     */
    MENTAL_STATE("MENTAL_STATE", false, "你是否长期存在以下精神状态"),


    /**
     * 此阶段你的初始体重？
     */
    INIT_WEIGHT("INIT_WEIGHT", false, "此阶段你的初始体重？"),
    /**
     * 此阶段你的初始腰围？
     */
    INIT_WAISTLINE("INIT_WAISTLINE", false, "此阶段你的初始体重？"),
    /**
     * 此阶段你的体脂率？
     */
    INIT_BODY_FAT_RATE("INIT_BODY_FAT_RATE", false, "此阶段你的初始体重？"),

    /**
     * 2023-01-28 生活方式1.4
     * 你是否常有意识地进行呼吸锻炼，如缩唇呼吸、腹式呼吸等？
     */
    BREATHING_EXERCISE("BREATHING_EXERCISE", false, "你是否常有意识地进行呼吸锻炼，如缩唇呼吸、腹式呼吸等？"),
    /**
     * 2023-01-28 生活方式1.4
     * 你是否常参加社会活动，如参加生日聚会、集体旅游度假等？
     */
    PARTICIPATE_SOCIAL_ACTIVITIES("PARTICIPATE_SOCIAL_ACTIVITIES", false, "你是否常参加社会活动，如参加生日聚会、集体旅游度假等？"),
    /**
     * 2023-01-28 生活方式1.4
     * 你的睡眠环境或睡眠习惯是否存在以下情况？
     */
    SLEEP_ENVIRONMENT_OR_HABITS("SLEEP_ENVIRONMENT_OR_HABITS", false, "你的睡眠环境或睡眠习惯是否存在以下情况？"),
    /**
     * 2023-01-28 生活方式1.4
     * 您是否长期居住或工作在以下环境
     */
    QUESTION_LIVE_ENVIRONMENTAL("LIVE_ENVIRONMENTAL", false, "您是否长期居住或工作在以下环境"),
    ;


    /**
     * 题目编号
     */
    private String questionCode;

    /**
     * 必须出现题
     */
    private boolean required;

    /**
     * 题目名称
     */
    private String questionName;


    public static EffectQuestionaireEnum getEnum(String questionCode) {
        EffectQuestionaireEnum[] values = values();
        if (questionCode == null) {
            return null;
        }
        for (EffectQuestionaireEnum value : values) {
            if (questionCode.equals(value.questionCode)) {
                return value;
            }
        }
        return null;
    }


}
