package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指标 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum IndicatorLevelEnum {

    /**
     * 差
     */
    BAD("3", "差"),
    /**
     * 较差
     */
    POOR("2", "较差"),
    /**
     * 较好
     */
    BETTER("1", "较好"),
    /**
     * 好
     */
    GOOD("0", "好"),
    /**
     * 无效评级
     */
    INVALID("-1", "无效评级"),

    ;
    private String level;

    private String describe;


    public static IndicatorLevelEnum getEnum(String level) {
        IndicatorLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (IndicatorLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
