package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum LifeStyleLevelEnum {

    /**
     * 差
     */
    BAD("3", "差"),
    /**
     * 一般
     */
    POOR("2", "一般"),
    /**
     * 较好
     */
    BETTER("1", "较好"),
    /**
     * 好
     */
    GOOD("0", "好"),

    ;
    private String level;

    private String describe;


    public static LifeStyleLevelEnum getEnum(String level) {
        LifeStyleLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (LifeStyleLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
