package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 肥胖建议key枚举 评级Enum
 * 体重变化趋势_当前肥胖类型_体脂率腰围变化情况_天数_减重速度
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum ObesityAdviceTypeEnum {

    /**
     *  体重下降_标准_体脂率腰围变化_小于等于30天_减重速度
     */

    //体重下降-标准-只有下降-小于等于30-合理
    DOWN_NORMAL_DOWN_30_NORMAL("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，(体脂率、腰围)也降低了，减重速度合理，体重管理效果非常棒！下一阶段建议以塑形为主，且要保持健康的体脂率和腰围。"),
    //体重下降-标准-只有下降-小于等于30-较快
    DOWN_NORMAL_DOWN_30_FASTER("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "此阶段您的体重管理效果好，体重减轻了[体重1-体重2]kg，且目前为健康体重，(体脂率、腰围)也降低了，但温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！下一阶段建议以塑形为主，且要保持健康的体脂率和腰围。"),

    //体重下降-标准-有升高有下降-小于等于30-合理
    DOWN_NORMAL_UP_DOWN_30_NORMAL("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "此阶段您的体重管理效果较好，体重减轻了[体重1-体重2]kg，且目前为健康体重，(体脂率、腰围)也降低了，减重速度合理。温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，下一阶段建议以塑形为主，保证健康体脂率和腰围才是硬道理。"),
    //体重下降-标准-有升高有下降-小于等于30-较快
    DOWN_NORMAL_UP_DOWN_30_FASTER("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "此阶段您的体重管理效果还可以，体重减轻了[体重1-体重2]kg，且目前为健康体重，(体脂率、腰围)也降低了，但温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！另外，[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，下一阶段建议以塑形为主，保证健康体脂率和腰围才是硬道理。"),

    //体重下降-标准-升高-小于等于30-合理
    DOWN_NORMAL_UP_30_NORMAL("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，减重速度合理！但温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，下一阶段建议以塑形为主，保证健康体脂率和腰围才是硬道理。"),
    //体重下降-标准-升高-小于等于30-较快
    DOWN_NORMAL_UP_30_FASTER("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，但温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！另外，[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，下一阶段建议以塑形为主，保证健康体脂率和腰围才是硬道理。"),

    //体重下降-标准-不变-小于等于30-合理
    DOWN_NORMAL_NORMAL_30_NORMAL("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，减重速度合理，非常棒！下一阶段建议以塑形为主，且要保持健康的体脂率和腰围。"),
    //体重下降-标准-不变-小于等于30-较快
    DOWN_NORMAL_NORMAL_30_FASTER("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，但温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！下一阶段建议以塑形为主，且要保持健康的体脂率和腰围。"),

    /**
     *  体重下降_标准_体脂率腰围变化_大于30天
     */
    DOWN_NORMAL_DOWN("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，(体脂率、腰围)也降低了，体重管理效果非常棒！下一阶段建议以塑形为主，且要保持健康的体脂率和腰围。"),

    DOWN_NORMAL_UP_DOWN("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "此阶段您的体重管理效果较好，体重减轻了[体重1-体重2]kg，且目前为健康体重，(体脂率、腰围)也降低了。温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，下一阶段建议以塑形为主，保证健康体脂率和腰围才是硬道理。"),

    DOWN_NORMAL_UP("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，但温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，下一阶段建议以塑形为主，保证健康体脂率和腰围才是硬道理。"),

    DOWN_NORMAL_NORMAL("DOWN"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，目前为健康体重，非常棒！下一阶段建议以塑形为主，且要保持健康的体脂率和腰围。"),

    /**
     * 体重下降_超重/肥胖_体脂率腰围变化_小于等于30天_减重速度
     */
    DOWN_OBESITY_DOWN_30_NORMAL("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，但还需继续努力，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。"),
    DOWN_OBESITY_DOWN_30_FASTER("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也相应降低了，但温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！请严格按照健康管理计划执行，达到健康减重的目标。"),

    DOWN_OBESITY_UP_DOWN_30_NORMAL("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，还需继续努力，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，注意健康减重。"),
    DOWN_OBESITY_UP_DOWN_30_FASTER("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，但温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！另外，[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，注意健康减重。"),

    DOWN_OBESITY_UP_30_NORMAL("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，还需继续努力，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，注意健康减重。"),
    DOWN_OBESITY_UP_30_FASTER("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！另外，[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，注意健康减重。"),

    DOWN_OBESITY_NORMAL_30_NORMAL("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30"+LoseWeightEnum.NORMAL.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，还需继续努力，健康减重，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。"),
    DOWN_OBESITY_NORMAL_30_FASTER("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30"+LoseWeightEnum.FASTER.getLevel(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，温馨提示您，您减重速度较快，合理的减重速度是每周不超过0.5-1kg，合理的减肥速度才更利于身体健康哦！请严格按照健康管理计划执行，科学减重。"),
    /**
     * 体重下降_超重/肥胖_体脂率腰围变化_大于30天
     */
    DOWN_OBESITY_DOWN("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，但还需继续努力，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。"),

    DOWN_OBESITY_UP_DOWN("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，还需继续努力，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，注意健康减重。"),

    DOWN_OBESITY_UP("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，还需继续努力，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况，注意健康减重。"),

    DOWN_OBESITY_NORMAL("DOWN"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段的健康管理后，您的体重管理效果较好，体重减轻了[体重1-体重2]kg，还需继续努力，健康减重，在减少能量摄入的基础上配合适量运动，争取早日达到健康体重状态。"),


    /**
     * 体重下降_消瘦_体脂率腰围变化_小于等于30天
     */
    DOWN_THIN_DOWN_30("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)相应降低，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。"),
    DOWN_THIN_DOWN("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)相应降低，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。"),

    DOWN_THIN_UP_DOWN_30("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。" +
                    "温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况。"),
    DOWN_THIN_UP_DOWN("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，(体脂率、腰围)也降低了，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。" +
                    "温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况。"),

    DOWN_THIN_UP_30("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。" +
                    "温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况。"),
    DOWN_THIN_UP("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。" +
                    "温馨提示：[体脂率、腰围]升高了，请注意核准数据准确性，若无误，请注意减重方法是否合理，要避免不健康的节食、服用减肥药等情况。"),

    DOWN_THIN_NORMAL_30("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。"),
    DOWN_THIN_NORMAL("DOWN"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段的健康管理后，您的体重减轻了[体重1-体重2]kg，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重。"),

    /**
     *  体重不变_标准_体脂率腰围变化_小于等于30天
     */
    NORMAL_NORMAL_DOWN_30("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)有所下降，很不错，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的。下一阶段可以以塑形为主。"),
    NORMAL_NORMAL_DOWN("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)有所下降，很不错，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的。下一阶段可以以塑形为主。"),

    NORMAL_NORMAL_UP_DOWN_30("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)下降了，[体脂率、腰围]升高了，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),
    NORMAL_NORMAL_UP_DOWN("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)下降了，[体脂率、腰围]升高了，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),

    NORMAL_NORMAL_UP_30("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，但[体脂率、腰围]升高了，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),
    NORMAL_NORMAL_UP("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，但[体脂率、腰围]升高了，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),

    NORMAL_NORMAL_NORMAL_30("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段的健康管理后，您的体重、{体脂率、腰围}与之前持平，建议您通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),
    NORMAL_NORMAL_NORMAL("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段的健康管理后，您的体重、{体脂率、腰围}与之前持平，建议您通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),

    NORMAL_NORMAL_INVALID_30("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.INVALID+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，建议您通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),
    NORMAL_NORMAL_INVALID("NORMAL"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.INVALID,
            "经过此阶段的健康管理后，您的体重与之前持平，建议您通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),

    /**
     * 体重不变_超重/肥胖_体脂率腰围变化_小于等于30天
     */
    NORMAL_OBESITY_DOWN_30("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，但(体脂率、腰围)有所下降，也是一种好现象，但未达到减重目标，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),
    NORMAL_OBESITY_DOWN("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，但(体脂率、腰围)有所下降，也是一种好现象，但未达到减重目标，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),

    NORMAL_OBESITY_UP_DOWN_30("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)下降了，体脂率/腰围升高了，未达到减重目标，体重管理效果较差，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),
    NORMAL_OBESITY_UP_DOWN("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)下降了，[体脂率、腰围]升高了，未达到减重目标，体重管理效果较差，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),

    NORMAL_OBESITY_UP_30("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，[体脂率、腰围]升高了，体重管理效果差，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),
    NORMAL_OBESITY_UP("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，[体脂率、腰围]升高了，体重管理效果差，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),

    NORMAL_OBESITY_NORMAL_30("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段的健康管理后，您的体重、[体脂率、腰围]与之前持平，体重管理效果差，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),
    NORMAL_OBESITY_NORMAL("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段的健康管理后，您的体重、{体脂率、腰围}与之前持平，体重管理效果差，请严格执行健康管理计划，在减少总热量摄入的基础上配合适量运动，早日达到健康体重状态。"),

    NORMAL_OBESITY_INVALID_30("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.INVALID+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，体重管理效果差，下一阶段请按照健康管理计划执行，进行体重管理，早日达到健康体重状态。"),
    NORMAL_OBESITY_INVALID("NORMAL"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.INVALID,
            "经过此阶段的健康管理后，您的体重与之前持平，体重管理效果差，下一阶段请按照健康管理计划执行，进行体重管理，早日达到健康体重状态。"),
    /**
     * 体重不变_消瘦_体脂率腰围变化_小于等于30天
     */
    NORMAL_THIN_DOWN_30("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)有所下降，目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重，且保持健康的腰围和体脂率。"),
    NORMAL_THIN_DOWN("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)有所下降，目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重，且保持健康的腰围和体脂率。"),

    NORMAL_THIN_UP_DOWN_30("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)下降了，[体脂率、腰围]升高了，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重，且保持健康的腰围和体脂率。"),
    NORMAL_THIN_UP_DOWN("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段的健康管理后，您的体重与之前持平，(体脂率、腰围)下降了，[体脂率、腰围]升高了，但目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重，且保持健康的腰围和体脂率。"),

    NORMAL_THIN_UP_30("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段，您目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重、腰围及体脂率。"),
    NORMAL_THIN_UP("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段，您目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重、腰围及体脂率。"),

    NORMAL_THIN_NORMAL_30("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段的健康管理后，您的体重、{体脂率、腰围}与之前持平，目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重、腰围及体脂率。"),
    NORMAL_THIN_NORMAL("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段的健康管理后，您的体重、{体脂率、腰围}与之前持平，目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重、腰围及体脂率。"),

    NORMAL_THIN_INVALID_30("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.INVALID+"30",
            "经过此阶段，您目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重、腰围及体脂率。"),
    NORMAL_THIN_INVALID("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.INVALID,
            "经过此阶段，您目前为消瘦状态，消瘦不利于身体健康，请不要被时下非理性的审美左右，请注意适当补充营养，恢复健康体重、腰围及体脂率。"),

    /**
     *  体重增加_标准_体脂率腰围变化_小于等于30天
     */
    UP_NORMAL_DOWN_30("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，但(体脂率、腰围)有所下降，提醒您最好每天早上空腹测量体重，以保证数据准确性。若数据无误，这也是一种好现象，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的，下一阶段建议以塑形为主。"),
    UP_NORMAL_DOWN("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，但(体脂率、腰围)有所下降，提醒您最好每天早上空腹测量体重，以保证数据准确性。若数据无误，这也是一种好现象，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的，下一阶段建议以塑形为主。"),

    UP_NORMAL_UP_DOWN_30("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)下降了，[体脂率、腰围]升高了，提醒您最好每天早上空腹测量体重，以保证数据准确性。目前为健康体重状态，下一阶段建议以塑形为主。"),
    UP_NORMAL_UP_DOWN("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)下降了，[体脂率、腰围]升高了，提醒您最好每天早上空腹测量体重，以保证数据准确性。下一阶段建议以塑形为主。"),

    UP_NORMAL_UP_30("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，[体脂率、腰围]升高了，但目前为健康体重状态，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),
    UP_NORMAL_UP("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，[体脂率、腰围]升高了，但目前为健康体重状态，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),

    UP_NORMAL_NORMAL_30("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，目前为健康体重状态，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),
    UP_NORMAL_NORMAL("UP"+ObesityLevelEnum.NORMAL.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，目前为健康体重状态，还需注意通过养成良好的生活方式，找到能够持续到永久的模式和生活习惯，做到真正长期有效的身材管理。下一阶段可以以塑形为主。"),

    /**
     * 体重增加_超重/肥胖_体脂率腰围变化_小于等于30天
     */
    UP_OBESITY_DOWN_30("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，但(体脂率、腰围)有所下降，提醒您最好每天早上空腹测量体重，以保证数据准确性。若数据无误，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的，下一阶段请严格按照健康管理计划执行，早日恢复健康体重、健康体脂率及腰围。"),
    UP_OBESITY_DOWN("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，但(体脂率、腰围)有所下降，提醒您最好每天早上空腹测量体重，以保证数据准确性，若数据无误，这也是一种好现象，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的，下一阶段请按照健康管理计划执行，早日恢复健康体重状态。"),

    UP_OBESITY_UP_DOWN_30("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)下降了，[体脂率、腰围]升高了，提醒您最好每天早上空腹测量体重，以保证数据准确性。下一阶段应注意科学减重，在减少总能量摄入的基础上配合适量运动，早日恢复健康体重、健康体脂率及腰围。"),
    UP_OBESITY_UP_DOWN("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)下降了，[体脂率、腰围]升高了，提醒您最好每天早上空腹测量体重，以保证数据准确性。下一阶段应注意科学减重，在减少总能量摄入的基础上配合适量运动，早日恢复健康体重。"),

    UP_OBESITY_UP_30("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，[体脂率、腰围]升高了，体重管理效果差，下一阶段请按照健康管理计划执行，在减少总能量摄入的基础上配合适量运动，早日达到健康体重、健康体脂率及腰围。"),
    UP_OBESITY_UP("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，[体脂率、腰围]升高了，体重管理效果差，下一阶段请按照健康管理计划执行，在减少总能量摄入的基础上配合适量运动，早日达到健康体重、健康体脂率及腰围。"),

    UP_OBESITY_NORMAL_30("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，体重管理效果差，下一阶段请按照健康管理计划执行，在减少总能量摄入的基础上配合适量运动，早日达到健康体重、健康体脂率及腰围。"),
    UP_OBESITY_NORMAL("UP"+ObesityLevelEnum.OBESITY.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，体重管理效果差，下一阶段请按照健康管理计划执行，在减少总能量摄入的基础上配合适量运动，早日达到健康体重、健康体脂率及腰围。"),
    /**
     * 体重增加_消瘦_体脂率腰围变化_小于等于30天
     */
    UP_THIN_DOWN_30("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.DOWN.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)有所下降，提醒您最好每天早上空腹测量体重，以保证数据准确性。若数据无误，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的，但目前为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重状态。"),
    UP_THIN_DOWN("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.DOWN.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)有所下降，提醒您最好每天早上空腹测量体重，以保证数据准确性。若数据无误，可能是由于运动锻炼增加了基础代谢以及肌肉量造成的，但目前为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重状态。"),

    UP_THIN_UP_DOWN_30("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)下降了，[体脂率、腰围]升高了，提醒您最好每天早上空腹测量体重，以保证数据准确性。您为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重状态、健康体脂率及腰围。"),
    UP_THIN_UP_DOWN("NORMAL"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP_DOWN.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，(体脂率、腰围)下降了，[体脂率、腰围]升高了，提醒您最好每天早上空腹测量体重，以保证数据准确性。您为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重状态、健康体脂率及腰围。"),

    UP_THIN_UP_30("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，[体脂率、腰围]升高了，但为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重、健康体脂率和腰围。"),
    UP_THIN_UP("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.UP.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，[体脂率、腰围]升高了，但为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重、健康体脂率和腰围。"),

    UP_THIN_NORMAL_30("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType()+"30",
            "经过此阶段，您的体重增加了[体重2-体重1]kg，但为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重、健康体脂率及腰围。"),
    UP_THIN_NORMAL("UP"+ObesityLevelEnum.THIN.getType()+ WeightBfrWaistChangeEnum.NORMAL.getType(),
            "经过此阶段，您的体重增加了[体重2-体重1]kg，但为消瘦状态，消瘦不利于身体健康，请继续严格按照健康管理方案执行，早日达到健康体重、健康体脂率及腰围。"),

    ;
    private final String type;

    private final String advice;


    public static ObesityAdviceTypeEnum getEnum(String type) {
        ObesityAdviceTypeEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (ObesityAdviceTypeEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }
}
