package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 体脂率、腰围变化Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum WeightBfrWaistChangeEnum {

    /**
     * 都不变
     */
    NORMAL("NORMAL", "都不变"),
    /**
     * 只有下降
     */
    DOWN("DOWN", "只有下降"),
    /**
     * 只有升高
     */
    UP("UP", "只有升高"),
    /**
     * 既有升高也有下降
     */
    UP_DOWN("UP_DOWN", "既有升高也有下降"),
    /**
     * 无效
     */
    INVALID("INVALID", "无效"),




    ;
    private String type;

    private String describe;


    public static WeightBfrWaistChangeEnum getEnum(String type) {
        WeightBfrWaistChangeEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (WeightBfrWaistChangeEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }
}
