package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 区域,数据来源——字典——字典大类：食物库，字典子类：国家及地区 enum
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum AreaEnum {

    /**
     * 34个区域
     */
    AREA_01("1","01","北京"),
    AREA_02("2","02","天津"),
    AREA_03("3","03","河北"),
    AREA_04("4","04","山西"),
    AREA_05("5","05","内蒙古"),
    AREA_06("6","06","辽宁"),
    AREA_07("7","07","吉林"),
    AREA_08("8","08","黑龙江"),
    AREA_09("9","09","上海"),
    AREA_10("10","10","江苏"),
    AREA_11("11","11","浙江"),
    AREA_12("12","12","安徽"),
    AREA_13("13","13","福建"),
    AREA_14("14","14","江西"),
    AREA_15("15","15","山东"),
    AREA_16("16","16","河南"),
    AREA_17("17","17","湖北"),
    AREA_18("18","18","湖南"),
    AREA_19("19","19","广东省"),
    AREA_20("20","20","广西"),
    AREA_21("21","21","海南"),
    AREA_22("22","22","重庆"),
    AREA_23("23","23","四川"),
    AREA_24("24","24","贵州"),
    AREA_25("25","25","云南"),
    AREA_26("26","26","西藏"),
    AREA_27("27","27","陕西"),
    AREA_28("28","28","甘肃"),
    AREA_29("29","29","青海"),
    AREA_30("30","30","宁夏"),
    AREA_31("31","31","新疆"),
    AREA_32("32","32","台湾"),
    AREA_33("33","33","香港"),
    AREA_34("34","34","澳门");


    /**
     * 序号
     */
    private final String number;

    /**
     * 名族编码
     */
    private final String areaCode;

    /**
     * 民族名称
     */
    private final String areaName;

    public static AreaEnum getEnum(String number) {
        AreaEnum[] values = values();
        if (number == null) {
            return null;
        }
        for (AreaEnum value : values) {
            if (number.equals(value.number)) {
                return value;
            }
        }
        return null;
    }

    public static AreaEnum getNationCodeEnum(String areaCode) {
        AreaEnum[] values = values();
        if (areaCode == null) {
            return null;
        }
        for (AreaEnum value : values) {
            if (areaCode.equals(value.areaCode)) {
                return value;
            }
        }
        return null;
    }


}
