package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.assessment.enums.QiniuBucketEnum;
import com.jiankangyouyi.cloud.core.external.qiniu.QiniuClient;
import lombok.AllArgsConstructor;

/**
 * 食物类型枚举
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
public enum AssessmentFoodTypeEnum {

    /**
     * 谷类
     */
    CEREALS("0", "谷类", "g", "克", "345811f6ba784fe3bbca7197dbaee745.png?Frddeiqx0cuE8hhzw4AWu0uKfBm2?jkyy"),

    /**
     * 薯类
     */
    POTATO("1", "薯类", "g", "克", "d599655227c446fa929ddae8137b4f22.png?FhTi4HcQufNN9ASUcpKttbAMX890?jkyy"),

    /**
     * 蔬菜类
     */
    VEGETABLES("2", "蔬菜类", "g", "克", "a4a2f3dc6b1b4bffb6d5b9f5628834c3.png?FlRU28P62TKaHP9-4v2vmZdWIftk?jkyy"),

    /**
     * 水果类
     */
    FRUITS("3", "水果类", "g", "克", "eecc874508894a0b9a25d8783952c232.png?FrU6biWDHDm2ALN0PEiHYslsxYoQ?jkyy"),

    /**
     * 畜禽肉蛋类
     */
    MEAT("4", "畜禽肉蛋类", "g", "克", "fae7d0b159c44eebbd1b490a69320f59.png?FocEzlCCykSUaIjV4UudgczpLbvI?jkyy"),

    /**
     * 奶类
     */
    MILK("5", "奶类", "ml", "毫升", "a60f2abe9b4a4d8c8e5eb7187a219f8d.png?FsCL93mIqWDxFAFYXLf0jPSanCnW?jkyy"),

    /**
     * 大豆类
     */
    SOYBEAN("6", "大豆类", "g", "克", "b7367f4e2e73400bba10261514277014.png?FplVLxPG_q1nPSe2LdY95SRxzUgD?jkyy"),

    /**
     * 坚果类
     */
    NUT("7", "坚果类", "g", "克", "67e1e0db56e14b579637f5d3d077554e.png?Fti9Jkix0XHEVRbrsImBTj0CVauw?jkyy"),

    /**
     * 烹调油
     */
    OIL("8", "烹调油", "ml", "毫升", "fb2b6a49a1874a38b81de14eab44053c.png?FhhJyD6OeLWVJzX-3Az9O8HswoKf?jkyy"),

    /**
     * 水产类
     */
    SEAFOOD("9", "水产类", "g", "克", "34290f8b557749c8aea6f95f8d5d0f5d.png?FrfNm5gCebdsJc9UNHA-rhZ-5Sek?jkyy"),

    /**
     * 饮水量
     */
    WATER("10", "饮水量", "ml", "毫升", "14d30394b6b5414ba8ba4a432360fc31.png?FniRQDp7S90doznhQs1TJjH0TbiG?jkyy"),


    ;


    /**
     * 编码
     */
    private final String code;
    /**
     * 描述
     */
    private final String message;
    /**
     * 英文单位
     */
    private final String unit;
    /**
     * 中文单位
     */
    private final String unitCn;
    /**
     * 图片
     */
    private final String imageUrl;


    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getUnit() {
        return unit;
    }

    public String getUnitCn() {
        return unitCn;
    }

    public String getImageUrl() {
        QiniuClient qiniuClient = QiniuClient.getClient(QiniuBucketEnum.JKYY.getBucket());
        return qiniuClient.imageKeyToImageUrl(this.imageUrl);
    }
}
