package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 评估中心指标类别枚举
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum AssessmentIndicatorCategoryEnum {

    /**
     * 无分类
     */
    NONE("NONE","无分类"),
    /**
     * 血脂类
     */
    BLOOD_FAT("BLOOD_FAT","血脂类"),
    /**
     * 蛋白类
     */
    PROTIDE("PROTIDE","蛋白类"),
    /**
     * 红细胞类
     */
    RBC("RBC","红细胞类"),
    /**
     * 体重类
     */
    WEIGHT("WEIGHT","体重类"),
    /**
     * 血糖类
     */
    BLOOD_GLUCOSE("BLOOD_GLUCOSE","血糖类"),
    /**
     * 血压类
     */
    BLOOD_PRESSURE("BLOOD_PRESSURE","血压类"),


    ;

    /**
     * 类别
     */
    private String category ;
    /**
     * 描述
     */
    private String message;

    public static AssessmentIndicatorCategoryEnum getEnum(String category) {
        AssessmentIndicatorCategoryEnum[] values = values();
        if (category == null) {
            return null;
        }
        for (AssessmentIndicatorCategoryEnum value : values) {
            if (category.equals(value.category)) {
                return value;
            }
        }
        return null;
    }

}
