package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 评估中心指标类型枚举
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum AssessmentIndicatorTypeEnum {

    /**
     * 数值指标
     */
    NUMBER("1","数值指标"),
    /**
     * 描述指标（字符）
     */
    CHARACTER("2","描述指标（字符）"),
    /**
     * 动态指标
     */
    DYNAMIC("3","动态指标"),


    ;

    /**
     * 指标类型
     */
    private String indicatorType ;
    /**
     * 描述
     */
    private String message;

    public static AssessmentIndicatorTypeEnum getEnum(String indicatorType) {
        AssessmentIndicatorTypeEnum[] values = values();
        if (indicatorType == null) {
            return null;
        }
        for (AssessmentIndicatorTypeEnum value : values) {
            if (indicatorType.equals(value.indicatorType)) {
                return value;
            }
        }
        return null;
    }

}
