package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 风问卷模型 enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum AssessmentModeEnum implements BaseEnum {

    /**
     * 精简
     */
    SIMPLE("1","精简"),

    /**
     * 精准
     */
    PRECISE("2","精准");


    /**
     * 疾病类型
     */
    private String mode;

    /**
     * 疾病名称
     */
    private String modeName;

    public static AssessmentModeEnum getEnum(String mode) {
        AssessmentModeEnum[] values = values();
        if (mode == null) {
            return null;
        }
        for (AssessmentModeEnum value : values) {
            if (mode.equals(value.mode)) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return this.mode;
    }

    @Override
    public String message() {
        return this.modeName;
    }
}
