package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.commons.lang.StringUtils;

/**
 * 身体指标ID
 * <p>
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum BodyIndicatorIdEnum {


    /**
     * BMI
     */
    BMI("d72cd09e-aa28-4456-b624-fb33a19c07c8","BMI", "身体质量指数"),
    /**
     * 腰围
     */
    WAISTLINE("9791402f-4aea-47a4-b0ba-0d7b2dac5ebf", "WAISTLINE","腰围"),
    /**
     * 体脂率
     */
    BFR("6dbffed8-6632-4ccc-8942-09e83e549944", "BFR","体脂率"),

    /**
     * 空腹血糖
     */
    FBG("b11affc8-952d-4c0a-b5a2-3d147031ae34","FBG", "空腹血糖"),

    /**
     * 餐后血糖
     */
    PBG("c946f658-90ab-414e-8532-80a109922db2","PBG", "餐后血糖"),
    /**
     * 随机血檀
     */
    RBG("2598baa7-16be-4f91-8385-216db5b4de7e", "RBG","随机血糖"),

    /**
     * 糖化血红蛋白
     */
    GHB("7621fc55-f07b-4674-9927-87155e52b3d5", "GHB","糖化血红蛋白"),

    /**
     * 收缩压（高压）
     */
    SBP("b1f6366f-27d6-4999-b131-4ebb26fb2dc0", "SBP","收缩压"),

    /**
     * 舒张压（低压）
     */
    DBP("a5ebf849-ee54-442b-a5da-a5031f5bdbb5", "DBP","舒张压"),

    /**
     * 总胆固醇
     */
    TC("bbf35a37-c6f8-4b99-a18d-54b98b07fefb","TC", "总胆固醇"),

    /**
     * 甘油三酯
     */
    TG("0ad6bc19-1b83-4181-8c3d-742540b59d84", "TG","甘油三酯"),

    /**
     * 高密度脂蛋白胆固醇
     */
    HDL_C("3b0f4a2f-15a8-4d45-b9ba-7168fff222e8", "HDL_C","高密度脂蛋白胆固醇"),

    /**
     * 低密度脂蛋白胆固醇
     */
    LDL_C("355b1528-50fc-4efc-8319-a1ab221d5a2e", "LDL_C","低密度脂蛋白胆固醇"),
    /**
     * 非高密度脂蛋白胆固醇
     */
    MDL_C("2a03f32a-5b6d-4f4f-bb2c-3e81d965c12a", "MDL_C","非高密度脂蛋白胆固醇"),

    /**
     * 骨密度T值
     */
    BMD_T_SCORE("1c222785-1a21-4cd2-a78d-289cc67d9b05","BMDTs", "骨密度T值"),

    /**
     * 血尿酸
     */
    UA("35e823cd-9d4c-41a1-86a4-ab1b0489e0dd", "UA","血尿酸"),
    /**
     * 肝内脂肪含量
     */
    IHCL("a2094f25-fbac-4d4f-83de-becc25fc85fd", "IHCL","肝内脂肪含量"),

    /**
     * γ-谷氨酰转移酶
     */
    YGGT("504bc1aa-4730-4276-9f8f-3aab797eb210", "YGGT","γ-谷氨酰转移酶"),

    /**
     * 呼吸频率
     */
    RR("47174ab0-fcee-45ab-9769-41129b445275", "RR","呼吸频率"),

    /**
     * 心率
     */
    HR("a024708d-96ce-4900-892d-a66fecbc326e", "HR","心率"),

    /**
     * 血氧饱和度
     */
    SAO2("f52bdc55-ed29-47b2-ac26-e055a4f2d676", "SAO2","血氧饱和度"),

    ;


    private String indicatorId;

    private String indicator;

    private String indicatorName;


    public static BodyIndicatorIdEnum getEnum(String indicatorId) {
        BodyIndicatorIdEnum[] values = values();
        if (StringUtils.isBlank(indicatorId)) {
            return null;
        }
        for (BodyIndicatorIdEnum value : values) {
            if (indicatorId.equals(value.indicatorId)) {
                return value;
            }
        }
        return null;
    }
}
