package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 请求渠道枚举
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum ChannelEnum implements BaseEnum {

    /**
     * 测评
     */
    ASSESSMENT("1","测评"),

    /**
     * 参数
     */
    PARAM("2","参数"),


    ;

    /**
     * 请求接口渠道
     */
    private String channel ;
    /**
     * 描述
     */
    private String message;

    public static ChannelEnum getEnum(String channel) {
        ChannelEnum[] values = values();
        if (channel == null) {
            return null;
        }
        for (ChannelEnum value : values) {
            if (channel.equals(value.channel)) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return this.channel;
    }

    @Override
    public String message() {
        return this.message;
    }
}
