package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.assessment.enums.QiniuBucketEnum;
import com.jiankangyouyi.cloud.core.external.qiniu.QiniuClient;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * 请求渠道枚举
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum DailyLifeEnum {

    /**
     * 1	平衡膳食、增强体质
     * 2	控制体重
     * 3	低盐饮食
     * 4	控糖
     * 5	均衡膳食
     * 6	低脂低胆固醇饮食
     * 7	避免高嘌呤饮食
     * 8	健康饮食
     * 9	多吃蔬菜
     * 10	多吃水果
     * 11	每天喝奶
     * 12	粗细搭配
     * 13	常吃大豆和豆制品
     * 14	规律饮食
     * 15	细嚼慢咽
     * 16	减少在外就餐
     * 17	适量运动
     * 18	增加户外活动
     * 19	减少久坐
     * 20	限制饮酒
     * 21	科学喝水
     * 22	戒烟
     * 23	避免接触二手烟
     * 24	养成良好睡眠习惯
     * 25	避免熬夜
     * 26	充足睡眠
     * 27	心理健康
     * 28	远离污染环境
     * 29	咖啡宜适量
     * 30	宜喝淡茶
     * 31	少喝碳酸饮料
     * 32	合理选水
     * 33	减少淘米次数
     * 34	合理烹调
     * 35	注意去草酸
     * 36	合理摄入肉类
     * 37	合理摄入蛋类
     * 38	少吃加工食品
     * 39	增加深色菜
     */

    /**
     * 平衡膳食、增强体质
     */
    TYPE1("1", "平衡膳食、增强体质", "3f27860e1c2949f897aa88eaab74481c.png?FrE_8gV_BXGI8H5WNpJBdp3fZIc7?jkyy"),
    /**
     * 控制体重
     */
    TYPE2("2", "控制体重", "e0ec6c27c26e4275874e0249d251b5b0.png?Fjq7t9_lKJSow3hwQFYzn_JIAxw9?jkyy"),
    /**
     * 低盐饮食
     */
    TYPE3("3", "低盐饮食", "f7773d3dd87a4fc789fd3a846606686b.png?Fnu4tYm9dhEjDLqx_kLzTP1gybhA?jkyy"),
    /**
     * 控糖
     */
    TYPE4("4", "控糖", "9bf8993e74784cb8ba8010205a2a6f77.png?Fu8AfKgKINjG3yp1z1Ub2UgcUiH7?jkyy"),
    /**
     * 均衡膳食
     */
    TYPE5("5", "均衡膳食", "852117b3638a4f589ca3e2ed979a5908.png?Fn0XyY96sZHByjuV5R7lOXX2f2xl?jkyy"),
    /**
     * 低脂低胆固醇饮食
     */
    TYPE6("6", "低脂低胆固醇饮食", "7b9449f4a5cf4815990579b9a78abb8a.png?FgZBxFJbJ-6RHh9VKP0NS6HJ30jU?jkyy"),
    /**
     * 避免高嘌呤饮食
     */
    TYPE7("7", "避免高嘌呤饮食", "06f12071bb8f49e4954539d48954fb61.png?FqAVaFTV9PivBMHE-P-ca8G_oMoq?jkyy"),
    /**
     * 健康饮食
     */
    TYPE8("8", "健康饮食", "b55daac27f3b46d09cc3ef1917a0cb74.png?FlRNuZt2afyYjwsXw3tOOeZbrxeU?jkyy"),
    /**
     * 多吃蔬菜
     */
    TYPE9("9", "多吃蔬菜", "cab4a110fa074e00b8e2f932c8eb13e6.png?FlRU28P62TKaHP9-4v2vmZdWIftk?jkyy"),
    /**
     * 多吃水果
     */
    TYPE10("10", "多吃水果", "47da96317b5044e2af259fd1b57f082d.png?Fir92gDRETdbh0g8342nCu9bKOnt?jkyy"),
    /**
     * 每天喝奶
     */
    TYPE11("11", "每天喝奶", "a2033f39b4be4c389f32da1cc13bf2b4.png?FnSoU7sbasMRFLzopOP-6SHE0Bhg?jkyy"),
    /**
     * 粗细搭配
     */
    TYPE12("12", "粗细搭配", "26b64a4a7cc34a95830cbb49aa75416e.png?FjmYfAylND4oPaAA-_l7oKcJjUD3?jkyy"),
    /**
     * 常吃大豆和豆制品
     */
    TYPE13("13", "常吃大豆和豆制品", "14bbc109c0634b2b949226c5b1d5b399.png?FijBSAnBvo4aK5o3d7oFUZbYTANj?jkyy"),
    /**
     * 规律饮食
     */
    TYPE14("14", "规律饮食", "d4bf9fea1e6d4150b71ab4dcaf4d928d.png?FoaZguKZgen4PbqA8VR1a-Js_e4_?jkyy"),
    /**
     * 细嚼慢咽
     */
    TYPE15("15", "细嚼慢咽", "e276688a4f8d4e768842d1cdd0f959fd.png?Fjq3t0ZzUqguwQO0onJvHJJ4rRam?jkyy"),
    /**
     * 减少在外就餐
     */
    TYPE16("16", "减少在外就餐", "4fbd1132a7c4454c999bad1f2a7c746b.png?FvhIsQxbTSzr9cUJKzXT8QEaEkof?jkyy"),
    /**
     * 适量运动
     */
    TYPE17("17", "适量运动", "3b59dd295b924da7952852ecc9ad898d.png?FtXZ8Wx2TOGvC56jI_sMqdor44aY?jkyy"),
    /**
     * 增加户外活动
     */
    TYPE18("18", "增加户外活动", "31aab10c39e1459eb674b80ac579b27a.png?FqQvq4GQaemydp966tdOGqAWJYwX?jkyy"),
    /**
     * 减少久坐
     */
    TYPE19("19", "减少久坐", "0966452d3aa243a89a8fe35ccccbd9b4.png?FpM8oII1ColDxkcR6zFYQhfdgPQv?jkyy"),
    /**
     * 限制饮酒
     */
    TYPE20("20", "限制饮酒", "efd42cf292e3439c8600d428b13405c9.png?FqoqWtVYguolwHDgVJCPjRoi7gbK?jkyy"),
    /**
     * 科学喝水
     */
    TYPE21("21", "科学喝水", "30b960e40840480f827710910847a435.png?Flha4M5yYUxZjMxdxrgow26Jw3Yt?jkyy"),
    /**
     * 戒烟
     */
    TYPE22("22", "戒烟", "d61bf5bb57a04f8080b32bab899e9d26.png?Fudo4ijXswSPLZVl7iDOkjVnX1bA?jkyy"),
    /**
     * 避免接触二手烟
     */
    TYPE23("23", "避免接触二手烟", "fd2dc0b6d45c4ebba31513427cc5343f.png?FrdpEXq8UVLSsCUtindR7v4pwnxg?jkyy"),
    /**
     * 养成良好睡眠习惯
     */
    TYPE24("24", "养成良好睡眠习惯", "24b329d77fbe443b82f30cef7684a1d3.png?FurpL2-iRDE8c9_YjXNQY9z67ZAH?jkyy"),
    /**
     * 避免熬夜
     */
    TYPE25("25", "避免熬夜", "9570d2dc2a074ef69354a01fbc83ffa3.png?FmxpNLhh3EEWwnQMF322CZJDB87h?jkyy"),
    /**
     * 充足睡眠
     */
    TYPE26("26", "充足睡眠", "a82dbaeb156c41aaa89554bb2c9a4750.png?FvM2JW4zRkPZ9Y0PTH6-K4rywcke?jkyy"),
    /**
     * 心理健康
     */
    TYPE27("27", "心理健康", "aca98fb17d0b4793a0224d654541379a.png?FuXwcIqGQp2VM00A-7jJ8gfrpOQJ?jkyy"),
    /**
     * 远离污染环境
     */
    TYPE28("28", "远离污染环境", "504a1f53cda94b14b0782a21d8e126fc.png?Fv7Lt1hMlV27mhJuWFkMQ3v8_B9t?jkyy"),
    /**
     * 咖啡宜适量
     */
    TYPE29("29", "咖啡宜适量", "1d5a2ba4b11449f087c94c156538f551.png?FgEbY2h5wX7kin8gFIAeFXoB4EDP?jkyy"),
    /**
     * 宜喝淡茶
     */
    TYPE30("30", "宜喝淡茶", "929a951b16974ed2bc2954f9f5e49687.png?Fs5g5dwH_Qq4lLYFAkJMfUt5Fcfg?jkyy"),
    /**
     * 少喝碳酸饮料
     */
    TYPE31("31", "少喝碳酸饮料", "0980244132574ab7b15bd181c3ec0438.png?Fi6xSWGhDiRaTJX6dOgaaAm1BAsT?jkyy"),
    /**
     * 合理选水
     */
    TYPE32("32", "合理选水", "54da4f9de5374e77b438059dc460fa79.png?Fk8fSpVUUlBVmROxietQmPsm9kup?jkyy"),
    /**
     * 减少淘米次数
     */
    TYPE33("33", "减少淘米次数", "ec72ffc3b0c345debdbbf1fc84584af8.png?Fqzoa48MpgSn88kjJLODPfL1QicZ?jkyy"),
    /**
     * 合理烹调
     */
    TYPE34("34", "合理烹调", "46239bf3cb67415f98b96d312d4823b5.png?Fgcm7lU-fJKL636gq0bT1lO0YitG?jkyy"),
    /**
     * 注意去草酸
     */
    TYPE35("35", "注意去草酸", "c9ae6cdc78a440a593a1d0858a8291d3.png?FiqjaQaVdHlmhsAsS2TUOt500B9l?jkyy"),
    /**
     * 合理摄入肉类
     */
    TYPE36("36", "合理摄入肉类", "6958f5171544414f886cad63fa914483.png?Fmxh8DCwen2AmAlbqxu1uJ1oRgP-?jkyy"),
    /**
     * 合理摄入蛋类
     */
    TYPE37("37", "合理摄入蛋类", "ff4f27bb9476481db0339d2985da60d6.png?Fh-EYlR6ZjQXXU1M233oELRsuUQQ?jkyy"),
    /**
     * 少吃加工食品
     */
    TYPE38("38", "少吃加工食品", "7a7d927eaa7948bb975e80f142680d07.png?FsCto0sImeCd5GrgvKMlZCOZi0-z?jkyy"),
    /**
     * 增加深色菜
     */
    TYPE39("39", "增加深色菜", "51268b6fd77e4d04a8d0a8f61d1f5826.png?FkrCd_NPDOYZnUB-y5LHcALzwzQh?jkyy"),

    /**
     * 戒酒或限制饮酒
     */
    TYPE40("40", "戒酒或限制饮酒", "efd42cf292e3439c8600d428b13405c9.png?FqoqWtVYguolwHDgVJCPjRoi7gbK?jkyy"),


    ;

    /**
     * 请求接口渠道
     */
    private String type;
    /**
     * 标题
     */
    private String title;

    /**
     * 图片
     */
    private String imageUrl;

    public static DailyLifeEnum getEnum(String type) {
        DailyLifeEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (DailyLifeEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }

    // 健康人群
    // 戒烟 、 戒酒或限制饮酒 、 心理健康 、充足睡眠
    public static List<String> getHealthDailyLifeList() {
        return Arrays.asList(
                DailyLifeEnum.TYPE22.getType(),
                DailyLifeEnum.TYPE40.getType(),
                DailyLifeEnum.TYPE27.getType(),
                DailyLifeEnum.TYPE26.getType()
        );
    }

    public String getImageUrl() {
        QiniuClient qiniuClient = QiniuClient.getClient(QiniuBucketEnum.JKYY.getBucket());
        return qiniuClient.imageKeyToImageUrl(this.imageUrl);
    }


}
