package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.assessment.enums.QiniuBucketEnum;
import com.jiankangyouyi.cloud.core.external.qiniu.QiniuClient;
import com.jiankangyouyi.cloud.data.center.api.enums.HealthProblemEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * 疾病类型枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum DiseaseEnum {

    /**
     * 基础
     */
    BASE("BASE", null, "基础", "", ""),
    /**
     * 健康人群
     */
    HEALTH("HEALTH", null, "健康人群", "", ""),
    /**
     * 健康人群
     */
    OTHER("OTHER", null, "其他", "", ""),

    /**
     * 2型糖尿病
     */
    DIABETES_TYPE_2("TYPE_2_DIABETES", HealthProblemEnum.TYPE_2_DIABETES, "2型糖尿病", "", "17e9a7bac7c442a3ab03f1acb21d2941.png?FvZG0LGjEMt0AaRoviQbkqChMhpK?jkyy"),
    /**
     * 高血压
     */
    HIGH_BLOOD_PRESSURE("HYPERTENSION", HealthProblemEnum.HYPERTENSION, "高血压", "", "d0c05e2984b24de3ae491743f3f4fd60.png?FrWANyYwfS1w9uCieoJJmZV-4r8J?jkyy"),
    /**
     * 血脂异常（高血脂）
     */
    HIGH_BLOOD_FAT("HPYPERLIPIDEMIA", HealthProblemEnum.HPYPERLIPIDEMIA, "高血脂", "", "ceb7ccc7d5b949a284c1fa5a29f9bb72.png?Frb_YS8875vQlk36HQIVywe_0EqJ?jkyy"),
    /**
     * 冠心病
     */
    CORONARY_DISEASE("CORONARY_DISEASE", HealthProblemEnum.CORONARY_DISEASE, "冠心病", "", ""),
    /**
     * 骨质疏松
     */
    OSTEOPOROSIS("OSTEOPOROSIS", HealthProblemEnum.OSTEOPOROSIS, "骨质疏松", "", "2746787ef7c5446b9d9c3449e574af0a.png?Fj34sdA0aOoXtfmN6gtSbrjpB9cZ?jkyy"),
    /**
     * 痛风
     */
    GOUT("GOUT", HealthProblemEnum.GOUT, "痛风", "", "7c22e3b74e074497a38eca0be56292e9.png?FifRYXqF7rwaVhHrQ_fGMh7-Rau9?jkyy"),
    /**
     * 脂肪肝
     */
    FATTY_LIVER("FATTY_LIVER", HealthProblemEnum.FATTY_LIVER, "脂肪肝", "", "772407ce1a3f431790e2d62d63afabdd.png?FlxjKCdDxO5N1JHyEyaZBWpX2gkg?jkyy"),
    /**
     * 脑卒中
     */
    APOPLEXY("STROKE", HealthProblemEnum.STROKE, "脑卒中", "", "dc003f014b0e4417a943271195cb8511.png?Fk4bZ1v-YyNtWz2UPHd8Nmh-DzhH?jkyy"),
    /**
     * 高尿酸血症
     */
    HYPERURICEMIA("HYPERURICEMIA", HealthProblemEnum.HYPERURICEMIA, "高尿酸血症", "", "09ad48268d424fbc8614f2d22adf4394.png?FvPy1g_deQBHwRlzZy-LlEbk-s-r?jkyy"),
    /**
     * 肥胖
     */
    OBESITY("OBESITY", HealthProblemEnum.OBESITY, "肥胖", "", "bcf0a2ab946d4803894be4d7248d74fb.png?FvIRqqUtsfrQV-TCqWe7g2XoaQGK?jkyy"),

    /**
     * 中心型肥胖
     */
    OBESITY_CENTER("CENTRAL_OBESITY", HealthProblemEnum.CENTRAL_OBESITY, "中心型肥胖", "", ""),

    /**
     * 阿尔茨海默症
     */
    AD("AD", HealthProblemEnum.AD, "阿尔茨海默症", "", "8e8bb7ebe7164ed6b23bfd8b261a70b4.png?FkcJIuL_EcDReTktKp1NWiKXUK7a?jkyy"),

    /**
     * 慢阻肺
     */
    COPD("COPD", HealthProblemEnum.COPD, "慢阻肺", "", "914b0df0b8434a46820a606bedc764bb.png?FvV5HDpRJgCIOovOzSU4jJxoE_LN?jkyy"),

    /**
     * 动脉粥样硬化性心血管
     */
    ATHEROSCLEROTIC_CARDIOVASCULAR("ASCVD", HealthProblemEnum.ASCVD, "动脉粥样硬化性心血管", "", "aef0f04e7c6a4434bc8d51cd01023941.png?FuB_vPO4a8IvjvlJG1PDAu0Ntl22?jkyy"),
    /**
     * 缺血性心血管
     */
    ICVD("ICVD", HealthProblemEnum.ICVD, "缺血性心血管", "", "8749ebafa4b84cf9b5ed04746da300ed.png?FmV8yxpkbh8XPKMacYNGHcWkj-tL?jkyy"),

    /**
     * 甲状腺功能减退（甲减）
     */
    HYPOTHYROIDISM("TSH", HealthProblemEnum.TSH, "甲减", "", "1dfdaf7fc53d421eb99cdb6c895f7fd4.png?FmJNl_3R8nv1vKLgz4MTN5CkUgrx?jkyy"),
    /**
     * 甲状腺功能亢进（甲亢）
     */
    HYPERTHYROIDISM("IIH", HealthProblemEnum.IIH, "甲亢", "", "7c29591346cf422fbaa7d12b89ef33fd.png?Fh5a-PBsguwZR8o14omLB3b7O3GB?jkyy"),
    /**
     * 失眠  健康评估中心V3弃用，兼容之前版本保留
     */
    INSOMNIA("INSOMNIA", HealthProblemEnum.INSOMNIA, "失眠", "", "f30de84bb1a84ce0bb1cb4d45cb0264a.png?Fg-GJGAN1tmtSQw8k19inPwFWR11?jkyy"),

    // v1.1
    /**
     * 慢性疲劳综合征
     */
    CFS("CFS", HealthProblemEnum.CFS, "慢性疲劳综合征", "", "eb372a14980e428887ac8422e4512a8a.png?FmZR6hx4c2C61UP9Veo7koJ3u1l7?jkyy"),
    /**
     * 营养不良
     */
    NUTRIENT_DEFICIENCY("NUTRIENT_DEFICIENCY", HealthProblemEnum.NUTRIENT_DEFICIENCY, "营养不良", "", "c48ea5d3c6804159880599a7fa1fbe07.png?Ft-U5eHu1P7G8ouMifrBqDcXB5YC?jkyy"),

    // v1.2
    /**
     * 功能性胃肠病
     */
    FGID("FGID", HealthProblemEnum.FGID, "功能性胃肠病", "", "bcd7a4e9aedc43dc945e0f2b5e30bb95.png?FkE8ZJhPhCGPDQ8ZeEmdt8ZvHmP-?jkyy"),
    /**
     * 免疫力
     */
    IMMUNITY("IMMUNITY", HealthProblemEnum.IMMUNITY, "免疫力", "", "1d504798022a4c3b9032090608b7f94f.png?FrryN70NdnFGY0VCBEWwo15e38qX?jkyy"),
    /**
     * 产后体重管理
     */
    POSTPARTUM_WEIGHT("POSTPARTUM_WEIGHT", HealthProblemEnum.POSTPARTUM_WEIGHT, "产后体重管理", "", "b94ebe8fa4fb40cf93b3afb29424d5d3.png?FqyroZutbbGjm1HEsjmGzWErWF-e?jkyy"),

    // 红旗项目添加
    /**
     * 恢复调节能力
     */
    RECOVER_ADJUST_ABILITY(HealthProblemEnum.RECOVER_ADJUST_ABILITY.getCode(), HealthProblemEnum.RECOVER_ADJUST_ABILITY, "恢复调节能力", "", "ee112ecbbf05418ebdc2aade51be5bb6.png?Fi1kuie0N3GK0Uqfi1rKDEg24yyc?jkyy"),
    /**
     * 心血管疾病
     * ->冠心病
     */
    CVD(HealthProblemEnum.CVD.getCode(), HealthProblemEnum.CVD, "冠心病", "", "a8c3b882697244ad83e8d002173479db.png?FgSQjJ2CmyIDCp-XmyI5i3EunYwo?jkyy"),
    /**
     * 情绪状态
     */
    EMOTION(HealthProblemEnum.EMOTION.getCode(), HealthProblemEnum.EMOTION, "情绪状态", "", "36a95352541640d7871dd69972941a48.png?FrzmeWP1akyJ7QPDstGCMbcllDDv?jkyy"),
    /**
     * 疲劳程度
     */
    FATIGUE(HealthProblemEnum.FATIGUE.getCode(), HealthProblemEnum.FATIGUE, "疲劳程度", "", "7a09d05b22214699b7db1335e70744aa.png?FlR0_wit5iPZfhuRgAsEwoIRvbrp?jkyy"),

    /**
     * 慢性失眠症
     */
    INSOMNIA_CHRONIC_SYNDROME(HealthProblemEnum.INSOMNIA_CHRONIC_SYNDROME.getCode(), HealthProblemEnum.INSOMNIA_CHRONIC_SYNDROME, "慢性失眠症", "", "f30de84bb1a84ce0bb1cb4d45cb0264a.png?Fg-GJGAN1tmtSQw8k19inPwFWR11?jkyy"),

    // 2023年1月6日 新增六种癌症 肺癌、乳腺癌、胃癌、结直肠癌、宫颈癌、甲状腺癌
    /**
     * 肺癌
     */
    LUNG_CANCER(HealthProblemEnum.LUNG_CANCER.getCode(), HealthProblemEnum.LUNG_CANCER, "肺癌", "","38be9632cf1b42eebcba97406ed7efec.png?hash=FuUEW6YCFZV2EwGOrG806GJTlVZ2%7C?jkyy"),
    /**
     * 乳腺癌
     */
    BREAST_CANCER(HealthProblemEnum.BREAST_CANCER.getCode(), HealthProblemEnum.BREAST_CANCER, "乳腺癌", "","2a69ce60badb43a19dc4c00bb0d1d0cb.png?hash=Fq-uhkUjH-v5Gfybz0FDNV-wi6HS%7C?jkyy"),
    /**
     * 胃癌
     */
    GASTRIC_CANCER(HealthProblemEnum.GASTRIC_CANCER.getCode(), HealthProblemEnum.GASTRIC_CANCER, "胃癌", "","6c1fb26f26ce422e94bc15e3295e0ed1.png?hash=FjUQd4wl7NR0vKKXLtZPfYI0Jy5V%7C?jkyy"),
    /**
     * 结直肠癌
     */
    COLORECTAL_CANCER(HealthProblemEnum.COLORECTAL_CANCER.getCode(), HealthProblemEnum.COLORECTAL_CANCER, "结直肠癌", "","bf77ee8f94784ce0958c8f073cfbdc9f.png?hash=FiVYMj8HW5dfICwRfiavaicZtaCl%7C?jkyy"),
    /**
     * 宫颈癌
     */
    CERVICAL_CANCER(HealthProblemEnum.CERVICAL_CANCER.getCode(), HealthProblemEnum.CERVICAL_CANCER, "宫颈癌", "","ecffa8211dbd40038e65ac82fb0de804.png?hash=Fq6yyVTDQGpu-J0Lq_ng6pvpnPHd%7C?jkyy"),
    /**
     * 甲状腺癌
     */
    THYROID_CANCER(HealthProblemEnum.THYROID_CANCER.getCode(), HealthProblemEnum.THYROID_CANCER, "甲状腺癌", "","c6aa89c7f046435886cedd863a4fc27c.png?hash=FtA_1ck_dTqwRfwi-Rj41TwSFLwX%7C?jkyy"),


    ;


    /**
     * 疾病类型
     */
    private String diseaseType;

    /**
     * 健康问题
     */
    private HealthProblemEnum healthProblemEnum;

    /**
     * 疾病名称
     */
    private String diseaseName;

    /**
     * 疾病ID
     */
    private String diseaseId;

    /**
     * 疾病对应图片
     */
    private String imageUrl;


    public static DiseaseEnum getEnum(String diseaseType) {
        DiseaseEnum[] values = values();
        if (diseaseType == null) {
            return null;
        }
        for (DiseaseEnum value : values) {
            if (diseaseType.equals(value.diseaseType)) {
                return value;
            }
        }
        return null;
    }

    public String getImageUrl() {
        QiniuClient qiniuClient = QiniuClient.getClient(QiniuBucketEnum.JKYY.getBucket());
        return qiniuClient.imageKeyToImageUrl(this.imageUrl);
    }


}
