package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 表情
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum EmotionEnum {

    //0生气   1厌恶  2恐惧   3高兴   4伤心   5惊讶   6平静
    /**
     * 生气
     */
    ANGER("0","生气"),

    /**
     * 厌恶
     */
    HATE("1","厌恶"),

    /**
     * 恐惧
     */
    FEAR("2","恐惧"),

    /**
     * 高兴
     */
    GLAD("3","高兴"),

    /**
     * 伤心
     */
    SAD("4","伤心"),

    /**
     * 惊讶
     */
    AMAZED("5","惊讶"),

    /**
     * 平静
     */
    CALM("6","平静"),

    ;

    /**
     * 表情
     */
    private String emotion ;
    /**
     * 描述
     */
    private String message;

    public static EmotionEnum getEnum(String emotion) {
        EmotionEnum[] values = values();
        if (emotion == null) {
            return null;
        }
        for (EmotionEnum value : values) {
            if (emotion.equals(value.emotion)) {
                return value;
            }
        }
        return null;
    }

}
