package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 缺血性心血管病 分数百分比对应关系enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum IcvdEnum {

    VALUE_2(-2,0.0,-2,0.1),
    VALUE_1(-1,0.0,-1,0.2),
    VALUE0(0,0.5,0,0.2),
    VALUE1(1,0.6,1,0.3),
    VALUE2(2,0.8,2,0.5),
    VALUE3(3,1.1,3,0.8),
    VALUE4(4,1.5,4,1.2),
    VALUE5(5,2.1,5,1.8),
    VALUE6(6,2.9,6,2.8),
    VALUE7(7,3.9,7,4.4),
    VALUE8(8,5.4,8,6.8),
    VALUE9(9,7.3,9,10.3),
    VALUE10(10,9.7,10,15.6),
    VALUE11(11,12.8,11,23.0),
    VALUE12(12,16.8,12,32.7),
    VALUE13(13,21.7,13,0),
    VALUE14(14,27.7,14,0),
    VALUE15(15,35.3,15,0),
    VALUE16(16,44.3,16,0);

    private int maleScore;
    private double percent;
    private int femaleScore;
    private double fepercent;

    public static IcvdEnum getMaleEnum(int maleScore) {
        IcvdEnum[] values = values();
        for (IcvdEnum value : values) {
            if (maleScore==(value.maleScore)) {
                return value;
            }
        }
        return null;
    }

    public static IcvdEnum getFemaleEnum(int femaleScore) {
        IcvdEnum[] values = values();
        for (IcvdEnum value : values) {
            if (femaleScore==(value.femaleScore)) {
                return value;
            }
        }
        return null;
    }




}
