package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生理状态（精神状态）
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum InstantStatusEnum {

    /**
     * 正常
     */
    NOMAL("0","正常"),

    /**
     * 焦虑
     */
    WORRY("1","焦虑"),

    /**
     * 生理疲劳
     */
    FATIGUE("2","生理疲劳"),

    /**
     * 焦虑
     */
    SLEEPY("3","昏昏欲睡"),

    ;

    /**
     * 生理状态
     */
    private String status ;
    /**
     * 描述
     */
    private String message;

    public static InstantStatusEnum getEnum(String status) {
        InstantStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (InstantStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

}
