package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 医学指导检查频率ENUM
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum MedicalDetectionFrequencyEnum {

    /**
     *
     * /**
     *      * 优先级
     *      * 遵医嘱复查：0，
     *      * 1次/5-10年 5
     *      * 1次/3年 10
     *      * 1次/2年 20
     *      * 1次/1-2年 30
     *      * 1次/年 40
     *      * ≥1次/年：50
     *      * ≥2次/年：60
     *      * ≥3次/年：70
     *      * ≥4次/年：80
     *      * ≥1次/月 90
     *      * ≥2次/月 100
     *      * ≥3次/月 110
     *      * ≥4次/月 120
     *      * ≥1次/周 130
     *      * ≥2次/周 140
     *      */

    /**
     * 遵医嘱复查
     */
    FOLLOW_DOCTOR_ADVICE("遵医嘱复查",0),

    /**
     * 1次/5-10年
     */
    FIVE_TEN_YEAR_ONE("1次/5-10年",5),

    /**
     * 1次/3年
     */
    THREE_YEAR_ONE("1次/3年",10),
    /**
     * 1次/2年
     */
    TWO_YEAR_ONE("1次/2年",20),
    /**
     * 1次/1-2年
     */
    ONT_TWO_YEAR_ONE("1次/1-2年",30),
    /**
     * 1次/年
     */
    YEAR_ONE("1次/年",40),
    /**
     * ≥1次/年
     */
    YEAR_GTE_ONE("≥1次/年",50),
    /**
     * ≥2次/年
     */
    YEAR_GTE_TWO("≥2次/年",60),
    /**
     * ≥3次/年
     */
    YEAR_GTE_THREE("≥3次/年",70),
    /**
     * ≥4次/年
     */
    YEAR_GTE_FOUR("≥4次/年",80),

    /**
     * ≥1次/月
     */
    MONTH_GTE_ONE("≥1次/月",90),
    /**
     * ≥2次/月
     */
    MONTH_GTE_TWO("≥2次/月",100),
    /**
     * ≥3次/月
     */
    MONTH_GTE_THREE("≥3次/月",110),
    /**
     * ≥4次/月
     */
    MONTH_GTE_FOUR("≥4次/月",120),

    /**
     * ≥1次/周
     */
    WEEK_GTE_ONE("≥1次/周",130),
    /**
     * ≥2次/周
     */
    WEEK_GTE_TWO("≥2次/周",140),


    ;
    private String frequency;

    private int sort;



    public static MedicalDetectionFrequencyEnum getEnum(String frequency) {
        MedicalDetectionFrequencyEnum[] values = values();
        if (frequency == null) {
            return null;
        }
        for (MedicalDetectionFrequencyEnum value : values) {
            if (frequency.equals(value.frequency)) {
                return value;
            }
        }
        return null;
    }

}
