package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 医学指导检查项目ENUM
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum MedicalDetectionItemEnum {

    /**
     * BMI
     */
    BMI("BMI"),
    /**
     * 腰围
     */
    WAISTLINE("腰围"),
    /**
     * 血压
     */
    BLOOD_PRESSURE("血压"),
    /**
     * 体脂率
     */
    BFR("体脂率"),
    /**
     * 眼底检查
     */
    FUNDOSCOPY("眼底检查"),
    /**
     * 血糖
     */
    BLOOD_GLUCOSE("血糖"),
    /**
     * 血脂四项
     */
    CHOL("血脂四项"),
    /**
     * 肺功能
     */
    PF("肺功能"),
    /**
     * 肝功能
     */
    SGPT("肝功能"),
    /**
     * 肾功能
     */
    RENAL("肾功能"),
    /**
     * 超敏C反应蛋白
     */
    HS_CRP("超敏C反应蛋白"),
    /**
     * 骨密度
     */
    BMD("骨密度"),
    /**
     * 呼吸睡眠监测
     */
    PSG("呼吸睡眠监测"),
    /**
     * 血常规
     */
    BLOOD("血常规"),
    /**
     * 血电解质
     */
    BLOOD_ELECTROLYTES("血电解质"),
    /**
     * 尿常规
     */
    URINE("尿常规"),
    /**
     * 动脉彩超
     */
    DYNAMIC_COLOR_ULTRASOUND("动脉彩超"),
    /**
     * 关节超声
     */
    ARTHRO_ULTRASOUND("关节超声"),
    /**
     * 上腹部彩超
     */
    MIDSECTION_COLOR_ULTRASOUND("上腹部彩超"),
    /**
     * 神经心理学测验
     */
    NEUROPSYCHOLOGICAL_TEST("神经心理学测验"),
    /**
     * 双能CT
     */
    DECT("双能CT"),
    /**
     * 糖化血红蛋白
     */
    HBALC("糖化血红蛋白"),
    /**
     * 同型半胱氨酸
     */
    HCY("同型半胱氨酸"),
    /**
     * 尿酸
     */
    UA("尿酸"),
    /**
     * 心电图
     */
    ECG("心电图"),
    /**
     * 脑电图
     */
    EEG("脑电图"),
    /**
     * 游离甲状腺素FT4
     */
    FT4("游离甲状腺素FT4"),
    /**
     * 游离三碘甲状腺原氨酸FT3
     */
    FT3("游离三碘甲状腺原氨酸FT3"),
    /**
     * 甲状腺素T4
     */
    T4("甲状腺素T4"),
    /**
     * 三碘甲状腺原氨酸T3
     */
    T3("三碘甲状腺原氨酸T3"),
    /**
     * 促甲状腺素血清TSH
     */
    TSH("促甲状腺素血清TSH"),
    /**
     * X线检查
     */
    X_RAY("X线检查"),

    //v1.1
    /**
     * 血清白蛋白
     */
    ALB("血清白蛋白"),
    /**
     * 血清视黄醇
     */
    SERUM_RETINOL("血清视黄醇"),
    /**
     * 血清25-（OH）D3
     */
    SERUM_25_OH_D3("血清25-（OH）D3"),
    /**
     * 血浆α-生育酚
     */
    PLASMA_ALPHA_TOCOPHEROL("血浆α-生育酚"),
    /**
     * 血清维生素k浓度
     */
    SERUM_VITAMIN_K_CONCENTRATION("血清维生素k浓度"),
    /**
     * 尿负荷实验（硫胺素）
     */
    ORYZANIN("尿负荷实验（硫胺素）"),
    /**
     * 红细胞谷胱甘肽还原酶活性系数
     */
    ERYTHROCYTE_GLUTATHIONE_REDUCTASE_ACTIVITY_COEFFICIENT("红细胞谷胱甘肽还原酶活性系数"),
    /**
     * 尿4-PA
     */
    URINE_4_PA("尿4-PA"),
    /**
     * 尿负荷实验（烟酸）
     */
    NICOTINIC_ACID("尿负荷实验（烟酸）"),
    /**
     * 血清叶酸含量
     */
    SERUM_FOLIC_ACID_LEVEL("血清叶酸含量"),
    /**
     * 红细胞叶酸含量
     */
    ERYTHROCYTE_FOLIC_ACID_CONTENT("红细胞叶酸含量"),
    /**
     * 血清维生素B12浓度
     */
    SERUM_VITAMIN_B12_CONCENTRATION("血清维生素B12浓度"),
    /**
     * 全血生物素含量
     */
    WHOLE_BLOOD_BIOTIN_CONTENT("全血生物素含量"),
    /**
     * 血浆维生素c含量
     */
    PLASMA_VITAMIN_C_CONTENT("血浆维生素c含量"),
    /**
     * 白细胞中维生素c含量
     */
    VITAMIN_C_LEVELS_IN_WHITE_BLOOD_CELLS("白细胞中维生素c含量"),
    /**
     * 血清总钙浓度
     */
    TOTAL_SERUM_CALCIUM_CONCENTRATION("血清总钙浓度"),
    /**
     * 血清镁
     */
    MG("血清镁"),
    /**
     * 血清钾
     */
    SERUM_POTASSIUM("血清钾"),
    /**
     * 血清铁蛋白
     */
    SF("血清铁蛋白"),
    /**
     * 尿碘
     */
    URINE_IODINE("尿碘"),
    /**
     * 红细胞硒
     */
    ERYTHROCYTE_SELENIUM("红细胞硒"),
    /**
     * 血浆硒
     */
    PLASMA_SELENIUM("血浆硒"),
    /**
     * 血浆铜蓝蛋白
     */
    CP("血浆铜蓝蛋白"),
    /**
     * 24小时尿铬
     */
    URINE_CHROMIUM_24_HOURS("24小时尿铬"),

    //v1.2
    /**
     * 碳13尿素呼气试验
     */
    CARBON_13_UREA_BREATH_TEST("碳13尿素呼气试验"),
    /**
     * 肿瘤标记物检测
     */
    DETECTION_OF_TUMOR_MARKERS("肿瘤标记物检测"),
    /**
     * 便常规
     */
    STOOL_ROUTINE("便常规"),
    /**
     * T淋巴细胞表面标志CD3、CD4、CD8
     */
    CD3_CD4_CD8("T淋巴细胞表面标志CD3、CD4、CD8"),
    /**
     * 免疫球蛋白（IgG,IgA,IgM)
     */
    IGG_IGA_IGM("免疫球蛋白（IgG,IgA,IgM)"),
    /**
     * 血清补体C3、C4
     */
    C3_C4("血清补体C3、C4"),
    /**
     * 血清总IgE
     */
    SERUM_TOTAL_IGE("血清总IgE"),

    // 2023年1月11日 新增六种癌症
    /**
     * 乳腺X线检查联合乳腺超声
     */
    BREAST_ULTRASOUND("乳腺X线检查联合乳腺超声"),
    /**
     * 乳腺X线检查
     */
    MAMMOGRAM("乳腺X线检查"),
    /**
     * 乳腺超声
     */
    MAMMARY_ULTRASOUND("乳腺超声"),
    /**
     * 低剂量螺旋CT
     */
    LOW_DOSE_HELICAL_CT("低剂量螺旋CT"),
    /**
     * 血清胃蛋白酶原、胃泌素-17、幽门螺杆菌抗体检测
     */
    SPG_GASTRIN_17_HP_IGG("血清胃蛋白酶原、胃泌素-17、幽门螺杆菌抗体检测"),
    /**
     * 胃镜
     */
    GASTROSCOPE("胃镜"),
    /**
     * 结肠镜
     */
    COLOSCOPE("结肠镜"),
    /**
     * 粪便免疫化学检测
     */
    FECAL_IMMUNOCHEMICAL_TEST("粪便免疫化学检测"),
    /**
     * HPV检查（注：无性生活史不进行本检查）
     */
    HPV("HPV检查（注：无性生活史不进行本检查）"),
    /**
     * TCT检查（注：无性生活史不进行本检查）
     */
    TCT("TCT检查（注：无性生活史不进行本检查）"),
    /**
     * 颈部超声
     */
    CERVICAL_ULTRASOUND("颈部超声"),



    ;
    private String detectionItem;



    public static MedicalDetectionItemEnum getEnum(String detectionItem) {
        MedicalDetectionItemEnum[] values = values();
        if (detectionItem == null) {
            return null;
        }
        for (MedicalDetectionItemEnum value : values) {
            if (detectionItem.equals(value.detectionItem)) {
                return value;
            }
        }
        return null;
    }

}
