package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 民族,数据来源——字典——字典大类：食物库，字典子类：禁忌民族 enum
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum NationEnum{

    /**
     * 56个民族
     */
    HAN("1","01","汉族"),
    MENG_GU("2","02","蒙古族"),
    HUI("3","03","回族"),
    ZANG("4","04","藏族"),
    WEI_WU_ER("5","05","维吾尔族"),
    MIAO("6","06","苗族"),
    YI("7","07","彝族"),
    ZHUANG("8","08","壮族"),
    BU_YI("9","09","布依族"),
    CHAO_XIAN("10","10","朝鲜族"),
    MAN("11","11","满族"),
    DONG("12","12","侗族"),
    YAO("13","13","瑶族"),
    BAI("14","14","白族"),
    TU_JIA("15","15","土家族"),
    HA_NI("16","16","哈尼族"),
    HA_SA_KE("17","17","哈萨克族"),
    DAI("18","18","傣族"),
    LI("19","19","黎族"),
    LI_SU("20","20","傈僳族"),
    WA("21","21","佤族"),
    SHE("22","22","畲族"),
    GAO_SHAN("23","23","高山族"),
    LA_HU("24","24","拉祜族"),
    SHUI("25","25","水族"),
    DONG_XIANG("26","26","东乡族"),
    NA_XI("27","27","纳西族"),
    JING_PO("28","28","景颇族"),
    KE_ER_KE_ZI("29","29","柯尔克孜族"),
    TU("30","30","土族"),
    DA_WO_ER("31","31","达斡尔族"),
    MU_LAO("32","32","仫佬族"),
    QIANG("33","33","羌族"),
    BU_LANG("34","34","布朗族"),
    SA_LA("35","35","撒拉族"),
    NAO_NAN("36","36","毛难族"),
    GE_LAO("37","37","仡佬族"),
    XI_BO("38","38","锡伯族"),
    A_CHANG("39","39","阿昌族"),
    PU_MI("40","40","普米族"),
    TA_JI_KE("41","41","塔吉克族"),
    NU("42","42","怒族"),
    WU_ZI_BIE_KE("43","43","乌孜别克族"),
    E_LUO_SI("44","44","俄罗斯族"),
    E_WEN_KE("45","45","鄂温克族"),
    DE_ANG("46","46","德昂族"),
    BAO_AN("47","47","保安族"),
    YU_GU("48","48","裕固族"),
    JING("49","49","京族"),
    TA_TA_ER("50","50","塔塔尔族"),
    DU_LONG("51","51","独龙族"),
    E_LUN_CHUN("52","52","鄂伦春族"),
    HE_ZHE("53","53","赫哲族"),
    MEN_BA("54","54","门巴族"),
    LUO_BA("55","55","珞巴族"),
    JI_NUO("56","56","基诺族");

    /**
     * 序号
     */
    private final String number;

    /**
     * 名族编码
     */
    private final String nationCode;

    /**
     * 民族名称
     */
    private final String nationName;

    public static NationEnum getEnum(String number) {
        NationEnum[] values = values();
        if (number == null) {
            return null;
        }
        for (NationEnum value : values) {
            if (number.equals(value.number)) {
                return value;
            }
        }
        return null;
    }

    public static NationEnum getNationCodeEnum(String nationCode) {
        NationEnum[] values = values();
        if (nationCode == null) {
            return null;
        }
        for (NationEnum value : values) {
            if (nationCode.equals(value.nationCode)) {
                return value;
            }
        }
        return null;
    }


}
