package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 营养素状态类型枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum NutrientStateEnum {

    /**
     * 饱和脂肪酸过量
     */
    SFA_OVER("SFA_OVER","饱和脂肪酸过量"),
    /**
     * n-3脂肪酸缺乏
     */
    N3_EFA_LACK("N3_EFA_LACK","n-3脂肪酸缺乏"),
    /**
     * 反式脂肪酸过量
     */
    TFA_OVER("TFA_OVER","反式脂肪酸过量"),
    /**
     * 胆固醇过量
     */
    TC_OVER("TC_OVER","胆固醇过量"),
    /**
     * 膳食纤维缺乏
     */
    DIETARY_FIBER_LACK("DIETARY_FIBER_LACK","膳食纤维缺乏"),
    /**
     * 优质蛋白缺乏
     */
    QUALITY_PROTEIN_LACK("QUALITY_PROTEIN_LACK","优质蛋白缺乏"),
    /**
     * 维生素A缺乏
     */
    VITAMIN_A_LACK("VITAMIN_A_LACK","维生素A缺乏"),
    /**
     * 维生素D缺乏
     */
    VITAMIN_D_LACK("VITAMIN_D_LACK","维生素D缺乏"),
    /**
     * 维生素E缺乏
     */
    VITAMIN_E_LACK("VITAMIN_E_LACK","维生素E缺乏"),
    /**
     * 维生素k缺乏
     */
    VITAMIN_K_LACK("VITAMIN_K_LACK","维生素k缺乏"),
    /**
     * 维生素c缺乏
     */
    VITAMIN_C_LACK("VITAMIN_C_LACK","维生素c缺乏"),
    /**
     * 维生素B1缺乏
     */
    VITAMIN_B1_LACK("VITAMIN_B1_LACK","维生素B1缺乏"),
    /**
     * 维生素B2缺乏
     */
    VITAMIN_B2_LACK("VITAMIN_B2_LACK","维生素B2缺乏"),
    /**
     * 烟酸缺乏
     */
    NICOTINIC_ACID_LACK("NICOTINIC_ACID_LACK","烟酸缺乏"),
    /**
     * 维生素B6缺乏
     */
    VITAMIN_B6_LACK("VITAMIN_B6_LACK","维生素B6缺乏"),
    /**
     * 叶酸缺乏
     */
    FOLIC_ACID_LACK("FOLIC_ACID_LACK","叶酸缺乏"),
    /**
     * 维生素B12缺乏
     */
    VITAMIN_B12_LACK("VITAMIN_B12_LACK","维生素B12缺乏"),
    /**
     * 生物素缺乏
     */
    VH_LACK("VH_LACK","生物素缺乏"),
    /**
     * 钙缺乏
     */
    CALCIUM_LACK("CALCIUM_LACK","钙缺乏"),
    /**
     * 镁缺乏
     */
    MAGNESIUM_LACK("MAGNESIUM_LACK","镁缺乏"),
    /**
     * 钾缺乏
     */
    POTASSIUM_LACK("POTASSIUM_LACK","钾缺乏"),
    /**
     * 铁缺乏
     */
    IRON_LACK("IRON_LACK","铁缺乏"),
    /**
     * 碘缺乏
     */
    IODINE_LACK("IODINE_LACK","碘缺乏"),
    /**
     * 碘过量
     */
    IODINE_OVER("IODINE_OVER","碘过量"),
    /**
     * 锌缺乏
     */
    ZINC_LACK("ZINC_LACK","锌缺乏"),
    /**
     * 硒缺乏
     */
    SELENIUM_LACK("SELENIUM_LACK","硒缺乏"),
    /**
     * 铜缺乏
     */
    CIGS_LACK("CIGS_LACK","铜缺乏"),
    /**
     * 铬缺乏
     */
    CHROMIUM_LACK("CHROMIUM_LACK","铬缺乏"),


    ;


    /**
     * 营养素状态编码
     */
    private String code;

    /**
     * 描述
     */
    private String description;


    public static NutrientStateEnum getEnum(String code) {
        NutrientStateEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (NutrientStateEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }


}
