package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 营养素状态风险显示标签 枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum NutrientStateRiskEnum {

    //警示性情况
    /**
     * 高龄
     */
    WARNINGS_AGE_HIGH("WARNINGS_AGE_HIGH","高龄"),
    /**
     * 骨质疏松
     */
    WARNINGS_OP("WARNINGS_OP","骨质疏松"),
    /**
     * 胃大部分切除术
     */
    WARNINGS_GASTRECTOMY("WARNINGS_GASTRECTOMY","胃大部分切除术"),
    /**
     * 常腹泻
     */
    WARNINGS_OFTEN_DIARRHEA("WARNINGS_OFTEN_DIARRHEA","常腹泻"),
    /**
     * 便秘
     */
    WARNINGS_OIC("WARNINGS_OIC","便秘"),
    /**
     * 皮肤干燥
     */
    WARNINGS_DRY_SKIN ("WARNINGS_DRY_SKIN","皮肤干燥"),
    /**
     * 发干/稀疏/脱发
     */
    WARNINGS_HAIR("WARNINGS_HAIR","发干/稀疏/脱发"),
    /**
     * 舌深红
     */
    WARNINGS_DARK_RED_TONGUE("WARNINGS_DARK_RED_TONGUE","舌深红"),
    /**
     * 牙龈出血
     */
    WARNINGS_GUM_BLEED("WARNINGS_GUM_BLEED","牙龈出血"),
    /**
     * 味觉减退
     */
    WARNINGS_HYPOGEUSIA("WARNINGS_HYPOGEUSIA","味觉减退"),
    /**
     * 口角裂/嘴唇干裂
     */
    WARNINGS_LIPS_CHAP("WARNINGS_LIPS_CHAP","口角裂/嘴唇干裂"),
    /**
     * 舟状甲/指甲脆薄
     */
    WARNINGS_NAVICULAR_ARMOUR("WARNINGS_NAVICULAR_ARMOUR","舟状甲/指甲脆薄"),
    /**
     * 皮肤有瘀斑
     */
    WARNINGS_SKIN_ECCHYMOSIS("WARNINGS_SKIN_ECCHYMOSIS","皮肤有瘀斑"),
    /**
     * 眼干
     */
    WARNINGS_EYE_DRYING("WARNINGS_EYE_DRYING","眼干"),
    /**
     * 暗适应能力下降/夜盲症
     */
    WARNINGS_NIGHT_BLINDNESS("WARNINGS_NIGHT_BLINDNESS","暗适应能力下降/夜盲症"),
    /**
     * 眼痒
     */
    WARNINGS_EYE_ITCHING("WARNINGS_EYE_ITCHING","眼痒"),

    //诱因类习惯
    /**
     * 重体力劳动
     */
    INCENTIVE_HARD_PHYSICAL_LABOR("INCENTIVE_HARD_PHYSICAL_LABOR","重体力劳动"),
    /**
     * 高糖饮食
     */
    INCENTIVE_FOOD_HIGH_SUGAR("INCENTIVE_FOOD_HIGH_SUGAR","高糖饮食"),
    /**
     * 海带/紫菜过多
     */
    INCENTIVE_LAVER_OVER("INCENTIVE_LAVER_OVER","海带/紫菜过多"),
    /**
     * 致甲肿物质过多
     */
    INCENTIVE_GOITROGEN_OVER("INCENTIVE_GOITROGEN_OVER","致甲肿物质过多"),
    /**
     * 常吃内脏
     */
    INCENTIVE_OFTEN_EAT_VISCERAL("INCENTIVE_OFTEN_EAT_VISCERAL","常吃内脏"),
    /**
     * 常吃油炸食品
     */
    INCENTIVE_OFTEN_EAT_FRIED_FOOD("INCENTIVE_OFTEN_EAT_FRIED_FOOD","常吃油炸食品"),
    /**
     * 吃海鲜多
     */
    INCENTIVE_SEAFOOD_OVER("INCENTIVE_SEAFOOD_OVER","吃海鲜多"),
    /**
     * 蔬菜少
     */
    INCENTIVE_VEGETABLE_LACK("INCENTIVE_VEGETABLE_LACK","蔬菜少"),
    /**
     * 水果少
     */
    INCENTIVE_FRUIT_LACK("INCENTIVE_FRUIT_LACK","水果少"),
    /**
     * 奶类少
     */
    INCENTIVE_MILK_LACK("INCENTIVE_MILK_LACK","奶类少"),
    /**
     * 粗粮少
     */
    INCENTIVE_ROUGHAGE_LACK("INCENTIVE_ROUGHAGE_LACK","粗粮少"),
    /**
     * 大豆及制品少
     */
    INCENTIVE_SOYA_LACK("INCENTIVE_SOYA_LACK","大豆及制品少"),
    /**
     * 日照不足
     */
    INCENTIVE_SUNSHINESUN_LACK("INCENTIVE_SUNSHINESUN_LACK","日照不足"),
    /**
     * 饮酒过量
     */
    INCENTIVE_DRINK_OVER("INCENTIVE_DRINK_OVER","饮酒过量"),
    /**
     * 吸烟
     */
    INCENTIVE_SMOKE("INCENTIVE_SMOKE","吸烟"),
    /**
     * 吃肥肉多
     */
    INCENTIVE_FAT_LACK("INCENTIVE_FAT_LACK","吃肥肉多"),
    /**
     * 畜肉少
     */
    INCENTIVE_LIVESTOCK_MEAT_LACK("INCENTIVE_LIVESTOCK_MEAT_LACK","畜肉少"),
    /**
     * 禽肉少
     */
    INCENTIVE_FOWL_LACK("INCENTIVE_FOWL_LACK","禽肉少"),
    /**
     * 水产少
     */
    INCENTIVE_FISHERIES_LACK("INCENTIVE_FISHERIES_LACK","水产少"),
    /**
     * 吃蛋多
     */
    INCENTIVE_EGG_OVER("INCENTIVE_EGG_OVER","吃蛋多"),
    /**
     * 吃蛋少
     */
    INCENTIVE_EGG_LACK("INCENTIVE_EGG_LACK","吃蛋少"),
    /**
     * 常吃加工食品
     */
    INCENTIVE_EAT_PROCESSED_FOODS("INCENTIVE_EAT_PROCESSED_FOODS","常吃加工食品"),
    /**
     * 深色菜少
     */
    INCENTIVE_DARK_VEGETABLES_LACK("INCENTIVE_DARK_VEGETABLES_LACK","深色菜少"),
    /**
     * 深色水果少
     */
    INCENTIVE_DARK_FRUIT_LACK("INCENTIVE_DARK_FRUIT_LACK","深色水果少"),
    /**
     * 坚果少
     */
    INCENTIVE_NUTS_LACK("INCENTIVE_NUTS_LACK","坚果少"),
    /**
     * 食用无碘盐
     */
    INCENTIVE_EAT_UNIODIZED_SALT("INCENTIVE_EAT_UNIODIZED_SALT","食用无碘盐"),

    ;


    /**
     * 营养风险编码
     */
    private String code;

    /**
     * 描述
     */
    private String description;


    public static NutrientStateRiskEnum getEnum(String code) {
        NutrientStateRiskEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (NutrientStateRiskEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }


}
