package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.assessment.enums.QiniuBucketEnum;
import com.jiankangyouyi.cloud.core.external.qiniu.QiniuClient;
import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * 营养素补充剂信息Enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum NutrientSupplementsEnum {

    /**
     * B族维生素
     */
    B_VITAMIN("B族维生素", "f0b394ab9d80470598122d96fe562ef6.png?Fnj9C3WEZIyLACGUXb0-_vApG71c?jkyy"),
    /**
     * 大蒜素
     */
    ALLICIN("大蒜素", "ef2e4dbbee7247c582c37cbdb1a92dbf.png?FjXTw8LLWmV_QrRJGQZHP_RQyP_h?jkyy"),

    /**
     * 多维元素片
     */
    MULTIVITAMIN_TABLET("多维元素片", "be194c7159384e518bd96aacc3502ae3.png?Fu-8n2Y2KrkhdoPeqf0izX4OLpbj?jkyy"),
    /**
     * 钙片
     */
    CALCIUM_TABLET("钙片", "ed2f175c46294c87ad2560fec64e3a69.png?FjlIkZLVkW9fHs9xxbCUeVbPcQM1?jkyy"),
    /**
     * 铬元素补充剂
     */
    CHROMIUM_SUPPLEMENT("铬元素补充剂", "ab9d8f0ed2dd4129a6f518db46875294.png?Fv379AEMt9Z-nLNRXYSUOdj1AEhi?jkyy"),
    /**
     * 钾元素补充剂
     */
    POTASSIUM_SUPPLEMENT("钾元素补充剂", "fc8e2d5adc1543d3a88e18d32b012148.png?FgqwISnT-UvTkisthQP8aJC95f_y?jkyy"),
    /**
     * 卵磷脂胶囊
     */
    LECITHIN_CAPSULES("卵磷脂胶囊", "0cfe2756611e45838c9e8994cd3d7196.png?FkljP41N8tOtksRg8cSsbMqLAOiQ?jkyy"),
    /**
     * 镁元素补充剂
     */
    MAGNESIUM_SUPPLEMENT("镁元素补充剂", "ddd6c49e1ad845e9b7ce440ac569d957.png?FqkfOfq7ZKAYhVzh1k2rMqx5fWr5?jkyy"),
    /**
     * 膳食纤维补充剂
     */
    DIETARY_FIBER_SUPPLEMENT("膳食纤维补充剂", "69abcea2f72943b39fdb5d96075b6956.png?FntEtnkcSc8UrDhYsrco4ypjXdy9?jkyy"),
    /**
     * 铁元素补充剂
     */
    IRON_SUPPLEMENT("铁元素补充剂", "7c088482c8764745a83ec148a9f2c6f8.png?FrgaL3zKNvJ1XSjX0nFjNhAVX_Bt?jkyy"),
    /**
     * 褪黑素
     */
    MELATONIN("褪黑素", "7031b32b470a46c4b9cb53866dba1d66.png?FsjouBpBR8Iuht59RLu6h4cHq8ww?jkyy"),
    /**
     * 维生素B12片
     */
    VITAMIN_B12_TABLET("维生素B12片", "2ea7ba631cdb45ca96af3bc1939ca903.png?FifJ1P-DaPt0QlkBQXBVnvKIpGgo?jkyy"),
    /**
     * 维生素C片
     */
    VITAMIN_C_TABLET("维生素C片", "4fe2e7f9e044452586f2416241c0a69e.png?Fo8Nrw4nTeBSd_0k_PGG0OhLoAxI?jkyy"),
    /**
     * 维生素D胶囊
     */
    VITAMIN_D_CAPSULE("维生素D胶囊", "763590243c204d9f9d099606ab24a783.png?FuaAyR-xZB2SeOgp7hYw0sngW8-2?jkyy"),
    /**
     * 维生素E胶囊
     */
    VITAMIN_E_CAPSULE("维生素E胶囊", "90bbe6545e50446f99b39fadc5c8b526.png?FjwwV0BycjtsoY6fGbNAvORJDxl_?jkyy"),
    /**
     * 锌元素补充剂
     */
    ZINC_SUPPLEMENT("锌元素补充剂", "e48644cfd6b44c538f57de6684bbf569.png?FpKWy9kDW9wzGBx7J_6z_zHy7ZFO?jkyy"),

    /**
     * 烟酸片
     */
    NICOTINIC_ACID_TABLET("烟酸片", "0138091c46de4bd18ec0c70a96138568.png?Fjpyd0Bwl7_ayTU8YKXmBZYr1xWS?jkyy"),
    /**
     * 叶酸片
     */
    FOLIC_ACID_TABLET("叶酸片", "b97c9b0e023542619441b60ba933031e.png?FszFZTS-hZwBeozD5X299TNn6FL3?jkyy"),
    /**
     * 益生菌
     */
    EM("益生菌", "57a2cef013cc4a21bd23c5f1968327dc.png?FlShJU32Gz6_OUmxcs6YLncqN_Rk?jkyy"),
    /**
     * 鱼肝油
     */
    AD("鱼肝油", "2159cc29948141b78ee75c001d04da54.png?FtJS_jHzFMEISWLUXTyIbS-njWhy?jkyy"),
    /**
     * 藻油
     */
    ALGAL_OIL("藻油", "c831668541544209b10b095739c0ea96.png?Fvxz0AhqFbGCgwYvst9Fpb6e-g8m?jkyy"),
    /**
     * 植物甾醇补充剂
     */
    PLANT_STEROL_SUPPLEMENT("植物甾醇补充剂", "331b6bb65b3348fcaf3ddc5ddefb54eb.png?FtnRQonW8I5BOqktX_VyHpcUQA_r?jkyy"),
    /**
     * 磷元素补充剂
     */
    PHOSPHORUS_SUPPLEMENT("磷元素补充剂", "aebb85b62e2142c1a6690197f63ed32c.png?FlCJvSvJBBafcZPDNYOIkk4ec7SK?jkyy"),

    // v1.1
    /**
     * 蛋白补充剂
     */
    PROTEIN_SUPPLEMENT("蛋白补充剂", "4590a136bfe041de89dd5112f7928679.png?FsloGmMzyAIqzJ8sjlkHB9QxnLJH?jkyy"),
    /**
     * 维生素A软胶囊
     */
    VITAMIN_A_SOFT_CAPSULE("维生素A软胶囊", "3b65c9f276094bb7964cc8175928e029.png?FsRCNkDiH6eOh9gFiGU7AByw3nkI?jkyy"),
    /**
     * 维生素K软胶囊
     */
    VITAMIN_K_SOFT_CAPSULE("维生素K软胶囊", "ec7d1385c30d41b6b0b9a3e4e1c06a34.png?Fkykxqp9FRPYZ01xWhLbgwQee8_4?jkyy"),
    /**
     * 硒元素补充剂
     */
    SELENIUM_SUPPLEMENT("硒元素补充剂", "4be64668156e43cab749bac71d65aacd.png?Fm2gSOkwmi0wbarkqZKXCASCeERr?jkyy"),
    /**
     * 铜元素补充剂
     */
    CIGS_SUPPLEMENT("铜元素补充剂", "312cd9c0aa8249eaaef1e61cc0849d50.png?FjsoIC-L_8Qj6MC9j86IN9ypOJK9?jkyy"),
    /**
     * 鱼油
     */
    FISH_OIL("鱼油", "7ddefa4b49764eff8eadbf64989bc2f5.png?FmJPW4x43M0Ka5vaRleK5ib152oW?jkyy"),

    // v1.3新增
    /**
     * 深海鱼油
     */
    DEEP_SEA_FISH_OIL("深海鱼油", "7ddefa4b49764eff8eadbf64989bc2f5.png?FmJPW4x43M0Ka5vaRleK5ib152oW?jkyy"),
    /**
     * 钙加维生素D片
     */
    CALCIUM_VITAMIN_TABLET("钙加维生素D片", "512a686cafa54ce481661d6a48a68253.png?FoAI-bhDvDHPANPo3vt8qAGEkwmJ?jkyy"),


    ;


    /**
     * 营养素名称
     */
    private String nutrientName;


    /**
     * 图片
     */
    private String imageUrl;


    public static NutrientSupplementsEnum getEnum(String nutrientName) {
        NutrientSupplementsEnum[] values = values();
        if (nutrientName == null) {
            return null;
        }
        for (NutrientSupplementsEnum value : values) {
            if (nutrientName.equals(value.nutrientName)) {
                return value;
            }
        }
        return null;
    }

    public String getImageUrl() {
        QiniuClient qiniuClient = QiniuClient.getClient(QiniuBucketEnum.JKYY.getBucket());
        return qiniuClient.imageKeyToImageUrl(this.imageUrl);
    }

}
