package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import com.jiankangyouyi.cloud.data.center.api.enums.HealthProblemEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 疾病既往史枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum PreviousHistoryEnum {

    /**
     * 2型糖尿病
     */
    DIABETES_TYPE_2("2型糖尿病", HealthProblemEnum.TYPE_2_DIABETES.getCode()),
    /**
     * 高血脂
     */
    HIGH_BLOOD_FAT("高血脂", HealthProblemEnum.HPYPERLIPIDEMIA.getCode()),

    /**
     * 高尿酸血症
     */
    HYPERURICEMIA( "高尿酸血症", HealthProblemEnum.HYPERURICEMIA.getCode()),
    /**
     * 痛风
     */
    GOUT("痛风", HealthProblemEnum.GOUT.getCode()),
    /**
     * 脂肪肝
     */
    FATTY_LIVER( "脂肪肝", HealthProblemEnum.FATTY_LIVER.getCode()),

    /**
     * 多囊卵巢综合征
     */
    PCOS("多囊卵巢综合征", HealthProblemEnum.PCOS.getCode()),

    /**
     *  甲状腺功能减退（甲减）
     */
    HYPOTHYROIDISM("甲减", HealthProblemEnum.TSH.getCode()),
    /**
     * 甲状腺功能亢进（甲亢）
     */
    HYPERTHYROIDISM( "甲亢", HealthProblemEnum.IIH.getCode()),
    /**
     * 甲状腺功能异常
     */
    THYROID_DYSFUNCTION("甲状腺功能异常", HealthProblemEnum.THYROID_DYSFUNCTION.getCode()),
    /**
     * 红斑狼疮
     */
    SLE("红斑狼疮", HealthProblemEnum.SLE.getCode()),
    /**
     * 硬皮症
     */
    SCLERODERMA("硬皮症", HealthProblemEnum.SCLERODERMA.getCode()),
    /**
     *干燥综合征
     */
    SS("干燥综合征", HealthProblemEnum.SS.getCode()),
    /**
     * 类风湿关节炎
     */
    RA("类风湿关节炎", HealthProblemEnum.RA.getCode()),
    /**
     * 1型糖尿病
     */
    DIABETES_TYPE_1("1型糖尿病", HealthProblemEnum.DIABETES_TYPE_1.getCode()),
    /**
     * 自身免疫性甲状腺疾病
     */
    AITD("自身免疫性甲状腺疾病", HealthProblemEnum.AITD.getCode()),

    /**
     * 高血压
     */
    HIGH_BLOOD_PRESSURE("高血压", HealthProblemEnum.HYPERTENSION.getCode()),

    /**
     * 冠心病
     */
    CORONARY_DISEASE("冠心病", HealthProblemEnum.CORONARY_DISEASE.getCode()),
    /**
     * 脑卒中
     */
    APOPLEXY("脑卒中", HealthProblemEnum.STROKE.getCode()),
    /**
     * 缺血性心肌病
     */
    IHD("缺血性心肌病", HealthProblemEnum.IHD.getCode()),
    /**
     * 外周动脉粥样硬化
     */
    PASO("外周动脉粥样硬化", HealthProblemEnum.PASO.getCode()),
    /**
     * 慢性肾病
     */
    CKD("慢性肾病", HealthProblemEnum.CKD.getCode()),
    /**
     *慢性乙肝
     */
    CHB("慢性乙肝", HealthProblemEnum.CHB.getCode()),
    /**
     * 慢性丙肝
     */
    CHC("慢性丙肝", HealthProblemEnum.CHC.getCode()),
    /**
     * 骨质疏松
     */
    OSTEOPOROSIS( "骨质疏松", HealthProblemEnum.OSTEOPOROSIS.getCode()),
    /**
     *支气管哮喘
     */
    ASTHMA("支气管哮喘", HealthProblemEnum.ASTHMA.getCode()),
    /**
     * 过敏性鼻炎
     */
    ALLERGIC_RHINITIS("过敏性鼻炎", HealthProblemEnum.ALLERGIC_RHINITIS.getCode()),
    /**
     * 慢性支气管炎
     */
    CHRONIC_BRONCHITIS("慢性支气管炎", HealthProblemEnum.CHRONIC_BRONCHITIS.getCode()),
    /**
     * 肺气肿
     */
    EMPHYSEMA("肺气肿", HealthProblemEnum.EMPHYSEMA.getCode()),
    /**
     * 慢阻肺
     */
    COPD( "慢阻肺", HealthProblemEnum.COPD.getCode()),
    /**
     *睡眠呼吸暂停综合征
     */
    SAS("睡眠呼吸暂停综合征", HealthProblemEnum.SAS.getCode()),
    /**
     * 婴幼儿期反复患下呼吸道感染。
     */
    CHILD_LRTIS("婴幼儿期反复患下呼吸道感染", HealthProblemEnum.CHILD_LRTIS.getCode()),
    /**
     * 胎儿时期肺发育不良
     */
    CHILD_BPD("胎儿时期肺发育不良", HealthProblemEnum.CHILD_BPD.getCode()),
    /**
     * 克罗恩病
     */
    CROHN("克罗恩病", HealthProblemEnum.CROHN.getCode()),
    /**
     * 乳糜泻
     */
    CELIAC_DISEASE("乳糜泻", HealthProblemEnum.CELIAC_DISEASE.getCode()),
    /**
     * 营养不良
     */
    MALNUTRITION("营养不良", HealthProblemEnum.NUTRIENT_DEFICIENCY.getCode()),
    /**
     * 胃肠疾病
     */
    IBD("胃肠疾病", HealthProblemEnum.IBD.getCode()),
    /**
     * 有过妊娠糖尿病
     */
    GDM("有过妊娠糖尿病", HealthProblemEnum.GDM.getCode()),
    /**
     * 生产过8斤以上巨大儿
     */
    BEAR_8_CHILD("生产过8斤以上巨大儿", HealthProblemEnum.BEAR_8_CHILD.getCode()),
    /**
     * 成年后曾因轻摔后骨折
     */
    OCFS("成年后曾因轻摔后骨折", HealthProblemEnum.OCFS.getCode()),
    /**
     * 在50 岁前切除卵巢且未补充激素
     */
    OVX("在50 岁前切除卵巢且未补充激素", HealthProblemEnum.OVX.getCode()),
    /**
     * 45岁前停经
     */
    MENELIPSIS("45岁前停经", HealthProblemEnum.MENELIPSIS.getCode()),
    /**
     * 除怀孕、绝经、子宫切除外曾停经超 12 个月
     */
    MENELIPSIS_12_MONTHS("除怀孕、绝经、子宫切除外曾停经超 12 个月", HealthProblemEnum.MENELIPSIS_12_MONTHS.getCode()),
    /**
     * 40岁后身高减少超过3cm
     */
    HEIGHT_LOSS_3("40岁后身高减少超过3cm", HealthProblemEnum.HEIGHT_LOSS_3.getCode()),
    /**
     * 维生素A缺乏
     */
    LACK_VA("维生素A缺乏", HealthProblemEnum.LACK_VA.getCode()),
    /**
     * 近一年摔倒次数超过一次
     */
    TRIP_THAN_1("近一年摔倒次数超过一次", HealthProblemEnum.TRIP_THAN_1.getCode()),
    /**
     * 身体虚弱而担心摔倒
     */
    WORRY_TRIP("身体虚弱而担心摔倒", HealthProblemEnum.WORRY_TRIP.getCode()),
    /**
     * 心房颤动
     */
    AF("心房颤动", HealthProblemEnum.AF.getCode()),
    /**
     * 左心室肥厚
     */
    LVH("左心室肥厚", HealthProblemEnum.LVH.getCode()),
    /**
     * 皮肤或肌腱黄色瘤
     */
    TENDON_XANTHOMA("皮肤或肌腱黄色瘤", HealthProblemEnum.TENDON_XANTHOMA.getCode()),
    /**
     * 跟腱增厚
     */
    TENDON_BODINESS("跟腱增厚", HealthProblemEnum.TENDON_BODINESS.getCode()),
    /**
     * 甲状腺结节
     */
    TRYROID_NODULES("甲状腺结节", HealthProblemEnum.TRYROID_NODULES.getCode()),
    /**
     * 甲状腺肿
     */
    GOITER("甲状腺肿", HealthProblemEnum.GOITER.getCode()),

    //v1.2
    /**
     * 功能性胃肠病
     */
    FGID("功能性胃肠病", HealthProblemEnum.FGID.getCode()),
    /**
     * 嗳气疾病
     */
    BELCHING("嗳气疾病", HealthProblemEnum.BELCHING.getCode()),
    /**
     * 功能性消化不良
     */
    FD("功能性消化不良", HealthProblemEnum.FD.getCode()),
    /**
     * 肠易激综合征
     */
    IBS("肠易激综合征", HealthProblemEnum.IBS.getCode()),
    /**
     * 功能性便秘
     */
    FC("功能性便秘", HealthProblemEnum.FC.getCode()),
    /**
     * 功能性腹泻
     */
    FDI("功能性腹泻", HealthProblemEnum.FDI.getCode()),
    /**
     * 幽门螺杆菌感染
     */
    HP("幽门螺杆菌感染", HealthProblemEnum.HP.getCode()),

    //v1.3
    /**
     * 慢性疲劳综合征
     */
    CFS("慢性疲劳综合征",HealthProblemEnum.CFS.getCode()),
    /**
     * 慢性失眠症
     */
    INSOMNIA_CHRONIC_SYNDROME("慢性失眠症",HealthProblemEnum.INSOMNIA_CHRONIC_SYNDROME.getCode()),
    /**
     * 吸收不良综合征
     */
    ABSORBED_NUTRIENT_DEFICIENCY("吸收不良综合征",HealthProblemEnum.ABSORBED_NUTRIENT_DEFICIENCY.getCode()),
    /**
     * 卵巢癌
     */
    OVARIAN_CANCER("卵巢癌",HealthProblemEnum.OVARIAN_CANCER.getCode()),
    /**
     * 子宫内膜异位症
     */
    EMT("子宫内膜异位症",HealthProblemEnum.EMT.getCode()),
    /**
     * 骨折
     */
    VCFS("骨折",HealthProblemEnum.VCFS.getCode()),
    /**
     * 重度抑郁症
     */
    MDD("重度抑郁症",HealthProblemEnum.MDD.getCode()),
    /**
     * 双相情感障碍
     */
    BPAD("双相情感障碍",HealthProblemEnum.BPAD.getCode()),
    /**
     * 精神分裂症
     */
    SCHIZ("精神分裂症",HealthProblemEnum.SCHIZ.getCode()),
    /**
     * 妄想症
     */
    PARANOIA("妄想症",HealthProblemEnum.PARANOIA.getCode()),
    /**
     * 痴呆症
     */
    DEMENTIA("痴呆症",HealthProblemEnum.DEMENTIA.getCode()),
    /**
     * 神经性厌食症
     */
    AN("神经性厌食症",HealthProblemEnum.AN.getCode()),
    /**
     * 神经性贪食症
     */
    BN("神经性贪食症",HealthProblemEnum.BN.getCode()),
    /**
     * 慢性肾脏病
     */
    CHRONIC_RENAL_FAILURE("慢性肾脏病",HealthProblemEnum.CHRONIC_RENAL_FAILURE.getCode()),




    ;


    /**
     * 疾病名称
     */
    private String diseaseName;

    /**
     * 疾病编码
     */
    private String diseaseCode;

    public static PreviousHistoryEnum getEnumByDiseaseName(String diseaseName) {
        PreviousHistoryEnum[] values = values();
        if (diseaseName == null) {
            return null;
        }
        for (PreviousHistoryEnum value : values) {
            if (diseaseName.equals(value.diseaseName)) {
                return value;
            }
        }
        return null;
    }



}
