package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 问卷全部测评题枚举类
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum QuestionaireEnum {

    /**
     * 出生日期
     */
    QUESTION_BIRTHDAY("BIRTHDAY", true,"出生日期"),

    /**
     * 性别
     */
    QUESTION_GENDER("GENDER", true,"性别"),

    /**
     * BMI
     */
    QUESTION_BMI("BMI", true,"BMI"),

    /**
     * BMI-1 男
     */
    QUESTION_BMI_1("BMI-1", true,"BMI-男"),
    /**
     * BMI-2 女
     */
    QUESTION_BMI_2("BMI-2", true,"BMI-女"),
    /**
     * 您的腰围是多少 男
     */
    QUESTION_WAISTLINE("WAISTLINE", false,"腰围"),

    /**
     * 您的腰围是多少 男
     */
    QUESTION_WAISTLINE_1("WAISTLINE-1", false,"腰围-男"),
    /**
     * 您的腰围是多少 女
     */
    QUESTION_WAISTLINE_2("WAISTLINE-2", false,"腰围-女"),
    /**
     * 体脂率
     */
    QUESTION_BFR("BFR", false,"体脂率"),
    /**
     * 体脂率-男
     */
    QUESTION_BFR_1("BFR-1", false,"体脂率-男"),
    /**
     * 体脂率-女
     */
    QUESTION_BFR_2("BFR-2", false,"体脂率-女"),
    /**
     * 常居住地
     */
    QUESTION_RESIDENCE("RESIDENCE", false,"常居住地"),
    /**
     * 你平时从事体力劳动的强度
     */
    QUESTION_LABOUR_STRENGH("LABOUR_STRENGH", true,"你平时从事体力劳动的强度"),
    /**
     * 你是否患有以下代谢性疾病
     */
    QUESTION_METABOLIC_DISEASE("METABOLIC_DISEASE", false,"你是否患有以下代谢性疾病"),
    /**
     * 你是否患有以下自身免疫系统疾病
     */
    QUESTION_IMMUNE_SYSTEM("IMMUNE_SYSTEM", false,"你是否患有以下自身免疫系统疾病"),
    /**
     * 你是否患有以下心脑血管疾病
     */
    QUESTION_ANGIOCARPY_DISEASE("ANGIOCARPY_DISEASE", false,"你是否患有以下心脑血管疾病"),
    /**
     *你是否患有以下慢性疾病
     */
    QUESTION_CHRONIC_DISEASE("CHRONIC_DISEASE", false,"你是否患有以下慢性疾病"),
    /**
     *你是否患有以下呼吸系统疾病
     */
    QUESTION_BREATHE_DISEASE("BREATHE_DISEASE", false,"你是否患有以下呼吸系统疾病"),
    /**
     *你成年前是否有以下健康问题
     */
    QUESTION_HEALTH_PROBLEM("HEALTH_PROBLEM", false,"你成年前是否有以下健康问题"),
    /**
     *你是否有以下胃肠道问题
     */
    QUESTION_GI_PROBLEM("GI_PROBLEM", false,"你是否有以下胃肠道问题"),
    /**
     * 你是否曾出现以下健康问题
     */
    QUESTION_HISTORY_PROBLEM("HISTORY_PROBLEM", false,"你是否曾出现以下健康问题"),
    /**
     *您是否有以下健康问题
     */
    QUESTION_HAVE_PROBLEM("HAVE_PROBLEM", false,"您是否有以下健康问题"),
    /**
     *你的直系亲属是否存在以下代谢性疾病
     */
    QUESTION_FAMILY_METABOLIS_DISEASE("FAMILY_METABOLIS_DISEASE", false,"你的直系亲属是否存在以下代谢性疾病"),
    /**
     *你的直系亲属是否存在以下呼吸系统疾病
     */
    QUESTION_FAMILY_BREATHE_DISEASE("FAMILY_BREATHE_DISEASE", false,"你的“直系亲属”是否存在以下呼吸系统疾病"),
    /**
     *你的直系亲属是否存在以下心脑血管疾病？
     */
    QUESTION_FAMILY_ANGIOCARPY_DISEASE("FAMILY_ANGIOCARPY_DISEASE", false,"你的“直系亲属”是否存在以下心脑血管疾病？"),
    /**
     *你的"父母"是否存在以下健康问题？
     */
    QUESTION_PARENTS_PROBLEM("PARENTS_PROBLEM", false,"你的父母是否存在以下健康问题？"),
    /**
     *你是否曾接受过以下治疗
     */
    QUESTION_RECEIVE_TREATMENT("RECEIVE_TREATMENT", false,"你是否曾接受过以下治疗"),
    /**
     *你是否连续服用以下药物超过3个月
     */
    QUESTION_PHARMACY_THREE_MONTH("PHARMACY_THREE_MONTH", false,"你是否连续服用以下药物超过3个月"),
    /**
     *你的空腹血糖值
     */
    QUESTION_FBG("FBG", false,"你的空腹血糖值"),
    /**
     *你的餐后血糖值
     */
    QUESTION_PBG("PBG", false,"你的餐后血糖值"),
    /**
     *你的随机血糖值
     */
    QUESTION_RBG("RBG", false,"你的随机血糖值"),
    /**
     *你的糖化血红蛋白值
     */
    QUESTION_HBALC("HBALC", false,"你的糖化血红蛋白值"),
    /**
     *你静息状态下的血压值
     */
    QUESTION_BLOOD_PRESSURE("BLOOD_PRESSURE", false,"你静息状态下的血压值"),
    /**
     *您的骨密度T值
     */
    QUESTION_BMD("BMD", false,"您的骨密度T值"),
    /**
     *你的血尿酸值
     */
    QUESTION_UA("UA", false,"你的血尿酸值"),
    /**
     *你的总胆固醇指标
     */
    QUESTION_TC("TC", false,"你的总胆固醇指标"),
    /**
     *你的甘油三酯指标
     */
    QUESTION_TG("TG", false,"你的甘油三酯指标"),
    /**
     *你的高密度脂蛋白胆固醇
     */
    QUESTION_HDLC("HDLC", false,"你的高密度脂蛋白胆固醇"),
    /**
     *你的低密度脂蛋白胆固醇
     */
    QUESTION_LDLC("LDLC", false,"你的低密度脂蛋白胆固醇"),
    /**
     *你的非高密度脂蛋白胆固醇
     */
    QUESTION_MDLC("MDLC", false,"你的非高密度脂蛋白胆固醇"),
    /**
     *你的γ-谷氨酰转移酶值
     */
    QUESTION_YGGT("YGGT", false,"你的γ-谷氨酰转移酶值"),
    /**
     *你肝内脂肪含量
     */
    QUESTION_IHCL("IHCL", false,"你肝内脂肪含量"),
    /**
     *你是否有心血管系统异常症状
     */
    QUESTION_CARDIOVASCULAR_DISEASE("CARDIOVASCULAR_DISEASE", false,"你是否有心血管系统异常症状"),
    /**
     *你是否有消化系统异常症状
     */
    QUESTION_DIGESTIVE_SYMPTOMS("DIGESTIVE_SYMPTOMS", false,"你是否有消化系统异常症状"),
    /**
     *你是否有内分泌异常症状
     */
    QUESTION_CRYPTORRBEA_SYMPTOMS("CRYPTORRBEA_SYMPTOMS", false,"你是否有内分泌异常症状"),
    /**
     *你是否有以下高代谢常见症状
     */
    QUESTION_HYPERMETABOLISM_SYMPTOMS("HYPERMETABOLISM_SYMPTOMS", false,"你是否有以下高代谢常见症状"),
    /**
     *你是否有以下低代谢常见症状
     */
    QUESTION_LOW_METABOLISM_SYMPTOMS("LOW_METABOLISM_SYMPTOMS", false,"你是否有以下低代谢常见症状"),
    /**
     *你是否存在以下异常症状
     */
    QUESTION_ABNORMAL_SYMPTOMS("ABNORMAL_SYMPTOMS", false,"你是否存在以下异常症状"),
    /**
     *你的面部是否有以下体征
     */
    QUESTION_FACE_SYMPTOMS("FACE_SYMPTOMS", false,"你的面部是否有以下体征"),
    /**
     *过去1个月出现气短的频率
     */
    QUESTION_PANT_FREQUENCY("PANT_FREQUENCY", false,"过去1个月出现气短的频率"),
    /**
     *咳痰的频率
     */
    QUESTION_EXPECTORATION_FREQUENCY("EXPECTORATION_FREQUENCY", false,"咳痰的频率"),
    /**
     *过去1年因呼吸问题活动量减少情况
     */
    QUESTION_EXERCISE_REDUCE("EXERCISE_REDUCE", false,"过去1年因呼吸问题活动量减少情况"),
    /**
     *你是否有以下食物摄入超量问题
     */
    QUESTION_FOOD_EXCESS("FOOD_EXCESS", false,"你是否有以下食物摄入超量问题"),
    /**
     *你是否有以下食物摄入过量问题
     */
    QUESTION_OVEREATING("OVEREATING", false,"你是否有以下食物摄入过量问题"),
    /**
     *你是否有以下食物摄入不足问题
     */
    QUESTION_FOOD_INSUFFICIENT("FOOD_INSUFFICIENT", false,"你是否有以下食物摄入不足问题"),
    /**
     *你的日常生活习惯
     */
    QUESTION_LIVING_HABIT("LIVING_HABIT", false,"你的日常生活习惯"),
    /**
     *你是否正在服用以下膳食补充剂
     */
    QUESTION_DIETARY_SUPPLEMENT("DIETARY_SUPPLEMENT", false,"你是否正在服用以下膳食补充剂"),
    /**
     *过去半年中每周的运动情况是
     */
    QUESTION_EXERCISE_STATE("EXERCISE_STATE", false,"过去半年中每周的运动情况是"),
    /**
     *每天从事户外活动或运动时间
     */
    QUESTION_OUTDOOR_TIME("OUTDOOR_TIME", false,"每天从事户外活动或运动时间"),
    /**
     *你平均每天静坐时长
     */
    QUESTION_SIT_TIME("SIT_TIME", false,"你平均每天静坐时长"),
    /**
     *你是否饮酒
     */
    QUESTION_DRINK("DRINK", false,"你是否饮酒"),
    /**
     *你每天的饮水量
     */
    QUESTION_WATER_INTAKE("WATER_INTAKE", false,"你每天的饮水量"),
    /**
     *你的吸烟情况
     */
    QUESTION_SMOKE("SMOKE", false,"你的吸烟情况"),
    /**
     *你是否有以下睡眠问题需要解决
     */
    QUESTION_SLEEP_PROBLEM("SLEEP_PROBLEM", false,"你是否有以下睡眠问题需要解决"),
    /**
     *当睡眠时间充足且睡眠环境适宜时仍存在睡眠问题
     */
    QUESTION_ENOUGH_SLEEP_PROBLEM("ENOUGH_SLEEP_PROBLEM", false,"当睡眠时间充足且睡眠环境适宜时仍存在睡眠问题"),
    /**
     *你是否有以下日间症状
     */
    QUESTION_DAYTIME_SYMPTOMS("DAYTIME_SYMPTOMS", false,"你是否有以下日间症状"),
    /**
     * ***的症状至少每周出现三次
     */
    QUESTION_DAYTIME_SYMPTOMS_THREE_TIMES("DAYTIME_SYMPTOMS_THREE_TIMES", false,"***的症状至少每周出现三次"),
    /**
     * ***的症状持续至少三个月
     */
    QUESTION_DAYTIME_SYMPTOMS_THREE_MONTHS("DAYTIME_SYMPTOMS_THREE_MONTHS", false,"***的症状持续至少三个月"),
    /**
     *你是否长期存在以下精神状态
     */
    QUESTION_MENTAL_STATE("MENTAL_STATE", false,"你是否长期存在以下精神状态"),
    /**
     *您是否长期居住或工作在以下环境
     */
    QUESTION_LIVE_ENVIRONMENTAL("LIVE_ENVIRONMENTAL", false,"您是否长期居住或工作在以下环境"),
    /**
     *你受教育的年限
     */
    QUESTION_EDUCATION("EDUCATION", false,"你受教育的年限"),
    /**
     *你的民族
     */
    QUESTION_NATION("NATION", false,"你的民族"),
    /**
     *你所在的地域
     */
    QUESTION_AREA("AREA", false,"你所在的地域"),
    /**
     *你的口味
     */
    QUESTION_TASTE("TASTE", false,"你的口味"),
    /**
     *你的运动能力
     */
    QUESTION_EXERCISE_ABILITY("EXERCISE_ABILITY", false,"你的运动能力"),
    /**
     *上楼梯时（约五层楼高），呼吸状态自我评价感觉为
     */
    QUESTION_BREATHE_STATE_EVALUATE("BREATHE_STATE_EVALUATE", false,"上楼梯时（约五层楼高），呼吸状态自我评价感觉为"),
    /**
     *您1分钟可以做多少个俯卧撑
     */
    QUESTION_PUSH_UP_CLASSIFY_NUM("PUSH_UP_CLASSIFY_NUM", false,"您1分钟可以做多少个俯卧撑"),
    /**
     *您1分钟可以做多少个俯卧撑
     */
    QUESTION_PUSH_UP_NUM("PUSH_UP_NUM", false,"您1分钟可以做多少个俯卧撑"),
    /**
     *您1分钟可以做多少个跪姿俯卧撑？
     */
    QUESTION_KNEELING_PUSH_UP_NUM("KNEELING_PUSH_UP_NUM", false,"您1分钟可以做多少个跪姿俯卧撑"),
    /**
     *您1分钟可以做多少个标准卷腹?(肩胛骨要离开地面)
     */
    QUESTION_CRUNCH_NUM("CRUNCH_NUM", false,"您1分钟可以做多少个标准卷腹?(肩胛骨要离开地面)"),
    /**
     *坐姿体前屈时,手指是否可以触碰到脚尖?
     */
    QUESTION_FINGERS_TOUCH_TOES("FINGERS_TOUCH_TOES", false,"坐姿体前屈时,手指是否可以触碰到脚尖"),
    /**
     *静蹲可以保持多长时间？
     */
    QUESTION_QUIET_SQUAT_DOWN_TIME("QUIET_SQUAT_DOWN_TIME", false,"静蹲可以保持多长时间"),
    /**
     *单脚站立可以保持多长时间？（平衡）
     */
    QUESTION_STAND_ON_ONE_LEG_TIME("STAND_ON_ONE_LEG_TIME", false,"单脚站立可以保持多长时间？（平衡）"),
    /**
     *乏力、疲倦或精神萎靡持续或反复发作的时间？
     */
    QUESTION_WEAK_REPETITION_TIME("WEAK_REPETITION_TIME", false,"乏力、疲倦或精神萎靡持续或反复发作的时间"),
    /**
     *你目前是否患有以下精神心理方面的疾病？
     */
    QUESTION_HEART_DISEASE("HEART_DISEASE", false,"你目前是否患有以下精神心理方面的疾病"),

    /**
     *你曾经是否患有以下精神心理方面的疾病？
     */
    QUESTION_HISTORY_HEART_DISEASE("HISTORY_HEART_DISEASE", false,"你曾经是否患有以下精神心理方面的疾病"),


    /**
     *您近期是否常有以下不适症状？
     */
    QUESTION_UNCOMFORTABLE_SYMPTOMS("UNCOMFORTABLE_SYMPTOMS", false,"您近期是否常有以下不适症状"),
    /**
     *请勾选出持续或反复发作6个月及以上的症状？
     */
    QUESTION_MORE_SIX_MONTH_SYMPTOMS("MORE_SIX_MONTH_SYMPTOMS", false,"请勾选出持续或反复发作6个月及以上的症状"),
    /**
     *您有以下吃肉蛋类的情况吗？
     */
    QUESTION_EAT_MEAT_EGG_TIMES("EAT_MEAT_EGG_TIMES", false,"您有以下吃肉蛋类的情况吗"),
    /**
     *您有下列饮食习惯吗？
     */
    QUESTION_DIETARY_HABIT("DIETARY_HABIT", false,"您有下列饮食习惯吗"),
    /**
     *您是否有以下味觉、口、齿、舌相关症状？
     */
    QUESTION_MOUTH_SYMPTOMS("MOUTH_SYMPTOMS", false,"您是否有以下味觉、口、齿、舌相关症状"),
    /**
     *您是否有以下眼、甲、皮肤相关症状？
     */
    QUESTION_EYE_NAIL_SKIN_SYMPTOMS("EYE_NAIL_SKIN_SYMPTOMS", false,"您是否有以下眼、甲、皮肤相关症状"),
    /**
     *您是否有以下饮用习惯？
     */
    QUESTION_DRINK_HABIT("DRINK_HABIT", false,"您是否有以下饮用习惯"),
    /**
     *您家是否有以下烹饪习惯？
     */
    QUESTION_COOKING_HABIT("COOKING_HABIT", false,"您家是否有以下烹饪习惯"),

    /**
     *医生建议过你需要在医疗监护下进行锻炼吗？
     */
    PHYSICAL_ACTIVITY("PHYSICAL_ACTIVITY", false,"医生建议过你需要在医疗监护下进行锻炼吗？"),
    /**
     *生活中或运动时是否出现过胸痛？
     */
    CHEST_PAIN("CHEST_PAIN", false,"生活中或运动时是否出现过胸痛？"),
    /**
     *在过去1年中，有无出现过因头晕而失去平衡或失去知觉？
     */
    LOSS_OF_BALANCE("LOSS_OF_BALANCE", false,"在过去1年中，有无出现过因头晕而失去平衡或失去知觉？"),
    /**
     *目前或过去1年内，是否出现过运动中使骨骼、关节或软组织（肌肉、韧带或肌腱）恶化的问题？
     */
    BODY_WORSEN("BODY_WORSEN", false,"目前或过去1年内，是否出现过运动中使骨骼、关节或软组织（肌肉、韧带或肌腱）恶化的问题？"),
    /**
     *您的疼痛程度为？
     */
    PAIN_DEGREE("PAIN_DEGREE", false,"您的疼痛程度为？"),
    /**
     *在过去1年内，您是否存在以下由疼痛引起的关节问题？
     */
    PAIN_IN_THE_JOINTS("PAIN_IN_THE_JOINTS", false,"在过去1年内，您是否存在以下由疼痛引起的关节问题？"),

    //v1.2
    /**
     *您是否目前未患有任何疾病？（有未确诊的不适症状，在此不算病）
     */
    NO_DISEASE("NO_DISEASE", false,"您是否目前未患有任何疾病？（有未确诊的不适症状，在此不算病）"),
    /**
     *您是否有以下消化系统问题？
     */
    DIGESTIVE_SYSTEM("DIGESTIVE_SYSTEM", false,"您是否有以下消化系统问题？"),
    /**
     *您是否患有以下妇科疾病？
     */
    GYNAE_DIEASE("GYNAE_DIEASE", false,"您是否患有以下妇科疾病？"),
    /**
     *您是否近期常有以下异常症状？
     */
    FGID_ABNORMAL_SYMPTOMS("FGID_ABNORMAL_SYMPTOMS", false,"您是否近期常有以下异常症状？"),
    /**
     *请勾选出以下持续至少6个月的症状？
     */
    FGID_MORE_SIX_MONTH_SYMPTOMS("FGID_MORE_SIX_MONTH_SYMPTOMS", false,"请勾选出以下持续至少6个月的症状？"),
    /**
     *您是否有以下健康问题？
     */
    IMMUNITY_HEALTH_PROBLEM("IMMUNITY_HEALTH_PROBLEM", false,"您是否有以下健康问题？"),
    /**
     *您是否处于产后1年内？
     */
    POSTNATAL_ONE_YEAR("POSTNATAL_ONE_YEAR", false,"您是否处于产后1年内？"),
    /**
     *您的分娩日期是？
     */
    POSTNATAL_TIME("POSTNATAL_TIME", false,"您的分娩日期是？"),
    /**
     *您是否处于哺乳状态？
     */
    LACTATION("LACTATION", false,"您是否处于哺乳状态？"),
    /**
     *请问您目前糖尿病的用药情况为？
     */
    MEDICATION_STATUS_OF_DIABETES("MEDICATION_STATUS_OF_DIABETES", false,"请问您目前糖尿病的用药情况为？"),
    /**
     *是否有其它理由使你不应进行运动？
     */
    OTHER_REASON_DO_NOT_EXERCISE("OTHER_REASON_DO_NOT_EXERCISE", false,"是否有其它理由使你不应进行运动？"),
    /**
     *你目前是否患有感冒、发烧等暂时性疾病？
     */
    CAT_FEVER("CAT_FEVER", false,"你目前是否患有感冒、发烧等暂时性疾病？"),
    /**
     *你7日内是否有饮酒行为？
     */
    DRINKING_WITHIN_SEVEN_DAYS("DRINKING_WITHIN_SEVEN_DAYS", false,"你7日内是否有饮酒行为？"),
    /**
     *距离上次饮酒至今有多久？
     */
    DRINKING_LATEST_TIME("DRINKING_LATEST_TIME", false,"距离上次饮酒至今有多久？"),
    /**
     *你最近一次饮酒情况是？
     */
    DRINKING_LATEST_CONDITION("DRINKING_LATEST_CONDITION", false,"你最近一次饮酒情况是？"),
    /**
     *最近1天是否存在24点后入睡或每日睡眠不足6小时的情况？
     */
    LACK_OF_SLEEP_QUESTION("LACK_OF_SLEEP_QUESTION", false,"最近1天是否存在24点后入睡或每日睡眠不足6小时的情况？"),

    /**
     * 当前心率
     */
    HR_QUESTION("HR", false,"当前心率"),

    /**
     *血氧饱和度
     */
    BLOOD_OXYGEN_QUESTION("BLOOD_OXYGEN", false,"血氧饱和度"),

    /**
     *心血管风险指数
     */
    CARDIOVASCULAR_RISK_QUESTION("CARDIOVASCULAR_RISK", false,"心血管风险指数"),

    /**
     * 当前心率变异性
     */
    HRV_CHANGE_QUESTION("HRV_CHANGE", false,"当前心率变异性"),

    /**
     * 没有感冒时你是否经常咳嗽
     */
    OFTEN_COUGH_QUESTION("OFTEN_COUGH", false,"没有感冒时你是否经常咳嗽"),
    /**
     * 你是否喜爱吃高热量零食，如薯片、含糖饮料、酥脆点心、辣条等？
     */
    LIKE_EAT_SNACKS("LIKE_EAT_SNACKS", false,"你是否喜爱吃高热量零食，如薯片、含糖饮料、酥脆点心、辣条等？"),
    /**
     * 你每餐是否习惯吃十分饱或吃撑？
     */
    EAT_FULL_EVERY_MEAL("EAT_FULL_EVERY_MEAL", false,"你每餐是否习惯吃十分饱或吃撑？"),
    /**
     * 减肥中遇到哪些问题？
     */
    PROBLEMS_IN_LOSING_WEIGHT("PROBLEMS_IN_LOSING_WEIGHT", false,"减肥中遇到哪些问题？"),
    /**
     * 是否了解肥胖的危害？
     */
    UNDERSTAND_THE_DANGERS_OF_OBESITY("UNDERSTAND_THE_DANGERS_OF_OBESITY", false,"是否了解肥胖的危害？"),

    /**
     * 此阶段你的初始体重？
     */
    INIT_WEIGHT("INIT_WEIGHT",false,"此阶段你的初始体重？"),
    /**
     * 此阶段你的初始腰围？
     */
    INIT_WAISTLINE("INIT_WAISTLINE",false,"此阶段你的初始体重？"),
    /**
     * 此阶段你的体脂率？
     */
    INIT_BODY_FAT_RATE("INIT_BODY_FAT_RATE",false,"此阶段你的初始体重？"),

    //随访中心v1.0
    /**
     * 请跟据你身体的症状情况，勾选以下选项？
     */
    PHYSICAL_CONDITION("PHYSICAL_CONDITION",false,"请跟据你身体的症状情况，勾选以下选项？"),
    /**
     * 你是否出现新的身体不适？
     */
    PHYSICAL_COMPLAINTS("PHYSICAL_COMPLAINTS",false,"你是否出现新的身体不适？"),
    /**
     * 你的足背动脉搏动情况是？
     */
    ARTERIOPALMUS("ARTERIOPALMUS",false,"你的足背动脉搏动情况是？"),
    /**
     * 你全天的主食（含饼干等加餐）的摄入情况是？
     */
    STAPLE_FOOD_INTAKE("STAPLE_FOOD_INTAKE",false,"你全天的主食（含饼干等加餐）的摄入情况是？"),
    /**
     * 你的运动情况是？ 多项数字题
     */
    EXERCISE_FREQUENCY("EXERCISE_FREQUENCY",false,"你的运动情况是？"),
    /**
     * 是否遵照医嘱改善了生活方式？
     */
    IMPROVE_LIFESTYLE("IMPROVE_LIFESTYLE",false,"是否遵照医嘱改善了生活方式？"),
    /**
     * 你的载脂蛋白A1值？
     */
    APO_A1("APO_A1",false,"你的载脂蛋白A1值？"),
    /**
     * 你的载脂蛋白B值？
     */
    APO_B("APO_B",false,"你的载脂蛋白B值？"),
    /**
     * 你的脂蛋白(a)值？
     */
    LDLA("LDLA",false,"你的脂蛋白(a)值？"),
    /**
     * 你的肌酸激酶值是？
     */
    CK("CK",false,"你的肌酸激酶值是？"),
    /**
     * 你的丙氨酸氨基转移酶值是？
     */
    ALT("ALT",false,"你的丙氨酸氨基转移酶值是？"),
    /**
     * 你的天门冬氨酸氨基转移酶值是？
     */
    AST("AST",false,"你的天门冬氨酸氨基转移酶值是？"),
    /**
     * 你的血肌酐值？
     */
    SCR("SCR",false,"你的血肌酐值？"),
    /**
     * 你的血钾值？
     */
    SERUM_KALIUM("SERUM_KALIUM",false,"你的血钾值？"),
    /**
     * 你的血钠值？
     */
    SERUM_NA("SERUM_NA",false,"你的血钠值？"),
    /**
     * 你是否还有其它医学检查异常情况？
     */
    MEDICAL_ABNORMAL_SYMPTOMS("MEDICAL_ABNORMAL_SYMPTOMS",false,"你是否还有其它医学检查异常情况？"),
    /**
     * 你是否出现过低血糖反应？
     */
    HYPOGLYCEMIA_REACTION("HYPOGLYCEMIA_REACTION",false,"你是否出现过低血糖反应？"),
    /**
     * 你是否遵医嘱按时按量服药？
     */
    TAKE_MEDICINE("TAKE_MEDICINE",false,"你是否遵医嘱按时按量服药？"),
    /**
     * 你是否有新确诊的疾病？
     */
    NEW_CONFIRM_DISEASE("NEW_CONFIRM_DISEASE",false,"你是否有新确诊的疾病？"),

    //2022年9月27日 生活方式中心1.2添加
    /**
     * 你的畜肉（如猪、牛、羊等的肌肉和内脏）摄入量情况？
     */
    LIVESTOCK_MEAT_INTAKE_STATE("LIVESTOCK_MEAT_INTAKE_STATE",false,"你的畜肉（如猪、牛、羊等的肌肉和内脏）摄入量情况？"),
    /**
     * 你是否长期存在以下问题？
     */
    LONG_TIME_PROBLEMS("LONG_TIME_PROBLEMS",false,"你是否长期存在以下问题？"),
    /**
     * 你是否了解并接受糖尿病自我管理与教育呢？
     */
    DIABETES_REGULATE("DIABETES_REGULATE",false,"你是否了解并接受糖尿病自我管理与教育呢？"),
    /**
     * 你是否知晓并关注血尿酸水平的影响？
     */
    REALIZE_UA("REALIZE_UA",false,"你是否知晓并关注血尿酸水平的影响？"),
    /**
     * 你是否患有糖尿病并发症？
     */
    DIABETES_COMPLICATION("DIABETES_COMPLICATION",false,"你是否患有糖尿病并发症？"),
    /**
     * 你近14天内是否出现过低血糖症状？
     */
    HYPOGLYCEMIA_SYMPTOMS("HYPOGLYCEMIA_SYMPTOMS", false, "你近14天内是否出现过低血糖症状？"),
    /**
     * 2023-01-28 生活方式1.4
     * 你是否常有意识地进行呼吸锻炼，如缩唇呼吸、腹式呼吸等？
     */
    BREATHING_EXERCISE("BREATHING_EXERCISE", false, "你是否常有意识地进行呼吸锻炼，如缩唇呼吸、腹式呼吸等？"),
    /**
     * 2023-01-28 生活方式1.4
     * 你是否常参加社会活动，如参加生日聚会、集体旅游度假等？
     */
    PARTICIPATE_SOCIAL_ACTIVITIES("PARTICIPATE_SOCIAL_ACTIVITIES", false, ""),
    /**
     * 2023-01-28 生活方式1.4
     * 你的睡眠环境或睡眠习惯是否存在以下情况？
     */
    SLEEP_ENVIRONMENT_OR_HABITS("SLEEP_ENVIRONMENT_OR_HABITS", false, "你的睡眠环境或睡眠习惯是否存在以下情况？"),

    // 新增六种癌症 2023年2月8日
    /**
     * 你是否存在以下家族史？
     */
    FAMILY_MEDICAL_HISTORY("FAMILY_MEDICAL_HISTORY",false,"你是否存在以下家族史？"),
    /**
     * 你是否有以下健康问题？
     * 癌症
     */
    CANCER_HEALTH_PROBLEM("CANCER_HEALTH_PROBLEM",false,"你是否有以下健康问题？"),
    /**
     * 你是否有以下疾病史？
     */
    DISEASES_HISTORY("DISEASES_HISTORY",false,"你是否有以下疾病史？"),
    /**
     * 你的PGR值为？
     */
    PGR("PGR",false,"你的PGR值为？"),
    /**
     * 你的血清胃泌素-17（G-17）（pmol/L）值为？
     */
    G17("G17",false,"你的血清胃泌素-17（G-17）（pmol/L）值为？"),
    /**
     * 你目前是否吸烟？
     */
    SMOKING("SMOKING",false,"你目前是否吸烟？"),
    /**
     * 你现在或曾经的吸烟年包数是否≥30？
     * （年包数=每天吸烟包数*吸烟年数）
     */
    YEAR_SMOKING_LEAST_THIRTY_PACKS("YEAR_SMOKING_LEAST_THIRTY_PACKS",false,"你现在或曾经的吸烟年包数是否≥30？（年包数=每天吸烟包数*吸烟年数）"),
    /**
     * 你是否有相关职业暴露史（石棉、氡、铍、铬、镉、镍、硅、煤烟和煤烟尘）至少1年？
     */
    JOB_EXPOSE_HISTORY_LEAST_ONE_YEAR("JOB_EXPOSE_HISTORY_LEAST_ONE_YEAR",false,"你是否长期居住或工作在以下环境？"),

    //2023年3月9日 饮食干预中心-过敏原
    /**
     * 你是否有以下食物过敏？
     */
    ALLERGEN_TABOO_TAGS("ALLERGEN_TABOO_TAGS",false,"你是否有以下食物过敏？"),


    //后续添加备注日期


    ;


    /**
     * 题目编号
     */
    private String questionCode;

    /**
     * 必须出现题
     */
    private boolean required;

    /**
     * 题目名称
     */
    private String questionName;


    public static QuestionaireEnum getEnum(String questionCode) {
        QuestionaireEnum[] values = values();
        if (questionCode == null) {
            return null;
        }
        for (QuestionaireEnum value : values) {
            if (questionCode.equals(value.questionCode)) {
                return value;
            }
        }
        return null;
    }


}
