package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 测评报告标签权限
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum ReportLableEnum {

    /**
     * 异常指标解读
     */
    REPORT_TARGET("INDICATOR","异常指标解读"),
    /**
     * 主要风险因素
     */
    REPORT_RISK_ELEMENT("RISK_FACTOR","主要风险因素"),
    /**
     * 需关注健康问题
     */
    REPORT_HEALTH_PROBLEM("HEALTH_PROBLEM","需关注健康问题"),

    /**
     * 三餐合理配比
     */
    DIET_MEAL("MEALS_MATCHING","三餐合理配比"),
    /**
     * 平衡膳食
     */
    DIET_BALANCED("BALANCED_DIET","平衡膳食"),
    /**
     * 饮食原则
     */
    DIET_PRINCIPLE("DIET_PRINCIPLE","饮食原则"),
    /**
     * 运动原则
     */
    EXERCISE_PRINCIPLE("EXERCISE_PRINCIPLE","运动原则"),
    /**
     * 运动注意事项
     */
    EXERCISE_NOTES("EXERCISE_NOTICE","运动注意事项"),

    /**
     * 生活起居
     */
    DAILY_LIFE("DAILY_LIFE","生活起居"),
    /**
     * 营养素补充剂推荐
     */
    MEDICAL_NUTRIENT("NUTRIENT_SUPPLEMENT_RECOMMEND","营养素补充剂推荐"),

    /**
     * 就医建议
     */
    MEDICAL_ADVICE("MEDICAL_ADVICE","就医建议"),
    /**
     * 日常病情检测
     */
    MEDICAL_DETECTION("DAILY_DISEASE_MONITORING","日常病情检测"),


    ;
    /**
     * 标签
     */
    private String lable;

    /**
     * 描述
     */
    private String description;



    public static ReportLableEnum getEnum(String lable) {
        ReportLableEnum[] values = values();
        if (lable == null) {
            return null;
        }
        for (ReportLableEnum value : values) {
            if (lable.equals(value.lable)) {
                return value;
            }
        }
        return null;
    }

}
