package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 测评报告模块权限
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum ReportModuleEnum {

    /**
     * 膳食营养
     */
    DIET("DIETARY_NUTRITION","膳食营养"),

    /**
     * 运动健康
     */
    EXERCISE("EXERCISE_HEALTH","运动健康"),
    /**
     * 生活起居
     */
    DAILY("DAILY_LIFE","生活起居"),

    /**
     * 医学指导
     */
    MEDICAL("MEDICAL_GUIDE","医学指导"),

    ;
    private String module;

    private String description;



    public static ReportModuleEnum getEnum(String module) {
        ReportModuleEnum[] values = values();
        if (module == null) {
            return null;
        }
        for (ReportModuleEnum value : values) {
            if (module.equals(value.module)) {
                return value;
            }
        }
        return null;
    }

}
