package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 评估中心报告版本号枚举
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum ReportVersionEnum {

    /**
     * v3版本
     */
    V3("3","v3版本"),
    /**
     * 4版本，对比V3版本 指标解读变化-新增描述类指标结构变化
     */
    V4("4","v4版本")


    ;

    /**
     * 版本号
     */
    private String version ;
    /**
     * 版本描述
     */
    private String message;

    public static ReportVersionEnum getEnum(String version) {
        ReportVersionEnum[] values = values();
        if (version == null) {
            return null;
        }
        for (ReportVersionEnum value : values) {
            if (version.equals(value.version)) {
                return value;
            }
        }
        return null;
    }

}
