package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 版本号枚举
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum VersionEnum {

    /**
     * v1.1版本
     */
    V1_0("1.0", "v1.1版本"),
    /**
     * v1.1版本
     */
    V1_1("1.1", "v1.1版本"),

    /**
     * v1.2版本
     */
    V1_2("1.2", "v1.2版本"),

    /**
     * v1.3版本
     */
    V1_3("1.3", "v1.3版本，问卷单独抽离"),
    /**
     * v1.4版本
     */
    V1_4("1.4", "v1.4版本，问卷单独抽离"),

    /**
     * v1.4版本
     * 专业文档：https://docs.qq.com/sheet/DTER5RGRrSE5VZVV5?tab=7zvr67
     */
    V3_8("3.8", "v3.8版本，饮食干预中心"),


    ;

    /**
     * 版本号
     */
    private String version;
    /**
     * 版本描述
     */
    private String message;

    public static VersionEnum getEnum(String version) {
        VersionEnum[] values = values();
        if (version == null) {
            return null;
        }
        for (VersionEnum value : values) {
            if (version.equals(value.version)) {
                return value;
            }
        }
        return null;
    }

}
