package com.jiankangyouyi.cloud.assessment.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：2021/12/4 7:10 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HealthProblemInfo {
    /**
     * 健康问题编码
     */
    @NotBlank(message = "请求参数 healthProblemCode 不能为空")
    @Size(max = 32,message = "请求参数 healthProblemCode 超过有效长度32")
    private String healthProblemCode;
    /**
     * 风险等级
     */
    @NotNull(message = "请求参数 riskLevel 不能为空")
    private Integer riskLevel;
}
