package com.jiankangyouyi.cloud.assessment.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/12/4 7:07 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleUserInfo {
    /**
     * 身高 /cm
     */
    private Double height;
    /**
     * 体重 /cm
     */
    private Double weight;
    /**
     * 性别 1、男 2、女
     */
    private String gender;
    /**
     * 腰围 /cm
     */
    private Double waist;
    /**
     * 出生日期 /yyyy-MM-dd
     */
    private String birthday;
    /**
     * 健康问题信息
     */
    private List<HealthProblemInfo> healthProblemInfos;
    /**
     * 生活方式标签
     */
    private List<String> lifeStyleLabels;
}
