package com.jiankangyouyi.cloud.assessment.model.entity.mongo.effect.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 指标控制情况 及体重前后变化
 *
 * @author june
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IndicatorControlAndWeight {

    /**
     * 指标控制情况
     */
    private EffectReport.IndicatorControl indicatorControl;


    /**
     * 干预前症状是否有值
     */
    private Boolean isHasBefore;

    /**
     * 干预前体重
     */
    private BigDecimal weightBefore;

    /**
     * 干预后体重
     */
    private BigDecimal weightAfter;

    /**
     * 干预前BMI
     */
    private BigDecimal bmiBefore;
    
    /**
     * 干预后BMI
     */
    private BigDecimal bmiAfter;
}
