package com.jiankangyouyi.cloud.assessment.model.entity.mongo.life.style.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


/**
 * 生活方式-报告-方案详细
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleSchemeBasePriorityConfig {
    /**
     * 健康问题编码
     */
    private String healthProblemCode;
    /**
     * 风险等级
     */
    private Integer riskLevel;
    /**
     * 优先级（数字）
     */
    private BigDecimal priority;
    /**
     * 权重（数字）
     */
    private BigDecimal weight;

    /**
     * 是否默认方案 true false
     * 默认 false
     * 不良标签=0使用 true
     */
    private Boolean isDefault;
}
