package com.jiankangyouyi.cloud.assessment.model.entity.mongo.life.style.component;

import com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * 生活方式-报告-方案详细
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleSchemeDetail {
    /**
     * 方案详情ID
     * 生成ObjectId
     */
    private String schemeDetailId;
    /**
     * 方案类型（饮食、运动、饮酒、吸烟、心理、睡眠）
     * {@link com.jiankangyouyi.cloud.assessment.enums.LifeStyleSchemeTypeEnum}
     */
    private String schemeType;
    /**
     * 方案类型名称
     */
    private String schemeTypeName;
    /**
     * 方案 code
     * {@link LifeStyleSchemeEnum}
     */
    private String schemeCode;
    /**
     * 方案名称
     */
    private String schemeName;
    /**
     * 方案Logo
     */
    private String schemeLogo;
    /**
     * 底层库-方案组合-方案ID
     */
    private List<String> baseSchemeIds;
    /**
     * 当前方案累计打卡天数
     */
    private Integer punchCardDays;
    /**
     * 方案当前阶段
     * {@link com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeStageEnum}
     */
    private Integer schemeStageNum;
    /**
     * 阶段变更日期（第四阶段维持触发）
     */
    private String nextStageStartDate;

    /**
     * 方案执行状态
     * {@link com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeExecuteStatusEnum}
     */
    private String schemeExecuteStatus;
}
