package com.jiankangyouyi.cloud.assessment.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.sql.Timestamp;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 参数表
 * </p>
 *
 * @author yangsongbo
 * @since 2021-03-30
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("base_param")
public class BaseParamDO extends Model<BaseParamDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 参数组
     */
    @TableField("param_group")
    private String paramGroup;

    @TableField("param_key")
    private String paramKey;

    /**
     * 参数值
     */
    @TableField("param_value")
    private String paramValue;

    /**
     * 参数名称
     */
    @TableField("param_name")
    private String paramName;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 排序
     */
    @TableField("row_order")
    private Integer rowOrder;

    /**
     * 有效标识 1 有效 2 无效
     */
    @TableField("valid_status")
    private String validStatus;


    public static final String ID = "id";

    public static final String UPDATE_TIME = "update_time";

    public static final String CREATE_TIME = "create_time";

    public static final String PARAM_GROUP = "param_group";

    public static final String PARAM_KEY = "param_key";

    public static final String PARAM_VALUE = "param_value";

    public static final String PARAM_NAME = "param_name";

    public static final String REMARK = "remark";

    public static final String ROW_ORDER = "row_order";

    public static final String VALID_STATUS = "valid_status";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
