package com.jiankangyouyi.cloud.assessment.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.sql.Timestamp;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 标签表
 * </p>
 *
 * @author fengxuanjun
 * @since 2022-01-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_label")
public class BizLabelDO extends Model<BizLabelDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 创建日期 yyyy-MM-dd
     */
    @TableField("create_date")
    private String createDate;

    /**
     * 业务类型
     */
    @TableField("biz_type")
    private String bizType;

    /**
     * 应用ID
     */
    @TableField("app_id")
    private String appId;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private String userId;

    /**
     * 状态（1：启用，2：禁用）
     */
    @TableField("valid_status")
    private String validStatus;

    /**
     * 标签编码
     */
    @TableField("label_code")
    private String labelCode;

    /**
     * 标签名称
     */
    @TableField("label_name")
    private String labelName;


    public static final String ID = "id";

    public static final String UPDATE_TIME = "update_time";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATE_DATE = "create_date";

    public static final String BIZ_TYPE = "biz_type";

    public static final String APP_ID = "app_id";

    public static final String USER_ID = "user_id";

    public static final String VALID_STATUS = "valid_status";

    public static final String LABEL_CODE = "label_code";

    public static final String LABEL_NAME = "label_name";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
