package com.jiankangyouyi.cloud.assessment.model.report.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 食材参照量对象
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodMassEstimate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 食材质量参照图,图片尺寸为483 × 270
     */
    private String imageUrl;

    /**
     * 食材参照描述，如：一把(菠菜)100克
     */
    private String describe;
}
