package com.jiankangyouyi.cloud.assessment.model.report.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.NumberStripTrailingZerosJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 营养状态测评报告中的食物信息
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Report010308Food implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 食物ID
     */
    private String foodId;

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 食物图片
     */
    private String imageUrl;

    /**
     * 营养素含量
     */
    @JsonSerialize(using = NumberStripTrailingZerosJsonSerialize.class)
    private Double nutrientContent;

    /**
     * 推荐摄入量
     */
    private Integer recommendIntake;

    /**
     * 营养素含量英文单位，mg/μg
     */
    private String contentUnitEn;

    /**
     * 营养素含量中文单位，毫克/微克
     */
    private String contentUnitCn;

    /**
     * 食物英文单位 g/ml
     */
    private String foodUnitEn;

    /**
     * 食物中文单位, 克/毫升
     */
    private String foodUnitCn;
}
