package com.jiankangyouyi.cloud.assessment.model.vo.api.lifestyle.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeEnum;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 生活方式报告-方案详情
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleReportSchemeDetail {

    /**
     * 方案详情ID
     */
    private String schemeDetailId;
    /**
     * 方案code
     * {@link LifeStyleSchemeEnum}
     */
    private String schemeCode;
    /**
     * 方案名称
     */
    private String schemeName;
    /**
     * 方案 LOGO
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String schemeLogo;
    /**
     * 方案类型
     * {@link com.jiankangyouyi.cloud.assessment.enums.LifeStyleSchemeTypeEnum}
     */
    private String schemeType;
    /**
     * 方案类型名称
     */
    private String schemeTypeName;
    /**
     * 方案阶段 1，2，3，4
     * {@link com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeStageEnum}
     */
    private Integer schemeStageNum;
    /**
     * 展示状态
     * {@link com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeShowStatusEnum}
     */
    private String schemeShowStatus;
    /**
     * 方案内容
     */
    private List<String> schemeContents;
    /**
     * 温馨提示
     */
    private List<String> warmPrompts;
    /**
     * 打卡情况 true、已打卡 false 、未打卡
     */
    private Boolean punchCardStatus;
    /**
     * 打卡天数
     */
    private Integer punchCardDays;

}
