package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * BIM等级
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum EvaluationBMILevelEnum implements BaseEnum {

    /**
     * 消瘦
     */
    EMACIATION("1", "消瘦"),

    /**
     * 正常
     */
    CENTRE("2", "正常"),
    /**
     * 超重
     */
    OVERWEIGHT("3", "超重"),
    /**
     * 肥胖
     */
    OBESITY("4", "肥胖"),


    ;

    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static EvaluationBMILevelEnum getEnum(String code) {

        EvaluationBMILevelEnum[] ems = values();
        for (EvaluationBMILevelEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}
