package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 测评编码
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum EvaluationCodeEnum implements BaseEnum {

    /**
     * 2型糖尿病风险测评
     */
    TNBPC("TNBPC", "2型糖尿病风险测评"),

    /**
     * 高血压风险测评
     */
    GXYPC("GXYPC", "高血压风险测评"),

    /**
     * 抑郁情绪测评
     */
    YYZPCP("YYZPCP", "抑郁情绪测评"),
    /**
     * 焦虑情绪测评
     */
    JLSPCP("JLSPCP", "焦虑情绪测评"),
    /**
     * 产后抑郁症测评
     */
    CHYYZCP("CHYYZCP", "产后抑郁症测评"),

    /**
     * 高血脂风险测评
     */
    GXZPC("GXZPC", "高血脂风险测评"),

    /**
     * 骨质疏松风险测评
     */
    GZSSPC("GZSSPC", "骨质疏松风险测评"),

    /**
     * 冠心病风险测评
     */
    GXBPC("GXBPC", "冠心病风险测评"),

    /**
     * 痛风风险测评
     */
    TFPC("TFPC", "痛风风险测评"),

    /**
     * 三高风险测评
     */
    SGPC("SGPC", "三高风险测评"),

    /**
     * 肥胖风险测评
     */
    FPFXPC("FPFXPC", "肥胖风险测评"),

    /**
     * 脂肪肝风险测评
     */
    ZFGCP("ZFGCP", "脂肪肝风险测评"),

    /**
     * 疲劳程度测评
     */
    PLCDCP("PLCDCP", "疲劳程度测评"),

    /**
     * 营养状态测评
     */
    YYZTCP("YYZTCP", "营养状态测评"),

    /**
     * 免疫力风险测评
     */
    MYLFXCP("MYLFXCP", "免疫力风险测评"),

    /**
     * 脑卒中风险测评
     */
    NCZCP("NCZCP", "脑卒中风险测评"),

    /**
     * 肠道健康测评
     */
    CDJKCP("CDJKCP", "肠道健康测评"),
    /**
     * 甲状腺功能风险测评
     */
    JZXCP("JZXCP", "甲状腺功能风险测评"),
    /**
     * 颈椎病风险测评
     */
    JZBPC("JZBPC", "颈椎病风险测评"),

    /**
     * 女性皮肤测评
     */
    NXPFCP("NXPFCP", "女性皮肤测评"),
    /**
     * 中医脏腑健康状态测评
     */
    ZYZFJKZTCP("ZYZFJKZTCP", "中医脏腑健康状态测评"),
    /**
     * 工作压力测评
     */
    GZYLCP("GZYLCP", "工作压力测评"),


    /**
     * 默认
     */
    DEFAULT("0", "默认"),

    /**
     * 心系
     */
    XIN_XI("1", "心系"),

    /**
     * 肝系
     */
    GAN_XI("2", "肝系"),

    /**
     * 肺系
     */
    FEI_XI("3", "肺系"),

    /**
     * 	脾系
     */
    PI_XI("4", "脾系"),

    /**
     * 胃系
     */
    WEI_XI("5", "胃系"),

    /**
     * 	肾系
     */
    SHEN_XI("6", "肾系"),


    /**
     * 小肠系
     */
    XIAO_CHANG_XI("7", "小肠系"),

    /**
     * 大肠系
     */
    DA_CHANG_XI("8", "大肠系"),
    /**
     * 	胆系
     */
    DAN_XI("9", "胆系"),
    /**
     * 	肥胖服务包
     */
    FPFWB("FPFWB", "肥胖测评"),
    ;


    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static EvaluationCodeEnum getEnum(String code) {

        EvaluationCodeEnum[] ems = values();
        for (EvaluationCodeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
