package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 测评题问题类型
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum EvaluationQuestionTypeEnum implements BaseEnum {

    /**
     * 单选题
     */
    SINGLE_SELECT("1", "单选题"),

    /**
     * 多选题
     */
    MULTIPLE_SELECT("2", "多选题"),
    /**
     * 填空题
     */
    FILL_BLANK("3", "填空题"),
    ;

    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static EvaluationQuestionTypeEnum getEnum(String code) {

        EvaluationQuestionTypeEnum[] ems = values();
        for (EvaluationQuestionTypeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}