package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 测评来源枚举
 * @author wangshuang
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum EvaluationSourceEnum implements BaseEnum {

    /**
     * 服务包
     */
    MANAGE("1", "服务包"),




    ;

    private String code;
    private String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static EvaluationSourceEnum parseString(String code) {
        for (EvaluationSourceEnum enumItem : EvaluationSourceEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }


}
