package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 测评状态
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum EvaluationStateEnum implements BaseEnum {
    /**
     * 低
     */
    LOW("1", "低风险"),

    /**
     * 中
     */
    CENTRE("2", "中风险"),

    /**
     * 高
     */
    HIGH("3", "高风险"),

    /**
     * 低血糖
     */
    HYPOGLYCEMIA("4", "低血糖"),
    /**
     * 正常范围
     */
    NORMAL_RANGE("5", "正常范围"),
    /**
     * 空腹血糖受损
     */
    IMPAIRED_FASTING_BLOOD_GLUCOSE("6", "空腹血糖受损"),
    /**
     * 糖尿病
     */
    DIABETES("7", "糖尿病"),
    /**
     * 糖耐量减低(IGT)
     */
    IGTDIABETES("8", "糖耐量减低(IGT)"),
    /**
     * 指标升高
     */
    INDEX_ELEVATION("9", "指标升高"),

    /**
     * 糖调节异常
     */
    ABNORMAL_GLUCOSE_REGULATION("10", "糖调节异常"),
    /**
     * 正常血压
     */
    NORMAL_BLOOD_PRESSURE("11", "正常血压"),
    /**
     * 正常高值
     */
    NORMAL_HIGH_VALUE("12", "正常高值"),
    /**
     * 高血压
     */
    HYPERTENSION("13", "高血压"),
    /**
     * 1级高血压(轻度）
     */
    ONE_HYPERTENSION("14", "1级高血压(轻度）"),
    /**
     * 2级高血压（中度）
     */
    TWO_HYPERTENSION("15", "2级高血压（中度）"),
    /**
     * 3级高血压（重度）
     */
    THREE_HYPERTENSION("16", "3级高血压（重度）"),

    /**
     * 血尿酸正常
     */
    NORMAL_SERUM_URIC_ACID("17", "血尿酸正常"),

    /**
     * 高尿酸血症
     */
    HYPERURICEMIA("18", "高尿酸血症"),

    /**
     * 消瘦
     */
    BMI_EMACIATION("19", "消瘦"),

    /**
     * 正常
     */
    BMI_CENTRE("20", "正常"),
    /**
     * 超重
     */
    BMI_OVERWEIGHT("21", "超重"),
    /**
     * 肥胖
     */
    BMI_OBESITY("22", "肥胖"),

    /**
     * 中心性肥胖
     */
    CENTRIPETAL_OBESITY("23", "中心性肥胖"),
    /**
     * 腰围正常
     */
    WAIST_CENTRE("24", "正常"),
    /**
     * 骨量正常
     */
    BONE_MASS_CENTRE("25", "骨量正常"),
    /**
     * 骨量减少
     */
    BONE_MASS_REDUCE("26", "骨量减少"),
    /**
     * 骨质疏松
     */
    BONE_MASS_LOOSE("27", "骨质疏松"),
    /**
     * 血脂正常
     */
    BLOOD_LIPIDS_NORMAL("28", "血脂正常"),
    /**
     * 血脂异常
     */
    BLOOD_LIPIDS_REGULATION("29", "血脂异常"),
    /**
     * 升高
     */
    EDGE("30", "升高"),
    /**
     * 降低
     */
    REDUCE("31", "降低"),
    /**
     * 轻度脂肪肝
     */
    MILD_FATTY_LIVER("32", "轻度脂肪肝"),
    /**
     * 中度脂肪肝
     */
    MODERATE_FATTY_LIVER("33", "中度脂肪肝"),
    /**
     * 重度脂肪肝
     */
    SERIOUS_FATTY_LIVER("34", "重度脂肪肝"),

    /**
     * 血脂正常
     */
    BLOOD_NORMAL("35", "血脂正常"),
    /**
     * 血脂异常
     */
    BLOOD_REGULATION("36", "血脂异常"),

    /**
     * 无抑郁情绪
     */
    NO_DEPRESSION("37", "无抑郁情绪"),
    /**
     * 轻度抑郁情绪
     */
    LIGHT_DEPRESSION("38", "轻度抑郁情绪"),
    /**
     * 中度抑郁情绪
     */
    MIDDLE_DEPRESSION("39", "中度抑郁情绪"),

    /**
     * 重度抑郁情绪
     */
    SEVERE_DEPRESSION("40", "重度抑郁情绪"),

    /**
     * 产后抑郁综合症
     */
    POSTPARTUM_DEPRESSION("41", "产后抑郁综合症"),

    /**
     * 疑似产后抑郁综合症
     */
    SEEM_POSTPARTUM_DEPRESSION("42", "疑似产后抑郁综合症"),

    /**
     * 无产后抑郁
     */
    NO_POSTPARTUM_DEPRESSION("43", "无产后抑郁"),
    /**
     * 无焦虑情绪
     */
    NO_ANXIETY("44", "无焦虑情绪"),
    /**
     * 轻度焦虑情绪
     */
    MILD_ANXIETY("45", "轻度焦虑情绪"),
    /**
     * 中度焦虑情绪
     */
    MODERATE_ANXIETY("46", "中度焦虑情绪"),
    /**
     * 重度焦虑情绪
     */
    SEVERE_ANXIETY("47", "重度焦虑情绪"),

    /**
     * 免疫力较差
     */
    BAD("48", "较差"),
    /**
     * 免疫力一般
     */
    GENERAL("49", "一般"),
    /**
     * 免疫力良好
     */
    GOOD("50", "良好"),

    /**
     * 重度疲劳
     */
    SEVERE("51", "重度"),
    /**
     * 中度疲劳
     */
    MODERATE("52", "中度"),
    /**
     * 轻度疲劳
     */
    LIGHT("53", "轻度"),
    /**
     * 无营养缺乏症状
     */
    NO_NUTRITIONAL_DEFICIENCY("54", "无营养缺乏症状"),
    /**
     * 维生素A
     */
    VA("55", "维生素A"),
    /**
     * 维生素B1
     */
    VB1("56", "维生素B1"),
    /**
     * 维生素B2
     */
    VB2("57", "维生素B2"),
    /**
     * 维生素B6
     */
    VB6("58", "维生素B6"),
    /**
     * 维生素B12
     */
    VB12("59", "维生素B12"),
    /**
     * 烟酸
     */
    YAN_SUAN("60", "烟酸"),
    /**
     * 叶酸
     */
    YE_SUAN("61", "叶酸"),
    /**
     * 生物素
     */
    SHENG_WU_SU("62", "生物素"),
    /**
     * 维生素C
     */
    VC("63", "维生素C"),
    /**
     * 维生素D
     */
    VD("64", "维生素D"),
    /**
     * 维生素E
     */
    VE("65", "维生素E"),
    /**
     * 钙
     */
    GAI("66", "钙"),
    /**
     * 铁
     */
    TIE("67", "铁"),
    /**
     * 锌
     */
    XIN("68", "锌"),
    /**
     * 镁
     */
    MEI("69", "镁"),
    /**
     * 硒
     */
    XI("70", "硒"),
    /**
     * 铬
     */
    GE("71", "铬"),
    /**
     * 钾
     */
    JIA("72", "钾"),
    /**
     * 油型 O Type
     */
    OTYPE("73", "油型（O Type）皮肤"),

    /**
     * 干型 D Type
     */
    DTYPE("74", "干型（D Type）皮肤"),
    /**
     * 脾胃失调
     */
    PI_WEI("75", "脾胃失调 "),
    /**
     * 肝胆失调
     */
    GAN_DAN("76", "肝胆失调 "),
    /**
     * 心与小肠失调
     */
    XIN_XIAOCHANG("77", "心与小肠失调"),
    /**
     * 肺与大肠失调
     */
    FEI_DACHANG("78", " 肺与大肠失调 "),
    /**
     * 肝失衡
     */
    GAN("79", "肝失衡"),
    /**
     * 心失衡
     */
    XIN_SHI_HENG("80", "心失衡"),
    /**
     * 脾失衡
     */
    PI("81", "脾失衡"),
    /**
     * 肺失衡
     */
    FEI("82", "肺失衡"),
    /**
     * 肾失衡
     */
    SHEN("83", "肾失衡"),
    /**
     * 胃失衡
     */
    WEI("84", "胃失衡"),
    /**
     * 胆失衡
     */
    DAN("85", "胆失衡"),
    /**
     * 大肠失衡
     */
    DACHANG("86", "大肠失衡"),
    /**
     * 小肠失衡
     */
    XIAOCHANG("87", "小肠失衡"),
    /**
     * 工作压力程度极低
     */
    WORKING_PRESSURE_LOW_MAX("88", "程度极低"),
    /**
     * 工作压力程度低
     */
    WORKING_PRESSURE_LOW("89", "程度低"),
    /**
     * 工作压力程度中等
     */
    WORKING_PRESSURE_MIDDLE("90", "程度中等"),
    /**
     * 工作压力程度高
     */
    WORKING_PRESSURE_HIGH("91", "程度高"),
    /**
     * 工作压力程度极高
     */
    WORKING_PRESSURE_HIGH_MAX("92", "程度极高"),
    ;

    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static EvaluationStateEnum getEnum(String code) {

        EvaluationStateEnum[] ems = values();
        for (EvaluationStateEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
