
package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 食物状态  有效、无效、草稿
 * @since v3.0.4
 * @author yangsongbo
 *
 */
@AllArgsConstructor
public enum FoodStatusEnum implements BaseEnum {

    /**有效*/
	VALID("0", "有效"),

    /**无效*/
	INVALID("1", "无效"),

    /**草稿*/
	DRAFT("2", "草稿"),

    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static FoodStatusEnum getEnum(String code) {

        FoodStatusEnum[] ems = values();
        for (FoodStatusEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}
