package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 用户来源 Enum
 * </p>
 * 
 * @since v3.0
 * @author yangsongbo
 *
 */
@AllArgsConstructor
public enum FromTypeEnum  implements BaseEnum {
    /** 用户来源 1 手机 2 微信 3 微博 4 QQ 5 华为 6 招商信诺 */
    FROM_TYPE_1("1", "手机登录"),
    /** 用户来源 1 手机 2 微信 3 微博 4 QQ 5 华为 6 招商信诺 */
    FROM_TYPE_2("2", "微信登录"),
    /** 用户来源 1 手机 2 微信 3 微博 4 QQ 5 华为 6 招商信诺 */
    FROM_TYPE_3("3", "微博登录"),
    /** 用户来源 1 手机 2 微信 3 微博 4 QQ 5 华为 6 招商信诺 */
    FROM_TYPE_4("4", "QQ登录"),
    /** 用户来源 1 手机 2 微信 3 微博 4 QQ 5 华为 6 招商信诺 */
    FROM_TYPE_5("5", "华为登录"),
    /** 用户来源 1 手机 2 微信 3 微博 4 QQ 5 华为 6 招商信诺 */
    FROM_TYPE_6("6", "招商信诺"),;

    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }


    public static FromTypeEnum getEnum(String code) {

        FromTypeEnum[] ems = values();
        for (FromTypeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
