package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 性别
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum GenderEnum implements BaseEnum {
    /**
     * 未知
     */
    UNKNOWN("0", "未知"),
    /**
     * 男
     */
    MALE("1", "男"),
    /**
     * 女
     */
    FEMALE("2", "女"),

    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static GenderEnum getEnum(String code) {

        GenderEnum[] ems = values();
        for (GenderEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
