package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 血脂单位
 *
 * @author : lvhaoran
 */
@AllArgsConstructor
public enum HyperlipemiaUnitEnum implements BaseEnum {
    /** 毫摩尔/升 */
    MMOL_L("mmol/L", "毫摩尔/升"),
    /** 毫克/分升 */
    MG_DL("mg/dl", "毫克/分升"),;

    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static HyperlipemiaUnitEnum getEnum(String code) {

        HyperlipemiaUnitEnum[] ems = values();
        for (HyperlipemiaUnitEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
