package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指定图片宽度
 *
 * @author dongle
 */
@Getter
@AllArgsConstructor
public enum ImageWidthEnum implements BaseEnum {

    /**
     * 原图
     */
    SIZE_0("0", "原图"),
    /**
     * 60
     */
    SIZE_60("60", "60"),
    /**
     * 68
     */
    SIZE_68("68", "68"),
    /**
     * 80
     */
    SIZE_80("80", "80"),
    /**
     * 88
     */
    SIZE_88("88", "88"),
    /**
     * 90
     */
    SIZE_90("90", "90"),
    /**
     * 100
     */
    SIZE_100("100", "100"),
    /**
     * 110
     */
    SIZE_110("110", "110"),
    /**
     * 120
     */
    SIZE_120("120", "120"),
    /**
     * 128
     */
    SIZE_128("128", "128"),
    /**
     * 140
     */
    SIZE_140("140", "140"),
    /**
     * 148
     */
    SIZE_148("148", "148"),
    /**
     * 150
     */
    SIZE_150("150", "150"),
    /**
     * 160
     */
    SIZE_160("160", "160"),
    /**
     * 168
     */
    SIZE_168("168", "168"),
    /**
     * 180
     */
    SIZE_180("180", "180"),
    /**
     * 210
     */
    SIZE_210("210", "210"),
    /**
     * 220
     */
    SIZE_220("220", "220"),
    /**
     * 226
     */
    SIZE_226("226", "226"),
    /**
     * 230
     */
    SIZE_230("230", "230"),
    /**
     * 250
     */
    SIZE_250("250", "250"),
    /**
     * 280
     */
    SIZE_280("280", "280"),
    /**
     * 300
     */
    SIZE_300("300", "300"),
    /**
     * 320
     */
    SIZE_320("320", "320"),
    /**
     * 342
     */
    SIZE_342("342", "342"),
    /**
     * 360
     */
    SIZE_360("360", "360"),
    /**
     * 400
     */
    SIZE_400("400", "400"),
    /**
     * 420
     */
    SIZE_420("420", "420"),
    /**
     * 600
     */
    SIZE_600("600", "600"),
    /**
     * 640
     */
    SIZE_640("640", "640"),
    /**
     * 612
     */
    SIZE_612("612", "612"),
    /**
     * 690
     */
    SIZE_690("690", "690"),
    /**
     * 712
     */
    SIZE_712("712", "712"),
    /**
     * 750
     */
    SIZE_750("750", "750");

    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static ImageWidthEnum parseString(String code) {
        for (ImageWidthEnum enumItem : ImageWidthEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) !=null;
    }

}
