package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 指标名称
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum IndexNameEnum implements BaseEnum {
    FASTING_BLOOD_GLUCOSE("fastingBloodGlucose", "空腹血糖"),

    POSTPRANDIAL_BLOOD_GLUCOSE("postprandialBloodGlucose", "餐后血糖"),

    GLYCOSYLATED_HEMOGLOBIN("glycosylatedHemoglobin", "糖化血红蛋白"),

    SYSTOLIC_PRESSURE("systolicPressure", "收缩压"),

    DIASTOLIC_PRESSURE("diastolicPressure", "舒张压"),

    SERUM_URIC_ACID("serumUricAcid", "血尿酸"),

    BONE_MINERAL_DENSITY("boneMineralDensity", "骨密度"),

    FATTY_LIVER_CONTENT("fattyLiverContent", "肝内脂肪含量"),

    TOTAL_CHOLESTEROL("totalCholesterol", "总胆固醇"),

    TRIGLYCERIDE("triglyceride", "甘油三酯"),

    HIGH_DENSITY_LIPTEIN_CHOLESTEROL("highDensityLipteinCholesterol", "高密度脂蛋白胆固醇"),

    LOW_DENSITY_LIPOPROTEIN("lowDensityLipoprotein", "低密度脂蛋白胆固醇"),

    EXPECT_WEIGHT("expectWeight", "期望体重"),

    ;

    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static IndexNameEnum getEnum(String code) {

        IndexNameEnum[] ems = values();
        for (IndexNameEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
