package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 生活调节行为 饮食 运动 生活 心理 芳香
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum LifeActionAdjustEnum implements BaseEnum {
    /**
     * 饮食
     */
    DIET("1", "饮食"),
    /**
     * 运动
     */
    SPORT("2", "运动"),
    /**
     * 生活
     */
    LIFE("3", "生活"),
    /**
     * 心理
     */
    PSYCHOLOGY("4", "心理"),
    /**
     * 芳香
     */
    AROMATIC("5", "芳香"),

    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static LifeActionAdjustEnum getEnum(String code) {

        LifeActionAdjustEnum[] ems = values();
        for (LifeActionAdjustEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
