package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 营养素类型定义
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum NutrientTypeEnum implements BaseEnum {

    /**
     * 维生素
     */
    VITAMIN("1", "维生素"),
    /**
     * 矿物质
     */
    MINERAL("1", "矿物质"),
    ;

    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static NutrientTypeEnum getEnum(String code) {

        NutrientTypeEnum[] ems = values();
        for (NutrientTypeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}
