package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 数据库操作枚举
 *
 * @author : DL
 * @date Date : 2019年11月04日
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum OperationEnum implements BaseEnum {

    /**
     * 新增
     */
    INSERT("1", "新增"),

    /**
     * 更新
     */
    UPDATE("2", "更新"),


    ;

    private String code;
    private String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static OperationEnum parseString(String code) {
        for (OperationEnum enumItem : OperationEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }


}
