package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 产品形态
 *
 * @author : wangshuang
 * @date : 2019/10/14
 */
@AllArgsConstructor
public enum ProductShapeEnum implements BaseEnum {
    /**
     * 纯问卷
     */
    QUESTIONNAIRE("0", "纯问卷"),

    /**
     * 纯指标
     */
    INDICATORS("1", "纯指标"),

    /**
     * 问卷+指标
     */
    QUESTIONNAIRE_INDICATORS("2", "问卷+指标"),

    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static ProductShapeEnum getEnum(String code) {

        ProductShapeEnum[] ems = values();
        for (ProductShapeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}