
package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 分数编码
 * @author wangshuang
 *
 */
@AllArgsConstructor
public enum ScoreCodeEnum implements BaseEnum {

    /**默认*/
    DEFAULT("0", "默认"),
    /**肝*/
    LIVER("1", "肝"),
    /**心*/
    HEART("2", "心"),
    /**脾*/
    SPLEEN("3", "脾"),
    /**肺*/
    LUNG("4", "肺"),
    /**肾*/
    KIDNEY("5", "肾"),
    /**胃*/
    STOMACH("6", "胃"),
    /**胆*/
    GALLBLADDER("7", "胆"),
    /**大肠*/
    LARGEINTESTINE("8", "大肠"),
    /**默认*/
    SMALLINTESTINE("小肠", "小肠"),

    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static ScoreCodeEnum getEnum(String code) {

        ScoreCodeEnum[] ems = values();
        for (ScoreCodeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}
