package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

import java.util.stream.Stream;

/**
 * 性别
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum TemplateTypeEnum implements BaseEnum {

    /**
     * 健康指导概览模板
     */
    HEALTH_GUIDE_OVERVIEW_TEMPLATE("HEALTH_GUIDE_OVERVIEW_TEMPLATE", "健康指导概览模板"),
    /**
     * 心理健康指导概览模板
     */
    PSYCHOLOGY_HEALTH_GUIDE_OVERVIEW_TEMPLATE("PSYCHOLOGY_HEALTH_GUIDE_OVERVIEW_TEMPLATE", "心理健康指导概览模板"),

    /**
     * 健康管理重点干预内容模板
     */
    KEY_INTERVENTION_CONTENT_TEMPLATE("KEY_INTERVENTION_CONTENT_TEMPLATE", "健康管理重点干预内容模板"),
    /**
     * 肥胖风险因素评估模板
     */
    FAT_RISK_FACTORS_ASSESSMENT_TEMPLATE("FAT_RISK_FACTORS_ASSESSMENT_TEMPLATE", "肥胖风险因素评估模板"),
    /**
     * 导致肥胖常见的风险因素模板
     */
    FAT_COMMON_RISK_FACTORS_TEMPLATE("FAT_COMMON_RISK_FACTORS_TEMPLATE","导致肥胖常见的风险因素模板"),

    /**
     * 生活行为调节模板
     */
    LIFE_ACTION_ADJUST_TOTAL_TEMPLATE("LIFE_ACTION_ADJUST_TOTAL_TEMPLATE","生活行为调节模板"),
    /**
     * 饮食模板
     */
    DIET_TEMPLATE("DIET_TEMPLATE", "饮食模板"),
    /**
     * 分类饮食模板
     */
    CLASSIFY_DIET_TEMPLATE("CLASSIFY_DIET_TEMPLATE", "分类饮食模板"),
    /**
     * 运动模板
     */
    SPORT_TEMPLATE("SPORT_TEMPLATE", "运动模板"),
    /**
     * 分类运动模板
     */
    CLASSIFY_SPORT_TEMPLATE("CLASSIFY_SPORT_TEMPLATE", "分类运动模板"),
    /**
     * 生活方式模板
     */
    LIFE_STYLE_TEMPLATE("LIFE_STYLE_TEMPLATE", "生活方式模板"),
    /**
     * 心理模板
     */
    PSYCHOLOGY_TEMPLATE("PSYCHOLOGY_TEMPLATE", "心理模板"),

    /**
     * 无分数测评结果概览模板
     */
    EVALUATION_RESULT_OVERVIEW_NO_SCORE_TEMPLATE("EVALUATION_RESULT_OVERVIEW_NO_SCORE_TEMPLATE", "无分数测评结果概览模板"),
    /**
     * 有分数测评结果概览模板
     */
    EVALUATION_RESULT_OVERVIEW_YES_SCORE_TEMPLATE("EVALUATION_RESULT_OVERVIEW_YES_SCORE_TEMPLATE", "有分数测评结果概览模板"),

    /**
     * 心理测评结果概览模板
     */
    PSYCHOLOGY_EVALUATION_RESULT_OVERVIEW_TEMPLATE("PSYCHOLOGY_EVALUATION_RESULT_OVERVIEW_TEMPLATE", "心理测评结果概览模板"),

    /**
     * 风险因素模板
     */
    RISK_FACTOR_TEMPLATE("RISK_FACTOR_TEMPLATE", "风险因素模板"),

    /**
     * 心理重点关注内容模板
     */
    PSYCHOLOGY_KEY_FOLLOW_TEMPLATE("PSYCHOLOGY_KEY_FOLLOW_TEMPLATE","心理重点关注内容模板"),

    /**
     * 主要风险风险因素模板
     */
    MAIN_RISK_FACTOR_TEMPLATE("MAIN_RISK_FACTOR_TEMPLATE", "主要风险风险因素模板"),
    /**
     * 多标题内容原因模板
     */
    MANY_TITLE_CONTENT_REASON_TEMPLATE("MANY_TITLE_CONTENT_REASON_TEMPLATE", "多标题内容原因模板"),
    /**
     * 抑郁预警模板
     */
    DEPRESSION_WARNING_TEMPLATE("DEPRESSION_WARNING_TEMPLATE", "抑郁预警模板"),
    /**
     * 焦虑预警模板
     */
    ANXIOUS_WARNING_TEMPLATE("ANXIOUS_WARNING_TEMPLATE", "焦虑预警模板"),
    /**
     * 风险因素总模板
     */
    RISK_FACTOR_TOTAL_TEMPLATE("RISK_FACTOR_TOTAL_TEMPLATE", "风险因素总模板"),
    /**
     * 科普类健康指标模板
     */
    SCIENCE_INDEX_TEMPLATE("SCIENCE_INDEX_TEMPLATE", "科普类健康指标模板"),

    /**
     * 风险识别预警模板
     */
    RISK_WARNING_TEMPLATE("RISK_WARNING_TEMPLATE", "风险识别预警模板"),

    /**
     * 相关检查模板
     */
    CORRELATION_CHECK_TEMPLATE("CORRELATION_CHECK_TEMPLATE", "相关检查模板"),
    /**
     * 参考文献模板
     */
    REFERENCE_TEMPLATE("REFERENCE_TEMPLATE", "参考文献模板"),

    /**
     * 科普类高血模板
     */
    HYPERTENSION_SCIENCE_TEMPLATE("HYPERTENSION_SCIENCE_TEMPLATE", "科普类高血压模板"),

    /**
     * 营养剂补充模板
     */
    NUTRITIONAL_SUPPLEMENT_TEMPLATE("NUTRITIONAL_SUPPLEMENT_TEMPLATE", "营养剂补充模板"),

    /**
     * 肥胖测评结果概览模板
     */
    FAT_EVALUATION_RESULT_OVERVIEW_TEMPLATE("FAT_EVALUATION_RESULT_OVERVIEW_TEMPLATE", "肥胖测评结果概览模板"),
    /**
     * 标题图片解释饮食模板
     */
    TITLE_IMAGE_EXPLAIN_DIET_TEMPLATE("TITLE_IMAGE_EXPLAIN_DIET_TEMPLATE", "标题图片解释饮食模板"),
    /**
     * 标题图片解释运动模板
     */
    TITLE_IMAGE_EXPLAIN_SPORT_TEMPLATE("TITLE_IMAGE_EXPLAIN_SPORT_TEMPLATE", "标题图片解释运动模板"),
    /**
     * 标题图片解释生活习惯模板
     */
    TITLE_IMAGE_EXPLAIN_LIFE_TEMPLATE("TITLE_IMAGE_EXPLAIN_LIFE_TEMPLATE", "标题图片解释生活习惯模板"),
    /**
     * 标题图片解释健康模板
     */
    TITLE_IMAGE_EXPLAIN_HEALTH_TEMPLATE("TITLE_IMAGE_EXPLAIN_HEALTH_TEMPLATE", "标题图片解释健康模板"),
    /**
     * 标题图片解释肠道环境模板
     */
    TITLE_IMAGE_EXPLAIN_INTESTINAL_TEMPLATE("TITLE_IMAGE_EXPLAIN_INTESTINAL_TEMPLATE", "标题图片解释肠道环境模板"),
    /**
     * 产后抑郁的表现模板
     */
    PERFORMANCE_POSTPARTUM_DEPRESSION_TEMPLATE("PERFORMANCE_POSTPARTUM_DEPRESSION_TEMPLATE", "产后抑郁的表现模板"),

    /**
     * 抑郁情绪状态不代表抑郁症模板
     */
    DEPRESSION_NOT_MEAN_DEPRESSION_TEMPLATE("DEPRESSION_NOT_MEAN_DEPRESSION_TEMPLATE", "抑郁情绪状态不代表抑郁症模板"),
    /**
     * 焦虑情绪状态不代表焦虑症模板
     */
    ANXIETY_NOT_MEAN_ANXIETY_TEMPLATE("ANXIETY_NOT_MEAN_ANXIETY_TEMPLATE", "焦虑情绪状态不代表焦虑症模板"),

    /**
     * 抑郁的定义模板
     */
    DEPRESSION_DEFINE_TEMPLATE("DEPRESSION_DEFINE_TEMPLATE", "抑郁的定义模板"),
    /**
     * 焦虑概念模板
     */
    ANXIETY_DEFINE_TEMPLATE("ANXIETY_DEFINE_TEMPLATE", "焦虑概念模板"),
    /**
     * 骨质疏松诊断标准模板
     */
    OSTEOPOROSIS_DIAGNOSIS_TEMPLATE("OSTEOPOROSIS_DIAGNOSIS_TEMPLATE", "骨质疏松诊断标准模板"),
    /**
     * 脂肪肝的高危人群模板
     */
    FATTY_LIVER_HIGH_POPULATION_TEMPLATE("FATTY_LIVER_HIGH_POPULATION_TEMPLATE", "脂肪肝的高危人群模板"),

    /**
     * 产后抑郁症概念模板
     */
    POSTPARTUM_DEPRESSION_TEMPLATE("POSTPARTUM_DEPRESSION_TEMPLATE", "产后抑郁症概念模板"),
    /**
     * 康复原则模板
     */
    REHABILITATION_PRINCIPLE_TEMPLATE("REHABILITATION_PRINCIPLE_TEMPLATE", "康复原则模板"),

    /**
     * 产后抑郁的常见心理干预方法模板
     */
    PSYCHOLOGICAL_INTERVENTION_TEMPLATE("PSYCHOLOGICAL_INTERVENTION_TEMPLATE", "产后抑郁的常见心理干预方法模板"),


    /**
     * 免疫力低下的危害模板
     */
    IMMUNITY_LOW_HARM_TEMPLATE("IMMUNITY_LOW_HARM_TEMPLATE", "免疫力低下的危害模板"),

    /**
     * 颈椎病的危害模板
     */
    CERVICAL_SPONDYLOPATHY_HARM_TEMPLATE("CERVICAL_SPONDYLOPATHY_HARM_TEMPLATE", "免疫力低下的危害模板"),

    /**
     * 肠道环境失衡的危害; 甲状腺危害模板
     */
    INTESTINAL_IMBALABCE_HARM_TEMPLATE("INTESTINAL_IMBALABCE_HARM_TEMPLATE", "肠道环境失衡的危害"),

    /**
     * 可能缺乏的营养元素模板
     */
    POSSIBILITY_DEFICIENCY_NUTRIENT_TEMPLATE ("POSSIBILITY_DEFICIENCY_NUTRIENT_TEMPLATE", "可能缺乏的营养元素模板"),
    /**
     * 常见营养缺乏原因分析
     */
    DEFICIENCY_NUTRIENT_REASON_TEMPLATE("DEFICIENCY_NUTRIENT_REASON_TEMPLATE", "常见营养缺乏原因分析"),
    /**
     * 营养素补充饮食推荐
     */
    NUTRITION_SUPPLEMENT_RECOMMENDATION_TEMPLATE("NUTRITION_SUPPLEMENT_RECOMMENDATION_TEMPLATE", "营养素补充饮食推荐"),

    /**
     * 皮肤检测概览
     */
    SKIN_OVERVIEW_TEMPLATE("SKIN_OVERVIEW_TEMPLATE", "皮肤检测概览"),
    /**
     * 皮肤介绍
     */
    SKIN_INTRODUCE_TEMPLATE("SKIN_INTRODUCE_TEMPLATE", "皮肤介绍"),
    /**
     * 形成原因
     */
    SKIN_REASON_TEMPLATE("SKIN_REASON_TEMPLATE", "形成原因"),
    /**
     * 皮肤特点
     */
    SKIN_TRAIT_TEMPLATE("SKIN_TRAIT_TEMPLATE", "皮肤特点"),

    /**
     * 脏腑风险状态
     */
    VISCERAL_RISK_STATUS_TEMPLATE("VISCERAL_RISK_STATUS_TEMPLATE", "脏腑风险状态"),
    /**
     * 脏腑失调的表现特征
     */
    VISCERAL_DISORDERS_TEMPLATE("VISCERAL_DISORDERS_TEMPLATE", "脏腑失调的表现特征"),
    /**
     * 脏腑失调的影响因素
     */
    VISCERAL_DISORDER_FACTOR_TEMPLATE("VISCERAL_DISORDER_FACTOR_TEMPLATE", "脏腑失调的影响因素"),
    /**
     * 具体失调的脏腑
     */
    VISCERAL_RESULT_TEMPLATE("VISCERAL_RESULT_TEMPLATE", "具体失调的脏腑"),
    /**
     * 综述模板 (一个 title + 一句说明)
     */
    OVERVIEW_TEMPLATE("OVERVIEW_TEMPLATE", "综述模板"),
    /**
     * 综述 + 分述 模板 （title + 说明（可能为空） + 下边（ title + 说明））
     */
    OVERVIEW_SEPARATE_STATEMENT_TEMPLATE("OVERVIEW_SEPARATE_STATEMENT_TEMPLATE", "综述+分述模板"),
    /**
     * 工作压力测评结果模板
     */
    WORK_STRESS_RESULT_TEMPLATE("WORK_STRESS_RESULT_TEMPLATE", "工作压力测评结果模板"),
    /**
     * 音频和视频方案模板
     */
    VIDEO_AND_AUDIO_TEMPLATE("VIDEO_AND_AUDIO_TEMPLATE", "心理方案音频和视频模板"),

    ;

    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static TemplateTypeEnum getEnum(String code) {

        TemplateTypeEnum[] ems = values();
        for (TemplateTypeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }


    public static void main(String[] args) {
        Stream.of(
                LIFE_ACTION_ADJUST_TOTAL_TEMPLATE,
                PSYCHOLOGY_KEY_FOLLOW_TEMPLATE,
                PSYCHOLOGY_HEALTH_GUIDE_OVERVIEW_TEMPLATE,
                REFERENCE_TEMPLATE,
                DEPRESSION_WARNING_TEMPLATE,
                MANY_TITLE_CONTENT_REASON_TEMPLATE,
                DEPRESSION_DEFINE_TEMPLATE,
                DEPRESSION_NOT_MEAN_DEPRESSION_TEMPLATE,
                PSYCHOLOGY_EVALUATION_RESULT_OVERVIEW_TEMPLATE,
                LIFE_ACTION_ADJUST_TOTAL_TEMPLATE,
                PSYCHOLOGY_KEY_FOLLOW_TEMPLATE,
                PSYCHOLOGY_HEALTH_GUIDE_OVERVIEW_TEMPLATE,
                REFERENCE_TEMPLATE,
                PSYCHOLOGICAL_INTERVENTION_TEMPLATE,
                PERFORMANCE_POSTPARTUM_DEPRESSION_TEMPLATE,
                MANY_TITLE_CONTENT_REASON_TEMPLATE,
                REHABILITATION_PRINCIPLE_TEMPLATE,
                REHABILITATION_PRINCIPLE_TEMPLATE,
                POSTPARTUM_DEPRESSION_TEMPLATE,
                PSYCHOLOGY_EVALUATION_RESULT_OVERVIEW_TEMPLATE,
                OVERVIEW_SEPARATE_STATEMENT_TEMPLATE,
                OVERVIEW_SEPARATE_STATEMENT_TEMPLATE,
                WORK_STRESS_RESULT_TEMPLATE,
                REFERENCE_TEMPLATE
        ).distinct().forEach(e -> {
            System.out.printf("[%s](#%s)%n", e.comment, e.code);

        });
    }
}
