package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum UserActivityLevelEnum implements BaseEnum {

    /**
     * 0 极轻
     */
    ACTIVITY_LEVEL_LIGHT("0", "极轻"),
    /**
     * 1 轻度
     */
    ACTIVITY_LEVEL_LOW("1", "轻度"),
    /**
     * 2 中度
     */
    ACTIVITY_LEVEL_IN("2", "中度"),
    /**
     * 3 重度
     */
    ACTIVITY_LEVEL_HEAVY("3", "重度");


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static UserActivityLevelEnum getEnum(String code) {

        UserActivityLevelEnum[] ems = values();
        for (UserActivityLevelEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}
