package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 用户基本信息名称
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum UserlimitNameEnum implements BaseEnum {
    /**
     * 出生日期
     */
    BIRTHDAY("birthday", "出生日期"),
    /**
     * 性别
     */
    GENDER("gender", "性别"),
    /**
     * 身高
     */
    HEIGHT("height", "身高"),
    /**
     * 体重
     */
    WEIGHT("weight", "体重"),
    /**
     * 劳动强度
     */
    USER_ACTIVITY_LEVEL("userActivityLevel", "劳动强度"),
    /**
     * 腰围
     */
    WAIST("waist", "腰围"),
    /**
     * 用户ID
     */
    USER_ID("userId", "用户ID"),
    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static UserlimitNameEnum getEnum(String code) {

        UserlimitNameEnum[] ems = values();
        for (UserlimitNameEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
