package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 用户基本信息数据类型
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum UserlimitTypeEnum implements BaseEnum {

    /**
     * 枚举
     */
    USER_ENUM("ENUM", "枚举"),

    /**
     * 范围类型
     */
    USER_RANGE("RANGE", "范围"),


    ;


    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }


    public static UserlimitTypeEnum getEnum(String code) {

        UserlimitTypeEnum[] ems = values();
        for (UserlimitTypeEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }

}
