package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 有效标识 Enum
 *
 * @author dongle
 */
@AllArgsConstructor
public enum ValidStatusEnum implements BaseEnum {
    /**
     * 有效
     */
    VALID("1", "有效"),

    /**
     * 无效
     */
    INVALID("2", "无效");


    private final String code;
    private final String comment;

    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }

    public String comment() {
        return comment;
    }

    public static ValidStatusEnum parseString(String code) {
        for (ValidStatusEnum enumItem : ValidStatusEnum.values()) {
            if (enumItem.code() == code) {
                return enumItem;
            }
        }
        return null;
    }

    public static boolean contains(String value) {
        return parseString(value) != null;
    }
}
