package com.jiankangyouyi.cloud.evaluation.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 是否枚举
 *
 * @author wangshuang
 */
@AllArgsConstructor
public enum WhetherEnum implements BaseEnum {

    /**
     * 是
     */
    YES("1", "是"),

    /**
     * 否
     */
    NO("2", "否"),

    /**
     * 未知
     */
    UNKNOWN("3", "未知"),
    ;

    private final String code;
    private final String comment;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return comment;
    }


    public static WhetherEnum getEnum(String code) {

        WhetherEnum[] ems = values();
        for (WhetherEnum em : ems) {
            if (em.code().equalsIgnoreCase(code)) {
                return em;
            }
        }
        return null;
    }
}
