package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * Http 请求DTO
 *
 * @author yangsongbo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public abstract class AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;

    public static final String FIELD_BIZ_TYPE = "bizType";

    public static final String FIELD_APP_ID = "appId";

    public static final String FIELD_IP = "ip";

    // /**
    //  * 业务类型
    //  */
    // @NotBlank(message = "请求参数bizType不存在")
    // @Size(max = 10, message = "请求参数bizType长度不合法")
    // private String bizType;

    /**
     * IP地址
     */
    private String ip;

    /**
     * 应用ID
     */
    @NotBlank(message = "获取appId失败")
    @Size(max = 32, message = "appId长度不合法")
    private String appId;
}
