package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

import java.util.List;
import java.util.Map;

/**
 * 解析测评问卷请求信息
 *
 * @author wangshuang
 */

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
public class EvaluationContentAnalysis2DTO extends AbstractApiRequest {

    /**
     * 用户基本信息
     */
    Map<String, Object> basicParames;

    /**
     * 问卷数据
     */
    List<EvaluationUserOptionsBean> userOptions;

    @Override
    public String customCheck() {
        return null;
    }

    @Getter
    @Setter
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class EvaluationUserOptionsBean {
        /**
         * 问题编号
         */
        private String questionCode;

        /**
         * 选项编号
         */
        private List<String> optionCodes;
    }
}
