package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * 保存测评数据请求参数
 *
 * @author wangshuang
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class EvaluationDataSave2DTO extends AbstractHttpApiRequestDTO {

    @NotNull(message = "测评参数对象不能为空")
    private Map<String, Object> evaluationParams;

    private String notifyUrl;
    /**
     * 显示到App上的一个用户名称
     * 这里为了兼容，所以接收从ego过来的一个名称
     */
    private String userCode;

}
