package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Range;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.Serializable;

@Data
public class PageInfo implements Serializable {
    private static final Logger logger = LoggerFactory.getLogger(PageInfo.class);
    private static final long serialVersionUID = 498092918706881765L;
    @Range(
            min = 1L,
            max = 99999999L,
            message = "pageNum不在允许范围内"
    )
    private int pageNum = 1;
    @Range(
            min = 1L,
            max = 99L,
            message = "pageSize不在允许范围内"
    )
    private int pageSize = 10;
    private int totalCount;
    private boolean isFirstPage;
    private boolean isLastPage;
    private int totalPageCount;

    public PageInfo(int pageNum, int pageSize) {
        this.pageNum = pageNum;
        this.pageSize = pageSize;
    }

    public PageInfo() {
    }
}
