package com.jiankangyouyi.cloud.evaluation.model.dto.component;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotBlank;

import java.util.HashMap;
import java.util.Map;

@Getter
@Setter
public class  ApiRequestMessage {

    /**
     * 随机字符串
     */
    private String nonceStr;

    /**
     * 应用ID
     */
    @NotBlank(message = "SYS0004")
    private String appId;

    /**
     * 版本号
     */
    @NotBlank(message = "SYS0006")
    private String version;

    /**
     * 请求时间
     */
    @NotBlank(message = "SYS0007")
    private String timestamp;

    /**
     * 签名
     */
    private String sign;

    /**
     * 业务数据
     */
    private String reqData;

    /**
     * 请求IP
     */
    private String ip;

    /**
     * 业务序号
     */
    private String sn;

    /**
     * 请求链接
     */
    private String servletPath;

    public Map<String, String> signFiledMap() {
        Map<String, String> map_ = new HashMap<String, String>();
        map_.put("appId", getAppId());
        map_.put("version", getVersion());
        map_.put("timestamp", getTimestamp());
        map_.put("sign", getSign());
        map_.put("reqData", getReqData());
        return map_;
    }

    public Map<String, String> signFiledMapV2() {
        Map<String, String> map_ = new HashMap<String, String>();
        map_.put("appId", getAppId());
        map_.put("version", getVersion());
        map_.put("timestamp", getTimestamp());
        map_.put("sign", getSign());
        map_.put("nonceStr", getNonceStr());
        return map_;
    }

    public static final String field_nonceStr = "nonceStr";
    public static final String field_appId = "appId";
    public static final String field_version = "version";
    public static final String field_timestamp = "timestamp";
    public static final String field_sign = "sign";
    public static final String field_reqData = "reqData";
    public static final String field_ip = "ip";
    public static final String field_sn = "sn";
    public static final String field_servletPath = "servletPath";
}
