package com.jiankangyouyi.cloud.evaluation.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 评测简介库
 *
 * @author wangshuang
 * @since v2.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "evaluation2")
public class Evaluation2DO extends BaseMongoEntity {

    /**
     * 评测编码 唯一索引
     */
    @Indexed(unique = true)
    private String evaluationCode;

    /**
     * 评测名称
     */
    private String evaluationName;

    /**
     * 评估依据
     */
    private String evaluationBasis;

    /**
     * 适合人群
     */
    private List<String> suitableCrowd;

    /**
     * 收获
     */
    private List<String> harvests;


    /**
     * 参考资料
     */
    private List<String> references;

    /**
     *
     */
    private List<String> guideWords;

    /**
     * 备注
     */
    private List<String> remarks;

    /**
     * 预计消耗时长
     */
    private String preSpendTime;

    public static final String FIELD_EVALUATIONCODE = "evaluationCode";
    public static final String FIELD_EVALUATIONNAME = "evaluationName";
    public static final String FIELD_EVALUATIONBASIS = "evaluationBasis";
    public static final String FIELD_SUITABLECROWD = "suitableCrowd";
    public static final String FIELD_HARVESTS = "harvests";
    public static final String FIELD_REFERENCES = "references";
    public static final String FIELD_GUIDEWORDS = "guideWords";
    public static final String FIELD_REMARKS = "remarks";
    public static final String FIELD_PRESPENDTIME = "preSpendTime";

}
