package com.jiankangyouyi.cloud.evaluation.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component.EvaluationQuesOptions2Bean;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;


/**
 * 评测题库
 *
 * @author wangshuang
 * @since v2.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "evaluation.question2")
public class EvaluationQuestion2DO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 评测编码
     */
    private String evaluationCode;

    /**
     * 评测表达式
     * </p>
     * 因为某些测评会根据用户的基本信息出测评题，所以根据表达式来获取评测内容
     * </p>
     * 示例：evaluationCode=TLBPC&gender=1
     * </p>
     * evaluationCode + evaluationExpr建立了唯一索引
     */
    @Indexed(unique = true)
    private String evaluationExpr;

    /**
     * 问题和选项
     */
    private List<EvaluationQuesOptions2Bean> quesOptions;

    public static final String FIELD_EVALUATIONCODE = "evaluationCode";
    public static final String FIELD_EVALUATIONEXPR = "evaluationExpr";
    public static final String FIELD_QUESOPTIONS = "quesOptions";
    public static final String FIELD_QUESOPTIONS_SORT = "quesOptions.sort";
    public static final String FIELD_QUESOPTIONS_QUESTIONCODE = "quesOptions.questionCode";
    public static final String FIELD_QUESOPTIONS_QUESTIONCONTENT = "quesOptions.questionContent";
    public static final String FIELD_QUESOPTIONS_QUESTIONTYPE = "quesOptions.questionType";
    public static final String FIELD_QUESOPTIONS_NEXTQUESCODE = "quesOptions.nextQuesCode";
    public static final String FIELD_QUESOPTIONS_OPTIONS = "quesOptions.options";
    public static final String FIELD_QUESOPTIONS_OPTIONS_OPTIONCODE = "quesOptions.options.optionCode";
    public static final String FIELD_QUESOPTIONS_OPTIONS_OPTIONCONTENT = "quesOptions.options.optionContent";
    public static final String FIELD_QUESOPTIONS_OPTIONS_NEXTQUESCODE = "quesOptions.options.nextQuesCode";
    public static final String FIELD_QUESOPTIONS_OPTIONS_SCORE = "quesOptions.options.score";
    public static final String FIELD_QUESOPTIONS_OPTIONS_UNIQUE = "quesOptions.options.unique";
    public static final String FIELD_QUESOPTIONS_OPTIONS_REMARK = "quesOptions.options.remark";
    public static final String FIELD_QUESOPTIONS_OPTIONS_IMAGEURLS = "quesOptions.options.imageUrls";
    public static final String FIELD_QUESOPTIONS_BLANK = "quesOptions.blank";
    public static final String FIELD_QUESOPTIONS_BLANK_LIMITDATA = "quesOptions.blank.limitData";
    public static final String FIELD_QUESOPTIONS_BLANK_UNIT = "quesOptions.blank.unit";
    public static final String FIELD_QUESOPTIONS_NEEDSTATUS = "quesOptions.needStatus";
    public static final String FIELD_QUESOPTIONS_IMAGEURLS = "quesOptions.imageUrls";
}
