package com.jiankangyouyi.cloud.evaluation.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * 测评用户基本信息
 * <p>
 * 每次新增一条测评报告新增一条测评用户信息记录
 *
 * @author : wanggang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection = "evaluation.user.info")
public class EvaluationUserInfoDO extends BaseMongoEntity {

    /**
     * 应用id
     */
    private String appId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 出生日期 yyyy-MM-dd
     */
    private String birthday;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 性别
     */
    private String gender;

    /**
     * 身高
     */
    private BigDecimal height;

    /**
     * 体重
     */
    private BigDecimal weight;
    /**
     * BMI
     */
    private BigDecimal bmi;

    /**
     * 用户活动强度
     *
     * @see com.jiankangyouyi.cloud.evaluation.enums.UserActivityLevelEnum
     */
    private String userActivityLevel;

    /**
     * 腰围
     */
    private BigDecimal waist;


}
