package com.jiankangyouyi.cloud.evaluation.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import com.jiankangyouyi.cloud.evaluation.model.dto.EvaluationDataSave2DTO;
import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component.EvaluationReport2Bean;
import com.jiankangyouyi.cloud.evaluation.model.vo.EvaluationDataSave2VO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Map;

/**
 * 测评结果表
 *
 * @author wangshuang
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "record.evaluation.result2")
public class RecordEvaluationResult2DO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 应用Id
     */
    private String appId;

    /**
     * 调用方用户主键
     */
    private String userId;

    /**
     * 测评编码
     */
    private String evaluationCode;

    /**
     * 测评用户主键
     * <p>
     * 测评自有用户信息主键 对应的evaluation.user.info表中id字段
     * {@link EvaluationUserInfoDO#getId()}
     */
    private String evaluationUserId;

    /**
     * 用户输入标准参数
     */
    private Map<String, Object> evaluationParams;

    /**
     * 评测结果
     */
    private EvaluationReport2Bean evaluationResult;

    /**
     * 加载测评报告请求信息
     */
    private EvaluationDataSave2DTO requestMessage;

    /**
     * 加载测评报告响应信息
     */
    private EvaluationDataSave2VO responseMessage;
    /**
     * 来源 空代表测评
     * @see com.jiankangyouyi.cloud.evaluation.enums.EvaluationSourceEnum
     */
    private String source;

    /**
     * 耗时（毫秒）
     */
    private Long costTimes;

    public static final String FIELD_APPID = "appId";
    public static final String FIELD_USERID = "userId";
    public static final String FIELD_EVALUATIONCODE = "evaluationCode";
    public static final String FIELD_EVALUATIONUSERID = "evaluationUserId";
    public static final String FIELD_EVALUATIONPARAMS = "evaluationParams";
    public static final String FIELD_EVALUATIONRESULT = "evaluationResult";
    public static final String FIELD_EVALUATIONRESULT_EVALUATIONREPORT = "evaluationResult.evaluationReport";
    public static final String FIELD_EVALUATIONRESULT_EVALUATIONREPORT_NAME = "evaluationResult.evaluationReport.name";
    public static final String FIELD_EVALUATIONRESULT_EVALUATIONREPORT_CONTENT = "evaluationResult.evaluationReport.content";
    public static final String FIELD_EVALUATIONRESULT_EVALUATIONREPORT_CONTENT_TEMPLATETYPE = "evaluationResult.evaluationReport.content.templateType";
    public static final String FIELD_EVALUATIONRESULT_EVALUATIONREPORT_CONTENT_TEMPLATE = "evaluationResult.evaluationReport.content.template";
    public static final String FIELD_EVALUATIONRESULT_MANAGEMENTPLAN = "evaluationResult.managementPlan";
    public static final String FIELD_EVALUATIONRESULT_MANAGEMENTPLAN_NAME = "evaluationResult.managementPlan.name";
    public static final String FIELD_EVALUATIONRESULT_MANAGEMENTPLAN_CONTENT = "evaluationResult.managementPlan.content";
    public static final String FIELD_EVALUATIONRESULT_MANAGEMENTPLAN_CONTENT_TEMPLATETYPE = "evaluationResult.managementPlan.content.templateType";
    public static final String FIELD_EVALUATIONRESULT_MANAGEMENTPLAN_CONTENT_TEMPLATE = "evaluationResult.managementPlan.content.template";
    public static final String FIELD_REQUESTMESSAGE = "requestMessage";
    public static final String FIELD_REQUESTMESSAGE_EVALUATIONPARAMS = "requestMessage.evaluationParams";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE = "requestMessage.requestMessage";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_NONCESTR = "requestMessage.requestMessage.nonceStr";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_APPID = "requestMessage.requestMessage.appId";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_VERSION = "requestMessage.requestMessage.version";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_TIMESTAMP = "requestMessage.requestMessage.timestamp";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_SIGN = "requestMessage.requestMessage.sign";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_REQDATA = "requestMessage.requestMessage.reqData";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_IP = "requestMessage.requestMessage.ip";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_SN = "requestMessage.requestMessage.sn";
    public static final String FIELD_REQUESTMESSAGE_REQUESTMESSAGE_SERVLETPATH = "requestMessage.requestMessage.servletPath";
    public static final String FIELD_REQUESTMESSAGE_NOTIFYURL = "requestMessage.notifyUrl";
    public static final String FIELD_RESPONSEMESSAGE = "responseMessage";
    public static final String FIELD_RESPONSEMESSAGE_EVALUATIONID = "responseMessage.evaluationId";
    public static final String FIELD_COSTTIMES = "costTimes";

}
