package com.jiankangyouyi.cloud.evaluation.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * 用户基本信息操作记录表
 *
 * @author : DL
 * @date Date : 2019年10月16日
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection = "user.basic.operation.record")
public class UserBasicOperationRecordDO extends BaseMongoEntity {

    /**
     * 应用id
     */
    private String appId;

    /**
     * 基础用户表id
     */
    private String userInfoId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 出生日期
     */
    private String birthday;

    /**
     * 性别
     *
     * @see com.jiankangyouyi.cloud.evaluation.enums.GenderEnum
     */
    private String gender;

    /**
     * 身高
     */
    private BigDecimal height;

    /**
     * 体重
     */
    private BigDecimal weight;

    /**
     * 用户活动强度
     *
     * @see com.jiankangyouyi.cloud.evaluation.enums.UserActivityLevelEnum
     */
    private String userActivityLevel;

    /**
     * 腰围
     */
    private BigDecimal waist;

    /**
     * 民族
     */
    private String nation;
    /**
     * 省/直辖市/自治区
     */
    private String province;

    /**
     * 市/区
     */
    private String city;

    /**
     * 数据操作记录 {@link  com.jiankangyouyi.cloud.evaluation.enums.OperationEnum }
     */
    private String operation;

}
