package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component;

import lombok.*;

import java.util.List;

/**
 * 评测库
 *
 * @author wangshuang
 * @since v2.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EvaluationQuesOptions2Bean {


    /**
     * 问题编号
     */
    private String questionCode;

    /**
     * 问题内容
     */
    private String questionContent;

    /**
     * 问题类型
     *
     * @see com.jiankangyouyi.cloud.evaluation.enums.EvaluationQuestionTypeEnum
     */
    private String questionType;

    /**
     * 下一题编号
     */
    private String nextQuesCode;

    /**
     * 选项列表
     */
    private List<EvaluationOption2Bean> options;
    /**
     * 备注
     */
    private List<String> remarks;

    /**
     * 是否必传
     */
    private boolean needStatus;

    /**
     * 题目补充图片
     */
    private List<String> imageUrls;


    /**
     * 评测选项Bean
     */
    @Setter
    @Getter
    public static class EvaluationOption2Bean {

        /**
         * 选项编码
         * </p>
         * 选项编码按顺序对应1、2、3、4....
         */
        private String optionCode;

        /**
         * 选项内容
         */
        private String optionContent;

        /**
         * 下一题编码
         * </p>
         * 不为空时，根据编码跳转到下一题，优先级高于问题中的nextQuesCode
         */
        private String nextQuesCode;

        /**
         * 是否唯一
         * </p>
         * true时唯一,即选择此项后不能再选其他项
         */
        private boolean unique;

        /**
         * 选项备注
         */
        private List<String> remarks;

        /**
         * 选项补充图片
         */
        private List<String> imageUrls;
    }
}
