package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component;

import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 测评标准参数的选择和填空
 *
 * @author wangshuang
 * @since v2.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EvaluationStandardParamChoiceBlanks2Bean {

    /**
     * 参数类型 单选 多选 填空
     *
     * @see com.jiankangyouyi.cloud.evaluation.enums.EvaluationQuestionTypeEnum
     */
    private String parameterType;

    /**
     * 选择列表 枚举类型
     */
    private List<EvaluationChoice2Bean> choices;

    /**
     * 是否必传
     */
    private Boolean needStatus;

    /**
     * 限制信息 范围类型
     */
    private Blank blank;


    @Setter
    @Getter
    public static class EvaluationChoice2Bean {

        private String choiceCode;

        private String choiceCodeContent;

        private String nextChoiceCode;

        private Integer score;

        private boolean unique;

    }

    @Setter
    @Getter
    public static class Blank {
        /**
         * 名称
         * <p>
         */
        private String paramCode;

        private BigDecimal minValue;

        private BigDecimal maxValue;


        /**
         * 单位
         */
        private String unit;
    }


}
