package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.DietTemplate.DietaryPrinciple;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 分类饮食模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ClassifyDietTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 标题类型，1饮食 2运动 3生活 4心理 5芳香 6营养
     */
    private String titleType;
    /**
     * 分类饮食项目列表
     */
    private ClassifyDiteRecommendation classifyDiteRecommendationList;

    /**
     * 饮食原则
     */
    private DietaryPrinciple dietaryPrinciple;


    /**
     * 饮食备注
     */
    private List<String> remarkList;





    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ClassifyDiteRecommendation {
        /**
         * 子标题
         */
        private String subTitle;

        /**
         * 子标题解释
         */
        private String subExplain;

        private List<ClassifyDite> classifyDiteList;



    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ClassifyDite {
        /**
         * 条目：如  推荐食物 推荐药膳
         */
        private String item;
        /**
         * 条目图片
         */
        private String imageUrl;
        /**
         * 饮食推荐项目列表
         */
        private List<IDietList> classifyDiteRecommendationContents;



    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ClassifyDiteRecommendationContent implements  IDietList {
        /**
         * 分类 例如 谷薯类
         */
        private String classify;

        /**
         * 图片
         */
        private String imgUrl;


        /**
         * 数量
         */
        private String count;

        /**
         * 单位
         */
        private String unit;

        /**
         * 备注 如 160g牛奶=乳酪25g，奶粉20g，脱脂奶粉25g
         */
        private List<String> remark;

    }

}
