package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.SportTemplate.SportAttention;
import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.SportTemplate.SportGood;
import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.SportTemplate.SportRemark;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 分类运动模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ClassifySportTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 运动项目列表
     */
    private ClassifySportRecommendation classifySportRecommendation;

    /**
     * 运动的好处
     */
    private SportGood sportGood;
    /**
     * 运动注意事项
     */
    private SportAttention sportAttention;



    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ClassifySportRecommendation {
        /**
         * 子标题
         */
        private String subTitle;

        /**
         * 子标题解释
         */
        private List<String> subExplain;



        /**
         * 运动项目
         */
        private List<ClassifySportEvent> sportEventList;




    }



    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ClassifySportEvent {


        /**
         * 分类,如：有氧运动
         */
        private String classify;
        /**
         * 运动项目类表
         */
        private List<ClassifySportRecommendationContent> classifySportRecommendationList;

        /**
         * 运动备注
         */
        private List<SportRemark> remarkList;

    }
    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ClassifySportRecommendationContent {
        /**
         * 运动图片
         */
        private String imgUrl;

        /**
         * 运动内容
         */
        private String name;

        /**
         * 数量
         */
        private String count;

        /**
         * 单位
         */
        private String unit;

    }

}
