package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 综合建议模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ComprehensiveRecommendationsTemplate implements IEvaluationTemplate2  {
    /**
     * 标题
     */
    private String title;
    /**
     * 建议
     */
    private String comprehensive;
    /**
     * 具体建议
     */
    private List<TitleImageExplain> recommendationContent;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class TitleImageExplain{
        /**
         * 名称编码
         * @see com.jiankangyouyi.cloud.evaluation.enums.EvaluationCodeEnum
         */
        private String code;
        /**
         * 图片
         */
        private String imgUrl;

        /**
         * 编码内容
         */
        private String codeContent;

    }
}
