package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 饮食模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DietTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;


    /**
     * 饮食项目列表
     */
    private DiteData diteData;

    /**
     * 饮食原则
     */
    private DietaryPrinciple dietaryPrinciple;

    /**
     * 烹饪方式
     */
    private CookingMethod cookingMethod;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class CookingMethod {
        private String title;

        private List<CookingMethodContent> principles;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class CookingMethodContent {
        private String method;
        private String imgUrl;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class DietaryPrinciple {
        private String title;

        private List<String> principles;
    }


    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class DiteData {
        /**
         * 子标题
         */
        private String subTitle;

        /**
         * 子标题解释
         */
        private String subExplain;

        private List<DiteDataContent> diteDataContents;


        /**
         * 饮食备注
         */
        private List<String> remarkList;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class DiteDataContent {
        /**
         * 分类,如：谷薯类
         */
        private String classify;

        /**
         * 图片
         */
        private String imgUrl;


        /**
         * 数量
         */
        private String count;

        /**
         * 单位
         */
        private String unit;

        /**
         * 备注 如 160g牛奶=乳酪25g，奶粉20g，脱脂奶粉25g
         */
        private List<String> remark;

    }
}
