package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 高血科普模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HypertensionScienceTemplate implements IEvaluationTemplate2 {

    /**
     * 标题
     */
    private String title;
    /**
     * 小标题
     */
    private String littleTitle;

    /**
     * 血压指标
     */
    private List<BloodPressure> bloodPressureList;


    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class BloodPressure {
        /**
         * 舒张压判断标准
         */
        private String diastolicPressure;

        /**
         * 收缩压判断标准
         */
        private String systolicPressure;

        /**
         * 分类级别
         */
        private String level;

    }


}
