package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 生活行为调节样例模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeActionAdjustTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 标题类型
     * @see com.jiankangyouyi.cloud.evaluation.enums.LifeActionAdjustEnum
     */
    private String titleType;
    /**
     * 子标题
     */
    private String subTitle;
    /**
     * 子标题说明
     */
    private String subTitleRemark;

    /**
     * 内容
     */
    private List< LifeActionAdjustSubContent>  lifeActionAdjustList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class LifeActionAdjustSubContent {
        /**
         * 子标题
         */
        private String name;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 内容
         */
        private List<String> contentList;

    }


}
