package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 多标题内容模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ManyTitleContentTemplate implements IEvaluationTemplate2 {

    /**
     * 内容列表
     */
    private List<Content> contentList;

    /**
     * 标题
     */
    private String title;
    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Content {
        /**
         * 图片点击
         */
        private String imgurlClick;
        /**
         * 图片未点击
         */
        private String imgurlUnclicked;

        /**
         * 内容标题
         */
        private String contentTitle;

        /**
         * 内容
         */
        private String content;

    }


}
