package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.TitleExplainTemplate.TitleExplain;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 营养素缺乏模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class NutrientDeficiencyTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 图片
     */
    private String imageUrl;
    /**
     * 缺乏营养素
     */
    private List<NutrientDeficiency> nutrientDeficiencyList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class NutrientDeficiency{
        /**
         * 营养素类型 1维生素 2矿物质
         * @see com.jiankangyouyi.cloud.evaluation.enums.NutrientTypeEnum
         */
        private String type;
        /**
         * 缺乏营养素内容列表
         */
        private List<NutrientDeficiencyContent> nutrientDeficiencyContentList;

    }
    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class NutrientDeficiencyContent{
        /**
         * 营养素名称
         */
        private String nutrientName;

        /**
         * 推荐摄入
         */
        private RecommendedIntake recommendedIntake;
        /**
         * 营养素功效
         */
        private List<TitleExplain> nutrientEfficacyList;

        /**
         * 补充建议
         */
        private List<NutrientSuggestion> nutrientSuggestionList;

    }
    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class RecommendedIntake {
        /**
         * 标题
         */
        private String subTitle;
        /**
         * 推荐摄入量
         */
        private String recommendedIntake;

        /**
         * 摄入量单位
         */
        private String intakeUnit;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class NutrientSuggestion{
        /**
         * 标题
         */
        private String subTitle;

        /**
         * 推荐摄入量
         */
        private String recommendedIntake;

        /**
         * 摄入量单位
         */
        private String intakeUnit;

        /**
         * 补充建议内容
         */
        private List<String> suggestionContent;
    }
}
