package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 营养素补充饮食推荐模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class NutritionSupplementTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 图片
     */
    private String imageUrl;
    /**
     * 营养素补充
     */
    private List<NutrientSupplement > nutrientSupplementList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class NutrientSupplement{
        /**
         * 营养素类型 1维生素 2矿物质
         * @see com.jiankangyouyi.cloud.evaluation.enums.NutrientTypeEnum
         */
        private String type;
        /**
         *  营养素补充内容列表
         */
        private List<NutrientSupplementContent> nutrientSupplementContentList;

    }
    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class NutrientSupplementContent{
        /**
         * 营养素名称
         */
        private String nutrientName;
        /**
         * 补充内容
         */
        private List<String> supplementContent;

        /**
         * 补充内容分类列表
         */
        private List<SupplementFood> supplementContentClassifyList;

        /**
         * 补充内容备注
         */
        private String supplementContentReamrk;



    }
    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SupplementFood implements Comparable<SupplementFood>{
        /**
         * 食物名称
         */
        private String foodName;
        /**
         * 食物图片
         */
        private String imgUrl;

        /**
         * 每100g含量
         */
        private double netContents;
        /**
         * 每100g含量的单位
         */
        private String unit;

        @Override
        public int compareTo(SupplementFood o) {
            if(netContents>o.getNetContents()){
                return 1;
            }
            if(netContents<o.getNetContents()){
                return -1;
            }
            return 0;
        }
    }
}
