package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import java.util.List;

import lombok.*;

/**
 * 营养补充剂模板
 *
 * @author lvhaoran
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class NutritionalSupplementTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 子标题
     */
    private String subTitle;
    /**
     * 说明
     */
    private String remark;
    /**
     * 营养补充剂建议列表
     */
    private List<NutritionalSupplement> nutritionalSupplementList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class NutritionalSupplement {
        /**
         * 补充剂名称
         */
        private String name;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 摄入量
         */
        private String intake;
        /**
         * 单位
         */
        private String unit;
        /**
         * 备注
         */
        private List<String> remarks;

    }

}
