package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.evaluation.enums.TemplateTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.commons.lang3.ArrayUtils;

import java.util.Arrays;
import java.util.List;

/**
 * 综述 + 分述 模板 （一句话 + 下边 title + 说明）
 *
 * @author wangshuang
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class OverviewSeparateStatementTemplate extends OverviewTemplate implements IEvaluationTemplate2 {


    /**
     * 分述列表
     */
    private List<OverviewTemplate> separateStatementList;


    public static EvaluationTemplate2Bean build(String title, String explain, OverviewTemplate... overviewTemplates) {
        OverviewSeparateStatementTemplate result = new OverviewSeparateStatementTemplate();
        result.setTitle(title);
        result.setExplain(explain);
        if (ArrayUtils.isNotEmpty(overviewTemplates)) {
            result.setSeparateStatementList(Arrays.asList(overviewTemplates));
        }
        EvaluationTemplate2Bean template = new EvaluationTemplate2Bean();
        template.setTemplateType(TemplateTypeEnum.OVERVIEW_SEPARATE_STATEMENT_TEMPLATE.code());
        template.setTemplate(result);
        return template;
    }


}
