package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.evaluation.enums.TemplateTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 综述 模板 （就一句话）
 *
 * @author wangshuang
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class OverviewTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 解释
     */
    private String explain;


    public static EvaluationTemplate2Bean build(String title, String explain) {
        EvaluationTemplate2Bean template = new EvaluationTemplate2Bean();
        template.setTemplateType(TemplateTypeEnum.OVERVIEW_TEMPLATE.code());
        template.setTemplate(getInstance(title, explain));
        return template;
    }

    public static OverviewTemplate getInstance(String title, String explain) {
        OverviewTemplate overviewTemplate = new OverviewTemplate();
        overviewTemplate.setTitle(title);
        overviewTemplate.setExplain(explain);
        return overviewTemplate;
    }

}
