package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 风险因素模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RiskFactorTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 风险因素
     */
    private List<RiskFactor> riskFactorList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class RiskFactor implements Comparable<RiskFactor> {
        /**
         * 风险名称 例如：年龄
         */
        private String riskName;
        /**
         * 风险等级
         */
        private Integer riskLevel;
        /**
         * 实际结果
         */
        private String actualResult;
        /**
         * 参考范围
         */
        private String referScope;

        @Override
        public int compareTo(RiskFactor o) {
            if (riskLevel > o.getRiskLevel()) {
                return -1;
            } else if (riskLevel < o.getRiskLevel()) {
                return 1;
            } else {
                return 0;
            }
        }
    }


}
