package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 科普类健康指标模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ScienceIndexTemplate implements IEvaluationTemplate2 {

    /**
     * 标题
     */
    private String title;
    /**
     * 小标题
     */
    private String littleTitle;

    /**
     * 进度条
     */
    private List<ProgressBar> dataList;


    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ProgressBar {
        /**
         * 进度条标题
         */
        private String title;

        /**
         * 范围判断标准
         */
        private List<Standard> standardList;

        /**
         * 值
         */
        private String value;

        /**
         * 对进度条的解释
         */
        private List<String> dataExplain;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Standard {
        /**
         * 标准名称
         */
        private String standardName;
        /**
         * 最小值
         */
        private BigDecimal min;
        /**
         * 最大值
         */
        private BigDecimal max;
        /**
         * “1”处在该范围，“2”没处在该范围，“3”未知
         */
        private String valueState;
    }

}
