package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 运动模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SportTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 标题类型
     * @see com.jiankangyouyi.cloud.evaluation.enums.LifeActionAdjustEnum
     */
    private String titleType;

    /**
     * 运动项目列表
     */
    private SportRecommendation sportRecommendation;

    /**
     * 运动的好处
     */
    private SportGood sportGood;
    /**
     * 运动注意事项
     */
    private SportAttention sportAttention;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SportAttention {
        private String title;
        private List<String> attentions;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SportGood {
        private String title;
        private List<String> goods;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SportRecommendation {
        /**
         * 子标题
         */
        private String subTitle;

        /**
         * 子标题解释
         */
        private List<String> subExplain;

        /**
         * 运动项目
         */
        private List<SportEvent> sportEventList;

        /**
         * 运动备注
         */
        private List<SportRemark> remarkList;


    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SportEvent {
        /**
         * 运动图片
         */
        private String imgUrl;

        /**
         * 运动内容
         */
        private String name;

        /**
         * 数量
         */
        private String count;

        /**
         * 单位
         */
        private String unit;

        /**
         * 分类,如：有氧运动
         */
        private String classify;

    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SportRemark {
        /**
         * 名称
         */
        private String name;
        /**
         * 单位
         */
        private String unit;
        /**
         * 数量
         */
        private String count;
        /**
         * 图片
         */
        private String imgUrl;
    }
}
