package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 阶段饮食模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StageDietTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 标题类型
     */
    private String titleType;
    /**
     * 阶段饮食分类
     */
    private StageDietClassify stageDietClassify;





    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class StageDietClassify {
        /**
         * 子标题
         */
        private String subTitle;

        /**
         * 子标题解释
         */
        private List<String> subExplain;

        /**
         * 饮食阶段列表
         */
        private List<StageDiet> stageDietList;


    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class StageDiet {

        /**
         * 名称 例如顺产 刨宫产
         */
        private String name;
        /**
         * 图片
         */
        private String imgUrl;

        /**
         * 阶段饮食内容列表
         */
        private List<StageDietContent> stageDietContentList;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class StageDietContent {
        /**
         * 名称
         */
        private String name;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 内容
         */
        private List<String> contentList;
    }
}