package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.SportTemplate.SportAttention;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 阶段运动模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StageSportTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 标题类型
     */
    private String titleType;
    /**
     * 阶段运动分类
     */
    private StageSportClassify stageSportClassify;
    /**
     * 运动注意事项
     */
    private SportAttention sportAttention;




    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class StageSportClassify {
        /**
         * 子标题
         */
        private String subTitle;

        /**
         * 子标题解释
         */
        private List<String> subExplain;

        /**
         * 运动阶段列表
         */
        private List<StageSport> stageSportList;


    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class StageSport {

        /**
         * 名称 例如顺产 刨宫产
         */
        private String name;
        /**
         * 图片
         */
        private String imgUrl;

        /**
         * 阶段内容列表
         */
        private List<StageSportContent> stageSportContentList;
    }

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class StageSportContent {
        /**
         * 名称
         */
        private String name;
        /**
         * 内容
         */
        private List<String> contentList;
    }
}