package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import com.jiankangyouyi.cloud.core.external.qiniu.QiniuClient;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.commons.collections.CollectionUtils;

import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 音频和视频方案模板
 *
 * @author june
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class VideoAndAudioTemplateDetail {

    /**
     * 标题
     */
    private String title;

    /**
     * 地址列表
     */
    private List<String> urls;

    public VideoAndAudioTemplateDetail(String title, String url) {
        this.title = title;
        this.urls = Collections.singletonList(url);
    }

    public void formatUrl(QiniuClient client) {
        if (CollectionUtils.isEmpty(urls)) {
            return;
        }
        this.urls = urls.stream().map(client::imageKeyToImageUrl).collect(Collectors.toList());
    }


}
