package com.jiankangyouyi.cloud.evaluation.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 获取评测简介响应数据
 *
 * @author wangshuang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EvaluationBriefLoad2VO {

    /**
     * 评测编码
     */
    private String evaluationCode;

    /**
     * 评测名称
     */
    private String evaluationName;

    /**
     * 适合人群
     */
    private List<String> suitableCrowd;

    /**
     * 收获
     */
    private List<String> harvests;

    /**
     * 备注
     */
    private List<String> remarks;


    /**
     * 预计消耗时长 单位：分钟minute
     */
    private String preSpendTime;

    /**
     * 参考资料
     */
    private List<String> references;

    /**
     * 指导语，例如抑郁情绪测评指导语为：为了测试的有效和准确，请在不受干扰的环境下操作。根据你最近一周的个人情况，做出选择。
     */
    private List<String> guideWords;

    /**
     * 测评依据
     */
    private String evaluationBasis;
}