package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 运动能力 (运动水平) 在此作用在两个字段的枚举，后续区别大的话，再自行拆开吧
 *
 * @author ：wangyalei
 * @date ：Created in 2021/7/14 10:08 上午
 */
@Getter
@AllArgsConstructor
public enum AthleticAbilityEnum {

    /**
     * 低
     */
    LOW(1, "低"),

    /**
     * 中
     */
    MIDDLE(2, "中"),

    /**
     * 高
     */
    HIGH(3, "高");


    /**
     * 能力等级
     */
    private final Integer level;

    /**
     * 运动能力说明
     */
    private final String description;

    public static AthleticAbilityEnum getEnum(Integer level) {
        AthleticAbilityEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (AthleticAbilityEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }


}
