package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 注意事项级别
 * @author ：wangyalei
 * @date ：2022/4/1 4:58 下午
 */
@Getter
@AllArgsConstructor
public enum AttentionItemLevelEnum {
    /**
     * 一级
     */
    FIRST(1,"一级"),
    /**
     * 二级
     */
    SECOND(2,"二级"),
    /**
     * 三级
     */
    THIRD(3,"三级");





    private final Integer level;

    private final String description;

    public static AttentionItemLevelEnum getEnum(Integer level) {
        AttentionItemLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (AttentionItemLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
