package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 身体运动评估状态
 *
 * @author ：wangyalei
 * @date ：2021/10/28 1:20 下午
 */
@Getter
@AllArgsConstructor
public enum BodyExerciseEvaluationStatusEnum {
    /**
     * 正常
     */
    NORMAL("NORMAL", "正常"),

    /**
     * 危险(高危)
     */
    DANGER("DANGER", "危险"),

    /**
     * 中危
     */
    MIDDLE_DANGER("MIDDLE_DANGER", "中危"),

    ;

    private String status;

    private String describe;


    public static BodyExerciseEvaluationStatusEnum getEnum(String status) {
        BodyExerciseEvaluationStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BodyExerciseEvaluationStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
