package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 性别
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum GenderEnum {


    /**
     * 未知
     */
    UNKNOWN("0", "未知"),

    /**
     * 男
     */
    MALE("1", "男"),

    /**
     * 女
     */
    FEMALE("2", "女"),

    ;

    private String gender;

    private String describe;


    public static GenderEnum getEnum(String gender) {
        GenderEnum[] values = values();
        if (gender == null) {
            return null;
        }
        for (GenderEnum value : values) {
            if (gender.equals(value.gender)) {
                return value;
            }
        }
        return null;
    }

}
