package com.jiankangyouyi.cloud.motorplan.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 性别
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum GenderRealEnum implements BaseEnum {


    /**
     * 男
     */
    MALE("1", "男"),

    /**
     * 女
     */
    FEMALE("2", "女"),

    ;

    private final String gender;

    private final String describe;


    public static GenderRealEnum getEnum(String gender) {
        GenderRealEnum[] values = values();
        if (gender == null) {
            return null;
        }
        for (GenderRealEnum value : values) {
            if (gender.equals(value.gender)) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return gender;
    }

    @Override
    public String message() {
        return describe;
    }
}
