package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * 产后等级类型
 *
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 4:38 下午
 */
@Getter
@AllArgsConstructor
public enum PostpartumLevelEnum {
    /**
     * 产后体重管理高风险-产褥期
     */
    HIGH_PUERPERIUM("HIGH_PUERPERIUM", "产后体重管理高风险-产褥期"),
    /**
     * 产后体重管理高风险-修复期
     */
    HIGH_REPAIR_PERIOD("HIGH_REPAIR_PERIOD", "产后体重管理高风险-修复期"),
    /**
     * 产后体重管理高风险-减重期
     */
    HIGH_LOSE_WEIGHT("HIGH_LOSE_WEIGHT", "产后体重管理高风险-减重期"),
    /**
     * 产后体重管理高风险-健康期
     */
    HIGH_HEALTH_ISSUE("HIGH_HEALTH_ISSUE", "产后体重管理高风险-健康期"),
    /**
     * 产后体重管理中风险-产褥期
     */
    MIDDLE_PUERPERIUM("MIDDLE_PUERPERIUM", "产后体重管理中风险-产褥期"),
    /**
     * 产后体重管理中风险-修复期
     */
    MIDDLE_REPAIR_PERIOD("MIDDLE_REPAIR_PERIOD", "产后体重管理中风险-修复期"),
    /**
     * 产后体重管理中风险-减重期
     */
    MIDDLE_LOSE_WEIGHT("MIDDLE_LOSE_WEIGHT", "产后体重管理中风险-减重期"),
    /**
     * 产后体重管理中风险-健康期
     */
    MIDDLE_HEALTH_ISSUE("MIDDLE_HEALTH_ISSUE", "产后体重管理中风险-健康期"),
    /**
     * 产后体重管理低风险-产褥期
     */
    LOW_PUERPERIUM("LOW_PUERPERIUM", "产后体重管理低风险-产褥期"),
    /**
     * 产后体重管理低风险-修复期
     */
    LOW_REPAIR_PERIOD("LOW_REPAIR_PERIOD", "产后体重管理低风险-修复期"),
    /**
     * 产后体重管理低风险-减重期
     */
    LOW_LOSE_WEIGHT("LOW_LOSE_WEIGHT", "产后体重管理低风险-减重期"),
    /**
     * 产后体重管理低风险-健康期
     */
    LOW_HEALTH_ISSUE("LOW_HEALTH_ISSUE", "产后体重管理低风险-健康期");


    private final String level;

    private final String description;

    private static PostpartumLevelEnum getPostpartumLevelEnum(Integer riskLevel, PostpartumLevelEnum high, PostpartumLevelEnum middle, PostpartumLevelEnum low) {
        if (RiskLevelEnum.HIGH.getLevel().equals(riskLevel)) {
            return high;
        }
        if (RiskLevelEnum.MIDDLE.getLevel().equals(riskLevel)) {
            return middle;
        }
        if (RiskLevelEnum.LOW.getLevel().equals(riskLevel)) {
            return low;
        }
        return null;
    }


}
