package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;


/**
 * Redis Key Enum
 *
 * @author yangsongbo
 */
@AllArgsConstructor
public enum RedisKeyEnum2 {

    /**
     * 运动方案配置项
     */
    LIST_EXERCISE_PROJECT_CONFIG("list_exercise_project_config_", "运动方案配置项"),
    /**
     * 运动方案全局配置项
     */
    LIST_EXERCISE_GLOBAL_PROJECT_CONFIG("list_exercise_global_project_config_", "运动方案全局配置项"),
    /**
     * 运动动作信息
     */
    STRING_EXERCISE_ACTION("string_exercise_action_", "运动动作信息"),

    ;

    /**
     * redis key
     */
    private final String key;

    /**
     * 描述
     */
    private final String describe;


    /**
     * 获取key
     *
     * @param keySuffixes key后缀
     * @return redis key
     */
    public String getKey(String... keySuffixes) {
        StringBuilder builder = new StringBuilder(this.key);

        if (ArrayUtils.isNotEmpty(keySuffixes)) {
            for (String keySuffix : keySuffixes) {
                if (StringUtils.isNotBlank(keySuffix)) {
                    builder.append("_").append(keySuffix);
                }
            }
        }
        return builder.toString();
    }


}



