package com.jiankangyouyi.cloud.motorplan.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 处理码定义
 *
 * @author yangsongbo
 */
@Getter
@AllArgsConstructor
public enum ResultCodeEnum implements BaseEnum {

    /**
     * 成功
     */
    SUCCESS("0", "成功"),
    /**
     * 暂无合适方案
     */
    HMP0001("HMP0001", "暂无合适方案"),
    /**
     * 请求参数异常
     */
    HMP0002("HMP0002", "请求参数异常"),
    /**
     * 疾病与风险不匹配
     */
    HMP0003("HMP0003", "疾病与风险不匹配"),
    /**
     * 查询的数据不存在
     */
    HMP0004("HMP0004", "查询的数据不存在"),
    /**
     * 操作的数据不存在
     */
    HMP0005("HMP0005", "操作的数据不存在"),
    /**
     * 保存数据失败
     */
    HMP0006("HMP0006", "保存数据失败"),
    /**
     * 权限不足
     */
    HMP0007("HMP0007", "权限不足"),
    /**
     * 当天用户尚未创建、无法生成当天课程
     */
    HMP0008("HMP0008", "当天用户尚未创建、无法生成当天课程"),
    /**
     * 用户当前身体运动情况不适合运动
     */
    HMP0009("HMP0009", "用户当前身体运动情况不适合运动"),
    /**
     * 操作频繁，稍后重试
     */
    HMP0010("HMP0010", "操作频繁，稍后重试"),


    ;

    private final String code;
    private final String message;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }

}
