package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * 风险等级类型
 *
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 4:38 下午
 */
@Getter
@AllArgsConstructor
public enum RiskLevelEnum {
    /**
     * 已确诊
     */
    CONFIRMED(-1, "已病"),
    /**
     * 正常
     */
    NONE(0, "正常"),
    /**
     * 极低/低风险
     */
    LOW(1, "极低/低风险"),

    /**
     * 中风险
     */
    MIDDLE(2, "中风险"),

    /**
     * 高风险
     */
    HIGH(3, "高风险"),

    /**
     * 极高风险
     */
    POLAR(4, "极高风险");


    private final Integer level;

    private final String description;

    public static RiskLevelEnum getEnum(Integer level) {
        RiskLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (RiskLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }


}
