package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3.ActionConfig;
import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3.ExerciseConfigInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/7 6:29 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActionGroupConfigResult2 {

    /***
     * 热身动作约束信息
     */
    private ActionLimitInfo warmupActonLimitInfo;
    /***
     * 拉伸动作约束信息
     */
    private ActionLimitInfo stretchActonLimitInfo;
    /***
     * 训练动作约束信息
     */
    private ActionLimitInfo trainingActonLimitInfo;
    /**
     * 休息视频条件信息
     */
    private RestVideoConditionInfo restVideoConditionInfo;
    /**
     * 梅脱限制信息
     */
    private MetLimitInfo metLimitInfo;
    /**
     * 动作规则
     */
    private ActionConfig.RuleInfo ruleInfo;
    /**
     * 运动配置信息
     */
    private ExerciseConfigInfo exerciseConfigInfo;


    /**
     * 梅脱限制信息
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class MetLimitInfo {
        /**
         * 视频约束最小值
         */
        private Double videoLimitMinValue;
        /**
         * 视频约束最大值
         */
        private Double videoLimitMaxValue;
        /**
         * 时间占比最小值
         */
        private Double timeProportionMinValue;
        /**
         * 时间占比最大值
         */
        private Double timeProportionMaxValue;
        /**
         * 时间占比 （只合成的视频时长占比）
         */
        private Double timeProportion;
    }

    /**
     * 动作约束信息
     */
    @Builder
    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ActionLimitInfo {
        /**
         * 动作体位
         */
        private List<String> actionPositions;
        /**
         * 动作分类
         */
        private List<String> actionClassifications;
        /**
         * 动作锻炼肌群
         */
        private List<String> trainPositions;
    }

    /**
     * 休息视频条件信息
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class RestVideoConditionInfo {
        /**
         * 动作个数
         */
        private Integer actionCount;
        /**
         * 视频规格
         */
        private String videoSize;
    }
}
