package com.jiankangyouyi.cloud.motorplan.model.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/22 3:40 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActionVideoInfo2 {
    /**
     * 动作编号
     */
    private String actionId;
    /**
     * 动作组
     */
    private String actionGroup;
    /**
     * 关联性动作组排序 (正序)
     */
    @Builder.Default
    private Integer relationActionGroupOrder = 0;
    /**
     * 动作难度
     */
    private String actionDifficulty;
    /**
     * 动作特点
     */
    private List<String> actionFeatures;
    /**
     * 动作分类
     */
    private String actionClassification;
    /**
     * 动作体位
     */
    private String actionPosition;
    /**
     * 训练肌群
     */
    private List<String> trainPositions;
    /**
     * 视频规格
     */
    private String actionVideoSize;
    /**
     * 动作视频开始时间 /ms
     */
    private Long startTime;
    /**
     * 动作视频结束时间 /ms
     */
    private Long endTime;
    /**
     * 动作视频产生的热量
     */
    private Double heat;
    /**
     * 动作名称
     */
    private String actionName;
    /**
     * 视频时长 /ms
     */
    private Long timeMilliseconds;
    /**
     * 视频时长 /s
     */
    private Double timeSecondsDouble;
    /**
     * 视频封面图
     */
    private String coverImageKey;
    /**
     * 梅脱值
     */
    private Double met;
    /**
     * 动作注意事项
     */
    private List<String> attentions;
    /**
     * 动作讲解
     */
    private List<String> actionExplains;
    /**
     * 视频资源标签
     */
    private List<String> videoSourceLabels;
    /**
     * 视频资源类型
     */
    private String videoSourceType;
    /**
     * ts * 1080 格式视频key
     */
    private String videoTs1080PKey;

    /**
     * ts * 720 格式视频key
     */
    private String videoTs720PKey;

    /**
     * ts * 480 格式视频
     */
    private String videoTs480PKey;
    /**
     * 动作讲解视频时长 /s
     */
    private Long actionExplainVideoTimeSeconds;
    /**
     * mp4 格式动作讲解视频key
     */
    //private String actionExplainVideoMp4Key;
    /**
     * m3u8 * 1080 格式动作讲解视频key
     */
    private String actionExplainVideoM3u8P1080Key;

    /**
     * m3u8 * 720 格式动作讲解视频key
     */
    private String actionExplainVideoM3u8P720Key;

    /**
     * m3u8 * 480 格式动作讲解视频
     */
    private String actionExplainVideoM3u8P480Key;
    /**
     * 器材
     */
    private List<String> equipments;
    /**
     * 休息视频 ture 是、false 否
     */
    @Builder.Default
    private Boolean restVideo = false;
    /**
     * 训练视频 ture 是、false 否
     */
    @Builder.Default
    private Boolean trainingVideo = false;


}
