package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.ExerciseCourseProjectConfigV3DO;
import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.DiseaseInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/6/27 9:53 上午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DiseaseInfoProjectConfigHandlerResult {
    /**
     * 已病情况
     */
    private List<DiseaseInfo> haveDiseaseList;
    /**
     * 极高风险情况
     */
    private List<DiseaseInfo> polarList;
    /**
     * 高风险情况
     */
    private List<DiseaseInfo> highList;
    /**
     * 中风险情况
     */
    private List<DiseaseInfo> middleList;
    /**
     * 极低/低风险
     */
    private List<DiseaseInfo> lowList;
    /**
     * 级别最高的疾病信息
     */
    private DiseaseInfo topDiseaseInfo;
    /**
     * 健康人群
     */
    private Boolean healthyPerson;
    /**
     * 方案配置项列表
     */
    private List<ExerciseCourseProjectConfigV3DO> exerciseCourseProjectConfigs;
}
