package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.basedata.api.model.entity.action.ExerciseModernAction;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/13 2:03 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ExerciseModernActionDataResult implements Serializable {
    /**
     * 用户选择的器材动作列表
     */
    private List<ExerciseModernAction> userEquipmentsList;
    /**
     * 徒手动作列表
     */
    private List<ExerciseModernAction> unarmedList;
    /**
     * 热身最小时间 /秒
     */
    private Long warmupTimeMinSeconds;
    /**
     * 拉伸最小时间 /秒
     */
    private Long stretchTimeMinSeconds;
    /**
     * 训练最小时间 /秒
     */
    private Long trainingTimeMinSeconds;
    /**
     * 训练最大时间 /秒
     */
    private Long trainingTimeMaxSeconds;
}
