package com.jiankangyouyi.cloud.motorplan.model.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/22 4:44 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GenerateActionVideo {
    /**
     * 热身动作总时间 /s
     */
    //private Long warmupTotalTime;
    /**
     * 热身动作总时间 /ms
     */
    private Long warmupTotalTimeMilliseconds;
    /**
     * 热身动作产生总热量
     */
    private Double warmupTotalHeat;
    /**
     * 热身动作视频列表
     */
    private List<ActionVideoInfo> warmupVideos;
    /**
     * 训练动作总时间 /s
     */
   // private Long trainingTotalTime;
    /**
     * 训练动作总时间 /ms
     */
    private Long trainingTotalTimeMilliseconds;
    /**
     * 训练动作产生总热量
     */
    private Double trainingTotalHeat;
    /**
     * 训练动作视频列表
     */
    private List<ActionVideoInfo> trainingVideos;
    /**
     * 拉伸动作总时间 /s
     */
   // private Long stretchTotalTime;
    /**
     * 拉伸动作总时间 /ms
     */
    private Long stretchTotalTimeMilliseconds;
    /**
     * 拉伸动作产生总热量
     */
    private Double stretchTotalHeat;
    /**
     * 拉伸动作视频列表
     */
    private List<ActionVideoInfo> stretchVideos;
    /**
     * 休息视频总时间 /s
     */
   // private Long restVideoTotalTime;
    /**
     * 休息视频总时间 /ms
     */
    private Long restVideoTotalTimeMilliseconds;
    /**
     * 休息视频个数
     */
    private Integer restVideoCount;
    /**
     * 最终视频列表
     */
    private List<ActionVideoInfo> finalActionVideos;

    /**
     * 课程封面图
     */
    private String courseImageKey;
    /**
     * 课程视频 1080 分辨率   m3u8 文件地址key
     */
    private String courseVideoM3u8P1080Key;
    /**
     * 课程视频 720 分辨率   m3u8 文件地址key
     */
    private String courseVideoM3u8P720Key;
    /**
     * 课程视频 480 分辨率   m3u8 文件地址key
     */
    private String courseVideoM3u8P480Key;
    /**
     * 器材类型
     */
    private List<String> equipments;




}
