package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import com.jiankangyouyi.cloud.motorplan.model.vo.component.ByReplaceActionInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 动作替换
 *
 * @author : lvhaoran
 * @date Date : 2022年12月09日
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCourseActionReplaceSaveDTO extends AbstractHttpApiRequestDTO {
    @NotBlank(message = "请求参数 userId 不能为空")
    @Size(max = 32, message = "请求参数 userId 超过最大有效长度 32")
    private String userId;
    @NotBlank(message = "请求参数 configId 不能为空")
    @Size(max = 64, message = "请求参数 configId 有效长度 64")
    private String configId;
    @NotBlank(message = "请求参数 courseId 不能为空")
    @Size(max = 32, message = "请求参数 courseId 超过最大有效长度 32")
    private String courseId;
    @NotNull(message = "请求参数 byReplaceActionList 不能为空")
    @Valid
    private List<ByReplaceActionInfo> byReplaceActionList;
}
