package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/2 3:44 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCoursePlanInfoDTO extends AbstractHttpApiRequestDTO {
    /**
     * 课程id
     */
    @NotBlank(message = "请求参数 courseId 不能为空")
    @Size(max = 32,message = "请求参数 courseId 超过有效长度 32")
    private String courseId;
    /**
     * 用户id
     */
    @NotBlank(message = "请求参数 userId 不能为空")
    @Size(max = 32,message = "请求参数 userId 超过有效长度 32")
    private String userId;
    /**
     * 替换地址 （例如：http://192.168.1.1:1234）
     */
    private String replaceAddress;

}
