package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/2 3:46 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCoursePlanListDTO extends AbstractHttpApiRequestDTO {
    /**
     * 用户id
     */
    @NotBlank(message = "请求参数 userId 不能为空")
    @Size(max = 32,message = "请求参数 userId 超过有效长度 32")
    private String userId;

    /**
     * 课程开始时间 / yyyy-MM-dd
     */
    @Size(min = 10,max = 10,message = "请求参数 courseDateStart 有效长度 10")
    private String courseDateStart;
    /**
     * 课程结束时间 / yyyy-MM-dd
     */
    @Size(min = 10,max = 10,message = "请求参数 courseDateEnd 有效长度 10")
    private String courseDateEnd;

    /**
     * 替换地址 （例如：http://192.168.1.1:1234）
     */
    private String replaceAddress;

    /**
     * 分页参数
     */
    @NotNull(message = "请求参数page不能为空")
    @Valid
    private Page page;
}
