package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/2 5:08 下午
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
public class RecordExerciseHeatDTO extends AbstractHttpApiRequestDTO {
    /**
     * 课程id
     */
    @NotBlank(message = "请求参数 courseId 不能为空")
    private String courseId;
    /**
     * 用户id
     */
    @NotBlank(message = "请求参数 userId 不能为空")
    private String userId;
    /**
     * 记录日期 / yyyy-MM-dd HH:mm:ss
     */
    @NotBlank(message = "请求参数 recordDate 不能为空")
    @Size(min = 19,max = 19,message = "请求参数 recordDate 有效长度 19")
    private String recordDate;
    /**
     * 运动时长 /秒
     */
    @NotNull(message = "请求参数 exerciseDuration 不能为空")
    private Integer exerciseDuration;
    /**
     * 运动热量
     */
    @NotNull(message = "请求参数 exerciseHeat 不能为空")
    private Integer exerciseHeat;



}
