package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/13 3:58 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserRecordInfoDTO extends AbstractHttpApiRequestDTO {
    /**
     * 用户id
     */
    @NotBlank(message = "请求参数 userId 不能为空")
    @Size(max = 32,message = "请求参数 userId 超过有效长度 32")
    private String userId;
}
