package com.jiankangyouyi.cloud.motorplan.model.entity.mongo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.core.base.enums.ValidStatusEnum;
import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3.ExerciseCourseProjectConfig;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 运动课程方案配置 v3
 * @author ：wangyalei
 * @date ：Created in 2021/6/3 1:39 下午
 */
@Data
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.exercise.project.config")
public class ExerciseCourseProjectConfigV3DO extends ExerciseCourseProjectConfig {
    private static final long serialVersionUID = 1L;

    public static final String FIELD_DATE = "date";
    public static final String FIELD_ID = "_id";
    public static final String FIELD_VALIDSTATUS = "validStatus";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";
    public static final String FIELD_REMARK = "remark";

    @Id
    private ObjectId id;
    private String validStatus;


    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date updateTime;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date createTime;

    /**
     * 备注
     */
    private String remark;


    public ExerciseCourseProjectConfigV3DO() {
        Date date = new Date();
        this.validStatus = ValidStatusEnum.VALID.getCode();
        this.updateTime = date;
        this.createTime = date;
    }
}
