package com.jiankangyouyi.cloud.motorplan.model.entity.mongo;

import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * 运动课程方案全局配置 此表只有一条数据 （似乎有点鸡肋 0.0``）
 *
 * @author ：wangyalei
 * @date ：Created in 2021/6/3 1:39：30 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "v3.exercise.project.global.config")
public class ExerciseCourseProjectGlobalConfigDO implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    private ObjectId id;

    /**
     * 动作时间配置
     */
    private ActionTimeConfig actionTimeConfig;
    /**
     * 运动频率配置
     */
    private List<ExerciseFrequencyConfig> exerciseFrequencyConfigs;
    /**
     * 梅脱配置
     */
    private GlobalMetConfig metConfig;
    /**
     * 动作难度配置
     */
    private List<ActionDifficultyConfig> actionDifficultyConfigs;
    /**
     * 热身动作组合
     */
    private List<WarmupActionGroup> warmupActionGroups;
    /**
     * 训练动作组合
     */
    private List<TrainingActionGroup> trainingActionGroups;
    /**
     * 拉伸动作组合
     */
    private List<StretchActionGroup> stretchActionGroups;
    /**
     * 休息视频配置
     */
    private List<RestVideoConfig> restVideoConfigs;

}
