package com.jiankangyouyi.cloud.motorplan.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldNameConstants;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 康复课程
 *
 * @author june
 * @date 2023年1月12日10:59:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "exercise.recovery.course.tk")
@CompoundIndexes(
        value = {
                @CompoundIndex(
                        name = "healthProblemCode_-1",
                        def = "{ 'healthProblemCode' : -1}"
                ),
        }
)
@FieldNameConstants
public class ExerciseRecoveryCourseDO extends BaseMongoEntity {

    /**
     * 疾病代码
     */
    private String diseaseType;
    /**
     * 参数ID
     */
    private String paramId;
    /**
     * 课程ID
     */
    private String courseId;
    /**
     * 教练性别
     */
    private String coachGender;
    /**
     * 康复课程名称
     */
    private String courseName;
    /**
     * 课程地址-泰康-测试
     */
    private String courseM3u81080UrlTkTest;
    /**
     * 课程地址-泰康-生产
     */
    private String courseM3u81080UrlTkProd;
    /**
     * 课程地址-健康有益
     */
    private String courseM3u81080UrlJkyy;
    /**
     * 课程秒数
     */
    private Integer courseTimeSeconds;
    /**
     * 课程热量
     */
    private Integer courseEnergy;
    /**
     * 运动能力
     */
    private Integer athleticAbility;
    /**
     * 课程难度
     */
    private Integer courseDifficulties;
    /**
     * 课程强度
     */
    private Integer courseIntensity;
    /**
     * 运动水平
     */
    private Integer exerciseLevel;
    /**
     * 产后天数
     */
    private Integer postpartumDays;
    /**
     * 视频封面地址
     */
    private String courseImageUrl;
}
