package com.jiankangyouyi.cloud.motorplan.model.entity.mongo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.core.base.enums.ValidStatusEnum;
import com.jiankangyouyi.cloud.motorplan.api.enums.HealthAssessmentCoverConfigEnum;
import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.ServiceArea;
import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.ServiceValue;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/12 6:39 下午
 */
@Data
@AllArgsConstructor
@Document(collection = "health.assessment.cover.config")
public class HealthAssessmentCoverConfigDO {

    @Id
    private ObjectId id;
    private String validStatus;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date updateTime;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )

    @Indexed()
    private Date createTime;
    /**
     * 应用 id
     */
    private String appId;
    /**
     * 配置类型 {@link HealthAssessmentCoverConfigEnum}
     */
    private String configType;
    /**
     * 服务简介
     */
    private String serviceProfile;
    /**
     * 服务范围
     */
    private List<ServiceArea> serviceAreas;
    /**
     * 服务价值
     */
    private List<ServiceValue> serviceValues;
    /**
     * 提示
     */
    private String reminder;
    /**
     * 参考文献
     */
    private List<String> documentations;



    public HealthAssessmentCoverConfigDO() {
        Date date = new Date();
        this.validStatus = ValidStatusEnum.VALID.getCode();
        this.updateTime = date;
        this.createTime = date;
    }

    public static final String FIELD_ID = "_id";
    public static final String FIELD_VALIDSTATUS = "validStatus";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";
    public static final String FIELD_APPID = "appId";
    public static final String FIELD_CONFIG_TYPE = "configType";
    public static final String FIELD_SERVICEPROFILE = "serviceProfile";
    public static final String FIELD_SERVICEAREAS = "serviceAreas";
    public static final String FIELD_SERVICEAREAS_TITLE = "serviceAreas.title";
    public static final String FIELD_SERVICEAREAS_IMAGE = "serviceAreas.image";
    public static final String FIELD_SERVICEAREAS_DESCRIPTION = "serviceAreas.description";
    public static final String FIELD_SERVICEVALUES = "serviceValues";
    public static final String FIELD_SERVICEVALUES_TITLE = "serviceValues.title";
    public static final String FIELD_SERVICEVALUES_DESCRIPTION = "serviceValues.description";
    public static final String FIELD_REMINDER = "reminder";
    public static final String FIELD_DOCUMENTATIONS = "documentations";

}
