package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.*;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/20 9:39 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActionVideoDetailInfo {
    /**
     * 动作编号
     */
    private String actionId;
    /**
     * ts * 1080 格式视频key
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String videoTs1080;
    /**
     *  ts * 720 格式视频key
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String videoTs720;
    /**
     *  ts * 480 格式视频
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String videoTs480;
    /**
     * 动作难度
     */
    private String actionDifficulty;
    /**
     * 动作特点
     */
    private List<String> actionFeatures;
    /**
     * 动作分类
     */
    private String actionClassification;
    /**
     * 动作体位
     */
    private String actionPosition;
    /**
     * 训练肌群
     */
    private List<String> trainPositions;
    /**
     * 视频规格
     */
    private String actionVideoSize;
    /**
     * 动作视频产生的热量
     */
    private Double heat;
    /**
     * 动作名称
     */
    private String actionName;
    /**
     * 视频时长 /s
     */
    private Long timeSeconds;



}
