package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.*;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 10:20 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCourseProjectConfig implements Serializable {
    /**
     * 方案编号
     */
    private String projectNum;
    /**
     * 描述信息
     */
    private String description;
    /**
     * 疾病类型
     */
    private String diseaseType;
    /**
     * 健康/亚健康人群 true 是 false 否
     */
    private Boolean healthyPerson;
    /**
     * 风险等级
     */
    private List<Integer> riskLevels;
    /**
     * 其他等级 (特殊疾病标签处理)
     */
    private List<String> otherLevels;
    /**
     * 禁止动作配置
     */
    private ForbidActionProperty forbidActionProperty;
    /**
     * 运动能力配置
     */
    private AthleticAbilityConfig athleticAbilityConfig;
    /**
     * 管理目标
     */
    private ManagementGoalConfig managementGoalConfig;
    /**
     * 动作时间配置
     */
    private ActionTimeConfig actionTimeConfig;
    /**
     * 训练动作休息时间配置
     */
    private TrainingRestTimeConfig trainingRestTimeConfig;
    /**
     * 热身动作
     */
    private WarmupAction warmupAction;
    /**
     * 拉伸动作
     */
    private StretchAction stretchAction;
    /**
     * 训练动作
     */
    private TrainingAction trainingAction;
    /**
     * 运动频率描述
     */
    private ExerciseFrequency exerciseFrequency;
    /**
     * 注意事项
     */
    private AttentionItem attentionItem;

    /**************************************************以下是系统运动（非视频运动）动作配置属性*****************************/
    /**
     * 运动方案配置
     */
    private SystemExercise systemExercise;
    /**
     *  运动能力、运动类型、运动提醒描述关联关系配置
     */
    private SystemExerciseRemindDescription systemExerciseRemindDescription;
    /**
     *  禁忌标签配置
     */
    private SystemExerciseTabooLabel systemExerciseTabooLabel;
    /**
     *  注意事项配置
     */
    private SystemExerciseAnnouncements systemExerciseAnnouncements;


    public static final String FIELD_PROJECTNUM = "projectNum";
    public static final String FIELD_DESCRIPTION = "description";
    public static final String FIELD_DISEASETYPE = "diseaseType";
    public static final String FIELD_HEALTHYPERSON = "healthyPerson";
    public static final String FIELD_RISKLEVELS = "riskLevels";
    public static final String FIELD_OTHERLEVELS = "otherLevels";
    public static final String FIELD_FORBIDACTIONPROPERTY = "forbidActionProperty";
    public static final String FIELD_FORBIDACTIONPROPERTY_FORBIDACTIONPROPERTIES = "forbidActionProperty.forbidActionProperties";
    public static final String FIELD_FORBIDACTIONPROPERTY_FORBIDACTIONPROPERTYBMICONDITIONS = "forbidActionProperty.forbidActionPropertyBmiConditions";
    public static final String FIELD_FORBIDACTIONPROPERTY_FORBIDACTIONPROPERTYBMICONDITIONS_STARTVALUE = "forbidActionProperty.forbidActionPropertyBmiConditions.startValue";
    public static final String FIELD_FORBIDACTIONPROPERTY_FORBIDACTIONPROPERTYBMICONDITIONS_ENDVALUE = "forbidActionProperty.forbidActionPropertyBmiConditions.endValue";
    public static final String FIELD_FORBIDACTIONPROPERTY_FORBIDACTIONPROPERTYBMICONDITIONS_FORBIDACTIONPROPERTIES = "forbidActionProperty.forbidActionPropertyBmiConditions.forbidActionProperties";
    public static final String FIELD_ATHLETICABILITYCONFIG = "athleticAbilityConfig";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYRELATIONS = "athleticAbilityConfig.athleticAbilityRelations";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYRELATIONS_ATHLETICABILITY = "athleticAbilityConfig.athleticAbilityRelations.athleticAbility";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYRELATIONS_PROJECTNUMS = "athleticAbilityConfig.athleticAbilityRelations.projectNums";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYRELATIONS_ACTIONDIFFICULTIES = "athleticAbilityConfig.athleticAbilityRelations.actionDifficulties";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS = "athleticAbilityConfig.athleticAbilityConfigBmiConditions";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS_STARTVALUE = "athleticAbilityConfig.athleticAbilityConfigBmiConditions.startValue";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS_ENDVALUE = "athleticAbilityConfig.athleticAbilityConfigBmiConditions.endValue";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS_ATHLETICABILITYRELATIONS = "athleticAbilityConfig.athleticAbilityConfigBmiConditions.athleticAbilityRelations";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS_ATHLETICABILITYRELATIONS_ATHLETICABILITY = "athleticAbilityConfig.athleticAbilityConfigBmiConditions.athleticAbilityRelations.athleticAbility";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS_ATHLETICABILITYRELATIONS_PROJECTNUMS = "athleticAbilityConfig.athleticAbilityConfigBmiConditions.athleticAbilityRelations.projectNums";
    public static final String FIELD_ATHLETICABILITYCONFIG_ATHLETICABILITYCONFIGBMICONDITIONS_ATHLETICABILITYRELATIONS_ACTIONDIFFICULTIES = "athleticAbilityConfig.athleticAbilityConfigBmiConditions.athleticAbilityRelations.actionDifficulties";
    public static final String FIELD_MANAGEMENTGOALCONFIG = "managementGoalConfig";
    public static final String FIELD_MANAGEMENTGOALCONFIG_MANAGEMENTGOALS = "managementGoalConfig.managementGoals";
    public static final String FIELD_MANAGEMENTGOALCONFIG_MANAGEMENTGOALBMICONDITIONS = "managementGoalConfig.managementGoalBmiConditions";
    public static final String FIELD_MANAGEMENTGOALCONFIG_MANAGEMENTGOALBMICONDITIONS_STARTVALUE = "managementGoalConfig.managementGoalBmiConditions.startValue";
    public static final String FIELD_MANAGEMENTGOALCONFIG_MANAGEMENTGOALBMICONDITIONS_ENDVALUE = "managementGoalConfig.managementGoalBmiConditions.endValue";
    public static final String FIELD_MANAGEMENTGOALCONFIG_MANAGEMENTGOALBMICONDITIONS_MANAGEMENTGOALS = "managementGoalConfig.managementGoalBmiConditions.managementGoals";
    public static final String FIELD_ACTIONTIMECONFIG = "actionTimeConfig";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG = "actionTimeConfig.timeConfig";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_WARMUPTIMEMIN = "actionTimeConfig.timeConfig.warmupTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_WARMUPTIMEMAX = "actionTimeConfig.timeConfig.warmupTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_TRAININGTIMEMIN = "actionTimeConfig.timeConfig.trainingTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_TRAININGTIMEMAX = "actionTimeConfig.timeConfig.trainingTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_STRETCHTIMEMIN = "actionTimeConfig.timeConfig.stretchTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_STRETCHTIMEMAX = "actionTimeConfig.timeConfig.stretchTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_SYSTEMEXERCISETIMEMIN = "actionTimeConfig.timeConfig.systemExerciseTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIG_SYSTEMEXERCISETIMEMAX = "actionTimeConfig.timeConfig.systemExerciseTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS = "actionTimeConfig.timeConfigBmiConditions";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_STARTVALUE = "actionTimeConfig.timeConfigBmiConditions.startValue";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_ENDVALUE = "actionTimeConfig.timeConfigBmiConditions.endValue";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG = "actionTimeConfig.timeConfigBmiConditions.timeConfig";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_WARMUPTIMEMIN = "actionTimeConfig.timeConfigBmiConditions.timeConfig.warmupTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_WARMUPTIMEMAX = "actionTimeConfig.timeConfigBmiConditions.timeConfig.warmupTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_TRAININGTIMEMIN = "actionTimeConfig.timeConfigBmiConditions.timeConfig.trainingTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_TRAININGTIMEMAX = "actionTimeConfig.timeConfigBmiConditions.timeConfig.trainingTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_STRETCHTIMEMIN = "actionTimeConfig.timeConfigBmiConditions.timeConfig.stretchTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_STRETCHTIMEMAX = "actionTimeConfig.timeConfigBmiConditions.timeConfig.stretchTimeMax";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_SYSTEMEXERCISETIMEMIN = "actionTimeConfig.timeConfigBmiConditions.timeConfig.systemExerciseTimeMin";
    public static final String FIELD_ACTIONTIMECONFIG_TIMECONFIGBMICONDITIONS_TIMECONFIG_SYSTEMEXERCISETIMEMAX = "actionTimeConfig.timeConfigBmiConditions.timeConfig.systemExerciseTimeMax";
    public static final String FIELD_TRAININGRESTTIMECONFIG = "trainingRestTimeConfig";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS = "trainingRestTimeConfig.restTimeGroups";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS_CURRENTGROUPNUM = "trainingRestTimeConfig.restTimeGroups.currentGroupNum";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS_NEXTGROUPNUM = "trainingRestTimeConfig.restTimeGroups.nextGroupNum";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS_HANDLERTYPE = "trainingRestTimeConfig.restTimeGroups.handlerType";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS_ACTIONCOUNT = "trainingRestTimeConfig.restTimeGroups.actionCount";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS_COURSEFINISHPERCENT = "trainingRestTimeConfig.restTimeGroups.courseFinishPercent";
    public static final String FIELD_TRAININGRESTTIMECONFIG_RESTTIMEGROUPS_VIDEORESTSIZE = "trainingRestTimeConfig.restTimeGroups.videoRestSize";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_STARTVALUE = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.startValue";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_ENDVALUE = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.endValue";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS_CURRENTGROUPNUM = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups.currentGroupNum";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS_NEXTGROUPNUM = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups.nextGroupNum";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS_HANDLERTYPE = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups.handlerType";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS_ACTIONCOUNT = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups.actionCount";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS_COURSEFINISHPERCENT = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups.courseFinishPercent";
    public static final String FIELD_TRAININGRESTTIMECONFIG_TRAININGRESTTIMECONFIGBMICONDITIONS_RESTTIMEGROUPS_VIDEORESTSIZE = "trainingRestTimeConfig.trainingRestTimeConfigBmiConditions.restTimeGroups.videoRestSize";
    public static final String FIELD_WARMUPACTION = "warmupAction";
    public static final String FIELD_WARMUPACTION_WARMUPACTONGROUP = "warmupAction.warmupActonGroup";
    public static final String FIELD_WARMUPACTION_WARMUPACTONGROUP_ACTIONDIFFICULTIES = "warmupAction.warmupActonGroup.actionDifficulties";
    public static final String FIELD_WARMUPACTION_WARMUPACTONGROUP_ACTIONVIDEOSIZES = "warmupAction.warmupActonGroup.actionVideoSizes";
    public static final String FIELD_WARMUPACTION_WARMUPACTONGROUP_ACTIONPOSITIONS = "warmupAction.warmupActonGroup.actionPositions";
    public static final String FIELD_WARMUPACTION_WARMUPACTONGROUP_ACTIONCLASSIFICATIONS = "warmupAction.warmupActonGroup.actionClassifications";
    public static final String FIELD_WARMUPACTION_WARMUPACTONGROUP_TRAINPOSITIONS = "warmupAction.warmupActonGroup.trainPositions";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS = "warmupAction.warmupActonBmiConditions";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_STARTVALUE = "warmupAction.warmupActonBmiConditions.startValue";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_ENDVALUE = "warmupAction.warmupActonBmiConditions.endValue";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_WARMUPACTONGROUP = "warmupAction.warmupActonBmiConditions.warmupActonGroup";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_WARMUPACTONGROUP_ACTIONDIFFICULTIES = "warmupAction.warmupActonBmiConditions.warmupActonGroup.actionDifficulties";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_WARMUPACTONGROUP_ACTIONVIDEOSIZES = "warmupAction.warmupActonBmiConditions.warmupActonGroup.actionVideoSizes";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_WARMUPACTONGROUP_ACTIONPOSITIONS = "warmupAction.warmupActonBmiConditions.warmupActonGroup.actionPositions";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_WARMUPACTONGROUP_ACTIONCLASSIFICATIONS = "warmupAction.warmupActonBmiConditions.warmupActonGroup.actionClassifications";
    public static final String FIELD_WARMUPACTION_WARMUPACTONBMICONDITIONS_WARMUPACTONGROUP_TRAINPOSITIONS = "warmupAction.warmupActonBmiConditions.warmupActonGroup.trainPositions";
    public static final String FIELD_STRETCHACTION = "stretchAction";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS = "stretchAction.stretchActionGroups";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS_CURRENTGROUPNUM = "stretchAction.stretchActionGroups.currentGroupNum";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS_NEXTGROUPNUM = "stretchAction.stretchActionGroups.nextGroupNum";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS_ACTIONVIDEOSIZES = "stretchAction.stretchActionGroups.actionVideoSizes";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS_ACTIONPOSITIONS = "stretchAction.stretchActionGroups.actionPositions";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS_ACTIONCLASSIFICATIONS = "stretchAction.stretchActionGroups.actionClassifications";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONGROUPS_TRAINPOSITIONS = "stretchAction.stretchActionGroups.trainPositions";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS = "stretchAction.stretchActionBmiConditions";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STARTVALUE = "stretchAction.stretchActionBmiConditions.startValue";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_ENDVALUE = "stretchAction.stretchActionBmiConditions.endValue";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS = "stretchAction.stretchActionBmiConditions.stretchActionGroups";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS_CURRENTGROUPNUM = "stretchAction.stretchActionBmiConditions.stretchActionGroups.currentGroupNum";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS_NEXTGROUPNUM = "stretchAction.stretchActionBmiConditions.stretchActionGroups.nextGroupNum";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS_ACTIONVIDEOSIZES = "stretchAction.stretchActionBmiConditions.stretchActionGroups.actionVideoSizes";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS_ACTIONPOSITIONS = "stretchAction.stretchActionBmiConditions.stretchActionGroups.actionPositions";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS_ACTIONCLASSIFICATIONS = "stretchAction.stretchActionBmiConditions.stretchActionGroups.actionClassifications";
    public static final String FIELD_STRETCHACTION_STRETCHACTIONBMICONDITIONS_STRETCHACTIONGROUPS_TRAINPOSITIONS = "stretchAction.stretchActionBmiConditions.stretchActionGroups.trainPositions";
    public static final String FIELD_TRAININGACTION = "trainingAction";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS = "trainingAction.trainingActionGroups";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS_CURRENTGROUPNUM = "trainingAction.trainingActionGroups.currentGroupNum";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS_NEXTGROUPNUM = "trainingAction.trainingActionGroups.nextGroupNum";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS_ACTIONVIDEOSIZES = "trainingAction.trainingActionGroups.actionVideoSizes";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS_ACTIONPOSITIONS = "trainingAction.trainingActionGroups.actionPositions";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS_ACTIONCLASSIFICATIONS = "trainingAction.trainingActionGroups.actionClassifications";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONGROUPS_TRAINPOSITIONS = "trainingAction.trainingActionGroups.trainPositions";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS = "trainingAction.trainingActionBmiConditions";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_STARTVALUE = "trainingAction.trainingActionBmiConditions.startValue";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_ENDVALUE = "trainingAction.trainingActionBmiConditions.endValue";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS = "trainingAction.trainingActionBmiConditions.trainingActionGroups";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS_CURRENTGROUPNUM = "trainingAction.trainingActionBmiConditions.trainingActionGroups.currentGroupNum";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS_NEXTGROUPNUM = "trainingAction.trainingActionBmiConditions.trainingActionGroups.nextGroupNum";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS_ACTIONVIDEOSIZES = "trainingAction.trainingActionBmiConditions.trainingActionGroups.actionVideoSizes";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS_ACTIONPOSITIONS = "trainingAction.trainingActionBmiConditions.trainingActionGroups.actionPositions";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS_ACTIONCLASSIFICATIONS = "trainingAction.trainingActionBmiConditions.trainingActionGroups.actionClassifications";
    public static final String FIELD_TRAININGACTION_TRAININGACTIONBMICONDITIONS_TRAININGACTIONGROUPS_TRAINPOSITIONS = "trainingAction.trainingActionBmiConditions.trainingActionGroups.trainPositions";
    public static final String FIELD_EXERCISEFREQUENCY = "exerciseFrequency";
    public static final String FIELD_EXERCISEFREQUENCY_EXERCISEFREQUENCYDESC = "exerciseFrequency.exerciseFrequencyDesc";
    public static final String FIELD_EXERCISEFREQUENCY_EXERCISEFREQUENCYBMICONDITIONS = "exerciseFrequency.exerciseFrequencyBmiConditions";
    public static final String FIELD_EXERCISEFREQUENCY_EXERCISEFREQUENCYBMICONDITIONS_STARTVALUE = "exerciseFrequency.exerciseFrequencyBmiConditions.startValue";
    public static final String FIELD_EXERCISEFREQUENCY_EXERCISEFREQUENCYBMICONDITIONS_ENDVALUE = "exerciseFrequency.exerciseFrequencyBmiConditions.endValue";
    public static final String FIELD_EXERCISEFREQUENCY_EXERCISEFREQUENCYBMICONDITIONS_EXERCISEFREQUENCYDESC = "exerciseFrequency.exerciseFrequencyBmiConditions.exerciseFrequencyDesc";
    public static final String FIELD_ATTENTIONITEM = "attentionItem";
    public static final String FIELD_ATTENTIONITEM_ATTENTIONITEMS = "attentionItem.attentionItems";
    public static final String FIELD_ATTENTIONITEM_ATTENTIONITEMBMICONDITIONS = "attentionItem.attentionItemBmiConditions";
    public static final String FIELD_ATTENTIONITEM_ATTENTIONITEMBMICONDITIONS_STARTVALUE = "attentionItem.attentionItemBmiConditions.startValue";
    public static final String FIELD_ATTENTIONITEM_ATTENTIONITEMBMICONDITIONS_ENDVALUE = "attentionItem.attentionItemBmiConditions.endValue";
    public static final String FIELD_ATTENTIONITEM_ATTENTIONITEMBMICONDITIONS_ATTENTIONITEMS = "attentionItem.attentionItemBmiConditions.attentionItems";
    public static final String FIELD_SYSTEMEXERCISE = "systemExercise";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEGROUPS = "systemExercise.systemExerciseGroups";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEGROUPS_CURRENTGROUPNUM = "systemExercise.systemExerciseGroups.currentGroupNum";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEGROUPS_NEXTGROUPNUM = "systemExercise.systemExerciseGroups.nextGroupNum";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEGROUPS_ATHLETICABILITYEXERCISETYPERELATIONS = "systemExercise.systemExerciseGroups.athleticAbilityExerciseTypeRelations";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEGROUPS_ATHLETICABILITYEXERCISETYPERELATIONS_ATHLETICABILITY = "systemExercise.systemExerciseGroups.athleticAbilityExerciseTypeRelations.athleticAbility";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEGROUPS_ATHLETICABILITYEXERCISETYPERELATIONS_EXERCISETYPES = "systemExercise.systemExerciseGroups.athleticAbilityExerciseTypeRelations.exerciseTypes";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS = "systemExercise.systemExerciseBmiConditions";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_STARTVALUE = "systemExercise.systemExerciseBmiConditions.startValue";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_ENDVALUE = "systemExercise.systemExerciseBmiConditions.endValue";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_SYSTEMEXERCISEGROUPS = "systemExercise.systemExerciseBmiConditions.systemExerciseGroups";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_SYSTEMEXERCISEGROUPS_CURRENTGROUPNUM = "systemExercise.systemExerciseBmiConditions.systemExerciseGroups.currentGroupNum";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_SYSTEMEXERCISEGROUPS_NEXTGROUPNUM = "systemExercise.systemExerciseBmiConditions.systemExerciseGroups.nextGroupNum";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_SYSTEMEXERCISEGROUPS_ATHLETICABILITYEXERCISETYPERELATIONS = "systemExercise.systemExerciseBmiConditions.systemExerciseGroups.athleticAbilityExerciseTypeRelations";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_SYSTEMEXERCISEGROUPS_ATHLETICABILITYEXERCISETYPERELATIONS_ATHLETICABILITY = "systemExercise.systemExerciseBmiConditions.systemExerciseGroups.athleticAbilityExerciseTypeRelations.athleticAbility";
    public static final String FIELD_SYSTEMEXERCISE_SYSTEMEXERCISEBMICONDITIONS_SYSTEMEXERCISEGROUPS_ATHLETICABILITYEXERCISETYPERELATIONS_EXERCISETYPES = "systemExercise.systemExerciseBmiConditions.systemExerciseGroups.athleticAbilityExerciseTypeRelations.exerciseTypes";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION = "systemExerciseRemindDescription";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS = "systemExerciseRemindDescription.athleticAbilityExerciseTypeAndDescriptionRelations";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_ATHLETICABILITY = "systemExerciseRemindDescription.athleticAbilityExerciseTypeAndDescriptionRelations.athleticAbility";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_EXERCISETYPE = "systemExerciseRemindDescription.athleticAbilityExerciseTypeAndDescriptionRelations.exerciseType";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_DESCRIPTION = "systemExerciseRemindDescription.athleticAbilityExerciseTypeAndDescriptionRelations.description";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_HEARTSTART = "systemExerciseRemindDescription.athleticAbilityExerciseTypeAndDescriptionRelations.heartStart";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_HEARTEND = "systemExerciseRemindDescription.athleticAbilityExerciseTypeAndDescriptionRelations.heartEnd";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_STARTVALUE = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.startValue";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ENDVALUE = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.endValue";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.athleticAbilityExerciseTypeAndDescriptionRelations";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_ATHLETICABILITY = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.athleticAbilityExerciseTypeAndDescriptionRelations.athleticAbility";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_EXERCISETYPE = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.athleticAbilityExerciseTypeAndDescriptionRelations.exerciseType";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_DESCRIPTION = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.athleticAbilityExerciseTypeAndDescriptionRelations.description";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_HEARTSTART = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.athleticAbilityExerciseTypeAndDescriptionRelations.heartStart";
    public static final String FIELD_SYSTEMEXERCISEREMINDDESCRIPTION_SYSTEMEXERCISEREMINDDESCRIPTIONBMICONDITIONS_ATHLETICABILITYEXERCISETYPEANDDESCRIPTIONRELATIONS_HEARTEND = "systemExerciseRemindDescription.systemExerciseRemindDescriptionBmiConditions.athleticAbilityExerciseTypeAndDescriptionRelations.heartEnd";
    public static final String FIELD_SYSTEMEXERCISETABOOLABEL = "systemExerciseTabooLabel";
    public static final String FIELD_SYSTEMEXERCISETABOOLABEL_TABOOLABELS = "systemExerciseTabooLabel.tabooLabels";
    public static final String FIELD_SYSTEMEXERCISETABOOLABEL_SYSTEMEXERCISETABOOLABELBMICONDITIONS = "systemExerciseTabooLabel.systemExerciseTabooLabelBmiConditions";
    public static final String FIELD_SYSTEMEXERCISETABOOLABEL_SYSTEMEXERCISETABOOLABELBMICONDITIONS_STARTVALUE = "systemExerciseTabooLabel.systemExerciseTabooLabelBmiConditions.startValue";
    public static final String FIELD_SYSTEMEXERCISETABOOLABEL_SYSTEMEXERCISETABOOLABELBMICONDITIONS_ENDVALUE = "systemExerciseTabooLabel.systemExerciseTabooLabelBmiConditions.endValue";
    public static final String FIELD_SYSTEMEXERCISETABOOLABEL_SYSTEMEXERCISETABOOLABELBMICONDITIONS_TABOOLABELS = "systemExerciseTabooLabel.systemExerciseTabooLabelBmiConditions.tabooLabels";
    public static final String FIELD_SYSTEMEXERCISEANNOUNCEMENTS = "systemExerciseAnnouncements";
    public static final String FIELD_SYSTEMEXERCISEANNOUNCEMENTS_ANNOUNCEMENTS = "systemExerciseAnnouncements.announcements";
    public static final String FIELD_SYSTEMEXERCISEANNOUNCEMENTS_SYSTEMEXERCISEANNOUNCEMENTSBMICONDITIONS = "systemExerciseAnnouncements.systemExerciseAnnouncementsBmiConditions";
    public static final String FIELD_SYSTEMEXERCISEANNOUNCEMENTS_SYSTEMEXERCISEANNOUNCEMENTSBMICONDITIONS_STARTVALUE = "systemExerciseAnnouncements.systemExerciseAnnouncementsBmiConditions.startValue";
    public static final String FIELD_SYSTEMEXERCISEANNOUNCEMENTS_SYSTEMEXERCISEANNOUNCEMENTSBMICONDITIONS_ENDVALUE = "systemExerciseAnnouncements.systemExerciseAnnouncementsBmiConditions.endValue";
    public static final String FIELD_SYSTEMEXERCISEANNOUNCEMENTS_SYSTEMEXERCISEANNOUNCEMENTSBMICONDITIONS_ANNOUNCEMENTS = "systemExerciseAnnouncements.systemExerciseAnnouncementsBmiConditions.announcements";




}
