package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 10:55 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TimeConfig {
    /**
     * 热身最小时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 warmupTimeMin 最小值 1")
    private Integer warmupTimeMin = 1;
    /**
     * 热身最大时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 warmupTimeMax 最小值 1")
    private Integer warmupTimeMax = 1;
    /**
     * 训练最小时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 trainingTimeMin 最小值 1")
    private Integer trainingTimeMin = 1;
    /**
     * 训练最大时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 trainingTimeMax 最小值 1")
    private Integer trainingTimeMax = 1;
    /**
     * 拉伸最小时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 stretchTimeMin 最小值 1")
    private Integer stretchTimeMin = 1;
    /**
     * 拉伸最大时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 stretchTimeMax 最小值 1")
    private Integer stretchTimeMax = 1;
    /**
     * 系统运动最小时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 systemExerciseTimeMin 最小值 1")
    private Integer systemExerciseTimeMin = 1;
    /**
     * 系统运动最大时长 单位/分
     */
    @Builder.Default
    @Min(value = 1,message = "请求参数 systemExerciseTimeMax 最小值 1")
    private Integer systemExerciseTimeMax = 1;
}
