package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import com.jiankangyouyi.cloud.motorplan.model.bean.ActionGroupConfigResult2;
import com.jiankangyouyi.cloud.motorplan.model.bean.ExerciseCourseProjectConfigResult2;
import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3.ExerciseConfigInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/29 10:54 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserInfo {
    /**
     * 身高 /cm
     */
    private Integer height;
    /**
     * 体重 /kg
     */
    private Double weight;
    /**
     * 出生日期 yyyy-MM-dd
     */
    private String birthday;
    /**
     * 性别 0、未知 1、男 2、女
     */
    private String gender;
    /**
     * 运动能力 1、低 2、中 3、高
     */
    private Integer athleticAbility;
    /**
     * 健康/亚健康人群 true 是 、  false 否
     */
    private Boolean healthyPerson;
    /**
     * 疾病信息
     */
    private List<DiseaseInfo> diseaseInfos;
    /**
     * 用户选择的动作禁忌
     */
    private List<String> actionTaboos;
    /**
     * 用户身体运动评估状态 {@link com.jiankangyouyi.cloud.motorplan.enums.BodyExerciseEvaluationStatusEnum}
     */
    private String bodyExerciseEvaluationStatus;
    /**
     * 分娩日期 / yyyy-MM-dd
     */
    private String deliveryDate;
    /**
     * 用户选择的教练性别 1、男 2、女
     */
    private String coachGender;
    /**
     * 运动配置信息 （运动v2.4新增，之前的数据没有该字段信息，用到时需做兼容或特殊处理）
     */
    private ExerciseConfigInfo exerciseConfigInfo;

    /**
     * 动作时间信息
     */
    private ExerciseCourseProjectConfigResult2.ActionTimeInfo actionTimeInfo;

    /**
     * 梅脱限制信息
     */
    private ActionGroupConfigResult2.MetLimitInfo metLimitInfo;

}
