package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:24 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActionTimeConfig {

    /**
     * 训练时间配置
     */
    private List<TrainTimeConfig> trainTimeConfigs;

    /**
     * 热身拉伸时间配置
     */
    private List<WarmupStretchTimeConfig> warmupStretchTimeConfigs;


    /**
     * 训练时间配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class TrainTimeConfig {
        /**
         * 等级
         */
        private Integer grade;
        /**
         * 最小时长 /分
         */
        private Integer minTime;
        /**
         * 最大时长 /分
         */
        private Integer maxTime;
    }

    /**
     * 热身拉伸时间配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class WarmupStretchTimeConfig {
        /**
         * 规则
         */
        private WarmupStretchRule rule;
        /**
         * 热身时间占比 （此处占比指：训练时间下限的占比）
         */
        private Double warmupTimeProportion;
        /**
         * 拉身时间占比 （此处占比指：训练时间下限的占比）
         */
        private Double stretchTimeProportion;
    }

    /**
     * 热身拉伸时间规则
     */
    public enum WarmupStretchRule {
        ONE,
        TWO,
        THREE,
        FOUR,
    }

}
