package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 课程视频详情
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CourseVideoDetailInfo {
    /**
     * 开始时间 /ms
     */
    private Long startTime;
    /**
     * 结束时间 /ms
     */
    private Long endTime;
    /**
     * 产生热量
     */
    private Double heat;
    /**
     * 动作视频信息 当前视频信息是动作视频时有值
     */
    private ActionVideoInfo actionVideoInfo;

    /**
     * 动作视频信息
     */
    @Builder
    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ActionVideoInfo {
        /**
         * 动作编号
         */
        private String actionId;
        /**
         * 动作分类
         */
        private String actionClassification;
        /**
         * 视频时长 /ms
         */
        private Long videoMilliseconds;
        /**
         * 视频资源类型
         */
        private String videoSourceType;
    }

}
