package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 运动配置信息
 * @author ：wangyalei
 * @date ：2022/5/9 1:54 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseConfigInfo {
    /**
     * 方案配置编号
     */
    private String projectNum;
    /**
     * 运动水平 1、低 2、中 3、高
     */
    private Integer exerciseLevel;
    /**
     * 训练时间等级
     */
    private Integer trainTimeGrade;
    /**
     * 运动频率等级
     */
    private Integer exerciseFrequencyGrade;
    /**
     * 有氧类型梅脱视频约束等级
     */
    private Integer aerobicTypeMetVideoGrade;
    /**
     * 有氧类型梅脱时长约束等级
     */
    private Integer aerobicTypeMetTimeGrade;
    /**
     * 抗阻类型梅脱视频约束等级
     */
    private Integer resistanceTypeMetVideoGrade;
    /**
     * 抗阻类型梅脱时长约束等级
     */
    private Integer resistanceTypeMetTimeGrade;
    /**
     * 有氧类型休息规则等级
     */
    private Integer aerobicTypeRestRuleGrade;
    /**
     * 抗阻类型休息规则等级
     */
    private Integer resistanceTypeRestRuleGrade;
    /**
     * 动作难度等级
     */
    private Integer actionDifficultyGrade;
    /**
     * 当前规则编号
     */
    private String currentRuleNum;


}
