package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 全局梅脱配置
 * @author ：wangyalei
 * @date ：2022/4/27 3:02 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GlobalMetConfig {
    /**
     * 限制视频配置
     */
    private List<LimitVideoConfig> limitVideoConfigs;
    /**
     * 时间占比配置
     */
    private List<TimeProportionConfig> timeProportionConfigs;

    /**
     * 限制视频配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class LimitVideoConfig{
        /**
         * 等级
         */
        private Integer grade;
        /**
         * 最小值
         */
        private Double minValue;
        /**
         * 最大值因数1
         */
        private Double maxValueFactor1;
        /**
         * 因数2 条件配置
         */
        private List<FactorCondition> factor2Conditions;

        /**
         * 因数条件
         */
        @Data
        @Builder
        @AllArgsConstructor
        @NoArgsConstructor
        public static class FactorCondition {
            /**
             * 因数值
             */
            private Double factor;
            /**
             * 年龄最小值
             */
            private Integer minAge;
            /**
             * 年龄最大值
             */
            private Integer maxAge;
        }
    }

    /**
     * 时间占比配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class TimeProportionConfig{
        /**
         * 等级
         */
        private Integer grade;
        /**
         * 最小值
         */
        private Double minValue;
        /**
         * 最大值
         */
        private Double maxValue;
        /**
         * 占比
         */
        private Double proportion;

    }

}
