package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 管理目标配置
 * @author ：wangyalei
 * @date ：2022/5/7 4:25 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ManagementGoalConfig {

    /**
     * 管理目标
     */
    private List<String> configDetails;
    /**
     * BMI 条件配置
     */
    private List<BmiConditionConfig> bmiConditionConfigs;

    /**
     * BMI 条件配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class BmiConditionConfig {
        /**
         * 开始值
         */
        private Double startValue;
        /**
         * 是否包含开始值
         */
        private Boolean includeStartValue;
        /**
         * 结束值
         */
        private Double endValue;
        /**
         * 是否包含结束值
         */
        private Boolean includeEndValue;
        /**
         * 管理目标
         */
        private List<String> configDetails;
    }
}
