package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ：wangyalei
 * @date ：2022/5/21 9:19 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RestVideoDetailInfo {
    /**
     * 视频id
     */
    private String videoId;
    /**
     * 休息视频类型 1、现代类型  2、传统类型
     */
    private String restVideoType;
    /**
     * 教练性别  1、男 2、女
     */
    private String coachGender;
    /**
     * 视频规格
     */
    private String videoSize;
    /**
     * 视频时长 /ms
     */
    private Long videoMilliseconds;

    /**
     * m3u8 * 1080 格式视频key
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String videoTs1080;

    /**
     *  m3u8 * 720 格式视频key
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String videoTs720;

    /**
     *  m3u8 * 480 格式视频
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String videoTs480;
}
