package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 禁忌动作标签 （系统课程）
 *
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:15 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemForbidActionLabelConfig {
    /**
     * 禁止动作标签
     */
    private List<String> configDetail;
    /**
     * BMI 条件配置
     */
    private List<BmiConditionConfig> bmiConditionConfigs;

    /**
     * BMI 条件配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class BmiConditionConfig {
        /**
         * 开始值
         */
        private Double startValue;
        /**
         * 是否包含开始值
         */
        private Boolean includeStartValue;
        /**
         * 结束值
         */
        private Double endValue;
        /**
         * 是否包含结束值
         */
        private Boolean includeEndValue;
        /**
         * 禁止动作标签
         */
        private List<String> configDetail;
    }
}
