package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 系统运动提示话术
 * @author ：wangyalei
 * @date ：2022/4/28 3:55 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemRemindDescriptionConfig {

    /**
     * 配置详情
     */
    private List<ConfigDetail> configDetails;
    /**
     * BMI 条件配置
     */
    private List<BmiConditionConfig> bmiConditionConfigs;

    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ConfigDetail {
        /**
         * 运动能力 1、低 2、中 3、高
         */
        private Integer athleticAbility;
        /**
         * 运动类型
         */
        private String exerciseType;
        /**
         * 描述
         */
        private String description;
        /**
         * 心率范围计算 开始值 百分数 例如 58% 存 0.58
         */
        private Double heartStart;
        /**
         * 心率范围计算 结束值 百分数 例如 58% 存 0.58
         */
        private Double heartEnd;
    }

    /**
     * BMI 条件配置
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class BmiConditionConfig {
        /**
         * 开始值
         */
        private Double startValue;
        /**
         * 是否包含开始值
         */
        private Boolean includeStartValue;
        /**
         * 结束值
         */
        private Double endValue;
        /**
         * 是否包含结束值
         */
        private Boolean includeEndValue;
        /**
         * 配置详情
         */
        private List<ConfigDetail> configDetails;
    }




}
