package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 训练动作组合
 * @author ：wangyalei
 * @date ：Created in 2021/7/5 5:45 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TrainingActionGroup {
    /**
     * 运动类型 1、有氧 2、抗阻
     */
    public static final String AEROBIC = "1";
    public static final String RESISTANCE = "2";
    /**
     * 计划编号
     */
    private String planNum;
    /**
     * 运动类型 （1、有氧 2、抗阻）
     */
    private String exerciseType;

    /**
     * 动作体位
     */
    private List<String> actionPositions;
    /**
     * 动作分类
     */
    private List<String> actionClassifications;
    /**
     * 训练肌群
     */
    private List<String> trainPositions;


}
