package com.jiankangyouyi.cloud.motorplan.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 课程视频片段时长统计
 *
 * @author lvqidong
 * @date 2021/11/16 16:19
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CourseClassifySumVO {

    /**
     * 课程ID
     */
    private String courseId;

    /**
     * 课程分类详情
     */
    private List<CourseClassify> CourseClassifyDetail;

    @Data
    public static class CourseClassify {
        /**
         * 1 有氧 2 力量 3 柔韧
         */
        private String classifyType;
        /**
         * 运动时长 秒
         */
        private Long sportTimeCount;

    }

}
