package com.jiankangyouyi.cloud.motorplan.model.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.ActionExplainInfo;
import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.CourseFinishDetail;
import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.CourseVideoDetailInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/2 3:24 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCoursePlanInfoVO {
    /**
     * 课程Id
     */
    private String courseId;
    /**
     * 课程日期 / yyyy-MM-dd
     */
    private String courseDate;
    /**
     * 动作个数
     */
    private Integer actionCount;
    /**
     * 课程时长 /分
     */
    private Integer courseDurationMinute;
    /**
     * 课程时长 /秒
     */
    private Integer courseDurationSecond;
    /**
     * 课程热量
     */
    private Double courseHeat;
    /**
     * 运动频率描述
     */
    private String exerciseFrequencyDesc;
    /**
     * 运动设备
     */
    private List<String> exerciseEquipments;
    /**
     * 注意事项
     */
    private List<String> attentionItems;
    /**
     * 运动目标
     */
    private List<String> exerciseAims;
    /**
     * 课程封面图
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String courseImageUrl;
    /**
     * 课程视频 1080 分辨率   m3u8 文件地址
     */
    private String courseVideoM3u8P1080Url;
    /**
     * 课程视频 720 分辨率   m3u8 文件地址
     */
    private String courseVideoM3u8P720Url;
    /**
     * 课程视频 480 分辨率   m3u8 文件地址key
     */
    private String courseVideoM3u8P480Url;
    /**
     * 课程视频详情
     */
    private List<CourseVideoDetailInfo> courseVideoDetailInfos;
    /**
     * 动作讲解
     */
    private List<ActionExplainInfo> actionExplains;
    /**
     * 课程完成总热量
     */
    private Integer courseFinishTotalHeat;
    /**
     * 课程完成总时长 /s
     */
    private Integer courseFinishTotalDuration;
    /**
     * 课程完成详情信息
     */
    private List<CourseFinishDetail> courseFinishDetails;
}
