package com.jiankangyouyi.cloud.motorplan.model.vo;

import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.SystemExerciseInfo;
import com.jiankangyouyi.cloud.motorplan.api.model.dto.response.component.VideoExerciseInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.concurrent.CompletableFuture;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/2 3:24 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCoursePlanInfoVO2 {
    /**
     * 课程Id
     */
    private String courseId;
    /**
     * 课程日期 / yyyy-MM-dd
     */
    private String courseDate;
    /**
     * 运动频率描述
     */
    private String exerciseFrequencyDesc;
    /**
     * 注意事项
     */
    private List<String> attentionItems;
    /**
     * 运动目标
     */
    private List<String> exerciseAims;
    /**
     * 视频运动信息
     */
    private VideoExerciseInfo videoExerciseInfo;
    /**
     * 系统运动信息（非视频课程方案）
     */
    private SystemExerciseInfo systemExerciseInfo;
}
