package com.jiankangyouyi.cloud.motorplan.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/7 6:43 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LatestCourseParamVO2 {
    /**
     * 身高 /cm
     */
    private Integer height;
    /**
     * 体重 /kg
     */
    private Double weight;
    /**
     * 出生日期 yyyy-MM-dd
     */
    private String birthday;
    /**
     * 性别 0、未知 1、男 2、女
     */
    private String gender;
    /**
     * 用户选择的运动器材
     */
    private List<String> userChoiceExerciseEquipments;
    /**
     * 运动能力 1、低 2、中 3、高
     */
    private Integer athleticAbility;
    /**
     * 疾病信息
     *
     */
    private List<com.jiankangyouyi.cloud.motorplan.model.vo.component.DiseaseInfo> diseaseInfoList;
    /**
     * 动作禁忌类型 {@link com.jiankangyouyi.cloud.basedata.api.enums.action.ActionFeatureEnum}
     */
    private List<String> actionTaboos;
    /**
     * 用户身体运动评估状态 {@link com.jiankangyouyi.cloud.motorplan.enums.BodyExerciseEvaluationStatusEnum}
     */
    private String bodyExerciseEvaluationStatus;
    /**
     * 分娩日期 / yyyy-MM-dd
     */
    private String deliveryDate;
    /**
     * 教练性别 1、男 2、女
     */
    private String coachGender;
    /**
     * 运动水平 1、低 2、中 3、高
     */
    private Integer exerciseLevel;
}
