package com.jiankangyouyi.cloud.motorplan.model.vo;

import com.jiankangyouyi.cloud.data.center.api.model.entity.component.HealthProblemInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/13 4:02 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserRecordInfoVO2 {
    /**
     * NULl 出生日期 yyyy-MM-dd
     */
    private String birthday;

    /**
     * NULL 性别 0 未知 1 男 2 女
     */
    private String gender;

    /**
     * NULL 身高,单位cm，大于等于30，小于等于230
     */
    private Integer height;

    /**
     * NULL 体重，单位kg，保留1位小数，大于等于20，小于等于200
     */
    private Double weight;
    /**
     * NULL 用户通过健康评估问卷评估的健康问题
     */
    private List<HealthProblemInfo> healthProblemInfos;
    /**
     * 运动能力等级
     * {@link com.jiankangyouyi.cloud.data.center.api.enums.ExerciseLevelEnum}
     */
    private Integer exerciseRiskLevel;
    /**
     * 运动水平等级
     * {@link com.jiankangyouyi.cloud.data.center.api.enums.ExerciseLevelEnum}
     */
    private Integer exerciseLevel;
    /**
     * 动作禁忌类型 {@link com.jiankangyouyi.cloud.basedata.api.enums.action.ActionFeatureEnum}
     */
    private List<String> actionTaboos;
    /**
     * 用户身体运动评估状态 {@link com.jiankangyouyi.cloud.motorplan.enums.BodyExerciseEvaluationStatusEnum}
     */
    private String bodyExerciseEvaluationStatus;
    /**
     * 分娩日期 / yyyy-MM-dd
     */
    private String deliveryDate;

}
